library verilog;
use verilog.vl_types.all;
entity ABICDR65_075 is
    port(
        RXDP            : in     vl_logic;
        RXDN            : in     vl_logic;
        aRxClkP         : out    vl_logic;
        aRxClkN         : out    vl_logic;
        aRxDO19         : out    vl_logic;
        aRxDO18         : out    vl_logic;
        aRxDO17         : out    vl_logic;
        aRxDO16         : out    vl_logic;
        aRxDO15         : out    vl_logic;
        aRxDO14         : out    vl_logic;
        aRxDO13         : out    vl_logic;
        aRxDO12         : out    vl_logic;
        aRxDO11         : out    vl_logic;
        aRxDO10         : out    vl_logic;
        aRxDO9          : out    vl_logic;
        aRxDO8          : out    vl_logic;
        aRxDO7          : out    vl_logic;
        aRxDO6          : out    vl_logic;
        aRxDO5          : out    vl_logic;
        aRxDO4          : out    vl_logic;
        aRxDO3          : out    vl_logic;
        aRxDO2          : out    vl_logic;
        aRxDO1          : out    vl_logic;
        aRxDO0          : out    vl_logic;
        aRxDivBaudClk   : out    vl_logic;
        aSerDatR        : in     vl_logic;
        aSerRxCtr1      : in     vl_logic;
        aSerRxCtr0      : in     vl_logic;
        aForceRxHiZ     : in     vl_logic;
        aLpBkNearEnd    : in     vl_logic;
        aRxPwrDwnB      : in     vl_logic;
        aRxDNullDat     : out    vl_logic;
        aRxDNullCal     : in     vl_logic;
        aRxDNullDir     : in     vl_logic;
        aRxDNull3       : in     vl_logic;
        aRxDNull2       : in     vl_logic;
        aRxDNull1       : in     vl_logic;
        aRxDNull0       : in     vl_logic;
        aRxTNullDat     : out    vl_logic;
        aRxTNullCal     : in     vl_logic;
        aRxTNullDir     : in     vl_logic;
        aRxTNull3       : in     vl_logic;
        aRxTNull2       : in     vl_logic;
        aRxTNull1       : in     vl_logic;
        aRxTNull0       : in     vl_logic;
        aSchmittOut     : out    vl_logic;
        aTranDet        : out    vl_logic;
        aSigDetSetting  : in     vl_logic;
        aTranDetClrB    : in     vl_logic;
        aSchNullCal     : in     vl_logic;
        aSchNullDir     : in     vl_logic;
        aSchNull3       : in     vl_logic;
        aSchNull2       : in     vl_logic;
        aSchNull1       : in     vl_logic;
        aSchNull0       : in     vl_logic;
        aRxClkStable    : out    vl_logic;
        aRxM1           : in     vl_logic;
        aRxM0           : in     vl_logic;
        aRxN4           : in     vl_logic;
        aRxN3           : in     vl_logic;
        aRxN2           : in     vl_logic;
        aRxN1           : in     vl_logic;
        aRxN0           : in     vl_logic;
        aRxF3           : in     vl_logic;
        aRxF2           : in     vl_logic;
        aRxF1           : in     vl_logic;
        aRxF0           : in     vl_logic;
        aRxIcp2         : in     vl_logic;
        aRxIcp1         : in     vl_logic;
        aRxIcp0         : in     vl_logic;
        aRxCdrIcp2      : in     vl_logic;
        aRxCdrIcp1      : in     vl_logic;
        aRxCdrIcp0      : in     vl_logic;
        aRxPLLDivInit   : in     vl_logic;
        aRxSkipBit      : in     vl_logic;
        aRxHFClkDnB     : in     vl_logic;
        aCDRPLLRstB     : in     vl_logic;
        aRxTest         : in     vl_logic;
        aCDRDiagOut     : out    vl_logic;
        aCDRDiagIn      : in     vl_logic;
        aRxFDIp1        : in     vl_logic;
        aRxFDIp0        : in     vl_logic;
        TXDP            : out    vl_logic;
        TXDN            : out    vl_logic;
        aTxClkP         : out    vl_logic;
        aTxClkN         : out    vl_logic;
        aTxDI19         : in     vl_logic;
        aTxDI18         : in     vl_logic;
        aTxDI17         : in     vl_logic;
        aTxDI16         : in     vl_logic;
        aTxDI15         : in     vl_logic;
        aTxDI14         : in     vl_logic;
        aTxDI13         : in     vl_logic;
        aTxDI12         : in     vl_logic;
        aTxDI11         : in     vl_logic;
        aTxDI10         : in     vl_logic;
        aTxDI9          : in     vl_logic;
        aTxDI8          : in     vl_logic;
        aTxDI7          : in     vl_logic;
        aTxDI6          : in     vl_logic;
        aTxDI5          : in     vl_logic;
        aTxDI4          : in     vl_logic;
        aTxDI3          : in     vl_logic;
        aTxDI2          : in     vl_logic;
        aTxDI1          : in     vl_logic;
        aTxDI0          : in     vl_logic;
        aTxDivBaudClk   : out    vl_logic;
        aSerDatA        : in     vl_logic;
        aSerDatT        : in     vl_logic;
        aSerDatP        : in     vl_logic;
        aSerTxCtr1      : in     vl_logic;
        aSerTxCtr0      : in     vl_logic;
        aForceTxHiZ     : in     vl_logic;
        aTxClkStable    : out    vl_logic;
        aTxM1           : in     vl_logic;
        aTxM0           : in     vl_logic;
        aTxN4           : in     vl_logic;
        aTxN3           : in     vl_logic;
        aTxN2           : in     vl_logic;
        aTxN1           : in     vl_logic;
        aTxN0           : in     vl_logic;
        aTxF3           : in     vl_logic;
        aTxF2           : in     vl_logic;
        aTxF1           : in     vl_logic;
        aTxF0           : in     vl_logic;
        aTxIcp2         : in     vl_logic;
        aTxIcp1         : in     vl_logic;
        aTxIcp0         : in     vl_logic;
        aTxPLLDivInit   : in     vl_logic;
        aTxSelRxFB      : in     vl_logic;
        aTxHFClkDnB     : in     vl_logic;
        aTxPLLRstB      : in     vl_logic;
        aZcompOp        : out    vl_logic;
        aZcalib6        : in     vl_logic;
        aZcalib5        : in     vl_logic;
        aZcalib4        : in     vl_logic;
        aZcalib3        : in     vl_logic;
        aZcalib2        : in     vl_logic;
        aZcalib1        : in     vl_logic;
        aZcalib0        : in     vl_logic;
        aZcalibType1    : in     vl_logic;
        aZcalibType0    : in     vl_logic;
        aZcalibMir      : in     vl_logic;
        aFarEndRxAbsent : out    vl_logic;
        aBeaconD        : in     vl_logic;
        aBeaconOn       : in     vl_logic;
        aShutVmainByVmain_b: in     vl_logic;
        aShutVauxByVaux_b: in     vl_logic;
        aTxDetectRxDisable: in     vl_logic;
        aRefClk         : in     vl_logic;
        Rext            : in     vl_logic;
        aIDDQ           : in     vl_logic;
        acjtagP         : out    vl_logic;
        acjtagN         : out    vl_logic;
        VDDPLL          : in     vl_logic;
        PLL_REF_RETURN  : in     vl_logic;
        VAUX            : in     vl_logic;
        VDDIO           : in     vl_logic;
        VSSIO           : in     vl_logic
    );
end ABICDR65_075;
