library verilog;
use verilog.vl_types.all;
entity APB_CONFIG_MUX is
    port(
        CLK_FAB         : in     vl_logic;
        RESETN          : in     vl_logic;
        TESTMODE        : in     vl_logic;
        PER2_MSS_PWDATA : in     vl_logic_vector(31 downto 0);
        PER2_MSS_PADDR  : in     vl_logic_vector(15 downto 2);
        PER2_MSS_PSEL   : in     vl_logic;
        PER2_MSS_PENABLE: in     vl_logic;
        PER2_MSS_PWRITE : in     vl_logic;
        PER2_MSS_PRDATA : out    vl_logic_vector(31 downto 0);
        PER2_MSS_PREADY : out    vl_logic;
        PER2_MSS_PSLVERR: out    vl_logic;
        MDDR_PWDATA     : out    vl_logic_vector(15 downto 0);
        MDDR_PADDR      : out    vl_logic_vector(10 downto 2);
        MDDR_PSEL       : out    vl_logic;
        MDDR_PENABLE    : out    vl_logic;
        MDDR_PWRITE     : out    vl_logic;
        MDDR_FABRIC_PRDATA: in     vl_logic_vector(15 downto 0);
        MDDR_FABRIC_PREADY: in     vl_logic;
        MDDR_FABRIC_PSLVERR: in     vl_logic;
        MDDR_FABRIC_PWDATA: in     vl_logic_vector(15 downto 0);
        MDDR_FABRIC_PADDR: in     vl_logic_vector(10 downto 2);
        MDDR_FABRIC_PSEL: in     vl_logic;
        MDDR_FABRIC_PENABLE: in     vl_logic;
        MDDR_FABRIC_PWRITE: in     vl_logic;
        PER2_FABRIC_PWDATA: out    vl_logic_vector(31 downto 0);
        PER2_FABRIC_PADDR: out    vl_logic_vector(15 downto 2);
        PER2_FABRIC_PSEL: out    vl_logic;
        PER2_FABRIC_PENABLE: out    vl_logic;
        PER2_FABRIC_PWRITE: out    vl_logic;
        PER2_FABRIC_PRDATA: in     vl_logic_vector(31 downto 0);
        PER2_FABRIC_PREADY: in     vl_logic;
        PER2_FABRIC_PSLVERR: in     vl_logic;
        MDDR_CONFIG_FROM_MSS: in     vl_logic
    );
end APB_CONFIG_MUX;
