library verilog;
use verilog.vl_types.all;
entity AXI_BFM_SLV is
    port(
        AXI_AHB_CLK     : in     vl_logic;
        ARESETn         : in     vl_logic;
        AXI_AHB_SLAVE   : in     vl_logic;
        S_AWID_HSEL     : in     vl_logic_vector(3 downto 0);
        S_AWADDR_HADDR  : in     vl_logic_vector(31 downto 0);
        S_AWLEN_HBURST  : in     vl_logic_vector(3 downto 0);
        S_AWSIZE_HSIZE  : in     vl_logic_vector(1 downto 0);
        S_AWBURST_HTRANS: in     vl_logic_vector(1 downto 0);
        S_AWVALID_HWRITE: in     vl_logic;
        S_AWREADY       : out    vl_logic;
        S_AWLOCK        : in     vl_logic_vector(1 downto 0);
        S_WID_HMASTLOCK : in     vl_logic_vector(3 downto 0);
        S_WSTRB         : in     vl_logic_vector(7 downto 0);
        S_WLAST         : in     vl_logic;
        S_WVALID        : in     vl_logic;
        S_WDATA_HWDATA  : in     vl_logic_vector(63 downto 0);
        S_WREADY_HREADYOUT: out    vl_logic;
        S_BID           : out    vl_logic_vector(3 downto 0);
        S_BRESP_HRESP   : out    vl_logic_vector(1 downto 0);
        S_BVALID        : out    vl_logic;
        S_BREADY_HREADY : in     vl_logic;
        S_ARID          : in     vl_logic_vector(3 downto 0);
        S_ARADDR        : in     vl_logic_vector(31 downto 0);
        S_ARLEN         : in     vl_logic_vector(3 downto 0);
        S_ARSIZE        : in     vl_logic_vector(1 downto 0);
        S_ARBURST       : in     vl_logic_vector(1 downto 0);
        S_ARVALID       : in     vl_logic;
        S_ARREADY       : out    vl_logic;
        S_ARLOCK        : in     vl_logic_vector(1 downto 0);
        S_RID           : out    vl_logic_vector(3 downto 0);
        S_RDATA_HRDATA  : out    vl_logic_vector(63 downto 0);
        S_RRESP         : out    vl_logic_vector(1 downto 0);
        S_RLAST         : out    vl_logic;
        S_RVALID        : out    vl_logic;
        S_RREADY        : in     vl_logic
    );
end AXI_BFM_SLV;
