library verilog;
use verilog.vl_types.all;
entity AddrDecM3 is
    port(
        addr            : in     vl_logic_vector(31 downto 0);
        G4_ENVMPOWEREDDOWN: in     vl_logic;
        G4_FIC_REG_SEL  : in     vl_logic_vector(5 downto 0);
        SW_MASTERENABLE : in     vl_logic;
        eSRAM0_EDAC_EN  : in     vl_logic;
        eSRAM1_EDAC_EN  : in     vl_logic;
        ENVM_BLOCK_SIZE : in     vl_logic_vector(1 downto 0);
        write           : in     vl_logic;
        read            : in     vl_logic;
        MM3_6_7_8_MS0_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS0_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS1_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS1_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS2_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS2_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS3_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS3_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS6_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS6_ALLOWED_W: in     vl_logic;
        addrDec         : out    vl_logic_vector(7 downto 0);
        FIC_SLAVE1Sel   : out    vl_logic
    );
end AddrDecM3;
