library verilog;
use verilog.vl_types.all;
entity AhbLToAxiSM is
    generic(
        k_addrbits      : integer := 32;
        k_wstrbbits     : integer := 8
    );
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        HSEL            : in     vl_logic;
        HADDR           : in     vl_logic_vector;
        HWRITE          : in     vl_logic;
        HREADY          : in     vl_logic;
        HTRANS          : in     vl_logic_vector(1 downto 0);
        HSIZE           : in     vl_logic_vector(1 downto 0);
        HBURST          : in     vl_logic_vector(2 downto 0);
        HREADYOUT       : out    vl_logic;
        HRESP           : out    vl_logic;
        AWREADY         : in     vl_logic;
        WREADY          : in     vl_logic;
        BVALID          : in     vl_logic;
        BRESP           : in     vl_logic;
        ARREADY         : in     vl_logic;
        RVALID          : in     vl_logic;
        RRESP           : in     vl_logic;
        RLAST           : in     vl_logic;
        AWVALID         : out    vl_logic;
        WLAST           : out    vl_logic;
        WVALID          : out    vl_logic;
        WSTRB           : out    vl_logic_vector;
        BREADY          : out    vl_logic;
        RREADY          : out    vl_logic;
        ARVALID         : out    vl_logic;
        HBURSTREG       : out    vl_logic_vector(2 downto 0);
        HSIZEREG        : out    vl_logic_vector(1 downto 0);
        HADDRREG        : out    vl_logic_vector;
        HWRITEREG       : out    vl_logic;
        HMASTLOCK       : in     vl_logic;
        HMASTLOCKREG    : out    vl_logic;
        rd_wr_haddr_q   : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of k_addrbits : constant is 1;
    attribute mti_svvh_generic_type of k_wstrbbits : constant is 1;
end AhbLToAxiSM;
