library verilog;
use verilog.vl_types.all;
entity AhbToApbSM is
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        HSEL            : in     vl_logic;
        HTRANS1         : in     vl_logic;
        HWRITE          : in     vl_logic;
        HADDR           : in     vl_logic_vector(1 downto 0);
        HREADY          : in     vl_logic;
        HRESP           : out    vl_logic;
        HREADYOUT       : out    vl_logic;
        pready          : in     vl_logic;
        preadyPulse     : in     vl_logic;
        PSLVERR         : in     vl_logic;
        PENABLE         : in     vl_logic;
        PWRITE          : out    vl_logic;
        psel            : out    vl_logic;
        latchAddr       : out    vl_logic;
        latchWrData     : out    vl_logic;
        latchRdData     : out    vl_logic;
        latchNextAddr   : out    vl_logic;
        selNextAddr     : out    vl_logic;
        setPenable      : out    vl_logic;
        clrPenable      : out    vl_logic
    );
end AhbToApbSM;
