library verilog;
use verilog.vl_types.all;
entity ClientAddrData_config_HM is
    port(
        HCLK            : in     vl_logic;
        HRESETN         : in     vl_logic;
        mergedWrite     : in     vl_logic;
        mergedHsize     : in     vl_logic_vector(1 downto 0);
        mergedAddr      : in     vl_logic_vector(15 downto 0);
        hAddrPhAck      : in     vl_logic;
        hDataClkEn      : in     vl_logic;
        pAddrPhAck      : in     vl_logic;
        pDataClkEn      : in     vl_logic;
        F_HM_PWRITE     : out    vl_logic;
        F_HM_ADDR       : out    vl_logic_vector(15 downto 0);
        F_HM_WDATA      : out    vl_logic_vector(31 downto 0);
        F_HM_RDATA      : in     vl_logic_vector(31 downto 0);
        DS_HM_HRDATA    : out    vl_logic_vector(31 downto 0);
        DS_HM_HWDATA    : in     vl_logic_vector(31 downto 0)
    );
end ClientAddrData_config_HM;
