library verilog;
use verilog.vl_types.all;
entity DW_addsub_dx is
    generic(
        width           : integer := 4;
        p1_width        : integer := 2;
        p2_width        : vl_notype
    );
    port(
        a               : in     vl_logic_vector;
        b               : in     vl_logic_vector;
        ci1             : in     vl_logic;
        ci2             : in     vl_logic;
        addsub          : in     vl_logic;
        tc              : in     vl_logic;
        sat             : in     vl_logic;
        avg             : in     vl_logic;
        dplx            : in     vl_logic;
        sum             : out    vl_logic_vector;
        co1             : out    vl_logic;
        co2             : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of width : constant is 1;
    attribute mti_svvh_generic_type of p1_width : constant is 1;
    attribute mti_svvh_generic_type of p2_width : constant is 3;
end DW_addsub_dx;
