library verilog;
use verilog.vl_types.all;
entity DW_asymfifo_s1_sf is
    generic(
        data_in_width   : integer := 8;
        data_out_width  : integer := 16;
        depth           : integer := 8;
        ae_level        : integer := 4;
        af_level        : integer := 4;
        err_mode        : integer := 1;
        rst_mode        : integer := 1;
        byte_order      : integer := 0
    );
    port(
        rst_n           : in     vl_logic;
        clk             : in     vl_logic;
        push_req_n      : in     vl_logic;
        flush_n         : in     vl_logic;
        diag_n          : in     vl_logic;
        data_in         : in     vl_logic_vector;
        empty           : out    vl_logic;
        almost_empty    : out    vl_logic;
        half_full       : out    vl_logic;
        almost_full     : out    vl_logic;
        full            : out    vl_logic;
        ram_full        : out    vl_logic;
        part_wd         : out    vl_logic;
        error           : out    vl_logic;
        pop_req_n       : in     vl_logic;
        data_out        : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of data_in_width : constant is 1;
    attribute mti_svvh_generic_type of data_out_width : constant is 1;
    attribute mti_svvh_generic_type of depth : constant is 1;
    attribute mti_svvh_generic_type of ae_level : constant is 1;
    attribute mti_svvh_generic_type of af_level : constant is 1;
    attribute mti_svvh_generic_type of err_mode : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
    attribute mti_svvh_generic_type of byte_order : constant is 1;
end DW_asymfifo_s1_sf;
