library verilog;
use verilog.vl_types.all;
entity DW_div_seq is
    generic(
        a_width         : integer := 3;
        b_width         : integer := 3;
        tc_mode         : integer := 0;
        num_cyc         : integer := 3;
        rst_mode        : integer := 0;
        input_mode      : integer := 1;
        output_mode     : integer := 1;
        early_start     : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        hold            : in     vl_logic;
        start           : in     vl_logic;
        a               : in     vl_logic_vector;
        b               : in     vl_logic_vector;
        complete        : out    vl_logic;
        divide_by_0     : out    vl_logic;
        quotient        : out    vl_logic_vector;
        remainder       : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of a_width : constant is 1;
    attribute mti_svvh_generic_type of b_width : constant is 1;
    attribute mti_svvh_generic_type of tc_mode : constant is 1;
    attribute mti_svvh_generic_type of num_cyc : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
    attribute mti_svvh_generic_type of input_mode : constant is 1;
    attribute mti_svvh_generic_type of output_mode : constant is 1;
    attribute mti_svvh_generic_type of early_start : constant is 1;
end DW_div_seq;
