library verilog;
use verilog.vl_types.all;
entity DW_stackctl is
    generic(
        depth           : integer := 8;
        err_mode        : integer := 0;
        rst_mode        : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        push_req_n      : in     vl_logic;
        pop_req_n       : in     vl_logic;
        wr_addr         : out    vl_logic_vector;
        we_n            : out    vl_logic;
        rd_addr         : out    vl_logic_vector;
        full            : out    vl_logic;
        empty           : out    vl_logic;
        error           : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of depth : constant is 1;
    attribute mti_svvh_generic_type of err_mode : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
end DW_stackctl;
