library verilog;
use verilog.vl_types.all;
entity EDAC_STATUSGEN_120 is
    generic(
        ADDRWIDTH       : integer := 10
    );
    port(
        CLK             : in     vl_logic;
        RESETN          : in     vl_logic;
        e1bit           : in     vl_logic;
        e2bit           : in     vl_logic;
        CSB             : in     vl_logic;
        WEB             : in     vl_logic;
        EDAC_CNTCLR_1E  : in     vl_logic;
        EDAC_CNTCLR_2E  : in     vl_logic;
        EDAC_EN         : in     vl_logic;
        RAM_ADDR        : in     vl_logic_vector;
        EDAC_1E         : out    vl_logic;
        EDAC_2E         : out    vl_logic;
        EDAC_CNT_1E     : out    vl_logic_vector(15 downto 0);
        EDAC_CNT_2E     : out    vl_logic_vector(15 downto 0);
        EDAC_AD         : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 1;
end EDAC_STATUSGEN_120;
