library verilog;
use verilog.vl_types.all;
entity EDAC_STATUSSYNC_120 is
    generic(
        ADDRWIDTH       : integer := 8
    );
    port(
        wrClk           : in     vl_logic;
        rdClk           : in     vl_logic;
        RESETN          : in     vl_logic;
        EDAC_CNTCLR_1E  : in     vl_logic;
        EDAC_CNTCLR_2E  : in     vl_logic;
        EDAC_1E         : in     vl_logic;
        EDAC_2E         : in     vl_logic;
        EDAC_CNT_1E     : in     vl_logic_vector(15 downto 0);
        EDAC_CNT_2E     : in     vl_logic_vector(15 downto 0);
        EDAC_AD         : in     vl_logic_vector;
        EDAC_CNTCLR_1E_SYNC: out    vl_logic;
        EDAC_CNTCLR_2E_SYNC: out    vl_logic;
        EDAC_1E_SYNC    : out    vl_logic;
        EDAC_2E_SYNC    : out    vl_logic;
        EDAC_CNT_1E_SYNC: out    vl_logic_vector(15 downto 0);
        EDAC_CNT_2E_SYNC: out    vl_logic_vector(15 downto 0);
        EDAC_1E_AD_SYNC : out    vl_logic_vector;
        EDAC_2E_AD_SYNC : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 1;
end EDAC_STATUSSYNC_120;
