library verilog;
use verilog.vl_types.all;
entity FDDR_IP is
    generic(
        INIT            : vl_logic_vector(109 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        DDR_CLK_FREQ    : real    := 100.000000
    );
    port(
        CLK_BASE        : in     vl_logic;
        FPGA_FDDR_ARESET_N: in     vl_logic;
        PCLK            : in     vl_logic;
        PRESET_N        : in     vl_logic;
        F_AWID_HSEL0    : in     vl_logic_vector(3 downto 0);
        F_AWADDR_HADDR0 : in     vl_logic_vector(31 downto 0);
        F_AWLEN_HBURST0 : in     vl_logic_vector(3 downto 0);
        F_AWSIZE_HSIZE0 : in     vl_logic_vector(1 downto 0);
        F_AWLOCK_HMASTLOCK0: in     vl_logic_vector(1 downto 0);
        F_AWBURST_HTRANS0: in     vl_logic_vector(1 downto 0);
        F_AWVALID_HWRITE0: in     vl_logic;
        F_RMW_AXI       : in     vl_logic;
        F_AWREADY_HREADYOUT0: out    vl_logic;
        F_WID_HREADY01  : in     vl_logic_vector(3 downto 0);
        F_WDATA_HWDATA01: in     vl_logic_vector(63 downto 0);
        F_WSTRB         : in     vl_logic_vector(7 downto 0);
        F_WLAST         : in     vl_logic;
        F_WVALID        : in     vl_logic;
        F_WREADY        : out    vl_logic;
        F_BREADY        : in     vl_logic;
        F_BID           : out    vl_logic_vector(3 downto 0);
        F_BRESP_HRESP0  : out    vl_logic_vector(1 downto 0);
        F_BVALID        : out    vl_logic;
        F_ARID_HSEL1    : in     vl_logic_vector(3 downto 0);
        F_ARADDR_HADDR1 : in     vl_logic_vector(31 downto 0);
        F_ARLEN_HBURST1 : in     vl_logic_vector(3 downto 0);
        F_ARSIZE_HSIZE1 : in     vl_logic_vector(1 downto 0);
        F_ARBURST_HTRANS1: in     vl_logic_vector(1 downto 0);
        F_ARLOCK_HMASTLOCK1: in     vl_logic_vector(1 downto 0);
        F_ARVALID_HWRITE1: in     vl_logic;
        F_ARREADY_HREADYOUT1: out    vl_logic;
        F_RREADY        : in     vl_logic;
        F_RID           : out    vl_logic_vector(3 downto 0);
        F_RDATA_HRDATA01: out    vl_logic_vector(63 downto 0);
        F_RRESP_HRESP1  : out    vl_logic_vector(1 downto 0);
        F_RLAST         : out    vl_logic;
        F_RVALID        : out    vl_logic;
        PSEL            : in     vl_logic;
        PADDR           : in     vl_logic_vector(10 downto 2);
        PENABLE         : in     vl_logic;
        PWRITE          : in     vl_logic;
        PWDATA          : in     vl_logic_vector(15 downto 0);
        PRDATA          : out    vl_logic_vector(15 downto 0);
        PSLVERR         : out    vl_logic;
        PREADY          : out    vl_logic;
        FDDR_ECC_INT    : out    vl_logic;
        FIC_INT         : out    vl_logic;
        IO_CALIB_INT    : out    vl_logic;
        DM_IN           : in     vl_logic_vector(4 downto 0);
        DM_OE           : out    vl_logic_vector(4 downto 0);
        DRAM_BA         : out    vl_logic_vector(2 downto 0);
        DRAM_ADDR       : out    vl_logic_vector(15 downto 0);
        DRAM_CASN       : out    vl_logic;
        DRAM_RASN       : out    vl_logic;
        DRAM_WEN        : out    vl_logic;
        DRAM_CSN        : out    vl_logic;
        DRAM_CKE        : out    vl_logic;
        DRAM_ODT        : out    vl_logic;
        DRAM_DQ_OUT     : out    vl_logic_vector(35 downto 0);
        DRAM_DQ_OE      : out    vl_logic_vector(35 downto 0);
        DRAM_DQS_OUT    : out    vl_logic_vector(4 downto 0);
        DRAM_DQS_OE     : out    vl_logic_vector(4 downto 0);
        DRAM_DM_RDQS_OUT: out    vl_logic_vector(4 downto 0);
        DRAM_CLK        : out    vl_logic;
        DRAM_RSTN       : out    vl_logic;
        DRAM_FIFO_WE_OUT: out    vl_logic_vector(2 downto 0);
        DRAM_FIFO_WE_IN : in     vl_logic_vector(2 downto 0);
        DRAM_DQ_IN      : in     vl_logic_vector(35 downto 0);
        DRAM_DQS_IN     : in     vl_logic_vector(4 downto 0);
        FPLL_LOCK       : out    vl_logic;
        PLL_LOCK_INT    : out    vl_logic;
        PLL_LOCKLOST_INT: out    vl_logic;
        H2FCALIB        : out    vl_logic;
        F2HCALIB        : in     vl_logic;
        FAB_PLL_LOCK    : in     vl_logic;
        FATC_RESET_N    : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of INIT : constant is 2;
    attribute mti_svvh_generic_type of DDR_CLK_FREQ : constant is 1;
end FDDR_IP;
