library verilog;
use verilog.vl_types.all;
entity G4MAIN_AHBLTOAXI_TOP is
    port(
        AXI_AHB_CLK     : in     vl_logic;
        ARESETn         : in     vl_logic;
        AHB_DATA_WIDTH  : in     vl_logic;
        F_AXI_AHB_SLAVE : in     vl_logic;
        F_AWID_HSEL     : in     vl_logic_vector(3 downto 0);
        F_AWADDR_HADDR  : in     vl_logic_vector(31 downto 0);
        F_AWLEN_HBURST  : in     vl_logic_vector(3 downto 0);
        F_AWSIZE_HSIZE  : in     vl_logic_vector(1 downto 0);
        F_AWBURST_HTRANS: in     vl_logic_vector(1 downto 0);
        F_AWVALID_HWRITE: in     vl_logic;
        F_AWREADY       : out    vl_logic;
        F_AWLOCK        : in     vl_logic_vector(1 downto 0);
        F_WID_HMASTLOCK : in     vl_logic_vector(3 downto 0);
        F_WSTRB         : in     vl_logic_vector(7 downto 0);
        F_WLAST         : in     vl_logic;
        F_WVALID        : in     vl_logic;
        F_WDATA_HWDATA  : in     vl_logic_vector(63 downto 0);
        F_WREADY_HREADYOUT: out    vl_logic;
        F_BID           : out    vl_logic_vector(3 downto 0);
        F_BRESP_HRESP   : out    vl_logic_vector(1 downto 0);
        F_BVALID        : out    vl_logic;
        F_BREADY_HREADY : in     vl_logic;
        F_ARID          : in     vl_logic_vector(3 downto 0);
        F_ARADDR        : in     vl_logic_vector(31 downto 0);
        F_ARLEN         : in     vl_logic_vector(3 downto 0);
        F_ARSIZE        : in     vl_logic_vector(1 downto 0);
        F_ARBURST       : in     vl_logic_vector(1 downto 0);
        F_ARVALID       : in     vl_logic;
        F_ARREADY       : out    vl_logic;
        F_ARLOCK        : in     vl_logic_vector(1 downto 0);
        F_RID           : out    vl_logic_vector(3 downto 0);
        F_RDATA_HRDATA  : out    vl_logic_vector(63 downto 0);
        F_RRESP         : out    vl_logic_vector(1 downto 0);
        F_RLAST         : out    vl_logic;
        F_RVALID        : out    vl_logic;
        F_RREADY        : in     vl_logic;
        PCIE_AWID       : out    vl_logic_vector(3 downto 0);
        PCIE_AWADDR     : out    vl_logic_vector(31 downto 0);
        PCIE_AWLEN      : out    vl_logic_vector(3 downto 0);
        PCIE_AWSIZE     : out    vl_logic_vector(1 downto 0);
        PCIE_AWBURST    : out    vl_logic_vector(1 downto 0);
        PCIE_AWVALID    : out    vl_logic;
        PCIE_AWLOCK     : out    vl_logic_vector(1 downto 0);
        PCIE_AWREADY    : in     vl_logic;
        PCIE_WID        : out    vl_logic_vector(3 downto 0);
        PCIE_WSTRB      : out    vl_logic_vector(7 downto 0);
        PCIE_WLAST      : out    vl_logic;
        PCIE_WVALID     : out    vl_logic;
        PCIE_WDATA      : out    vl_logic_vector(63 downto 0);
        PCIE_WREADY     : in     vl_logic;
        PCIE_BID        : in     vl_logic_vector(3 downto 0);
        PCIE_BRESP      : in     vl_logic_vector(1 downto 0);
        PCIE_BVALID     : in     vl_logic;
        PCIE_BREADY     : out    vl_logic;
        PCIE_ARID       : out    vl_logic_vector(3 downto 0);
        PCIE_ARADDR     : out    vl_logic_vector(31 downto 0);
        PCIE_ARLEN      : out    vl_logic_vector(3 downto 0);
        PCIE_ARSIZE     : out    vl_logic_vector(1 downto 0);
        PCIE_ARBURST    : out    vl_logic_vector(1 downto 0);
        PCIE_ARVALID    : out    vl_logic;
        PCIE_ARLOCK     : out    vl_logic_vector(1 downto 0);
        PCIE_ARREADY    : in     vl_logic;
        PCIE_RID        : in     vl_logic_vector(3 downto 0);
        PCIE_RDATA      : in     vl_logic_vector(63 downto 0);
        PCIE_RRESP      : in     vl_logic_vector(1 downto 0);
        PCIE_RLAST      : in     vl_logic;
        PCIE_RVALID     : in     vl_logic;
        PCIE_RREADY     : out    vl_logic
    );
end G4MAIN_AHBLTOAXI_TOP;
