library verilog;
use verilog.vl_types.all;
entity G4M_FABRICIF is
    port(
        FPGAGOOD        : in     vl_logic;
        FAB_AHBIF       : in     vl_logic;
        fab_last_cycle  : in     vl_logic;
        atpg_tpg_mode   : in     vl_logic;
        FAB_AHB_BYPASS  : in     vl_logic;
        DS_HCLK         : in     vl_logic;
        DS_HRESETN      : in     vl_logic;
        FPGARESETN      : in     vl_logic;
        DS_HM_HADDR     : in     vl_logic_vector(31 downto 0);
        DS_HM_HMASTLOCK : in     vl_logic;
        DS_HM_HMASTER   : in     vl_logic_vector(1 downto 0);
        DS_HM_HSIZE     : in     vl_logic_vector(1 downto 0);
        DS_HM_HTRANS1   : in     vl_logic;
        DS_HM_HSEL      : in     vl_logic;
        DS_HM_HWRITE    : in     vl_logic;
        DS_HM_HWDATA    : in     vl_logic_vector(31 downto 0);
        DS_HM_HREADY    : in     vl_logic;
        DS_HM_HREADYOUT : out    vl_logic;
        DS_HM_HRESP     : out    vl_logic;
        DS_HM_HRDATA    : out    vl_logic_vector(31 downto 0);
        F_HM_READY      : in     vl_logic;
        F_HM_RESP       : in     vl_logic;
        F_HM_RDATA      : in     vl_logic_vector(31 downto 0);
        F_HM_ADDR       : out    vl_logic_vector(31 downto 0);
        F_HM_WDATA      : out    vl_logic_vector(31 downto 0);
        F_HM_SIZE       : out    vl_logic_vector(1 downto 0);
        F_HM_TRANS1     : out    vl_logic;
        F_HM_MASTER     : out    vl_logic_vector(1 downto 0);
        F_HM_WRITE      : out    vl_logic;
        F_HM_SEL        : out    vl_logic;
        F_HM_ENABLE     : out    vl_logic;
        DS_FM_HADDR     : out    vl_logic_vector(31 downto 0);
        DS_FM_HMASTLOCK : out    vl_logic;
        DS_FM_HSIZE     : out    vl_logic_vector(1 downto 0);
        DS_FM_HTRANS1   : out    vl_logic;
        DS_FM_HWRITE    : out    vl_logic;
        DS_FM_HWDATA    : out    vl_logic_vector(31 downto 0);
        DS_FM_HRDATA    : in     vl_logic_vector(31 downto 0);
        DS_FM_HREADY    : in     vl_logic;
        DS_FM_HRESP     : in     vl_logic;
        F_FM_ADDR       : in     vl_logic_vector(31 downto 0);
        F_FM_WDATA      : in     vl_logic_vector(31 downto 0);
        F_FM_MASTLOCK   : in     vl_logic;
        F_FM_SIZE       : in     vl_logic_vector(1 downto 0);
        F_FM_TRANS1     : in     vl_logic;
        F_FM_SEL        : in     vl_logic;
        F_FM_ENABLE     : in     vl_logic;
        F_FM_WRITE      : in     vl_logic;
        F_FM_READY      : in     vl_logic;
        F_FM_RDATA      : out    vl_logic_vector(31 downto 0);
        F_FM_READYOUT   : out    vl_logic;
        F_FM_RESP       : out    vl_logic
    );
end G4M_FABRICIF;
