library verilog;
use verilog.vl_types.all;
entity G4M_GPIO is
    port(
        PRESETN         : in     vl_logic;
        PCLK            : in     vl_logic;
        mss_gpio_31_24_sys_reset_n: in     vl_logic;
        mss_gpio_23_16_sys_reset_n: in     vl_logic;
        mss_gpio_15_8_sys_reset_n: in     vl_logic;
        mss_gpio_7_0_sys_reset_n: in     vl_logic;
        mss_gpio_31_24_def: in     vl_logic;
        mss_gpio_23_16_def: in     vl_logic;
        mss_gpio_15_8_def: in     vl_logic;
        mss_gpio_7_0_def: in     vl_logic;
        core_up         : in     vl_logic;
        bg_vpd_b        : in     vl_logic;
        ff_in_prog_sync : in     vl_logic;
        flash_valid_sync: in     vl_logic;
        PSEL            : in     vl_logic;
        PENABLE         : in     vl_logic;
        PWRITE          : in     vl_logic;
        PADDR           : in     vl_logic_vector(7 downto 0);
        PWDATA          : in     vl_logic_vector(31 downto 0);
        PRDATA          : out    vl_logic_vector(31 downto 0);
        INT             : out    vl_logic_vector(31 downto 0);
        GPIO_IN         : in     vl_logic_vector(31 downto 0);
        GPIO_OUT        : out    vl_logic_vector(31 downto 0);
        GPIO_OE         : out    vl_logic_vector(31 downto 0)
    );
end G4M_GPIO;
