library verilog;
use verilog.vl_types.all;
entity G4M_PCIEMBIST_120 is
    port(
        HCLK            : in     vl_logic;
        RST_N           : in     vl_logic;
        SCAN_TESTMODE   : in     vl_logic;
        MBIST_TESTMODE  : out    vl_logic;
        LT_SDI          : in     vl_logic;
        LT_SCK          : in     vl_logic;
        LT_BIST_SEL     : in     vl_logic;
        LT_SHIFT        : in     vl_logic;
        LT_CAPTURE      : in     vl_logic;
        LT_UPDATE       : in     vl_logic;
        LT_DIAG_SEL     : in     vl_logic;
        LT_SDO          : out    vl_logic;
        RP_DO           : in     vl_logic_vector(71 downto 0);
        RP_CSAN         : out    vl_logic;
        RP_A            : out    vl_logic_vector(6 downto 0);
        RP_CSBN         : out    vl_logic;
        RP_WEB          : out    vl_logic;
        RP_B            : out    vl_logic_vector(6 downto 0);
        RP_DI           : out    vl_logic_vector(71 downto 0);
        TX_DO           : in     vl_logic_vector(71 downto 0);
        TX_CSAN         : out    vl_logic;
        TX_A            : out    vl_logic_vector(6 downto 0);
        TX_CSBN         : out    vl_logic;
        TX_WEB          : out    vl_logic;
        TX_B            : out    vl_logic_vector(6 downto 0);
        TX_DI           : out    vl_logic_vector(71 downto 0);
        RX_DO           : in     vl_logic_vector(71 downto 0);
        RX_CSAN         : out    vl_logic;
        RX_A            : out    vl_logic_vector(7 downto 0);
        RX_CSBN         : out    vl_logic;
        RX_WEB          : out    vl_logic;
        RX_B            : out    vl_logic_vector(7 downto 0);
        RX_DI           : out    vl_logic_vector(71 downto 0)
    );
end G4M_PCIEMBIST_120;
