library verilog;
use verilog.vl_types.all;
entity G4M_SERDESIF_CLOCK_CTRL_075 is
    port(
        h2fcalib        : out    vl_logic_vector(1 downto 0);
        f2hcalib        : in     vl_logic_vector(1 downto 0);
        pll_serdesif_lockwin: out    vl_logic_vector(2 downto 0);
        pll_serdesif_lockcnt: out    vl_logic_vector(3 downto 0);
        pll_serdesif_divr: out    vl_logic_vector(5 downto 0);
        pll_serdesif_divf: out    vl_logic_vector(9 downto 0);
        pll_serdesif_divq: out    vl_logic_vector(2 downto 0);
        pll_serdesif_range: out    vl_logic_vector(3 downto 0);
        pll_serdesif_mode_1v2: out    vl_logic;
        pll_serdesif_mode_3v3: out    vl_logic;
        pll_serdesif_fse: out    vl_logic;
        pll_serdesif_bypass: out    vl_logic;
        pll_serdesif_pd : out    vl_logic;
        pll_serdesif_sse: out    vl_logic;
        pll_serdesif_ssmd: out    vl_logic_vector(1 downto 0);
        pll_serdesif_ssmf: out    vl_logic_vector(4 downto 0);
        ENABLE_PCIE     : in     vl_logic;
        ENABLE_XAUI     : in     vl_logic;
        CFG_PLL_LOCKWIN : in     vl_logic_vector(2 downto 0);
        CFG_PLL_LOCKCNT : in     vl_logic_vector(3 downto 0);
        CFG_PLL_DIVR    : in     vl_logic_vector(5 downto 0);
        CFG_PLL_DIVF    : in     vl_logic_vector(9 downto 0);
        CFG_PLL_DIVQ    : in     vl_logic_vector(2 downto 0);
        CFG_PLL_RANGE   : in     vl_logic_vector(3 downto 0);
        CFG_PLL_MODE_1V2: in     vl_logic;
        CFG_PLL_MODE_3V3: in     vl_logic;
        CFG_PLL_FSE     : in     vl_logic;
        CFG_PLL_BYPASS  : in     vl_logic;
        CFG_PLL_PD      : in     vl_logic;
        CFG_PLL_SSE     : in     vl_logic;
        CFG_PLL_SSMD    : in     vl_logic_vector(1 downto 0);
        CFG_PLL_SSMF    : in     vl_logic_vector(4 downto 0);
        axi_ahb_ref_clk : in     vl_logic;
        xaui_ref_clk    : in     vl_logic;
        axi_ahb_fdb_clk : in     vl_logic;
        xaui_fb_clk     : in     vl_logic;
        pll_serdesif_ref: out    vl_logic;
        pll_serdesif_fb : out    vl_logic;
        pll_aclk        : in     vl_logic;
        pll_aclk_pcie   : out    vl_logic;
        xaui_out_clk    : out    vl_logic;
        bg_por_b        : in     vl_logic;
        ltap_control    : in     vl_logic_vector(51 downto 0);
        clk_25_50mhz    : in     vl_logic;
        atpg_tm         : in     vl_logic;
        fabcalibstart   : in     vl_logic_vector(1 downto 0);
        fabcalibfail    : out    vl_logic_vector(1 downto 0);
        fpga_reset_n    : in     vl_logic;
        fatc0_pcie_clock: in     vl_logic;
        fatc1_xaui_clock: in     vl_logic;
        pll_fb_clk_fatc0: out    vl_logic;
        pll_fb_clk_fatc1: out    vl_logic;
        flash_valid     : in     vl_logic;
        core_up         : in     vl_logic;
        atpg_atspeed_clk_sel: out    vl_logic;
        mbist_clk_sel   : out    vl_logic;
        apb_clock_in    : in     vl_logic;
        atpg_slow_sck0  : in     vl_logic;
        apb_clock_out   : out    vl_logic
    );
end G4M_SERDESIF_CLOCK_CTRL_075;
