library verilog;
use verilog.vl_types.all;
entity G4M_SPMBIST is
    port(
        HCLK            : in     vl_logic;
        RST_N           : in     vl_logic;
        SCAN_TESTMODE   : in     vl_logic;
        MBIST_TESTMODE  : out    vl_logic;
        LT_SDI          : in     vl_logic;
        LT_SCK          : in     vl_logic;
        LT_BIST_SEL     : in     vl_logic;
        LT_SHIFT        : in     vl_logic;
        LT_CAPTURE      : in     vl_logic;
        LT_UPDATE       : in     vl_logic;
        LT_DIAG_SEL     : in     vl_logic;
        LT_SDO          : out    vl_logic;
        FAIL            : out    vl_logic_vector(3 downto 0);
        MBIST_RUNNING   : out    vl_logic;
        MBIST_ADDR      : out    vl_logic_vector(11 downto 0);
        ES00_DO         : in     vl_logic_vector(39 downto 0);
        ES00_A          : out    vl_logic_vector(11 downto 0);
        ES00_CSB        : out    vl_logic;
        ES00_WEB        : out    vl_logic_vector(4 downto 0);
        ES00_DI         : out    vl_logic_vector(39 downto 0);
        ES01_DO         : in     vl_logic_vector(39 downto 0);
        ES01_A          : out    vl_logic_vector(11 downto 0);
        ES01_CSB        : out    vl_logic;
        ES01_WEB        : out    vl_logic_vector(4 downto 0);
        ES01_DI         : out    vl_logic_vector(39 downto 0);
        ES10_DO         : in     vl_logic_vector(39 downto 0);
        ES10_A          : out    vl_logic_vector(11 downto 0);
        ES10_CSB        : out    vl_logic;
        ES10_WEB        : out    vl_logic_vector(4 downto 0);
        ES10_DI         : out    vl_logic_vector(39 downto 0);
        ES11_DO         : in     vl_logic_vector(39 downto 0);
        ES11_A          : out    vl_logic_vector(11 downto 0);
        ES11_CSB        : out    vl_logic;
        ES11_WEB        : out    vl_logic_vector(4 downto 0);
        ES11_DI         : out    vl_logic_vector(39 downto 0);
        CA0_DO          : in     vl_logic_vector(71 downto 0);
        CA0_A           : out    vl_logic_vector(7 downto 0);
        CA0_CSB         : out    vl_logic;
        CA0_WEB         : out    vl_logic;
        CA0_DI          : out    vl_logic_vector(71 downto 0);
        CA1_DO          : in     vl_logic_vector(71 downto 0);
        CA1_A           : out    vl_logic_vector(7 downto 0);
        CA1_CSB         : out    vl_logic;
        CA1_WEB         : out    vl_logic;
        CA1_DI          : out    vl_logic_vector(71 downto 0);
        CA2_DO          : in     vl_logic_vector(71 downto 0);
        CA2_A           : out    vl_logic_vector(7 downto 0);
        CA2_CSB         : out    vl_logic;
        CA2_WEB         : out    vl_logic;
        CA2_DI          : out    vl_logic_vector(71 downto 0);
        CA3_DO          : in     vl_logic_vector(71 downto 0);
        CA3_A           : out    vl_logic_vector(7 downto 0);
        CA3_CSB         : out    vl_logic;
        CA3_WEB         : out    vl_logic;
        CA3_DI          : out    vl_logic_vector(71 downto 0);
        CAN_DO          : in     vl_logic_vector(38 downto 0);
        CAN_A           : out    vl_logic_vector(8 downto 0);
        CAN_CSB         : out    vl_logic;
        CAN_WEB         : out    vl_logic;
        CAN_DI          : out    vl_logic_vector(38 downto 0);
        USB_DO          : in     vl_logic_vector(38 downto 0);
        USB_A           : out    vl_logic_vector(10 downto 0);
        USB_CSB         : out    vl_logic;
        USB_WEB         : out    vl_logic;
        USB_DI          : out    vl_logic_vector(38 downto 0)
    );
end G4M_SPMBIST;
