library verilog;
use verilog.vl_types.all;
entity MG_Arbiter_fcfs is
    generic(
        CLIENT_NO       : integer := 4;
        PARK_MODE       : integer := 1;
        PARK_INDEX      : integer := 0;
        OUTPUT_MODE     : integer := 1;
        INDEX           : vl_notype;
        PARK_CLIENT     : vl_notype
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        sync_rst_n      : in     vl_logic;
        clkenable       : in     vl_logic;
        request         : in     vl_logic_vector;
        mask            : in     vl_logic_vector;
        lock            : in     vl_logic_vector;
        grant           : out    vl_logic_vector;
        grant_index     : out    vl_logic_vector;
        granted         : out    vl_logic;
        parked          : out    vl_logic;
        locked          : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of CLIENT_NO : constant is 1;
    attribute mti_svvh_generic_type of PARK_MODE : constant is 1;
    attribute mti_svvh_generic_type of PARK_INDEX : constant is 1;
    attribute mti_svvh_generic_type of OUTPUT_MODE : constant is 1;
    attribute mti_svvh_generic_type of INDEX : constant is 3;
    attribute mti_svvh_generic_type of PARK_CLIENT : constant is 3;
end MG_Arbiter_fcfs;
