library verilog;
use verilog.vl_types.all;
entity MG_CRCGenCheck is
    generic(
        DATAWIDTH       : integer := 16;
        POLYSIZE        : integer := 16;
        CRCBITCFG       : integer := 7;
        BITORDER        : integer := 3;
        POLYCOEFF0      : integer := 4129;
        POLYCOEFF1      : integer := 0;
        POLYCOEFF2      : integer := 0;
        POLYCOEFF3      : integer := 0;
        POLYNOMIAL      : vl_notype
    );
    port(
        data_in         : in     vl_logic_vector;
        crc_in          : in     vl_logic_vector;
        crc_out         : out    vl_logic_vector;
        crc_correct     : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DATAWIDTH : constant is 1;
    attribute mti_svvh_generic_type of POLYSIZE : constant is 1;
    attribute mti_svvh_generic_type of CRCBITCFG : constant is 1;
    attribute mti_svvh_generic_type of BITORDER : constant is 1;
    attribute mti_svvh_generic_type of POLYCOEFF0 : constant is 1;
    attribute mti_svvh_generic_type of POLYCOEFF1 : constant is 1;
    attribute mti_svvh_generic_type of POLYCOEFF2 : constant is 1;
    attribute mti_svvh_generic_type of POLYCOEFF3 : constant is 1;
    attribute mti_svvh_generic_type of POLYNOMIAL : constant is 3;
end MG_CRCGenCheck;
