library verilog;
use verilog.vl_types.all;
entity MG_DuplexAddSub is
    generic(
        IN0_WIDTH       : integer := 6;
        IN1_WIDTH       : integer := 6;
        P1_WIDTH        : integer := 2;
        OUT_WIDTH       : vl_notype;
        OUTD_WIDTH      : vl_notype
    );
    port(
        in0             : in     vl_logic_vector;
        in1             : in     vl_logic_vector;
        tc              : in     vl_logic;
        doSub           : in     vl_logic;
        ci              : in     vl_logic;
        ci2             : in     vl_logic;
        duplex          : in     vl_logic;
        \out\           : out    vl_logic_vector;
        co              : out    vl_logic;
        co2             : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IN0_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of IN1_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of P1_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of OUT_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of OUTD_WIDTH : constant is 3;
end MG_DuplexAddSub;
