library verilog;
use verilog.vl_types.all;
entity MG_DuplexMult is
    generic(
        WIDTH           : integer := 16;
        P1_WIDTH        : integer := 2;
        OUT_WIDTH       : vl_notype;
        P2_WIDTH        : vl_notype;
        OP_WIDTH        : vl_notype
    );
    port(
        \out\           : out    vl_logic_vector;
        in0             : in     vl_logic_vector;
        in1             : in     vl_logic_vector;
        tc              : in     vl_logic;
        duplex          : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WIDTH : constant is 1;
    attribute mti_svvh_generic_type of P1_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of OUT_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of P2_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of OP_WIDTH : constant is 3;
end MG_DuplexMult;
