library verilog;
use verilog.vl_types.all;
entity MG_Multnstage is
    generic(
        IN0_WIDTH       : integer := 8;
        IN1_WIDTH       : integer := 8;
        N_STAGE         : integer := 2;
        STALL_MODE      : integer := 1;
        RESET_MODE      : integer := 0;
        OUT_WIDTH       : vl_notype
    );
    port(
        \out\           : out    vl_logic_vector;
        in0             : in     vl_logic_vector;
        in1             : in     vl_logic_vector;
        tc0             : in     vl_logic;
        tc1             : in     vl_logic;
        clk             : in     vl_logic;
        reset_N         : in     vl_logic;
        enable          : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IN0_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of IN1_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of N_STAGE : constant is 1;
    attribute mti_svvh_generic_type of STALL_MODE : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
    attribute mti_svvh_generic_type of OUT_WIDTH : constant is 3;
end MG_Multnstage;
