library verilog;
use verilog.vl_types.all;
entity MG_Pipe is
    generic(
        WIDTH           : integer := 8;
        STAGE_COUNT     : integer := 2;
        RESET_MODE      : integer := 0;
        STALL_MODE      : integer := 0
    );
    port(
        \out\           : out    vl_logic_vector;
        \in\            : in     vl_logic_vector;
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        stall           : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WIDTH : constant is 1;
    attribute mti_svvh_generic_type of STAGE_COUNT : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
    attribute mti_svvh_generic_type of STALL_MODE : constant is 1;
end MG_Pipe;
