library verilog;
use verilog.vl_types.all;
entity MG_SymFifoctlPush is
    generic(
        ADDRWIDTH       : integer := 3;
        WRDCNTWIDTH     : integer := 3;
        DEPTH           : integer := 8;
        PUSH_AE_LEVEL   : integer := 2;
        PUSH_AF_LEVEL   : integer := 2;
        ERROR_MODE      : integer := 0;
        RESET_MODE      : integer := 1
    );
    port(
        push_req_n      : in     vl_logic;
        clk_push        : in     vl_logic;
        rst_n           : in     vl_logic;
        push_error      : out    vl_logic;
        push_empty      : out    vl_logic;
        push_ae         : out    vl_logic;
        push_hf         : out    vl_logic;
        push_af         : out    vl_logic;
        push_full       : out    vl_logic;
        we_n            : out    vl_logic;
        wr_addr         : out    vl_logic_vector;
        raddrNxtGSync   : in     vl_logic_vector;
        waddrNxtG       : out    vl_logic_vector;
        push_word_count : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 1;
    attribute mti_svvh_generic_type of WRDCNTWIDTH : constant is 1;
    attribute mti_svvh_generic_type of DEPTH : constant is 1;
    attribute mti_svvh_generic_type of PUSH_AE_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of PUSH_AF_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of ERROR_MODE : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
end MG_SymFifoctlPush;
