library verilog;
use verilog.vl_types.all;
entity MG_TapController is
    generic(
        WIDTH           : integer := 2;
        ID              : integer := 0;
        VERSION         : integer := 0;
        PARTNUM         : integer := 0;
        MFGNUM          : integer := 0;
        SYNCMODE        : integer := 0;
        SENWIDTH        : vl_notype;
        test_logic_reset: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        run_test_or_idle: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        select_dr_scan  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        capture_data_reg: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        shift_data_reg  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        exit1_data_reg  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        pause_data_reg  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        exit2_data_reg  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        update_data_reg : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        select_ir_scan  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        capture_inst_reg: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        shift_inst_reg  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        exit1_inst_reg  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        pause_inst_reg  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        exit2_inst_reg  : vl_logic_vector(0 to 15) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        update_inst_reg : vl_logic_vector(0 to 15) := (Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        trst_n          : in     vl_logic;
        tck             : in     vl_logic;
        tms             : in     vl_logic;
        tdi             : in     vl_logic;
        so              : in     vl_logic;
        bypass_sel      : in     vl_logic;
        sentinel_val    : in     vl_logic_vector;
        test            : in     vl_logic;
        clock_dr        : out    vl_logic;
        shift_dr        : out    vl_logic;
        update_dr       : out    vl_logic;
        sync_update_dr  : out    vl_logic;
        tdo             : out    vl_logic;
        tdo_en          : out    vl_logic;
        sync_capture_en : out    vl_logic;
        tap_state       : out    vl_logic_vector(15 downto 0);
        extest          : out    vl_logic;
        samp_load       : out    vl_logic;
        instructions    : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ID : constant is 1;
    attribute mti_svvh_generic_type of VERSION : constant is 1;
    attribute mti_svvh_generic_type of PARTNUM : constant is 1;
    attribute mti_svvh_generic_type of MFGNUM : constant is 1;
    attribute mti_svvh_generic_type of SYNCMODE : constant is 1;
    attribute mti_svvh_generic_type of SENWIDTH : constant is 3;
    attribute mti_svvh_generic_type of test_logic_reset : constant is 1;
    attribute mti_svvh_generic_type of run_test_or_idle : constant is 1;
    attribute mti_svvh_generic_type of select_dr_scan : constant is 1;
    attribute mti_svvh_generic_type of capture_data_reg : constant is 1;
    attribute mti_svvh_generic_type of shift_data_reg : constant is 1;
    attribute mti_svvh_generic_type of exit1_data_reg : constant is 1;
    attribute mti_svvh_generic_type of pause_data_reg : constant is 1;
    attribute mti_svvh_generic_type of exit2_data_reg : constant is 1;
    attribute mti_svvh_generic_type of update_data_reg : constant is 1;
    attribute mti_svvh_generic_type of select_ir_scan : constant is 1;
    attribute mti_svvh_generic_type of capture_inst_reg : constant is 1;
    attribute mti_svvh_generic_type of shift_inst_reg : constant is 1;
    attribute mti_svvh_generic_type of exit1_inst_reg : constant is 1;
    attribute mti_svvh_generic_type of pause_inst_reg : constant is 1;
    attribute mti_svvh_generic_type of exit2_inst_reg : constant is 1;
    attribute mti_svvh_generic_type of update_inst_reg : constant is 1;
end MG_TapController;
