library verilog;
use verilog.vl_types.all;
entity MG_pipe_div is
    generic(
        a_width         : integer := 4;
        b_width         : integer := 2;
        tc_mode         : integer := 1;
        rem_mode        : integer := 1;
        num_stages      : integer := 3;
        stall_mode      : integer := 0;
        rst_mode        : integer := 1
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        en              : in     vl_logic;
        a               : in     vl_logic_vector;
        b               : in     vl_logic_vector;
        quotient        : out    vl_logic_vector;
        remainder       : out    vl_logic_vector;
        dby0            : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of a_width : constant is 1;
    attribute mti_svvh_generic_type of b_width : constant is 1;
    attribute mti_svvh_generic_type of tc_mode : constant is 1;
    attribute mti_svvh_generic_type of rem_mode : constant is 1;
    attribute mti_svvh_generic_type of num_stages : constant is 1;
    attribute mti_svvh_generic_type of stall_mode : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
end MG_pipe_div;
