library verilog;
use verilog.vl_types.all;
entity MSSDDR_SDRMUX is
    port(
        ddr_select      : in     vl_logic;
        b_awready       : out    vl_logic;
        b_wready        : out    vl_logic;
        b_bid           : out    vl_logic_vector(3 downto 0);
        b_bresp         : out    vl_logic_vector(1 downto 0);
        b_bvalid        : out    vl_logic;
        b_arready       : out    vl_logic;
        b_rid           : out    vl_logic_vector(3 downto 0);
        b_rdata         : out    vl_logic_vector(63 downto 0);
        b_rresp         : out    vl_logic_vector(1 downto 0);
        b_rlast         : out    vl_logic;
        b_rvalid        : out    vl_logic;
        md_b_awready    : in     vl_logic;
        md_b_wready     : in     vl_logic;
        md_b_bid        : in     vl_logic_vector(3 downto 0);
        md_b_bresp      : in     vl_logic_vector(1 downto 0);
        md_b_bvalid     : in     vl_logic;
        md_b_arready    : in     vl_logic;
        md_b_rid        : in     vl_logic_vector(3 downto 0);
        md_b_rdata      : in     vl_logic_vector(63 downto 0);
        md_b_rresp      : in     vl_logic_vector(1 downto 0);
        md_b_rlast      : in     vl_logic;
        md_b_rvalid     : in     vl_logic;
        sd_b_awready    : in     vl_logic;
        sd_b_wready     : in     vl_logic;
        sd_b_bid        : in     vl_logic_vector(3 downto 0);
        sd_b_bresp      : in     vl_logic_vector(1 downto 0);
        sd_b_bvalid     : in     vl_logic;
        sd_b_arready    : in     vl_logic;
        sd_b_rid        : in     vl_logic_vector(3 downto 0);
        sd_b_rdata      : in     vl_logic_vector(63 downto 0);
        sd_b_rresp      : in     vl_logic_vector(1 downto 0);
        sd_b_rlast      : in     vl_logic;
        sd_b_rvalid     : in     vl_logic;
        b_awid          : in     vl_logic_vector(3 downto 0);
        b_awaddr        : in     vl_logic_vector(31 downto 0);
        b_awlen         : in     vl_logic_vector(3 downto 0);
        b_awsize        : in     vl_logic_vector(2 downto 0);
        b_awburst       : in     vl_logic_vector(1 downto 0);
        b_awlock        : in     vl_logic_vector(1 downto 0);
        b_awvalid       : in     vl_logic;
        b_wid           : in     vl_logic_vector(3 downto 0);
        b_wdata         : in     vl_logic_vector(63 downto 0);
        b_wstrb         : in     vl_logic_vector(7 downto 0);
        b_wlast         : in     vl_logic;
        b_wvalid        : in     vl_logic;
        b_rmw           : in     vl_logic;
        b_bready        : in     vl_logic;
        b_arid          : in     vl_logic_vector(3 downto 0);
        b_araddr        : in     vl_logic_vector(31 downto 0);
        b_arlen         : in     vl_logic_vector(3 downto 0);
        b_arsize        : in     vl_logic_vector(2 downto 0);
        b_arburst       : in     vl_logic_vector(1 downto 0);
        b_arlock        : in     vl_logic_vector(1 downto 0);
        b_arvalid       : in     vl_logic;
        b_rready        : in     vl_logic;
        md_b_awid       : out    vl_logic_vector(3 downto 0);
        md_b_awaddr     : out    vl_logic_vector(31 downto 0);
        md_b_awlen      : out    vl_logic_vector(3 downto 0);
        md_b_awsize     : out    vl_logic_vector(1 downto 0);
        md_b_awburst    : out    vl_logic_vector(1 downto 0);
        md_b_awlock     : out    vl_logic_vector(1 downto 0);
        md_b_awvalid    : out    vl_logic;
        md_b_wid        : out    vl_logic_vector(3 downto 0);
        md_b_wdata      : out    vl_logic_vector(63 downto 0);
        md_b_wstrb      : out    vl_logic_vector(7 downto 0);
        md_b_wlast      : out    vl_logic;
        md_b_wvalid     : out    vl_logic;
        md_b_rmw        : out    vl_logic;
        md_b_bready     : out    vl_logic;
        md_b_arid       : out    vl_logic_vector(3 downto 0);
        md_b_araddr     : out    vl_logic_vector(31 downto 0);
        md_b_arlen      : out    vl_logic_vector(3 downto 0);
        md_b_arsize     : out    vl_logic_vector(1 downto 0);
        md_b_arburst    : out    vl_logic_vector(1 downto 0);
        md_b_arlock     : out    vl_logic_vector(1 downto 0);
        md_b_arvalid    : out    vl_logic;
        md_b_rready     : out    vl_logic;
        sd_b_awid       : out    vl_logic_vector(3 downto 0);
        sd_b_awaddr     : out    vl_logic_vector(31 downto 0);
        sd_b_awlen      : out    vl_logic_vector(3 downto 0);
        sd_b_awsize     : out    vl_logic_vector(1 downto 0);
        sd_b_awburst    : out    vl_logic_vector(1 downto 0);
        sd_b_awlock     : out    vl_logic_vector(1 downto 0);
        sd_b_awvalid    : out    vl_logic;
        sd_b_wid        : out    vl_logic_vector(3 downto 0);
        sd_b_wstrb      : out    vl_logic_vector(7 downto 0);
        sd_b_wlast      : out    vl_logic;
        sd_b_wvalid     : out    vl_logic;
        sd_b_wdata      : out    vl_logic_vector(63 downto 0);
        sd_b_bready     : out    vl_logic;
        sd_b_arid       : out    vl_logic_vector(3 downto 0);
        sd_b_araddr     : out    vl_logic_vector(31 downto 0);
        sd_b_arlen      : out    vl_logic_vector(3 downto 0);
        sd_b_arsize     : out    vl_logic_vector(1 downto 0);
        sd_b_arburst    : out    vl_logic_vector(1 downto 0);
        sd_b_arlock     : out    vl_logic_vector(1 downto 0);
        sd_b_arvalid    : out    vl_logic;
        sd_b_rready     : out    vl_logic
    );
end MSSDDR_SDRMUX;
