library verilog;
use verilog.vl_types.all;
entity MSS_FACC is
    port(
        pll_ref_clk     : out    vl_logic;
        pll_fb_clk      : out    vl_logic;
        fclk            : out    vl_logic;
        pclk0           : out    vl_logic;
        pclk1           : out    vl_logic;
        pclk2           : out    vl_logic;
        clk_fic64       : out    vl_logic;
        clk_config_apb  : out    vl_logic;
        clk_ddr         : out    vl_logic;
        hclk            : out    vl_logic;
        facc_pll_lock   : out    vl_logic;
        apb0_lastcycle  : out    vl_logic;
        last_cycle_fic32_0: out    vl_logic;
        last_cycle_fic32_1: out    vl_logic;
        clk_25_50mhz    : in     vl_logic;
        clk_1mhz        : in     vl_logic;
        clk_xtal        : in     vl_logic;
        pll_out_clk     : in     vl_logic;
        clk_base        : in     vl_logic;
        CLK_MDDR_APB    : in     vl_logic;
        FAB_PLL_LOCK    : in     vl_logic;
        mddr_config_local: in     vl_logic;
        facc_fab_ref_sel: in     vl_logic;
        facc_src_sel    : in     vl_logic_vector(2 downto 0);
        fic32_0_divisor : in     vl_logic_vector(2 downto 0);
        fic32_1_divisor : in     vl_logic_vector(2 downto 0);
        divisor_a       : in     vl_logic_vector(1 downto 0);
        fclk_divisor    : in     vl_logic_vector(2 downto 0);
        apb0_divisor    : in     vl_logic_vector(2 downto 0);
        apb1_divisor    : in     vl_logic_vector(2 downto 0);
        fic64_divisor   : in     vl_logic_vector(2 downto 0);
        base_divisor    : in     vl_logic_vector(2 downto 0);
        ddr_clk_en      : in     vl_logic;
        m3_allowed      : in     vl_logic;
        m3_disable      : in     vl_logic;
        gatehclk        : in     vl_logic;
        pll_lock        : in     vl_logic;
        div_resetn      : in     vl_logic
    );
end MSS_FACC;
