library verilog;
use verilog.vl_types.all;
entity MSS_H2FINTCTRL is
    port(
        PCLK            : in     vl_logic;
        SYSRESETN       : in     vl_logic;
        H2FINT_PENABLE  : in     vl_logic;
        H2FINT_PSEL     : in     vl_logic;
        H2FINT_PADDR    : in     vl_logic_vector(2 downto 0);
        H2FINT_PWRITE   : in     vl_logic;
        H2FINT_PWDATA   : in     vl_logic_vector(31 downto 0);
        H2FINT_PRDATA   : out    vl_logic_vector(31 downto 0);
        PDMAINTERRUPT   : in     vl_logic;
        MSSDDR_PLL_LOCK_INT: in     vl_logic;
        MSSDDR_PLL_LOCKLOST_INT: in     vl_logic;
        FAB_PLL_LOCK_INT: in     vl_logic;
        FAB_PLL_LOCKLOST_INT: in     vl_logic;
        SOFTiNTERRUPT   : in     vl_logic;
        HPD_XFR_ERR_INT : in     vl_logic;
        HPD_XFR_CMP_INT : in     vl_logic;
        SW_ERRORINTERRUPT: in     vl_logic;
        CACHE_ERRINTR   : in     vl_logic;
        DDRB_INTR       : in     vl_logic;
        ECCINTR         : in     vl_logic;
        MDDR_IO_CALIB_INT: in     vl_logic;
        FIC64_INT       : in     vl_logic;
        COMBLK_INTR     : in     vl_logic;
        H2F_INTERRUPT   : out    vl_logic_vector(15 downto 0)
    );
end MSS_H2FINTCTRL;
