library verilog;
use verilog.vl_types.all;
entity MSS_I2C is
    generic(
        INITFILE        : string  := " ";
        ID              : vl_logic := Hi0
    );
    port(
        PCLK            : in     vl_logic;
        PRESET_N        : in     vl_logic;
        SOFTRESET       : in     vl_logic;
        PENABLE         : in     vl_logic;
        PWRITE          : in     vl_logic;
        PSEL            : in     vl_logic;
        PADDR           : in     vl_logic_vector(11 downto 0);
        PWDATA          : in     vl_logic_vector(31 downto 0);
        PREADY          : out    vl_logic;
        PSLVERR         : out    vl_logic;
        PRDATA          : out    vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of INITFILE : constant is 1;
    attribute mti_svvh_generic_type of ID : constant is 1;
end MSS_I2C;
