library verilog;
use verilog.vl_types.all;
entity MSS_SIIMASTER is
    port(
        TESTMODE        : in     vl_logic;
        si_clk          : in     vl_logic;
        si_reset_b      : in     vl_logic;
        si_we           : in     vl_logic;
        si_addr         : in     vl_logic_vector(27 downto 0);
        si_dataw        : in     vl_logic_vector(8 downto 0);
        si_datar        : out    vl_logic_vector(8 downto 0);
        si_datarin      : in     vl_logic_vector(8 downto 0);
        HCLK            : in     vl_logic;
        HRESETN         : in     vl_logic;
        HTRANS          : out    vl_logic_vector(1 downto 0);
        HSIZE           : out    vl_logic_vector(1 downto 0);
        HADDR           : out    vl_logic_vector(31 downto 0);
        HSEL            : out    vl_logic;
        HWRITE          : out    vl_logic;
        HMASTLOCK       : out    vl_logic;
        HWDATA          : out    vl_logic_vector(31 downto 0);
        HRDATA          : in     vl_logic_vector(31 downto 0);
        HREADY          : in     vl_logic;
        HRESP           : in     vl_logic
    );
end MSS_SIIMASTER;
