library verilog;
use verilog.vl_types.all;
entity PDMAReg is
    port(
        FCLK            : in     vl_logic;
        SYSRESETn       : in     vl_logic;
        globalChanReset : in     vl_logic;
        writeReg        : in     vl_logic;
        PADDRReg        : in     vl_logic_vector(4 downto 0);
        readReg         : in     vl_logic;
        PADDR           : in     vl_logic_vector(4 downto 0);
        PWDATAReg       : in     vl_logic_vector(31 downto 0);
        updatePortCntrs : in     vl_logic;
        dmaPortDone     : in     vl_logic;
        chanReady       : in     vl_logic_vector(15 downto 0);
        channPRDATA     : out    vl_logic_vector(31 downto 0);
        dmaLowPriReq    : out    vl_logic;
        dmaHiPriReq     : out    vl_logic;
        channTransferSize: out    vl_logic_vector(1 downto 0);
        channReadyAdjust: out    vl_logic_vector(7 downto 0);
        channSourceAddr : out    vl_logic_vector(31 downto 0);
        channDestAddr   : out    vl_logic_vector(31 downto 0);
        channInterOut   : out    vl_logic;
        srcIsPeriph     : out    vl_logic;
        destIsPeriph    : out    vl_logic;
        dmaPortDoneA    : out    vl_logic;
        dmaPortDoneB    : out    vl_logic
    );
end PDMAReg;
