library verilog;
use verilog.vl_types.all;
entity SWMaster0Stage is
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        G4_TESTESRAM1REMAP: in     vl_logic;
        G4_ENVMPOWEREDDOWN: in     vl_logic;
        SW_MASTERENABLE : in     vl_logic;
        SW_CC_ESRAMFWREMAP: in     vl_logic;
        SW_ENVMREMAPSIZE: in     vl_logic_vector(4 downto 0);
        SW_ENVMREMAPBASE: in     vl_logic_vector(18 downto 0);
        SW_CLEARSTATUS  : in     vl_logic;
        ENVM_BLOCK_SIZE : in     vl_logic_vector(1 downto 0);
        SW_ERRORSTATUS  : out    vl_logic;
        MM0_1_2_MS0_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS0_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS1_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS1_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS2_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS2_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS3_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS3_ALLOWED_W: in     vl_logic;
        HADDR           : in     vl_logic_vector(31 downto 0);
        HMASTLOCK       : in     vl_logic;
        HSIZE           : in     vl_logic_vector(2 downto 0);
        HBURST          : in     vl_logic_vector(2 downto 0);
        HTRANS          : in     vl_logic_vector(1 downto 0);
        HWRITE          : in     vl_logic;
        HRESP           : out    vl_logic;
        HRDATA          : out    vl_logic_vector(31 downto 0);
        HREADY_M        : out    vl_logic;
        sAddrReady      : in     vl_logic_vector(6 downto 0);
        sDataReady      : in     vl_logic_vector(6 downto 0);
        sHResp          : in     vl_logic_vector(6 downto 0);
        gatedHADDR      : out    vl_logic_vector(31 downto 0);
        gatedHMASTLOCK  : out    vl_logic;
        gatedHSIZE      : out    vl_logic_vector(2 downto 0);
        gatedHBURST     : out    vl_logic_vector(2 downto 0);
        gatedHTRANS     : out    vl_logic_vector(1 downto 0);
        gatedHWRITE     : out    vl_logic;
        sAddrSel        : out    vl_logic_vector(6 downto 0);
        sDataSel        : out    vl_logic_vector(6 downto 0);
        prevDataSlaveReady: out    vl_logic;
        HRDATA_S0       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S0    : in     vl_logic;
        HRDATA_S1       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S1    : in     vl_logic;
        HRDATA_S2       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S2    : in     vl_logic;
        HRDATA_S3       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S3    : in     vl_logic
    );
end SWMaster0Stage;
