library verilog;
use verilog.vl_types.all;
entity SW_A2ABridge_120 is
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        FIC_SLAVE1Sel   : in     vl_logic;
        FIC_SLAVE1SelOut: out    vl_logic;
        A2AB_S_HWDATA   : in     vl_logic_vector(31 downto 0);
        A2AB_S_HTRANS1  : in     vl_logic;
        A2AB_S_HSIZE    : in     vl_logic_vector(2 downto 0);
        A2AB_S_HWRITE   : in     vl_logic;
        A2AB_S_HADDR    : in     vl_logic_vector(31 downto 0);
        A2AB_S_HMASTLOCK: in     vl_logic;
        A2AB_S_HMASTER  : in     vl_logic_vector(1 downto 0);
        A2AB_S_HREADY   : in     vl_logic;
        A2AB_S_HSEL     : in     vl_logic;
        A2AB_S_HRDATA   : out    vl_logic_vector(31 downto 0);
        A2AB_S_HRESP    : out    vl_logic;
        A2AB_S_HREADYOUT: out    vl_logic;
        A2AB_M_HWDATA   : out    vl_logic_vector(31 downto 0);
        A2AB_M_HTRANS1  : out    vl_logic;
        A2AB_M_HSIZE    : out    vl_logic_vector(2 downto 0);
        A2AB_M_HWRITE   : out    vl_logic;
        A2AB_M_HADDR    : out    vl_logic_vector(31 downto 0);
        A2AB_M_HMASTLOCK: out    vl_logic;
        A2AB_M_HMASTER  : out    vl_logic_vector(1 downto 0);
        A2AB_M_HREADY   : out    vl_logic;
        A2AB_M_HRDATA   : in     vl_logic_vector(31 downto 0);
        A2AB_M_HRESP    : in     vl_logic;
        A2AB_M_HREADYOUT: in     vl_logic
    );
end SW_A2ABridge_120;
