library verilog;
use verilog.vl_types.all;
entity SimSDR is
    generic(
        BA_BITS         : integer := 2;
        ADDR_BITS       : integer := 13;
        ROW_ADDR_BITS   : integer := 13;
        COL_ADDR_BITS   : integer := 13;
        DQ_BITS         : integer := 16;
        DM_BITS         : integer := 2;
        MAX_BURST_IN_MEM: integer := 10;
        RD_WR_BUF_SIZE  : integer := 10;
        BL_BITS         : integer := 3;
        BL_MAX          : integer := 8;
        AP              : integer := 10;
        CL_MIN          : integer := 1;
        CL_MAX          : integer := 3;
        TAC             : real    := 5.400000;
        TOH             : real    := 3.000000;
        TRFC            : integer := 35
    );
    port(
        CLK             : in     vl_logic;
        CKE             : in     vl_logic;
        CS_N            : in     vl_logic;
        RAS_N           : in     vl_logic;
        CAS_N           : in     vl_logic;
        WE_N            : in     vl_logic;
        DM              : in     vl_logic;
        BA              : in     vl_logic;
        ADDR            : in     vl_logic;
        DQ              : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BA_BITS : constant is 1;
    attribute mti_svvh_generic_type of ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of COL_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of DQ_BITS : constant is 1;
    attribute mti_svvh_generic_type of DM_BITS : constant is 1;
    attribute mti_svvh_generic_type of MAX_BURST_IN_MEM : constant is 1;
    attribute mti_svvh_generic_type of RD_WR_BUF_SIZE : constant is 1;
    attribute mti_svvh_generic_type of BL_BITS : constant is 1;
    attribute mti_svvh_generic_type of BL_MAX : constant is 1;
    attribute mti_svvh_generic_type of AP : constant is 1;
    attribute mti_svvh_generic_type of CL_MIN : constant is 1;
    attribute mti_svvh_generic_type of CL_MAX : constant is 1;
    attribute mti_svvh_generic_type of TAC : constant is 1;
    attribute mti_svvh_generic_type of TOH : constant is 1;
    attribute mti_svvh_generic_type of TRFC : constant is 1;
end SimSDR;
