library verilog;
use verilog.vl_types.all;
entity SlaveArbiterM9 is
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        mAddrSel        : in     vl_logic_vector(9 downto 0);
        m0HBURST_STRT   : in     vl_logic;
        m0BUSY          : in     vl_logic;
        addrPhEnd       : in     vl_logic;
        m2GatedHMASTLOCK: in     vl_logic;
        m4GatedHMASTLOCK: in     vl_logic;
        m5GatedHMASTLOCK: in     vl_logic;
        m9GatedHMASTLOCK: in     vl_logic;
        SW_PRGWEIGHT_M0 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M2 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M3 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M4 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M5 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M6 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M7 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M8 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M9 : in     vl_logic_vector(4 downto 0);
        masterAddrInProg: out    vl_logic_vector(9 downto 0)
    );
end SlaveArbiterM9;
