library verilog;
use verilog.vl_types.all;
entity acjtag_ctrl_120 is
    port(
        acjtag_mode     : in     vl_logic;
        scan_mode       : in     vl_logic;
        acjtag_enable   : in     vl_logic;
        acjtag_acmode   : in     vl_logic;
        acjtag_drive1   : in     vl_logic;
        acjtag_highz    : in     vl_logic;
        atxclk          : in     vl_logic;
        aforcetxhiz     : out    vl_logic;
        aforcerxhiz     : out    vl_logic;
        atxplldivinit   : out    vl_logic;
        arxplldivinit   : out    vl_logic;
        arxskipbit      : out    vl_logic;
        alpbknearend    : out    vl_logic;
        atxselrxfb      : out    vl_logic;
        atxm            : out    vl_logic_vector(1 downto 0);
        atxn            : out    vl_logic_vector(4 downto 0);
        atxf            : out    vl_logic_vector(3 downto 0);
        arxm            : out    vl_logic_vector(1 downto 0);
        arxn            : out    vl_logic_vector(4 downto 0);
        arxf            : out    vl_logic_vector(3 downto 0);
        atxpllrstb      : out    vl_logic;
        acdrpllrstb     : out    vl_logic;
        atxhfclkdnb     : out    vl_logic;
        arxhfclkdnb     : out    vl_logic;
        arxpwrdwnb      : out    vl_logic;
        ashutvmainbyvmainb: out    vl_logic;
        azcalib         : out    vl_logic_vector(6 downto 0);
        azcalibtype     : out    vl_logic_vector(1 downto 0);
        azcalibmir      : out    vl_logic;
        asertx_ctr      : out    vl_logic_vector(1 downto 0);
        aserdata        : out    vl_logic;
        aserdatt        : out    vl_logic;
        aserdatp        : out    vl_logic;
        aserrx_ctr      : out    vl_logic_vector(1 downto 0);
        aserdatr        : out    vl_logic;
        atxdetectrxdisable: out    vl_logic;
        atrandetctrlb   : out    vl_logic;
        asigdetsetting  : out    vl_logic;
        arxtest         : out    vl_logic;
        acdrdiagin      : out    vl_logic;
        arxfdip0        : out    vl_logic;
        arxfdip1        : out    vl_logic;
        arxdnull        : out    vl_logic_vector(3 downto 0);
        arxdnullcal     : out    vl_logic;
        arxdnulldir     : out    vl_logic;
        arxtnull        : out    vl_logic_vector(3 downto 0);
        arxtnullcal     : out    vl_logic;
        arxtnulldir     : out    vl_logic;
        aschnull        : out    vl_logic_vector(3 downto 0);
        aschnullcal     : out    vl_logic;
        aschnulldir     : out    vl_logic;
        atxdi           : out    vl_logic_vector(19 downto 0);
        abeacond        : out    vl_logic;
        beaconon        : out    vl_logic;
        ashutvauxbyvauxb: out    vl_logic;
        atxicp          : out    vl_logic_vector(2 downto 0);
        arxicp          : out    vl_logic_vector(2 downto 0);
        arxcdricp       : out    vl_logic_vector(2 downto 0)
    );
end acjtag_ctrl_120;
