library verilog;
use verilog.vl_types.all;
entity apb_2serdes_prog_intf_120 is
    port(
        APB_CLK         : in     vl_logic;
        APB_PRESETn     : in     vl_logic;
        APB_PSEL        : in     vl_logic;
        APB_PENABLE     : in     vl_logic;
        APB_PWRITE      : in     vl_logic;
        APB_PADDR       : in     vl_logic_vector(11 downto 0);
        APB_PWDATA      : in     vl_logic_vector(31 downto 0);
        APB_PREADY      : out    vl_logic;
        APB_PRDATA      : out    vl_logic_vector(31 downto 0);
        APB_PSLVERR     : out    vl_logic;
        CFGR_REG_LANE_SEL: in     vl_logic_vector(3 downto 0);
        REG_LANE_SEL    : out    vl_logic_vector(3 downto 0);
        GEN_REG_REQ     : out    vl_logic;
        GEN_REG_ACK     : in     vl_logic;
        GEN_REG_RWN     : out    vl_logic;
        GEN_REG_ADDR    : out    vl_logic_vector(7 downto 0);
        GEN_REG_WDATA   : out    vl_logic_vector(7 downto 0);
        GEN_REG_RDATA   : in     vl_logic_vector(7 downto 0)
    );
end apb_2serdes_prog_intf_120;
