library verilog;
use verilog.vl_types.all;
entity atxclk_divider is
    port(
        scan_mode       : in     vl_logic;
        scan_clk        : in     vl_logic;
        atxrstn         : in     vl_logic;
        atxclk          : in     vl_logic;
        fast_init       : in     vl_logic;
        atxclkstable    : in     vl_logic;
        p2_state        : in     vl_logic;
        async_p2exit    : in     vl_logic;
        mask_phystatus  : out    vl_logic;
        ev250ns_max     : in     vl_logic_vector(8 downto 0);
        ev250ns         : out    vl_logic;
        ev1us_lvl       : out    vl_logic;
        rate            : in     vl_logic;
        sel_arefclk     : out    vl_logic;
        stop_clk        : out    vl_logic;
        pll_rstn        : out    vl_logic;
        cur_rate        : out    vl_logic;
        new_rate        : out    vl_logic;
        div_mode0       : in     vl_logic_vector(1 downto 0);
        div_mode1       : in     vl_logic_vector(1 downto 0);
        pclk            : out    vl_logic
    );
end atxclk_divider;
