library verilog;
use verilog.vl_types.all;
entity axi_exclusive_010 is
    generic(
        BRIDGE_ENABLED  : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        f_awstrobe      : in     vl_logic;
        f_wstrobe       : in     vl_logic;
        f_awid          : in     vl_logic_vector(3 downto 0);
        f_awlock        : in     vl_logic_vector(1 downto 0);
        f_waddr         : in     vl_logic_vector(31 downto 0);
        f_arstrobe      : in     vl_logic;
        f_arid          : in     vl_logic_vector(3 downto 0);
        f_araddr        : in     vl_logic_vector(31 downto 0);
        f_arwrap        : in     vl_logic;
        f_arlock        : in     vl_logic_vector(1 downto 0);
        f_arsize        : in     vl_logic_vector(1 downto 0);
        f_arlen         : in     vl_logic_vector(3 downto 0);
        b_awstrobe      : in     vl_logic;
        b_wstrobe       : in     vl_logic;
        b_awid          : in     vl_logic_vector(3 downto 0);
        b_awlock        : in     vl_logic_vector(1 downto 0);
        b_waddr         : in     vl_logic_vector(31 downto 0);
        b_arstrobe      : in     vl_logic;
        b_arlock        : in     vl_logic_vector(1 downto 0);
        ex_acc_fail     : out    vl_logic;
        ex_acc_all      : out    vl_logic_vector(3 downto 0);
        b_lock_on       : out    vl_logic;
        f_lock_on       : out    vl_logic;
        cfg_ex_id0      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id1      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id2      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id3      : in     vl_logic_vector(3 downto 0);
        cfg_pr_fab_lock : in     vl_logic;
        cfg_clrlock     : in     vl_logic;
        cfg_ex_bridge   : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BRIDGE_ENABLED : constant is 1;
end axi_exclusive_010;
