library verilog;
use verilog.vl_types.all;
entity axi_write_port_010 is
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        awid            : in     vl_logic_vector(3 downto 0);
        awaddr          : in     vl_logic_vector(31 downto 0);
        awlen           : in     vl_logic_vector(3 downto 0);
        awsize          : in     vl_logic_vector(1 downto 0);
        awburst         : in     vl_logic_vector(1 downto 0);
        awlock          : in     vl_logic_vector(1 downto 0);
        awvalid         : in     vl_logic;
        awready         : out    vl_logic;
        wid             : in     vl_logic_vector(3 downto 0);
        wdata           : in     vl_logic_vector(63 downto 0);
        wstrb           : in     vl_logic_vector(7 downto 0);
        wlast           : in     vl_logic;
        wvalid          : in     vl_logic;
        wready          : out    vl_logic;
        rmw             : in     vl_logic;
        bready          : in     vl_logic;
        bid             : out    vl_logic_vector(3 downto 0);
        bresp           : out    vl_logic_vector(1 downto 0);
        bvalid          : out    vl_logic;
        pr_wr_req       : out    vl_logic;
        pr_wr_priority  : out    vl_logic;
        pr_wrdata       : out    vl_logic_vector(63 downto 0);
        pr_wrstrb       : out    vl_logic_vector(7 downto 0);
        pr_wlast        : out    vl_logic;
        pr_wvalid       : out    vl_logic;
        pr_wr_lck       : out    vl_logic;
        pr_wr_cmd       : out    vl_logic_vector(39 downto 0);
        pr_rmw          : out    vl_logic;
        pr_wr_grant     : in     vl_logic;
        pr_wready       : in     vl_logic;
        ddrc_rstn       : in     vl_logic;
        priority_id_1   : in     vl_logic_vector(3 downto 0);
        priority_id_1_en: in     vl_logic;
        priority_id_2   : in     vl_logic_vector(3 downto 0);
        priority_id_2_en: in     vl_logic;
        f_access_disable: in     vl_logic;
        ex_awstrobe     : out    vl_logic;
        ex_wstrobe      : out    vl_logic;
        ex_awid         : out    vl_logic_vector(3 downto 0);
        ex_awlock       : out    vl_logic_vector(1 downto 0);
        ex_waddr        : out    vl_logic_vector(31 downto 0);
        ex_acc_fail     : in     vl_logic;
        ex_acc_all      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id0      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id1      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id2      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id3      : in     vl_logic_vector(3 downto 0)
    );
end axi_write_port_010;
