library verilog;
use verilog.vl_types.all;
entity aximon is
    generic(
        id              : integer := 0;
        timeout_enabled : integer := 1
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        arid            : in     vl_logic_vector(3 downto 0);
        araddr          : in     vl_logic_vector(31 downto 0);
        arlen           : in     vl_logic_vector(3 downto 0);
        arsize          : in     vl_logic_vector(1 downto 0);
        arburst         : in     vl_logic_vector(1 downto 0);
        arlock          : in     vl_logic_vector(1 downto 0);
        arvalid         : in     vl_logic;
        arready         : in     vl_logic;
        rready          : in     vl_logic;
        rid             : in     vl_logic_vector(3 downto 0);
        rdata           : in     vl_logic_vector(63 downto 0);
        rresp           : in     vl_logic_vector(1 downto 0);
        rlast           : in     vl_logic;
        rvalid          : in     vl_logic;
        tokens_inuse    : in     vl_logic_vector(3 downto 0);
        awid            : in     vl_logic_vector(3 downto 0);
        awaddr          : in     vl_logic_vector(31 downto 0);
        awlen           : in     vl_logic_vector(3 downto 0);
        awsize          : in     vl_logic_vector(1 downto 0);
        awburst         : in     vl_logic_vector(1 downto 0);
        awlock          : in     vl_logic_vector(1 downto 0);
        awvalid         : in     vl_logic;
        awready         : in     vl_logic;
        awrmw           : in     vl_logic;
        wid             : in     vl_logic_vector(3 downto 0);
        wdata           : in     vl_logic_vector(63 downto 0);
        wstrb           : in     vl_logic_vector(7 downto 0);
        wlast           : in     vl_logic;
        wvalid          : in     vl_logic;
        wready          : in     vl_logic;
        bready          : in     vl_logic;
        bid             : in     vl_logic_vector(3 downto 0);
        bresp           : in     vl_logic_vector(1 downto 0);
        bvalid          : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of id : constant is 1;
    attribute mti_svvh_generic_type of timeout_enabled : constant is 1;
end aximon;
