library verilog;
use verilog.vl_types.all;
entity cachematrix5x6_010 is
    port(
        FCLK            : in     vl_logic;
        CACHE_RESETN    : in     vl_logic;
        sysRegManTestMode: in     vl_logic;
        sysRegDdrRempEnb: in     vl_logic;
        sysRegEsramRempEnb: in     vl_logic;
        cache_dCErrRespClr: in     vl_logic;
        cache_iCErrRespClr: in     vl_logic;
        cache_sBErrRespClr: in     vl_logic;
        cm3_mddr_allowed_r: in     vl_logic;
        cm3_mddr_allowed_w: in     vl_logic;
        cache_prgburst  : in     vl_logic_vector(4 downto 0);
        cacheConErrResp : out    vl_logic_vector(3 downto 0);
        cacheConHrespErrIntr: out    vl_logic;
        dCodeErrRespAddr: out    vl_logic_vector(31 downto 0);
        iCodeErrRespAddr: out    vl_logic_vector(31 downto 0);
        sBusErrRespAddr : out    vl_logic_vector(31 downto 0);
        sbusexaccerr_intr: out    vl_logic;
        dbusexaccerr_intr: out    vl_logic;
        HADDRD          : in     vl_logic_vector(31 downto 0);
        HMASTLOCKD      : in     vl_logic;
        HSIZED          : in     vl_logic_vector(2 downto 0);
        HTRANS1D        : in     vl_logic;
        HWRITED         : in     vl_logic;
        HWDATAD         : in     vl_logic_vector(31 downto 0);
        EXREQD          : in     vl_logic;
        HRESPD          : out    vl_logic;
        HRDATAD         : out    vl_logic_vector(31 downto 0);
        HREADYD         : out    vl_logic;
        HADDRI          : in     vl_logic_vector(31 downto 0);
        HMASTLOCKI      : in     vl_logic;
        HSIZEI          : in     vl_logic_vector(2 downto 0);
        HTRANS1I        : in     vl_logic;
        HRESPI          : out    vl_logic;
        HRDATAI         : out    vl_logic_vector(31 downto 0);
        HREADYI         : out    vl_logic;
        HADDRS          : in     vl_logic_vector(31 downto 0);
        HMASTLOCKS      : in     vl_logic;
        HSIZES          : in     vl_logic_vector(2 downto 0);
        HTRANS1S        : in     vl_logic;
        HWRITES         : in     vl_logic;
        HWDATAS         : in     vl_logic_vector(31 downto 0);
        EXREQS          : in     vl_logic;
        HRESPS          : out    vl_logic;
        HRDATAS         : out    vl_logic_vector(31 downto 0);
        HREADYS         : out    vl_logic;
        HADDRC          : in     vl_logic_vector(31 downto 0);
        HMASTLOCKC      : in     vl_logic;
        HSIZEC          : in     vl_logic_vector(2 downto 0);
        HTRANS1C        : in     vl_logic_vector(1 downto 0);
        HBURSTC         : in     vl_logic_vector(2 downto 0);
        HRESPC          : out    vl_logic;
        HRDATAC         : out    vl_logic_vector(31 downto 0);
        HREADYC         : out    vl_logic;
        CC_D_HRDATA     : in     vl_logic_vector(31 downto 0);
        CC_D_HREADYOUT  : in     vl_logic;
        CC_D_HRESP      : in     vl_logic;
        CC_D_HSEL       : out    vl_logic;
        CC_D_HADDR      : out    vl_logic_vector(31 downto 0);
        CC_D_HSIZE      : out    vl_logic_vector(2 downto 0);
        CC_D_HTRANS1    : out    vl_logic;
        CC_D_HWRITE     : out    vl_logic;
        CC_D_HWDATA     : out    vl_logic_vector(31 downto 0);
        CC_D_HREADY     : out    vl_logic;
        CC_SG_HRDATA    : in     vl_logic_vector(31 downto 0);
        CC_SG_HREADYOUT : in     vl_logic;
        CC_SG_HRESP     : in     vl_logic;
        CC_SG_HSEL      : out    vl_logic;
        CC_SG_HADDR     : out    vl_logic_vector(31 downto 0);
        CC_SG_HSIZE     : out    vl_logic_vector(2 downto 0);
        CC_SG_HTRANS1   : out    vl_logic;
        CC_SG_HWRITE    : out    vl_logic;
        CC_SG_HWDATA    : out    vl_logic_vector(31 downto 0);
        CC_SG_HREADY    : out    vl_logic;
        CC_SG_HMASTLOCK : out    vl_logic;
        CC_PFB_HRDATA   : in     vl_logic_vector(31 downto 0);
        CC_PFB_HREADYOUT: in     vl_logic;
        CC_PFB_HRESP    : in     vl_logic;
        CC_PFB_HSEL     : out    vl_logic;
        CC_PFB_HADDR    : out    vl_logic_vector(31 downto 0);
        CC_PFB_HSIZE    : out    vl_logic_vector(2 downto 0);
        CC_PFB_HTRANS1  : out    vl_logic_vector(1 downto 0);
        CC_PFB_HBURST   : out    vl_logic_vector(2 downto 0);
        CC_PFB_HWRITE   : out    vl_logic;
        CC_PFB_HWDATA   : out    vl_logic_vector(31 downto 0);
        CC_PFB_HREADY   : out    vl_logic;
        CC_DR_HRDATA    : in     vl_logic_vector(31 downto 0);
        CC_DR_HREADYOUT : in     vl_logic;
        CC_DR_HRESP     : in     vl_logic;
        CC_DR_HSEL      : out    vl_logic;
        CC_DR_HADDR     : out    vl_logic_vector(31 downto 0);
        CC_DR_HSIZE     : out    vl_logic_vector(2 downto 0);
        CC_DR_HTRANS1   : out    vl_logic;
        CC_DR_HWRITE    : out    vl_logic;
        CC_DR_HWDATA    : out    vl_logic_vector(31 downto 0);
        CC_DR_HREADY    : out    vl_logic;
        CC_IR_HRDATA    : in     vl_logic_vector(31 downto 0);
        CC_IR_HREADYOUT : in     vl_logic;
        CC_IR_HRESP     : in     vl_logic;
        CC_IR_HSEL      : out    vl_logic;
        CC_IR_HADDR     : out    vl_logic_vector(31 downto 0);
        CC_IR_HSIZE     : out    vl_logic_vector(2 downto 0);
        CC_IR_HTRANS1   : out    vl_logic;
        CC_IR_HWRITE    : out    vl_logic;
        CC_IR_HWDATA    : out    vl_logic_vector(31 downto 0);
        CC_IR_HREADY    : out    vl_logic;
        CC_DSG_HRDATA   : in     vl_logic_vector(31 downto 0);
        CC_DSG_HREADYOUT: in     vl_logic;
        CC_DSG_HRESP    : in     vl_logic;
        CC_DSG_HSEL     : out    vl_logic;
        CC_DSG_HADDR    : out    vl_logic_vector(31 downto 0);
        CC_DSG_HSIZE    : out    vl_logic_vector(2 downto 0);
        CC_DSG_HTRANS1  : out    vl_logic;
        CC_DSG_HWRITE   : out    vl_logic;
        CC_DSG_HWDATA   : out    vl_logic_vector(31 downto 0);
        CC_DSG_HREADY   : out    vl_logic;
        CC_DSG_HMASTLOCK: out    vl_logic;
        CC_S_HRDATA     : in     vl_logic_vector(31 downto 0);
        CC_S_HREADYOUT  : in     vl_logic;
        CC_S_HRESP      : in     vl_logic;
        CC_S_HSEL       : out    vl_logic;
        CC_S_HADDR      : out    vl_logic_vector(31 downto 0);
        CC_S_HSIZE      : out    vl_logic_vector(2 downto 0);
        CC_S_HTRANS1    : out    vl_logic;
        CC_S_HWRITE     : out    vl_logic;
        CC_S_HWDATA     : out    vl_logic_vector(31 downto 0);
        CC_S_HREADY     : out    vl_logic
    );
end cachematrix5x6_010;
