library verilog;
use verilog.vl_types.all;
entity calib_calc_120 is
    port(
        pclk            : in     vl_logic;
        rstn            : in     vl_logic;
        calc_req        : in     vl_logic;
        calc_typ        : in     vl_logic_vector(1 downto 0);
        tx_sweep_center : in     vl_logic_vector(6 downto 0);
        ri_sweep_center : in     vl_logic_vector(6 downto 0);
        re_sweep_center : in     vl_logic_vector(6 downto 0);
        calc_ack        : out    vl_logic;
        calc_done       : out    vl_logic;
        imp_ratio       : in     vl_logic_vector(7 downto 0);
        re_amp_ratio    : in     vl_logic_vector(7 downto 0);
        re_cut_ratio    : in     vl_logic_vector(7 downto 0);
        tx_amp_ratio    : in     vl_logic_vector(7 downto 0);
        tx_pst_ratio    : in     vl_logic_vector(7 downto 0);
        tx_pre_ratio    : in     vl_logic_vector(7 downto 0);
        atxdrr_sel0     : out    vl_logic_vector(14 downto 0);
        atxdrp_sel0     : out    vl_logic_vector(20 downto 0);
        atxdra_sel0     : out    vl_logic_vector(20 downto 0);
        atxdrt_sel0     : out    vl_logic_vector(20 downto 0);
        atxdrp_sel1     : out    vl_logic_vector(20 downto 0);
        atxdra_sel1     : out    vl_logic_vector(20 downto 0);
        atxdrt_sel1     : out    vl_logic_vector(20 downto 0);
        atxdrp_sel2     : out    vl_logic_vector(20 downto 0);
        atxdra_sel2     : out    vl_logic_vector(20 downto 0);
        atxdrt_sel2     : out    vl_logic_vector(20 downto 0)
    );
end calib_calc_120;
