library verilog;
use verilog.vl_types.all;
entity cc_cm_master4stg is
    port(
        FCLK            : in     vl_logic;
        CACHE_RESETN    : in     vl_logic;
        HADDR           : in     vl_logic_vector(31 downto 0);
        HMASTLOCK       : in     vl_logic;
        HSIZE           : in     vl_logic_vector(2 downto 0);
        HTRANS1         : in     vl_logic_vector(1 downto 0);
        HBURST          : in     vl_logic_vector(2 downto 0);
        HWRITE          : in     vl_logic;
        HRESP           : out    vl_logic;
        HRDATA          : out    vl_logic_vector(31 downto 0);
        HREADY_M        : out    vl_logic;
        sAddrReady      : in     vl_logic;
        sDataReady      : in     vl_logic;
        sHResp          : in     vl_logic;
        gatedHADDR      : out    vl_logic_vector(31 downto 0);
        gatedHMASTLOCK  : out    vl_logic;
        gatedHSIZE      : out    vl_logic_vector(2 downto 0);
        gatedHTRANS1    : out    vl_logic_vector(1 downto 0);
        gatedHBURST     : out    vl_logic_vector(2 downto 0);
        gatedHWRITE     : out    vl_logic;
        sAddrSel        : out    vl_logic;
        sDataSel        : out    vl_logic;
        prevDataSlaveReady: out    vl_logic;
        HRDATA_S2       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S2    : in     vl_logic
    );
end cc_cm_master4stg;
