library verilog;
use verilog.vl_types.all;
entity ddrb_raddr_chctrl_120 is
    port(
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_arb_m1_rdack : in     vl_logic;
        db_arb_m2_rdack : in     vl_logic;
        db_arb_m3_rdack : in     vl_logic;
        db_arb_m4_rdack : in     vl_logic;
        db_mst1_rdaddr  : in     vl_logic_vector(31 downto 0);
        db_mst2_rdaddr  : in     vl_logic_vector(31 downto 0);
        db_mst3_rdaddr  : in     vl_logic_vector(31 downto 0);
        db_mst4_rdaddr  : in     vl_logic_vector(31 downto 0);
        db_mst1_rdblen  : in     vl_logic_vector(1 downto 0);
        db_mst2_rdblen  : in     vl_logic_vector(1 downto 0);
        db_mst3_rdblen  : in     vl_logic_vector(1 downto 0);
        db_mst4_rdblen  : in     vl_logic_vector(1 downto 0);
        db_arb_rdlk_xfer: in     vl_logic;
        ddrs_axi_arready: in     vl_logic;
        db_racc_xfer_prg: out    vl_logic;
        db_rac_xferdone : out    vl_logic;
        ddrb_axi_arid   : out    vl_logic_vector(3 downto 0);
        ddrb_axi_araddr : out    vl_logic_vector(31 downto 0);
        ddrb_axi_arlen  : out    vl_logic_vector(3 downto 0);
        ddrb_axi_arsize : out    vl_logic_vector(2 downto 0);
        ddrb_axi_arburst: out    vl_logic_vector(1 downto 0);
        ddrb_axi_arlock : out    vl_logic_vector(1 downto 0);
        ddrb_axi_arvalid: out    vl_logic
    );
end ddrb_raddr_chctrl_120;
