library verilog;
use verilog.vl_types.all;
entity ddrb_wdata_chctrl_120 is
    generic(
        DATA1_ONBUS     : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi1);
        DATA2_ONBUS     : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi1, Hi0);
        DATA3_ONBUS     : vl_logic_vector(0 to 3) := (Hi0, Hi1, Hi0, Hi0);
        DATA4_ONBUS     : vl_logic_vector(0 to 3) := (Hi1, Hi0, Hi0, Hi0);
        DATA1_ONBUS_B   : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        DATA2_ONBUS_B   : vl_logic_vector(0 to 1) := (Hi0, Hi1);
        DATA3_ONBUS_B   : vl_logic_vector(0 to 1) := (Hi1, Hi0);
        DATA4_ONBUS_B   : vl_logic_vector(0 to 1) := (Hi1, Hi1)
    );
    port(
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_m2_wrdata_ack: in     vl_logic;
        db_m3_wrdata_ack: in     vl_logic;
        db_m4_wrdata_ack: in     vl_logic;
        db_mst2_wrdata  : in     vl_logic_vector(127 downto 0);
        db_mst3_wrdata  : in     vl_logic_vector(127 downto 0);
        db_mst4_wrdata  : in     vl_logic_vector(127 downto 0);
        db_mst2_dvalid  : in     vl_logic_vector(15 downto 0);
        db_mst3_dvalid  : in     vl_logic_vector(15 downto 0);
        db_mst4_dvalid  : in     vl_logic_vector(15 downto 0);
        db_arb_dmy_xfer : in     vl_logic;
        db_dmy_resp_mask: in     vl_logic;
        db_wacc_wrburst : in     vl_logic_vector(3 downto 0);
        db_wacc_data_swp: in     vl_logic;
        ddrs_axi_wready : in     vl_logic;
        db_wdcc_ld_xfer : out    vl_logic;
        db_wdcc_ld_onbus: out    vl_logic;
        db_mst2_arbrdy  : out    vl_logic;
        db_mst3_arbrdy  : out    vl_logic;
        db_mst4_arbrdy  : out    vl_logic;
        ddrb_axi_wid    : out    vl_logic_vector(3 downto 0);
        ddrb_axi_wdata  : out    vl_logic_vector(63 downto 0);
        ddrb_axi_wstrb  : out    vl_logic_vector(7 downto 0);
        ddrb_axi_wlast  : out    vl_logic;
        ddrb_axi_wvalid : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DATA1_ONBUS : constant is 1;
    attribute mti_svvh_generic_type of DATA2_ONBUS : constant is 1;
    attribute mti_svvh_generic_type of DATA3_ONBUS : constant is 1;
    attribute mti_svvh_generic_type of DATA4_ONBUS : constant is 1;
    attribute mti_svvh_generic_type of DATA1_ONBUS_B : constant is 1;
    attribute mti_svvh_generic_type of DATA2_ONBUS_B : constant is 1;
    attribute mti_svvh_generic_type of DATA3_ONBUS_B : constant is 1;
    attribute mti_svvh_generic_type of DATA4_ONBUS_B : constant is 1;
end ddrb_wdata_chctrl_120;
