library verilog;
use verilog.vl_types.all;
entity ddrb_wrbuf_cntrl is
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        DDRB_HDSIZE     : in     vl_logic_vector(2 downto 0);
        db_wcb_wr_req   : in     vl_logic;
        DDRB_HLOCK      : in     vl_logic;
        db_wcb_mode     : in     vl_logic_vector(1 downto 0);
        db_wcb_size     : in     vl_logic;
        db_flush_req    : in     vl_logic;
        db_nb_addr      : in     vl_logic;
        db_wr_latch     : out    vl_logic;
        db_wcbwr_en     : out    vl_logic;
        db_wradr_delay  : out    vl_logic_vector(4 downto 0);
        db_wrdsize_delay: out    vl_logic_vector(2 downto 0);
        db_wcb_tag      : out    vl_logic_vector(27 downto 0);
        db_wrcntrl_rdy  : out    vl_logic;
        db_wcb_miss     : out    vl_logic;
        db_valid_wr     : out    vl_logic
    );
end ddrb_wrbuf_cntrl;
