library verilog;
use verilog.vl_types.all;
entity dfi_phy_bist_075 is
    generic(
        IDLE            : vl_logic := Hi0;
        GEN             : vl_logic := Hi1;
        CHK_IDLE        : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        CHK_VERIFY      : vl_logic_vector(0 to 1) := (Hi0, Hi1);
        CHK_CLEAN       : vl_logic_vector(0 to 1) := (Hi1, Hi0)
    );
    port(
        dfi_clk         : in     vl_logic;
        rstn_p          : in     vl_logic;
        slice_in_use    : in     vl_logic;
        loopback        : in     vl_logic;
        board_lpbk_tx   : in     vl_logic;
        board_lpbk_rx   : in     vl_logic;
        bist_enable     : in     vl_logic;
        bist_force_err  : in     vl_logic;
        bist_mode       : in     vl_logic_vector(1 downto 0);
        bist_err_clr    : in     vl_logic_vector(8 downto 0);
        bist_shift_dq   : in     vl_logic_vector(8 downto 0);
        bist_err        : out    vl_logic_vector(8 downto 0);
        bist_active     : out    vl_logic;
        bist_wrdata_en  : out    vl_logic;
        bist_wrdata_dm  : out    vl_logic_vector(1 downto 0);
        bist_wrdata     : out    vl_logic_vector(15 downto 0);
        bist_rddata     : in     vl_logic_vector(15 downto 0);
        bist_rddata_dm  : in     vl_logic_vector(1 downto 0);
        bist_rd_vld     : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of GEN : constant is 1;
    attribute mti_svvh_generic_type of CHK_IDLE : constant is 1;
    attribute mti_svvh_generic_type of CHK_VERIFY : constant is 1;
    attribute mti_svvh_generic_type of CHK_CLEAN : constant is 1;
end dfi_phy_bist_075;
