library verilog;
use verilog.vl_types.all;
entity ex_monitor is
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        r_ex_mon_addr   : in     vl_logic_vector(31 downto 0);
        r_ex_mon_load   : in     vl_logic;
        r_ex_mon_arsize : in     vl_logic_vector(1 downto 0);
        r_ex_mon_arlen  : in     vl_logic_vector(3 downto 0);
        r_ex_mon_id     : in     vl_logic_vector(3 downto 0);
        w_ex_mon_addr   : out    vl_logic_vector(31 downto 0);
        w_ex_mon_id     : out    vl_logic_vector(3 downto 0);
        w_ex_mon_lock   : out    vl_logic;
        b_wr_enb        : in     vl_logic;
        f_wr_enb        : in     vl_logic;
        wr_cmd          : in     vl_logic_vector(39 downto 0);
        wr_wstrb        : in     vl_logic_vector(7 downto 0);
        wr_wvalid       : in     vl_logic;
        wr_wready       : in     vl_logic;
        wr_wlast        : in     vl_logic
    );
end ex_monitor;
