library verilog;
use verilog.vl_types.all;
entity fic64_confg_regs_010 is
    port(
        F_AXI_AHB_CLK   : in     vl_logic;
        DDR_RESETn      : in     vl_logic;
        PCLK            : in     vl_logic;
        PRESETN         : in     vl_logic;
        PSEL            : in     vl_logic;
        PWRITE          : in     vl_logic;
        PENABLE         : in     vl_logic;
        PWDATA          : in     vl_logic_vector(15 downto 0);
        PADDR           : in     vl_logic_vector(7 downto 0);
        PRDATA          : out    vl_logic_vector(15 downto 0);
        PREADY          : out    vl_logic;
        PSLVERR         : out    vl_logic;
        CFG_SYR_HPD_ERR_ADD: in     vl_logic_vector(31 downto 0);
        CFG_SYR_SW_ERR_ADD: in     vl_logic_vector(31 downto 0);
        CFG_SYR_DDRB_LOCK_MID: in     vl_logic;
        CFG_SYR_RDWR_ERR_REG: in     vl_logic_vector(5 downto 0);
        CFG_SYR_DDRB_LCKTOUT: in     vl_logic;
        CFG_SYR_HPD_WDSBL_DN: in     vl_logic;
        CFG_SYR_HPD_RDSBL_DN: in     vl_logic;
        CFG_SYR_SW_WDSBL_DN: in     vl_logic;
        CFG_SYR_SW_RDSBL_DN: in     vl_logic;
        CFG_SYR_SW_WR_ERR: in     vl_logic;
        CFG_SYR_HPD_WR_ERR: in     vl_logic;
        CFG_SYR_HPD_WBEMPTY: in     vl_logic;
        CFG_SYR_HPD_RBEMPTY: in     vl_logic;
        CFG_SYR_SW_WBEMPTY: in     vl_logic;
        CFG_SYR_SW_RBEMPTY: in     vl_logic;
        CFG_SYR_DDRB_NB_ADD: out    vl_logic_vector(15 downto 0);
        CFG_SYR_DDRB_TIMER: out    vl_logic_vector(9 downto 0);
        CFG_SYR_DDRB_NBUF_SZ: out    vl_logic_vector(3 downto 0);
        CFG_SYR_DDRB_WCB_SZ: out    vl_logic;
        CFG_SYR_DDRB_HPD_WEN: out    vl_logic;
        CFG_SYR_DDRB_HPD_REN: out    vl_logic;
        CFG_SYR_INVALID_HPD: out    vl_logic;
        CFG_SYR_DDRB_FLSHHPD: out    vl_logic;
        CFG_SYR_DDRB_SW_WEN: out    vl_logic;
        CFG_SYR_DDRB_SW_REN: out    vl_logic;
        CFG_SYR_INVALID_SW: out    vl_logic;
        CFG_SYR_DDRB_FLSHSW: out    vl_logic;
        cfg_axi_ahb_slave: in     vl_logic;
        CFG_NUM_AHB_MASTERS: out    vl_logic;
        INTERRUPT       : out    vl_logic;
        CFGR_LOCK_TIMEOUT_REG: out    vl_logic_vector(19 downto 0);
        AXI_LOCK_TIMEOUT_INT: in     vl_logic;
        CFGR_LOCK_TIMEOUT_EN: out    vl_logic
    );
end fic64_confg_regs_010;
