library verilog;
use verilog.vl_types.all;
entity fsm_hpd_dma_cntrl is
    port(
        FCLK            : in     vl_logic;
        HPDMA_RESET_n   : in     vl_logic;
        hd_dma_xfr_rst  : in     vl_logic;
        hd_dma_req_pndng: in     vl_logic;
        hd_rbc_xfr_done : in     vl_logic;
        hpd_hready_q    : in     vl_logic;
        hpd_ddrb_hready_q: in     vl_logic;
        hd_set_wbc_err  : in     vl_logic;
        hd_set_rbc_err  : in     vl_logic;
        hpd_wbc_cst_idle: in     vl_logic;
        hpd_rbc_cst_idle: in     vl_logic;
        hpd_dma_cst_dbg : out    vl_logic_vector(1 downto 0);
        hd_dma_start_p  : out    vl_logic;
        hd_dma_dcp_fetch: out    vl_logic
    );
end fsm_hpd_dma_cntrl;
