library verilog;
use verilog.vl_types.all;
entity gs_global_constraints_010 is
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_burst_rdwr: in     vl_logic_vector(3 downto 0);
        dh_gs_rd2wr     : in     vl_logic_vector(4 downto 0);
        dh_gs_wr2rd     : in     vl_logic_vector(4 downto 0);
        dh_gs_t_cke     : in     vl_logic_vector(3 downto 0);
        be_gs_bypass_match: in     vl_logic;
        bypass_disable  : in     vl_logic;
        te_gs_retry     : in     vl_logic;
        pi_gs_xtra_rd   : in     vl_logic;
        pi_gs_xtra_wr   : in     vl_logic;
        rd              : in     vl_logic;
        wr              : in     vl_logic;
        enter_powerdown : in     vl_logic;
        enter_selfref   : in     vl_logic;
        exit_powerdown  : in     vl_logic;
        exit_selfref    : in     vl_logic;
        global_block_rd : out    vl_logic;
        global_block_wr : out    vl_logic;
        global_block_wr_early: out    vl_logic;
        global_block_cke_change: out    vl_logic
    );
end gs_global_constraints_010;
