library verilog;
use verilog.vl_types.all;
entity gs_load_mr_120 is
    generic(
        BANK_BITS       : integer := 3;
        RANK_BITS       : integer := 0;
        IDLE            : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        WAIT_FOR_LOAD_MR: vl_logic_vector(0 to 1) := (Hi0, Hi1);
        WAIT_FOR_LOAD_MR_NOP: vl_logic_vector(0 to 1) := (Hi1, Hi0)
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_t_mod     : in     vl_logic_vector(9 downto 0);
        dh_gs_mr_wr     : in     vl_logic;
        dh_gs_mr_type   : in     vl_logic;
        dh_gs_mr_addr   : in     vl_logic_vector(1 downto 0);
        dh_gs_mr_data   : in     vl_logic_vector(15 downto 0);
        dh_gs_mr_rank   : in     vl_logic_vector;
        gs_dh_mr_wr_busy: out    vl_logic;
        load_mr_norm    : in     vl_logic;
        load_mr_norm_required: out    vl_logic_vector;
        rank_nop_after_load_mr_norm: out    vl_logic_vector;
        gs_pi_mrs_ba_norm: out    vl_logic_vector;
        gs_pi_mrs_a_norm: out    vl_logic_vector(15 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of WAIT_FOR_LOAD_MR : constant is 1;
    attribute mti_svvh_generic_type of WAIT_FOR_LOAD_MR_NOP : constant is 1;
end gs_load_mr_120;
