library verilog;
use verilog.vl_types.all;
entity hpd_data_buffer is
    port(
        FCLK            : in     vl_logic;
        HPDMA_RESET_n   : in     vl_logic;
        hd_dma_xfr_rst  : in     vl_logic;
        hd_bfr_wren     : in     vl_logic;
        hd_bfr_rden     : in     vl_logic;
        hd_bfr_flush    : in     vl_logic;
        hd_bfr_wdata    : in     vl_logic_vector(31 downto 0);
        hd_bfr_full     : out    vl_logic;
        hd_bfr_empty    : out    vl_logic;
        hd_bfr_rdata    : out    vl_logic_vector(31 downto 0);
        hd_bfr_wr_pntr  : out    vl_logic_vector(2 downto 0);
        hd_bfr_rd_pntr  : out    vl_logic_vector(2 downto 0)
    );
end hpd_data_buffer;
