library verilog;
use verilog.vl_types.all;
entity hpd_write_bfrc is
    port(
        FCLK            : in     vl_logic;
        HPDMA_RESET_n   : in     vl_logic;
        hd_dma_start_p  : in     vl_logic;
        hd_dma_xfr_pause: in     vl_logic;
        hd_dma_xfr_rst  : in     vl_logic;
        hd_dma_xfr_size : in     vl_logic_vector(16 downto 0);
        hd_dma_src_adrs : in     vl_logic_vector(29 downto 0);
        hd_wbc_xfr_err  : in     vl_logic;
        hd_rbc_xfr_err  : in     vl_logic;
        hd_wbc_rdata    : in     vl_logic_vector(31 downto 0);
        hd_wbc_xfr_ok   : in     vl_logic;
        hd_wbc_data_val : in     vl_logic;
        hd_bfr_full     : in     vl_logic;
        hd_wbc_xfr_pndng: out    vl_logic_vector(15 downto 0);
        hd_wbc_ready    : out    vl_logic;
        hd_wbc_addrs    : out    vl_logic_vector(31 downto 0);
        hd_bfr_wren     : out    vl_logic;
        hd_bfr_wdata    : out    vl_logic_vector(31 downto 0);
        hd_set_rbc_err  : out    vl_logic;
        hpd_wbc_cst_dbg : out    vl_logic_vector(2 downto 0)
    );
end hpd_write_bfrc;
