library verilog;
use verilog.vl_types.all;
entity ih_address_map_120 is
    generic(
        COL_BITS        : integer := 12;
        CORE_ADDR_WIDTH : integer := 31
    );
    port(
        am_block        : out    vl_logic_vector(9 downto 0);
        am_critical_dword: out    vl_logic_vector(1 downto 0);
        am_row          : out    vl_logic_vector(15 downto 0);
        am_bank         : out    vl_logic_vector(2 downto 0);
        am_cpu_address  : in     vl_logic_vector;
        am_bs_offset_bit0: in     vl_logic_vector(3 downto 0);
        am_bs_offset_bit1: in     vl_logic_vector(3 downto 0);
        am_bs_offset_bit2: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit2: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit3: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit4: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit5: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit6: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit7: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit8: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit9: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit10: in     vl_logic_vector(3 downto 0);
        am_column_offset_bit11: in     vl_logic_vector(3 downto 0);
        am_row_offset_bit0: in     vl_logic_vector(3 downto 0);
        am_row_offset_bit1: in     vl_logic_vector(3 downto 0);
        am_row_offset_bit2_11: in     vl_logic_vector(3 downto 0);
        am_row_offset_bit12: in     vl_logic_vector(3 downto 0);
        am_row_offset_bit13: in     vl_logic_vector(3 downto 0);
        am_row_offset_bit14: in     vl_logic_vector(3 downto 0);
        am_row_offset_bit15: in     vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of COL_BITS : constant is 1;
    attribute mti_svvh_generic_type of CORE_ADDR_WIDTH : constant is 1;
end ih_address_map_120;
