library verilog;
use verilog.vl_types.all;
entity ih_fifo_control is
    generic(
        ASIZE           : integer := 4;
        FDEPTH          : integer := 16
    );
    port(
        i_wclk          : in     vl_logic;
        i_w_reset_n     : in     vl_logic;
        i_we            : in     vl_logic;
        i_wr            : in     vl_logic;
        i_wadd          : in     vl_logic_vector;
        i_watermark     : in     vl_logic_vector;
        i_min_entry_num : in     vl_logic_vector;
        i_max_entry_num : in     vl_logic_vector;
        o_wadd          : out    vl_logic_vector;
        o_radd          : out    vl_logic_vector;
        o_full          : out    vl_logic;
        o_wm_reached    : out    vl_logic;
        o_ptr_diff      : out    vl_logic_vector;
        o_empty         : out    vl_logic;
        o_entries_full  : out    vl_logic_vector;
        o_dbg_entries_full: out    vl_logic_vector;
        o_stall         : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ASIZE : constant is 1;
    attribute mti_svvh_generic_type of FDEPTH : constant is 1;
end ih_fifo_control;
