library verilog;
use verilog.vl_types.all;
entity ingot_sync_fifo_flopout_rst_rep is
    generic(
        WIDTH           : integer := 8;
        FLOP_REPLICATE_WIDTH: integer := 1;
        DEPTH_LOG2      : integer := 3
    );
    port(
        clk             : in     vl_logic;
        rstb            : in     vl_logic;
        put             : in     vl_logic;
        din             : in     vl_logic_vector;
        get             : in     vl_logic;
        dout            : out    vl_logic_vector;
        dup_dout        : out    vl_logic_vector;
        full            : out    vl_logic;
        empty           : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WIDTH : constant is 1;
    attribute mti_svvh_generic_type of FLOP_REPLICATE_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of DEPTH_LOG2 : constant is 1;
end ingot_sync_fifo_flopout_rst_rep;
