library verilog;
use verilog.vl_types.all;
entity iocalib_block is
    port(
        clk_50m         : in     vl_logic;
        iocalibrst_b    : in     vl_logic;
        phy_self_ref    : in     vl_logic;
        pcode           : out    vl_logic_vector(5 downto 0);
        ncode           : out    vl_logic_vector(5 downto 0);
        comp_p          : in     vl_logic;
        comp_n          : in     vl_logic;
        xpcode          : out    vl_logic_vector(5 downto 0);
        xncode          : out    vl_logic_vector(5 downto 0);
        soc             : in     vl_logic;
        set_lock        : in     vl_logic;
        set_trim        : in     vl_logic;
        iocalib_intrpt  : out    vl_logic;
        code_lock       : out    vl_logic;
        apb_pc_pcode    : in     vl_logic_vector(5 downto 0);
        apb_pc_ncode    : in     vl_logic_vector(5 downto 0)
    );
end iocalib_block;
