library verilog;
use verilog.vl_types.all;
entity mss_sp_mbist_120 is
    generic(
        CACHE_USEECC    : integer := 0;
        start_state     : vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi0, Hi0);
        comp_test_write : vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi0, Hi1);
        comp_test_read_fail: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi1, Hi1);
        comp_test_read_pass: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi1, Hi0);
        s_march2_march2_wBackgroundUp_0: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi1, Hi0);
        s_march2_march2_rwrInvBackgroundUp_0: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi1, Hi1);
        s_march2_march2_rwrBackgroundUp_0: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi0, Hi1);
        s_march2_march2_rwrInvBackgroundDown_0: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi0, Hi0);
        s_march2_march2_rwrBackgroundDown_0: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi1, Hi0, Hi0);
        s_march2_march2_rBackgroundDown_0: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi1, Hi0, Hi1);
        s_March_LR_March_LR_row_W0_up_0: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi1, Hi1, Hi1);
        s_March_LR_March_LR_row_R0W1_down_0: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi1, Hi1, Hi0);
        s_March_LR_March_LR_row_R1W0R0R0W1_up_0: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi1, Hi0);
        s_March_LR_March_LR_row_R1W0_down_0: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi1, Hi1);
        s_March_LR_March_LR_row_R0W1R1R1W0_up_0: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi0, Hi1);
        s_March_LR_March_LR_row_R0_down_0: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi0, Hi0);
        s_March_LR_March_LR_col_W0_col_up_0: vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi0, Hi0, Hi0);
        s_March_LR_March_LR_col_R0W1_col_down_0: vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi0, Hi0, Hi1);
        s_March_LR_March_LR_col_R1W0R0R0W1_col_up_0: vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi0, Hi1, Hi1);
        s_March_LR_March_LR_col_R1W0_col_down_0: vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi0, Hi1, Hi0);
        s_March_LR_March_LR_col_R0W1R1R1W0_col_up_0: vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi1, Hi1, Hi0);
        s_March_LR_March_LR_col_R0_col_down_0: vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi1, Hi1, Hi1);
        s_retentionCB_retentionCB_wCheckerBoardUpSynchronize_0: vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi1, Hi0, Hi1);
        s_retentionCB_retentionCB_rCheckerBoardUp_0: vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi1, Hi0, Hi0);
        s_retentionCB_retentionCB_wInvCheckerBoardUpSynchronize_0: vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi1, Hi0, Hi0);
        s_retentionCB_retentionCB_rInvCheckerBoardUp_0: vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi1, Hi0, Hi1);
        s_addressdecoder_bg0_addressdecoder_bg0_wSeedUp_0: vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi1, Hi1, Hi1);
        s_addressdecoder_bg0_addressdecoder_bg0_wwrwAddressDecoder_0: vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi1, Hi1, Hi0);
        s_addressdecoder_bg1_addressdecoder_bg1_wSeedUp_0: vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi0, Hi1, Hi0);
        s_addressdecoder_bg1_addressdecoder_bg1_wwrwAddressDecoder_0: vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi0, Hi1, Hi1);
        complete_state  : vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi0, Hi0, Hi1);
        md_none         : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        md_r            : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        md_rw           : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        md_rwr          : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        md_rwrrw        : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        md_w            : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        md_wOs_wrOw     : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi0);
        p_background1   : vl_logic_vector(0 to 71) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        p_background2   : vl_logic_vector(0 to 71) := (Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1);
        p_background3   : vl_logic_vector(0 to 71) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        AddrNoOp        : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        AddrOp_Unary_0_4095_up_12_4095: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        AddrOp_Unary_4095_0_down_12_4095: vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        AddrOp_Jump_0_4095_up: vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        AddrOp_Jump_4095_0_down: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0)
    );
    port(
        DI39_0          : out    vl_logic;
        DI38_0          : out    vl_logic;
        DI37_0          : out    vl_logic;
        DI36_0          : out    vl_logic;
        DI35_0          : out    vl_logic;
        DI34_0          : out    vl_logic;
        DI33_0          : out    vl_logic;
        DI32_0          : out    vl_logic;
        DI31_0          : out    vl_logic;
        DI30_0          : out    vl_logic;
        DI29_0          : out    vl_logic;
        DI28_0          : out    vl_logic;
        DI27_0          : out    vl_logic;
        DI26_0          : out    vl_logic;
        DI25_0          : out    vl_logic;
        DI24_0          : out    vl_logic;
        DI23_0          : out    vl_logic;
        DI22_0          : out    vl_logic;
        DI21_0          : out    vl_logic;
        DI20_0          : out    vl_logic;
        DI19_0          : out    vl_logic;
        DI18_0          : out    vl_logic;
        DI17_0          : out    vl_logic;
        DI16_0          : out    vl_logic;
        DI15_0          : out    vl_logic;
        DI14_0          : out    vl_logic;
        DI13_0          : out    vl_logic;
        DI12_0          : out    vl_logic;
        DI11_0          : out    vl_logic;
        DI10_0          : out    vl_logic;
        DI9_0           : out    vl_logic;
        DI8_0           : out    vl_logic;
        DI7_0           : out    vl_logic;
        DI6_0           : out    vl_logic;
        DI5_0           : out    vl_logic;
        DI4_0           : out    vl_logic;
        DI3_0           : out    vl_logic;
        DI2_0           : out    vl_logic;
        DI1_0           : out    vl_logic;
        DI0_0           : out    vl_logic;
        A11_0           : out    vl_logic;
        A10_0           : out    vl_logic;
        A9_0            : out    vl_logic;
        A8_0            : out    vl_logic;
        A7_0            : out    vl_logic;
        A6_0            : out    vl_logic;
        A5_0            : out    vl_logic;
        A4_0            : out    vl_logic;
        A3_0            : out    vl_logic;
        A2_0            : out    vl_logic;
        A1_0            : out    vl_logic;
        A0_0            : out    vl_logic;
        Test_WEB0_0     : out    vl_logic;
        Test_WEB1_0     : out    vl_logic;
        Test_WEB2_0     : out    vl_logic;
        Test_WEB3_0     : out    vl_logic;
        Test_WEB4_0     : out    vl_logic;
        Test_CSB_0      : out    vl_logic;
        DI39_1          : out    vl_logic;
        DI38_1          : out    vl_logic;
        DI37_1          : out    vl_logic;
        DI36_1          : out    vl_logic;
        DI35_1          : out    vl_logic;
        DI34_1          : out    vl_logic;
        DI33_1          : out    vl_logic;
        DI32_1          : out    vl_logic;
        DI31_1          : out    vl_logic;
        DI30_1          : out    vl_logic;
        DI29_1          : out    vl_logic;
        DI28_1          : out    vl_logic;
        DI27_1          : out    vl_logic;
        DI26_1          : out    vl_logic;
        DI25_1          : out    vl_logic;
        DI24_1          : out    vl_logic;
        DI23_1          : out    vl_logic;
        DI22_1          : out    vl_logic;
        DI21_1          : out    vl_logic;
        DI20_1          : out    vl_logic;
        DI19_1          : out    vl_logic;
        DI18_1          : out    vl_logic;
        DI17_1          : out    vl_logic;
        DI16_1          : out    vl_logic;
        DI15_1          : out    vl_logic;
        DI14_1          : out    vl_logic;
        DI13_1          : out    vl_logic;
        DI12_1          : out    vl_logic;
        DI11_1          : out    vl_logic;
        DI10_1          : out    vl_logic;
        DI9_1           : out    vl_logic;
        DI8_1           : out    vl_logic;
        DI7_1           : out    vl_logic;
        DI6_1           : out    vl_logic;
        DI5_1           : out    vl_logic;
        DI4_1           : out    vl_logic;
        DI3_1           : out    vl_logic;
        DI2_1           : out    vl_logic;
        DI1_1           : out    vl_logic;
        DI0_1           : out    vl_logic;
        A11_1           : out    vl_logic;
        A10_1           : out    vl_logic;
        A9_1            : out    vl_logic;
        A8_1            : out    vl_logic;
        A7_1            : out    vl_logic;
        A6_1            : out    vl_logic;
        A5_1            : out    vl_logic;
        A4_1            : out    vl_logic;
        A3_1            : out    vl_logic;
        A2_1            : out    vl_logic;
        A1_1            : out    vl_logic;
        A0_1            : out    vl_logic;
        Test_WEB0_1     : out    vl_logic;
        Test_WEB1_1     : out    vl_logic;
        Test_WEB2_1     : out    vl_logic;
        Test_WEB3_1     : out    vl_logic;
        Test_WEB4_1     : out    vl_logic;
        Test_CSB_1      : out    vl_logic;
        DI39_2          : out    vl_logic;
        DI38_2          : out    vl_logic;
        DI37_2          : out    vl_logic;
        DI36_2          : out    vl_logic;
        DI35_2          : out    vl_logic;
        DI34_2          : out    vl_logic;
        DI33_2          : out    vl_logic;
        DI32_2          : out    vl_logic;
        DI31_2          : out    vl_logic;
        DI30_2          : out    vl_logic;
        DI29_2          : out    vl_logic;
        DI28_2          : out    vl_logic;
        DI27_2          : out    vl_logic;
        DI26_2          : out    vl_logic;
        DI25_2          : out    vl_logic;
        DI24_2          : out    vl_logic;
        DI23_2          : out    vl_logic;
        DI22_2          : out    vl_logic;
        DI21_2          : out    vl_logic;
        DI20_2          : out    vl_logic;
        DI19_2          : out    vl_logic;
        DI18_2          : out    vl_logic;
        DI17_2          : out    vl_logic;
        DI16_2          : out    vl_logic;
        DI15_2          : out    vl_logic;
        DI14_2          : out    vl_logic;
        DI13_2          : out    vl_logic;
        DI12_2          : out    vl_logic;
        DI11_2          : out    vl_logic;
        DI10_2          : out    vl_logic;
        DI9_2           : out    vl_logic;
        DI8_2           : out    vl_logic;
        DI7_2           : out    vl_logic;
        DI6_2           : out    vl_logic;
        DI5_2           : out    vl_logic;
        DI4_2           : out    vl_logic;
        DI3_2           : out    vl_logic;
        DI2_2           : out    vl_logic;
        DI1_2           : out    vl_logic;
        DI0_2           : out    vl_logic;
        A11_2           : out    vl_logic;
        A10_2           : out    vl_logic;
        A9_2            : out    vl_logic;
        A8_2            : out    vl_logic;
        A7_2            : out    vl_logic;
        A6_2            : out    vl_logic;
        A5_2            : out    vl_logic;
        A4_2            : out    vl_logic;
        A3_2            : out    vl_logic;
        A2_2            : out    vl_logic;
        A1_2            : out    vl_logic;
        A0_2            : out    vl_logic;
        Test_WEB0_2     : out    vl_logic;
        Test_WEB1_2     : out    vl_logic;
        Test_WEB2_2     : out    vl_logic;
        Test_WEB3_2     : out    vl_logic;
        Test_WEB4_2     : out    vl_logic;
        Test_CSB_2      : out    vl_logic;
        DI39_3          : out    vl_logic;
        DI38_3          : out    vl_logic;
        DI37_3          : out    vl_logic;
        DI36_3          : out    vl_logic;
        DI35_3          : out    vl_logic;
        DI34_3          : out    vl_logic;
        DI33_3          : out    vl_logic;
        DI32_3          : out    vl_logic;
        DI31_3          : out    vl_logic;
        DI30_3          : out    vl_logic;
        DI29_3          : out    vl_logic;
        DI28_3          : out    vl_logic;
        DI27_3          : out    vl_logic;
        DI26_3          : out    vl_logic;
        DI25_3          : out    vl_logic;
        DI24_3          : out    vl_logic;
        DI23_3          : out    vl_logic;
        DI22_3          : out    vl_logic;
        DI21_3          : out    vl_logic;
        DI20_3          : out    vl_logic;
        DI19_3          : out    vl_logic;
        DI18_3          : out    vl_logic;
        DI17_3          : out    vl_logic;
        DI16_3          : out    vl_logic;
        DI15_3          : out    vl_logic;
        DI14_3          : out    vl_logic;
        DI13_3          : out    vl_logic;
        DI12_3          : out    vl_logic;
        DI11_3          : out    vl_logic;
        DI10_3          : out    vl_logic;
        DI9_3           : out    vl_logic;
        DI8_3           : out    vl_logic;
        DI7_3           : out    vl_logic;
        DI6_3           : out    vl_logic;
        DI5_3           : out    vl_logic;
        DI4_3           : out    vl_logic;
        DI3_3           : out    vl_logic;
        DI2_3           : out    vl_logic;
        DI1_3           : out    vl_logic;
        DI0_3           : out    vl_logic;
        A11_3           : out    vl_logic;
        A10_3           : out    vl_logic;
        A9_3            : out    vl_logic;
        A8_3            : out    vl_logic;
        A7_3            : out    vl_logic;
        A6_3            : out    vl_logic;
        A5_3            : out    vl_logic;
        A4_3            : out    vl_logic;
        A3_3            : out    vl_logic;
        A2_3            : out    vl_logic;
        A1_3            : out    vl_logic;
        A0_3            : out    vl_logic;
        Test_WEB0_3     : out    vl_logic;
        Test_WEB1_3     : out    vl_logic;
        Test_WEB2_3     : out    vl_logic;
        Test_WEB3_3     : out    vl_logic;
        Test_WEB4_3     : out    vl_logic;
        Test_CSB_3      : out    vl_logic;
        DI71_4          : out    vl_logic;
        DI70_4          : out    vl_logic;
        DI69_4          : out    vl_logic;
        DI68_4          : out    vl_logic;
        DI67_4          : out    vl_logic;
        DI66_4          : out    vl_logic;
        DI65_4          : out    vl_logic;
        DI64_4          : out    vl_logic;
        DI63_4          : out    vl_logic;
        DI62_4          : out    vl_logic;
        DI61_4          : out    vl_logic;
        DI60_4          : out    vl_logic;
        DI59_4          : out    vl_logic;
        DI58_4          : out    vl_logic;
        DI57_4          : out    vl_logic;
        DI56_4          : out    vl_logic;
        DI55_4          : out    vl_logic;
        DI54_4          : out    vl_logic;
        DI53_4          : out    vl_logic;
        DI52_4          : out    vl_logic;
        DI51_4          : out    vl_logic;
        DI50_4          : out    vl_logic;
        DI49_4          : out    vl_logic;
        DI48_4          : out    vl_logic;
        DI47_4          : out    vl_logic;
        DI46_4          : out    vl_logic;
        DI45_4          : out    vl_logic;
        DI44_4          : out    vl_logic;
        DI43_4          : out    vl_logic;
        DI42_4          : out    vl_logic;
        DI41_4          : out    vl_logic;
        DI40_4          : out    vl_logic;
        DI39_4          : out    vl_logic;
        DI38_4          : out    vl_logic;
        DI37_4          : out    vl_logic;
        DI36_4          : out    vl_logic;
        DI35_4          : out    vl_logic;
        DI34_4          : out    vl_logic;
        DI33_4          : out    vl_logic;
        DI32_4          : out    vl_logic;
        DI31_4          : out    vl_logic;
        DI30_4          : out    vl_logic;
        DI29_4          : out    vl_logic;
        DI28_4          : out    vl_logic;
        DI27_4          : out    vl_logic;
        DI26_4          : out    vl_logic;
        DI25_4          : out    vl_logic;
        DI24_4          : out    vl_logic;
        DI23_4          : out    vl_logic;
        DI22_4          : out    vl_logic;
        DI21_4          : out    vl_logic;
        DI20_4          : out    vl_logic;
        DI19_4          : out    vl_logic;
        DI18_4          : out    vl_logic;
        DI17_4          : out    vl_logic;
        DI16_4          : out    vl_logic;
        DI15_4          : out    vl_logic;
        DI14_4          : out    vl_logic;
        DI13_4          : out    vl_logic;
        DI12_4          : out    vl_logic;
        DI11_4          : out    vl_logic;
        DI10_4          : out    vl_logic;
        DI9_4           : out    vl_logic;
        DI8_4           : out    vl_logic;
        DI7_4           : out    vl_logic;
        DI6_4           : out    vl_logic;
        DI5_4           : out    vl_logic;
        DI4_4           : out    vl_logic;
        DI3_4           : out    vl_logic;
        DI2_4           : out    vl_logic;
        DI1_4           : out    vl_logic;
        DI0_4           : out    vl_logic;
        A7_4            : out    vl_logic;
        A6_4            : out    vl_logic;
        A5_4            : out    vl_logic;
        A4_4            : out    vl_logic;
        A3_4            : out    vl_logic;
        A2_4            : out    vl_logic;
        A1_4            : out    vl_logic;
        A0_4            : out    vl_logic;
        Test_WEB_4      : out    vl_logic;
        Test_CSB_4      : out    vl_logic;
        DI71_5          : out    vl_logic;
        DI70_5          : out    vl_logic;
        DI69_5          : out    vl_logic;
        DI68_5          : out    vl_logic;
        DI67_5          : out    vl_logic;
        DI66_5          : out    vl_logic;
        DI65_5          : out    vl_logic;
        DI64_5          : out    vl_logic;
        DI63_5          : out    vl_logic;
        DI62_5          : out    vl_logic;
        DI61_5          : out    vl_logic;
        DI60_5          : out    vl_logic;
        DI59_5          : out    vl_logic;
        DI58_5          : out    vl_logic;
        DI57_5          : out    vl_logic;
        DI56_5          : out    vl_logic;
        DI55_5          : out    vl_logic;
        DI54_5          : out    vl_logic;
        DI53_5          : out    vl_logic;
        DI52_5          : out    vl_logic;
        DI51_5          : out    vl_logic;
        DI50_5          : out    vl_logic;
        DI49_5          : out    vl_logic;
        DI48_5          : out    vl_logic;
        DI47_5          : out    vl_logic;
        DI46_5          : out    vl_logic;
        DI45_5          : out    vl_logic;
        DI44_5          : out    vl_logic;
        DI43_5          : out    vl_logic;
        DI42_5          : out    vl_logic;
        DI41_5          : out    vl_logic;
        DI40_5          : out    vl_logic;
        DI39_5          : out    vl_logic;
        DI38_5          : out    vl_logic;
        DI37_5          : out    vl_logic;
        DI36_5          : out    vl_logic;
        DI35_5          : out    vl_logic;
        DI34_5          : out    vl_logic;
        DI33_5          : out    vl_logic;
        DI32_5          : out    vl_logic;
        DI31_5          : out    vl_logic;
        DI30_5          : out    vl_logic;
        DI29_5          : out    vl_logic;
        DI28_5          : out    vl_logic;
        DI27_5          : out    vl_logic;
        DI26_5          : out    vl_logic;
        DI25_5          : out    vl_logic;
        DI24_5          : out    vl_logic;
        DI23_5          : out    vl_logic;
        DI22_5          : out    vl_logic;
        DI21_5          : out    vl_logic;
        DI20_5          : out    vl_logic;
        DI19_5          : out    vl_logic;
        DI18_5          : out    vl_logic;
        DI17_5          : out    vl_logic;
        DI16_5          : out    vl_logic;
        DI15_5          : out    vl_logic;
        DI14_5          : out    vl_logic;
        DI13_5          : out    vl_logic;
        DI12_5          : out    vl_logic;
        DI11_5          : out    vl_logic;
        DI10_5          : out    vl_logic;
        DI9_5           : out    vl_logic;
        DI8_5           : out    vl_logic;
        DI7_5           : out    vl_logic;
        DI6_5           : out    vl_logic;
        DI5_5           : out    vl_logic;
        DI4_5           : out    vl_logic;
        DI3_5           : out    vl_logic;
        DI2_5           : out    vl_logic;
        DI1_5           : out    vl_logic;
        DI0_5           : out    vl_logic;
        A7_5            : out    vl_logic;
        A6_5            : out    vl_logic;
        A5_5            : out    vl_logic;
        A4_5            : out    vl_logic;
        A3_5            : out    vl_logic;
        A2_5            : out    vl_logic;
        A1_5            : out    vl_logic;
        A0_5            : out    vl_logic;
        Test_WEB_5      : out    vl_logic;
        Test_CSB_5      : out    vl_logic;
        DI71_6          : out    vl_logic;
        DI70_6          : out    vl_logic;
        DI69_6          : out    vl_logic;
        DI68_6          : out    vl_logic;
        DI67_6          : out    vl_logic;
        DI66_6          : out    vl_logic;
        DI65_6          : out    vl_logic;
        DI64_6          : out    vl_logic;
        DI63_6          : out    vl_logic;
        DI62_6          : out    vl_logic;
        DI61_6          : out    vl_logic;
        DI60_6          : out    vl_logic;
        DI59_6          : out    vl_logic;
        DI58_6          : out    vl_logic;
        DI57_6          : out    vl_logic;
        DI56_6          : out    vl_logic;
        DI55_6          : out    vl_logic;
        DI54_6          : out    vl_logic;
        DI53_6          : out    vl_logic;
        DI52_6          : out    vl_logic;
        DI51_6          : out    vl_logic;
        DI50_6          : out    vl_logic;
        DI49_6          : out    vl_logic;
        DI48_6          : out    vl_logic;
        DI47_6          : out    vl_logic;
        DI46_6          : out    vl_logic;
        DI45_6          : out    vl_logic;
        DI44_6          : out    vl_logic;
        DI43_6          : out    vl_logic;
        DI42_6          : out    vl_logic;
        DI41_6          : out    vl_logic;
        DI40_6          : out    vl_logic;
        DI39_6          : out    vl_logic;
        DI38_6          : out    vl_logic;
        DI37_6          : out    vl_logic;
        DI36_6          : out    vl_logic;
        DI35_6          : out    vl_logic;
        DI34_6          : out    vl_logic;
        DI33_6          : out    vl_logic;
        DI32_6          : out    vl_logic;
        DI31_6          : out    vl_logic;
        DI30_6          : out    vl_logic;
        DI29_6          : out    vl_logic;
        DI28_6          : out    vl_logic;
        DI27_6          : out    vl_logic;
        DI26_6          : out    vl_logic;
        DI25_6          : out    vl_logic;
        DI24_6          : out    vl_logic;
        DI23_6          : out    vl_logic;
        DI22_6          : out    vl_logic;
        DI21_6          : out    vl_logic;
        DI20_6          : out    vl_logic;
        DI19_6          : out    vl_logic;
        DI18_6          : out    vl_logic;
        DI17_6          : out    vl_logic;
        DI16_6          : out    vl_logic;
        DI15_6          : out    vl_logic;
        DI14_6          : out    vl_logic;
        DI13_6          : out    vl_logic;
        DI12_6          : out    vl_logic;
        DI11_6          : out    vl_logic;
        DI10_6          : out    vl_logic;
        DI9_6           : out    vl_logic;
        DI8_6           : out    vl_logic;
        DI7_6           : out    vl_logic;
        DI6_6           : out    vl_logic;
        DI5_6           : out    vl_logic;
        DI4_6           : out    vl_logic;
        DI3_6           : out    vl_logic;
        DI2_6           : out    vl_logic;
        DI1_6           : out    vl_logic;
        DI0_6           : out    vl_logic;
        A7_6            : out    vl_logic;
        A6_6            : out    vl_logic;
        A5_6            : out    vl_logic;
        A4_6            : out    vl_logic;
        A3_6            : out    vl_logic;
        A2_6            : out    vl_logic;
        A1_6            : out    vl_logic;
        A0_6            : out    vl_logic;
        Test_WEB_6      : out    vl_logic;
        Test_CSB_6      : out    vl_logic;
        DI71_7          : out    vl_logic;
        DI70_7          : out    vl_logic;
        DI69_7          : out    vl_logic;
        DI68_7          : out    vl_logic;
        DI67_7          : out    vl_logic;
        DI66_7          : out    vl_logic;
        DI65_7          : out    vl_logic;
        DI64_7          : out    vl_logic;
        DI63_7          : out    vl_logic;
        DI62_7          : out    vl_logic;
        DI61_7          : out    vl_logic;
        DI60_7          : out    vl_logic;
        DI59_7          : out    vl_logic;
        DI58_7          : out    vl_logic;
        DI57_7          : out    vl_logic;
        DI56_7          : out    vl_logic;
        DI55_7          : out    vl_logic;
        DI54_7          : out    vl_logic;
        DI53_7          : out    vl_logic;
        DI52_7          : out    vl_logic;
        DI51_7          : out    vl_logic;
        DI50_7          : out    vl_logic;
        DI49_7          : out    vl_logic;
        DI48_7          : out    vl_logic;
        DI47_7          : out    vl_logic;
        DI46_7          : out    vl_logic;
        DI45_7          : out    vl_logic;
        DI44_7          : out    vl_logic;
        DI43_7          : out    vl_logic;
        DI42_7          : out    vl_logic;
        DI41_7          : out    vl_logic;
        DI40_7          : out    vl_logic;
        DI39_7          : out    vl_logic;
        DI38_7          : out    vl_logic;
        DI37_7          : out    vl_logic;
        DI36_7          : out    vl_logic;
        DI35_7          : out    vl_logic;
        DI34_7          : out    vl_logic;
        DI33_7          : out    vl_logic;
        DI32_7          : out    vl_logic;
        DI31_7          : out    vl_logic;
        DI30_7          : out    vl_logic;
        DI29_7          : out    vl_logic;
        DI28_7          : out    vl_logic;
        DI27_7          : out    vl_logic;
        DI26_7          : out    vl_logic;
        DI25_7          : out    vl_logic;
        DI24_7          : out    vl_logic;
        DI23_7          : out    vl_logic;
        DI22_7          : out    vl_logic;
        DI21_7          : out    vl_logic;
        DI20_7          : out    vl_logic;
        DI19_7          : out    vl_logic;
        DI18_7          : out    vl_logic;
        DI17_7          : out    vl_logic;
        DI16_7          : out    vl_logic;
        DI15_7          : out    vl_logic;
        DI14_7          : out    vl_logic;
        DI13_7          : out    vl_logic;
        DI12_7          : out    vl_logic;
        DI11_7          : out    vl_logic;
        DI10_7          : out    vl_logic;
        DI9_7           : out    vl_logic;
        DI8_7           : out    vl_logic;
        DI7_7           : out    vl_logic;
        DI6_7           : out    vl_logic;
        DI5_7           : out    vl_logic;
        DI4_7           : out    vl_logic;
        DI3_7           : out    vl_logic;
        DI2_7           : out    vl_logic;
        DI1_7           : out    vl_logic;
        DI0_7           : out    vl_logic;
        A7_7            : out    vl_logic;
        A6_7            : out    vl_logic;
        A5_7            : out    vl_logic;
        A4_7            : out    vl_logic;
        A3_7            : out    vl_logic;
        A2_7            : out    vl_logic;
        A1_7            : out    vl_logic;
        A0_7            : out    vl_logic;
        Test_WEB_7      : out    vl_logic;
        Test_CSB_7      : out    vl_logic;
        DI38_8          : out    vl_logic;
        DI37_8          : out    vl_logic;
        DI36_8          : out    vl_logic;
        DI35_8          : out    vl_logic;
        DI34_8          : out    vl_logic;
        DI33_8          : out    vl_logic;
        DI32_8          : out    vl_logic;
        DI31_8          : out    vl_logic;
        DI30_8          : out    vl_logic;
        DI29_8          : out    vl_logic;
        DI28_8          : out    vl_logic;
        DI27_8          : out    vl_logic;
        DI26_8          : out    vl_logic;
        DI25_8          : out    vl_logic;
        DI24_8          : out    vl_logic;
        DI23_8          : out    vl_logic;
        DI22_8          : out    vl_logic;
        DI21_8          : out    vl_logic;
        DI20_8          : out    vl_logic;
        DI19_8          : out    vl_logic;
        DI18_8          : out    vl_logic;
        DI17_8          : out    vl_logic;
        DI16_8          : out    vl_logic;
        DI15_8          : out    vl_logic;
        DI14_8          : out    vl_logic;
        DI13_8          : out    vl_logic;
        DI12_8          : out    vl_logic;
        DI11_8          : out    vl_logic;
        DI10_8          : out    vl_logic;
        DI9_8           : out    vl_logic;
        DI8_8           : out    vl_logic;
        DI7_8           : out    vl_logic;
        DI6_8           : out    vl_logic;
        DI5_8           : out    vl_logic;
        DI4_8           : out    vl_logic;
        DI3_8           : out    vl_logic;
        DI2_8           : out    vl_logic;
        DI1_8           : out    vl_logic;
        DI0_8           : out    vl_logic;
        A8_8            : out    vl_logic;
        A7_8            : out    vl_logic;
        A6_8            : out    vl_logic;
        A5_8            : out    vl_logic;
        A4_8            : out    vl_logic;
        A3_8            : out    vl_logic;
        A2_8            : out    vl_logic;
        A1_8            : out    vl_logic;
        A0_8            : out    vl_logic;
        Test_WEB_8      : out    vl_logic;
        Test_CSB_8      : out    vl_logic;
        DI38_9          : out    vl_logic;
        DI37_9          : out    vl_logic;
        DI36_9          : out    vl_logic;
        DI35_9          : out    vl_logic;
        DI34_9          : out    vl_logic;
        DI33_9          : out    vl_logic;
        DI32_9          : out    vl_logic;
        DI31_9          : out    vl_logic;
        DI30_9          : out    vl_logic;
        DI29_9          : out    vl_logic;
        DI28_9          : out    vl_logic;
        DI27_9          : out    vl_logic;
        DI26_9          : out    vl_logic;
        DI25_9          : out    vl_logic;
        DI24_9          : out    vl_logic;
        DI23_9          : out    vl_logic;
        DI22_9          : out    vl_logic;
        DI21_9          : out    vl_logic;
        DI20_9          : out    vl_logic;
        DI19_9          : out    vl_logic;
        DI18_9          : out    vl_logic;
        DI17_9          : out    vl_logic;
        DI16_9          : out    vl_logic;
        DI15_9          : out    vl_logic;
        DI14_9          : out    vl_logic;
        DI13_9          : out    vl_logic;
        DI12_9          : out    vl_logic;
        DI11_9          : out    vl_logic;
        DI10_9          : out    vl_logic;
        DI9_9           : out    vl_logic;
        DI8_9           : out    vl_logic;
        DI7_9           : out    vl_logic;
        DI6_9           : out    vl_logic;
        DI5_9           : out    vl_logic;
        DI4_9           : out    vl_logic;
        DI3_9           : out    vl_logic;
        DI2_9           : out    vl_logic;
        DI1_9           : out    vl_logic;
        DI0_9           : out    vl_logic;
        A10_9           : out    vl_logic;
        A9_9            : out    vl_logic;
        A8_9            : out    vl_logic;
        A7_9            : out    vl_logic;
        A6_9            : out    vl_logic;
        A5_9            : out    vl_logic;
        A4_9            : out    vl_logic;
        A3_9            : out    vl_logic;
        A2_9            : out    vl_logic;
        A1_9            : out    vl_logic;
        A0_9            : out    vl_logic;
        Test_WEB_9      : out    vl_logic;
        Test_CSB_9      : out    vl_logic;
        tst_done        : out    vl_logic;
        diag_clk        : in     vl_logic;
        tstate          : out    vl_logic_vector(4 downto 0);
        fail_h_0        : out    vl_logic;
        fail_h_1        : out    vl_logic;
        fail_h_2        : out    vl_logic;
        fail_h_3        : out    vl_logic;
        fail_h_4        : out    vl_logic;
        fail_h_5        : out    vl_logic;
        fail_h_6        : out    vl_logic;
        fail_h_7        : out    vl_logic;
        fail_h_8        : out    vl_logic;
        fail_h_9        : out    vl_logic;
        DO39_0          : in     vl_logic;
        DO38_0          : in     vl_logic;
        DO37_0          : in     vl_logic;
        DO36_0          : in     vl_logic;
        DO35_0          : in     vl_logic;
        DO34_0          : in     vl_logic;
        DO33_0          : in     vl_logic;
        DO32_0          : in     vl_logic;
        DO31_0          : in     vl_logic;
        DO30_0          : in     vl_logic;
        DO29_0          : in     vl_logic;
        DO28_0          : in     vl_logic;
        DO27_0          : in     vl_logic;
        DO26_0          : in     vl_logic;
        DO25_0          : in     vl_logic;
        DO24_0          : in     vl_logic;
        DO23_0          : in     vl_logic;
        DO22_0          : in     vl_logic;
        DO21_0          : in     vl_logic;
        DO20_0          : in     vl_logic;
        DO19_0          : in     vl_logic;
        DO18_0          : in     vl_logic;
        DO17_0          : in     vl_logic;
        DO16_0          : in     vl_logic;
        DO15_0          : in     vl_logic;
        DO14_0          : in     vl_logic;
        DO13_0          : in     vl_logic;
        DO12_0          : in     vl_logic;
        DO11_0          : in     vl_logic;
        DO10_0          : in     vl_logic;
        DO9_0           : in     vl_logic;
        DO8_0           : in     vl_logic;
        DO7_0           : in     vl_logic;
        DO6_0           : in     vl_logic;
        DO5_0           : in     vl_logic;
        DO4_0           : in     vl_logic;
        DO3_0           : in     vl_logic;
        DO2_0           : in     vl_logic;
        DO1_0           : in     vl_logic;
        DO0_0           : in     vl_logic;
        DO39_1          : in     vl_logic;
        DO38_1          : in     vl_logic;
        DO37_1          : in     vl_logic;
        DO36_1          : in     vl_logic;
        DO35_1          : in     vl_logic;
        DO34_1          : in     vl_logic;
        DO33_1          : in     vl_logic;
        DO32_1          : in     vl_logic;
        DO31_1          : in     vl_logic;
        DO30_1          : in     vl_logic;
        DO29_1          : in     vl_logic;
        DO28_1          : in     vl_logic;
        DO27_1          : in     vl_logic;
        DO26_1          : in     vl_logic;
        DO25_1          : in     vl_logic;
        DO24_1          : in     vl_logic;
        DO23_1          : in     vl_logic;
        DO22_1          : in     vl_logic;
        DO21_1          : in     vl_logic;
        DO20_1          : in     vl_logic;
        DO19_1          : in     vl_logic;
        DO18_1          : in     vl_logic;
        DO17_1          : in     vl_logic;
        DO16_1          : in     vl_logic;
        DO15_1          : in     vl_logic;
        DO14_1          : in     vl_logic;
        DO13_1          : in     vl_logic;
        DO12_1          : in     vl_logic;
        DO11_1          : in     vl_logic;
        DO10_1          : in     vl_logic;
        DO9_1           : in     vl_logic;
        DO8_1           : in     vl_logic;
        DO7_1           : in     vl_logic;
        DO6_1           : in     vl_logic;
        DO5_1           : in     vl_logic;
        DO4_1           : in     vl_logic;
        DO3_1           : in     vl_logic;
        DO2_1           : in     vl_logic;
        DO1_1           : in     vl_logic;
        DO0_1           : in     vl_logic;
        DO39_2          : in     vl_logic;
        DO38_2          : in     vl_logic;
        DO37_2          : in     vl_logic;
        DO36_2          : in     vl_logic;
        DO35_2          : in     vl_logic;
        DO34_2          : in     vl_logic;
        DO33_2          : in     vl_logic;
        DO32_2          : in     vl_logic;
        DO31_2          : in     vl_logic;
        DO30_2          : in     vl_logic;
        DO29_2          : in     vl_logic;
        DO28_2          : in     vl_logic;
        DO27_2          : in     vl_logic;
        DO26_2          : in     vl_logic;
        DO25_2          : in     vl_logic;
        DO24_2          : in     vl_logic;
        DO23_2          : in     vl_logic;
        DO22_2          : in     vl_logic;
        DO21_2          : in     vl_logic;
        DO20_2          : in     vl_logic;
        DO19_2          : in     vl_logic;
        DO18_2          : in     vl_logic;
        DO17_2          : in     vl_logic;
        DO16_2          : in     vl_logic;
        DO15_2          : in     vl_logic;
        DO14_2          : in     vl_logic;
        DO13_2          : in     vl_logic;
        DO12_2          : in     vl_logic;
        DO11_2          : in     vl_logic;
        DO10_2          : in     vl_logic;
        DO9_2           : in     vl_logic;
        DO8_2           : in     vl_logic;
        DO7_2           : in     vl_logic;
        DO6_2           : in     vl_logic;
        DO5_2           : in     vl_logic;
        DO4_2           : in     vl_logic;
        DO3_2           : in     vl_logic;
        DO2_2           : in     vl_logic;
        DO1_2           : in     vl_logic;
        DO0_2           : in     vl_logic;
        DO39_3          : in     vl_logic;
        DO38_3          : in     vl_logic;
        DO37_3          : in     vl_logic;
        DO36_3          : in     vl_logic;
        DO35_3          : in     vl_logic;
        DO34_3          : in     vl_logic;
        DO33_3          : in     vl_logic;
        DO32_3          : in     vl_logic;
        DO31_3          : in     vl_logic;
        DO30_3          : in     vl_logic;
        DO29_3          : in     vl_logic;
        DO28_3          : in     vl_logic;
        DO27_3          : in     vl_logic;
        DO26_3          : in     vl_logic;
        DO25_3          : in     vl_logic;
        DO24_3          : in     vl_logic;
        DO23_3          : in     vl_logic;
        DO22_3          : in     vl_logic;
        DO21_3          : in     vl_logic;
        DO20_3          : in     vl_logic;
        DO19_3          : in     vl_logic;
        DO18_3          : in     vl_logic;
        DO17_3          : in     vl_logic;
        DO16_3          : in     vl_logic;
        DO15_3          : in     vl_logic;
        DO14_3          : in     vl_logic;
        DO13_3          : in     vl_logic;
        DO12_3          : in     vl_logic;
        DO11_3          : in     vl_logic;
        DO10_3          : in     vl_logic;
        DO9_3           : in     vl_logic;
        DO8_3           : in     vl_logic;
        DO7_3           : in     vl_logic;
        DO6_3           : in     vl_logic;
        DO5_3           : in     vl_logic;
        DO4_3           : in     vl_logic;
        DO3_3           : in     vl_logic;
        DO2_3           : in     vl_logic;
        DO1_3           : in     vl_logic;
        DO0_3           : in     vl_logic;
        DO71_4          : in     vl_logic;
        DO70_4          : in     vl_logic;
        DO69_4          : in     vl_logic;
        DO68_4          : in     vl_logic;
        DO67_4          : in     vl_logic;
        DO66_4          : in     vl_logic;
        DO65_4          : in     vl_logic;
        DO64_4          : in     vl_logic;
        DO63_4          : in     vl_logic;
        DO62_4          : in     vl_logic;
        DO61_4          : in     vl_logic;
        DO60_4          : in     vl_logic;
        DO59_4          : in     vl_logic;
        DO58_4          : in     vl_logic;
        DO57_4          : in     vl_logic;
        DO56_4          : in     vl_logic;
        DO55_4          : in     vl_logic;
        DO54_4          : in     vl_logic;
        DO53_4          : in     vl_logic;
        DO52_4          : in     vl_logic;
        DO51_4          : in     vl_logic;
        DO50_4          : in     vl_logic;
        DO49_4          : in     vl_logic;
        DO48_4          : in     vl_logic;
        DO47_4          : in     vl_logic;
        DO46_4          : in     vl_logic;
        DO45_4          : in     vl_logic;
        DO44_4          : in     vl_logic;
        DO43_4          : in     vl_logic;
        DO42_4          : in     vl_logic;
        DO41_4          : in     vl_logic;
        DO40_4          : in     vl_logic;
        DO39_4          : in     vl_logic;
        DO38_4          : in     vl_logic;
        DO37_4          : in     vl_logic;
        DO36_4          : in     vl_logic;
        DO35_4          : in     vl_logic;
        DO34_4          : in     vl_logic;
        DO33_4          : in     vl_logic;
        DO32_4          : in     vl_logic;
        DO31_4          : in     vl_logic;
        DO30_4          : in     vl_logic;
        DO29_4          : in     vl_logic;
        DO28_4          : in     vl_logic;
        DO27_4          : in     vl_logic;
        DO26_4          : in     vl_logic;
        DO25_4          : in     vl_logic;
        DO24_4          : in     vl_logic;
        DO23_4          : in     vl_logic;
        DO22_4          : in     vl_logic;
        DO21_4          : in     vl_logic;
        DO20_4          : in     vl_logic;
        DO19_4          : in     vl_logic;
        DO18_4          : in     vl_logic;
        DO17_4          : in     vl_logic;
        DO16_4          : in     vl_logic;
        DO15_4          : in     vl_logic;
        DO14_4          : in     vl_logic;
        DO13_4          : in     vl_logic;
        DO12_4          : in     vl_logic;
        DO11_4          : in     vl_logic;
        DO10_4          : in     vl_logic;
        DO9_4           : in     vl_logic;
        DO8_4           : in     vl_logic;
        DO7_4           : in     vl_logic;
        DO6_4           : in     vl_logic;
        DO5_4           : in     vl_logic;
        DO4_4           : in     vl_logic;
        DO3_4           : in     vl_logic;
        DO2_4           : in     vl_logic;
        DO1_4           : in     vl_logic;
        DO0_4           : in     vl_logic;
        DO71_5          : in     vl_logic;
        DO70_5          : in     vl_logic;
        DO69_5          : in     vl_logic;
        DO68_5          : in     vl_logic;
        DO67_5          : in     vl_logic;
        DO66_5          : in     vl_logic;
        DO65_5          : in     vl_logic;
        DO64_5          : in     vl_logic;
        DO63_5          : in     vl_logic;
        DO62_5          : in     vl_logic;
        DO61_5          : in     vl_logic;
        DO60_5          : in     vl_logic;
        DO59_5          : in     vl_logic;
        DO58_5          : in     vl_logic;
        DO57_5          : in     vl_logic;
        DO56_5          : in     vl_logic;
        DO55_5          : in     vl_logic;
        DO54_5          : in     vl_logic;
        DO53_5          : in     vl_logic;
        DO52_5          : in     vl_logic;
        DO51_5          : in     vl_logic;
        DO50_5          : in     vl_logic;
        DO49_5          : in     vl_logic;
        DO48_5          : in     vl_logic;
        DO47_5          : in     vl_logic;
        DO46_5          : in     vl_logic;
        DO45_5          : in     vl_logic;
        DO44_5          : in     vl_logic;
        DO43_5          : in     vl_logic;
        DO42_5          : in     vl_logic;
        DO41_5          : in     vl_logic;
        DO40_5          : in     vl_logic;
        DO39_5          : in     vl_logic;
        DO38_5          : in     vl_logic;
        DO37_5          : in     vl_logic;
        DO36_5          : in     vl_logic;
        DO35_5          : in     vl_logic;
        DO34_5          : in     vl_logic;
        DO33_5          : in     vl_logic;
        DO32_5          : in     vl_logic;
        DO31_5          : in     vl_logic;
        DO30_5          : in     vl_logic;
        DO29_5          : in     vl_logic;
        DO28_5          : in     vl_logic;
        DO27_5          : in     vl_logic;
        DO26_5          : in     vl_logic;
        DO25_5          : in     vl_logic;
        DO24_5          : in     vl_logic;
        DO23_5          : in     vl_logic;
        DO22_5          : in     vl_logic;
        DO21_5          : in     vl_logic;
        DO20_5          : in     vl_logic;
        DO19_5          : in     vl_logic;
        DO18_5          : in     vl_logic;
        DO17_5          : in     vl_logic;
        DO16_5          : in     vl_logic;
        DO15_5          : in     vl_logic;
        DO14_5          : in     vl_logic;
        DO13_5          : in     vl_logic;
        DO12_5          : in     vl_logic;
        DO11_5          : in     vl_logic;
        DO10_5          : in     vl_logic;
        DO9_5           : in     vl_logic;
        DO8_5           : in     vl_logic;
        DO7_5           : in     vl_logic;
        DO6_5           : in     vl_logic;
        DO5_5           : in     vl_logic;
        DO4_5           : in     vl_logic;
        DO3_5           : in     vl_logic;
        DO2_5           : in     vl_logic;
        DO1_5           : in     vl_logic;
        DO0_5           : in     vl_logic;
        DO71_6          : in     vl_logic;
        DO70_6          : in     vl_logic;
        DO69_6          : in     vl_logic;
        DO68_6          : in     vl_logic;
        DO67_6          : in     vl_logic;
        DO66_6          : in     vl_logic;
        DO65_6          : in     vl_logic;
        DO64_6          : in     vl_logic;
        DO63_6          : in     vl_logic;
        DO62_6          : in     vl_logic;
        DO61_6          : in     vl_logic;
        DO60_6          : in     vl_logic;
        DO59_6          : in     vl_logic;
        DO58_6          : in     vl_logic;
        DO57_6          : in     vl_logic;
        DO56_6          : in     vl_logic;
        DO55_6          : in     vl_logic;
        DO54_6          : in     vl_logic;
        DO53_6          : in     vl_logic;
        DO52_6          : in     vl_logic;
        DO51_6          : in     vl_logic;
        DO50_6          : in     vl_logic;
        DO49_6          : in     vl_logic;
        DO48_6          : in     vl_logic;
        DO47_6          : in     vl_logic;
        DO46_6          : in     vl_logic;
        DO45_6          : in     vl_logic;
        DO44_6          : in     vl_logic;
        DO43_6          : in     vl_logic;
        DO42_6          : in     vl_logic;
        DO41_6          : in     vl_logic;
        DO40_6          : in     vl_logic;
        DO39_6          : in     vl_logic;
        DO38_6          : in     vl_logic;
        DO37_6          : in     vl_logic;
        DO36_6          : in     vl_logic;
        DO35_6          : in     vl_logic;
        DO34_6          : in     vl_logic;
        DO33_6          : in     vl_logic;
        DO32_6          : in     vl_logic;
        DO31_6          : in     vl_logic;
        DO30_6          : in     vl_logic;
        DO29_6          : in     vl_logic;
        DO28_6          : in     vl_logic;
        DO27_6          : in     vl_logic;
        DO26_6          : in     vl_logic;
        DO25_6          : in     vl_logic;
        DO24_6          : in     vl_logic;
        DO23_6          : in     vl_logic;
        DO22_6          : in     vl_logic;
        DO21_6          : in     vl_logic;
        DO20_6          : in     vl_logic;
        DO19_6          : in     vl_logic;
        DO18_6          : in     vl_logic;
        DO17_6          : in     vl_logic;
        DO16_6          : in     vl_logic;
        DO15_6          : in     vl_logic;
        DO14_6          : in     vl_logic;
        DO13_6          : in     vl_logic;
        DO12_6          : in     vl_logic;
        DO11_6          : in     vl_logic;
        DO10_6          : in     vl_logic;
        DO9_6           : in     vl_logic;
        DO8_6           : in     vl_logic;
        DO7_6           : in     vl_logic;
        DO6_6           : in     vl_logic;
        DO5_6           : in     vl_logic;
        DO4_6           : in     vl_logic;
        DO3_6           : in     vl_logic;
        DO2_6           : in     vl_logic;
        DO1_6           : in     vl_logic;
        DO0_6           : in     vl_logic;
        DO71_7          : in     vl_logic;
        DO70_7          : in     vl_logic;
        DO69_7          : in     vl_logic;
        DO68_7          : in     vl_logic;
        DO67_7          : in     vl_logic;
        DO66_7          : in     vl_logic;
        DO65_7          : in     vl_logic;
        DO64_7          : in     vl_logic;
        DO63_7          : in     vl_logic;
        DO62_7          : in     vl_logic;
        DO61_7          : in     vl_logic;
        DO60_7          : in     vl_logic;
        DO59_7          : in     vl_logic;
        DO58_7          : in     vl_logic;
        DO57_7          : in     vl_logic;
        DO56_7          : in     vl_logic;
        DO55_7          : in     vl_logic;
        DO54_7          : in     vl_logic;
        DO53_7          : in     vl_logic;
        DO52_7          : in     vl_logic;
        DO51_7          : in     vl_logic;
        DO50_7          : in     vl_logic;
        DO49_7          : in     vl_logic;
        DO48_7          : in     vl_logic;
        DO47_7          : in     vl_logic;
        DO46_7          : in     vl_logic;
        DO45_7          : in     vl_logic;
        DO44_7          : in     vl_logic;
        DO43_7          : in     vl_logic;
        DO42_7          : in     vl_logic;
        DO41_7          : in     vl_logic;
        DO40_7          : in     vl_logic;
        DO39_7          : in     vl_logic;
        DO38_7          : in     vl_logic;
        DO37_7          : in     vl_logic;
        DO36_7          : in     vl_logic;
        DO35_7          : in     vl_logic;
        DO34_7          : in     vl_logic;
        DO33_7          : in     vl_logic;
        DO32_7          : in     vl_logic;
        DO31_7          : in     vl_logic;
        DO30_7          : in     vl_logic;
        DO29_7          : in     vl_logic;
        DO28_7          : in     vl_logic;
        DO27_7          : in     vl_logic;
        DO26_7          : in     vl_logic;
        DO25_7          : in     vl_logic;
        DO24_7          : in     vl_logic;
        DO23_7          : in     vl_logic;
        DO22_7          : in     vl_logic;
        DO21_7          : in     vl_logic;
        DO20_7          : in     vl_logic;
        DO19_7          : in     vl_logic;
        DO18_7          : in     vl_logic;
        DO17_7          : in     vl_logic;
        DO16_7          : in     vl_logic;
        DO15_7          : in     vl_logic;
        DO14_7          : in     vl_logic;
        DO13_7          : in     vl_logic;
        DO12_7          : in     vl_logic;
        DO11_7          : in     vl_logic;
        DO10_7          : in     vl_logic;
        DO9_7           : in     vl_logic;
        DO8_7           : in     vl_logic;
        DO7_7           : in     vl_logic;
        DO6_7           : in     vl_logic;
        DO5_7           : in     vl_logic;
        DO4_7           : in     vl_logic;
        DO3_7           : in     vl_logic;
        DO2_7           : in     vl_logic;
        DO1_7           : in     vl_logic;
        DO0_7           : in     vl_logic;
        DO38_8          : in     vl_logic;
        DO37_8          : in     vl_logic;
        DO36_8          : in     vl_logic;
        DO35_8          : in     vl_logic;
        DO34_8          : in     vl_logic;
        DO33_8          : in     vl_logic;
        DO32_8          : in     vl_logic;
        DO31_8          : in     vl_logic;
        DO30_8          : in     vl_logic;
        DO29_8          : in     vl_logic;
        DO28_8          : in     vl_logic;
        DO27_8          : in     vl_logic;
        DO26_8          : in     vl_logic;
        DO25_8          : in     vl_logic;
        DO24_8          : in     vl_logic;
        DO23_8          : in     vl_logic;
        DO22_8          : in     vl_logic;
        DO21_8          : in     vl_logic;
        DO20_8          : in     vl_logic;
        DO19_8          : in     vl_logic;
        DO18_8          : in     vl_logic;
        DO17_8          : in     vl_logic;
        DO16_8          : in     vl_logic;
        DO15_8          : in     vl_logic;
        DO14_8          : in     vl_logic;
        DO13_8          : in     vl_logic;
        DO12_8          : in     vl_logic;
        DO11_8          : in     vl_logic;
        DO10_8          : in     vl_logic;
        DO9_8           : in     vl_logic;
        DO8_8           : in     vl_logic;
        DO7_8           : in     vl_logic;
        DO6_8           : in     vl_logic;
        DO5_8           : in     vl_logic;
        DO4_8           : in     vl_logic;
        DO3_8           : in     vl_logic;
        DO2_8           : in     vl_logic;
        DO1_8           : in     vl_logic;
        DO0_8           : in     vl_logic;
        DO38_9          : in     vl_logic;
        DO37_9          : in     vl_logic;
        DO36_9          : in     vl_logic;
        DO35_9          : in     vl_logic;
        DO34_9          : in     vl_logic;
        DO33_9          : in     vl_logic;
        DO32_9          : in     vl_logic;
        DO31_9          : in     vl_logic;
        DO30_9          : in     vl_logic;
        DO29_9          : in     vl_logic;
        DO28_9          : in     vl_logic;
        DO27_9          : in     vl_logic;
        DO26_9          : in     vl_logic;
        DO25_9          : in     vl_logic;
        DO24_9          : in     vl_logic;
        DO23_9          : in     vl_logic;
        DO22_9          : in     vl_logic;
        DO21_9          : in     vl_logic;
        DO20_9          : in     vl_logic;
        DO19_9          : in     vl_logic;
        DO18_9          : in     vl_logic;
        DO17_9          : in     vl_logic;
        DO16_9          : in     vl_logic;
        DO15_9          : in     vl_logic;
        DO14_9          : in     vl_logic;
        DO13_9          : in     vl_logic;
        DO12_9          : in     vl_logic;
        DO11_9          : in     vl_logic;
        DO10_9          : in     vl_logic;
        DO9_9           : in     vl_logic;
        DO8_9           : in     vl_logic;
        DO7_9           : in     vl_logic;
        DO6_9           : in     vl_logic;
        DO5_9           : in     vl_logic;
        DO4_9           : in     vl_logic;
        DO3_9           : in     vl_logic;
        DO2_9           : in     vl_logic;
        DO1_9           : in     vl_logic;
        DO0_9           : in     vl_logic;
        hold_l          : in     vl_logic;
        debugz          : in     vl_logic;
        scan_out        : out    vl_logic;
        test_h          : in     vl_logic;
        bist_clk        : in     vl_logic;
        rst_l           : in     vl_logic;
        start_retention_h: out    vl_logic;
        test_resume_h   : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of CACHE_USEECC : constant is 1;
    attribute mti_svvh_generic_type of start_state : constant is 1;
    attribute mti_svvh_generic_type of comp_test_write : constant is 1;
    attribute mti_svvh_generic_type of comp_test_read_fail : constant is 1;
    attribute mti_svvh_generic_type of comp_test_read_pass : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_wBackgroundUp_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rwrInvBackgroundUp_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rwrBackgroundUp_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rwrInvBackgroundDown_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rwrBackgroundDown_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rBackgroundDown_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_W0_up_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R0W1_down_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R1W0R0R0W1_up_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R1W0_down_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R0W1R1R1W0_up_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R0_down_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_W0_col_up_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R0W1_col_down_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R1W0R0R0W1_col_up_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R1W0_col_down_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R0W1R1R1W0_col_up_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R0_col_down_0 : constant is 1;
    attribute mti_svvh_generic_type of s_retentionCB_retentionCB_wCheckerBoardUpSynchronize_0 : constant is 1;
    attribute mti_svvh_generic_type of s_retentionCB_retentionCB_rCheckerBoardUp_0 : constant is 1;
    attribute mti_svvh_generic_type of s_retentionCB_retentionCB_wInvCheckerBoardUpSynchronize_0 : constant is 1;
    attribute mti_svvh_generic_type of s_retentionCB_retentionCB_rInvCheckerBoardUp_0 : constant is 1;
    attribute mti_svvh_generic_type of s_addressdecoder_bg0_addressdecoder_bg0_wSeedUp_0 : constant is 1;
    attribute mti_svvh_generic_type of s_addressdecoder_bg0_addressdecoder_bg0_wwrwAddressDecoder_0 : constant is 1;
    attribute mti_svvh_generic_type of s_addressdecoder_bg1_addressdecoder_bg1_wSeedUp_0 : constant is 1;
    attribute mti_svvh_generic_type of s_addressdecoder_bg1_addressdecoder_bg1_wwrwAddressDecoder_0 : constant is 1;
    attribute mti_svvh_generic_type of complete_state : constant is 1;
    attribute mti_svvh_generic_type of md_none : constant is 1;
    attribute mti_svvh_generic_type of md_r : constant is 1;
    attribute mti_svvh_generic_type of md_rw : constant is 1;
    attribute mti_svvh_generic_type of md_rwr : constant is 1;
    attribute mti_svvh_generic_type of md_rwrrw : constant is 1;
    attribute mti_svvh_generic_type of md_w : constant is 1;
    attribute mti_svvh_generic_type of md_wOs_wrOw : constant is 1;
    attribute mti_svvh_generic_type of p_background1 : constant is 1;
    attribute mti_svvh_generic_type of p_background2 : constant is 1;
    attribute mti_svvh_generic_type of p_background3 : constant is 1;
    attribute mti_svvh_generic_type of AddrNoOp : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_0_4095_up_12_4095 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_4095_0_down_12_4095 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Jump_0_4095_up : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Jump_4095_0_down : constant is 1;
end mss_sp_mbist_120;
