library verilog;
use verilog.vl_types.all;
entity mxgxs_120 is
    port(
        mmd_mdc         : in     vl_logic;
        tx_clk          : in     vl_logic;
        rx_clki0        : in     vl_logic;
        rx_clki1        : in     vl_logic;
        rx_clki2        : in     vl_logic;
        rx_clki3        : in     vl_logic;
        mstr_reset      : in     vl_logic;
        mdc_reset       : in     vl_logic;
        tx_reset        : in     vl_logic;
        rx_reset        : in     vl_logic_vector(3 downto 0);
        rstbyp          : in     vl_logic;
        mmd_mdi         : in     vl_logic;
        mmd_mdi_ext     : in     vl_logic;
        mmd_mdoe_in     : in     vl_logic;
        mmd_prtad       : in     vl_logic_vector(4 downto 0);
        mmd_devid       : in     vl_logic_vector(4 downto 0);
        txd             : in     vl_logic_vector(63 downto 0);
        txc             : in     vl_logic_vector(7 downto 0);
        tx_sig_det      : in     vl_logic_vector(3 downto 0);
        rx_ua_r0        : in     vl_logic_vector(39 downto 0);
        rx_ua_r1        : in     vl_logic_vector(39 downto 0);
        rx_sig_det      : in     vl_logic_vector(3 downto 0);
        loopback_in     : in     vl_logic;
        mmd_mdo         : out    vl_logic;
        mmd_mdoe        : out    vl_logic;
        mdc_reset_out   : out    vl_logic;
        tx_reset_out    : out    vl_logic;
        rx_reset_out    : out    vl_logic_vector(3 downto 0);
        tx_code_grpr0   : out    vl_logic_vector(39 downto 0);
        tx_code_grpr1   : out    vl_logic_vector(39 downto 0);
        rxd             : out    vl_logic_vector(63 downto 0);
        rxc             : out    vl_logic_vector(7 downto 0);
        rx_clk          : out    vl_logic;
        lowpower        : out    vl_logic;
        loopback_out    : out    vl_logic;
        vndrreslo       : out    vl_logic_vector(31 downto 0);
        vndrreshi       : out    vl_logic_vector(31 downto 0);
        en_cgalign      : out    vl_logic_vector(3 downto 0);
        ven_dev2_pr     : in     vl_logic;
        ven_dev1_pr     : in     vl_logic;
        rev_pak         : in     vl_logic_vector(3 downto 0);
        mod_pak         : in     vl_logic_vector(5 downto 0);
        oui_pak         : in     vl_logic_vector(24 downto 0);
        rev_dev         : in     vl_logic_vector(3 downto 0);
        mod_dev         : in     vl_logic_vector(5 downto 0);
        oui_dev         : in     vl_logic_vector(24 downto 0)
    );
end mxgxs_120;
