library verilog;
use verilog.vl_types.all;
entity mxgxs_mmd is
    port(
        mdc_reset       : in     vl_logic;
        mmd_mdc         : in     vl_logic;
        mmd_mdi         : in     vl_logic;
        mmd_mdi_ext     : in     vl_logic;
        mmd_mdoe_in     : in     vl_logic;
        mmd_prtad       : in     vl_logic_vector(4 downto 0);
        mmd_devid       : in     vl_logic_vector(4 downto 0);
        tx_fault_lh     : in     vl_logic;
        rx_fault_lh     : in     vl_logic;
        align_status    : in     vl_logic;
        align_statll    : in     vl_logic;
        sync_status     : in     vl_logic_vector(3 downto 0);
        mmd_mdo         : out    vl_logic;
        mmd_mdoe        : out    vl_logic;
        xs_reset        : out    vl_logic;
        loopback_out    : out    vl_logic;
        lowpower        : out    vl_logic;
        txtp_en         : out    vl_logic;
        txtp_mode       : out    vl_logic_vector(1 downto 0);
        rd_reg_1        : out    vl_logic;
        rd_reg_8        : out    vl_logic;
        vndrreslo       : out    vl_logic_vector(31 downto 0);
        vndrreshi       : out    vl_logic_vector(31 downto 0)
    );
end mxgxs_mmd;
