library verilog;
use verilog.vl_types.all;
entity mxgxs_mmd_regs is
    generic(
        REV_DEV         : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi0);
        MOD_DEV         : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        OUI_DEV         : vl_logic_vector(0 to 24) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        VEN_DEV2_PR     : vl_logic := Hi0;
        VEN_DEV1_PR     : vl_logic := Hi0;
        DXS_PR          : vl_logic := Hi1;
        PXS_PR          : vl_logic := Hi0;
        PCS_PR          : vl_logic := Hi0;
        WIS_PR          : vl_logic := Hi0;
        PMD_PMA_PR      : vl_logic := Hi0;
        LOW_PWR_AB      : vl_logic := Hi1;
        CL22_PR         : vl_logic := Hi0;
        REV_PAK         : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi0);
        MOD_PAK         : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        OUI_PAK         : vl_logic_vector(0 to 24) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        mmd_mdc         : in     vl_logic;
        mdc_reset       : in     vl_logic;
        dev_sel         : in     vl_logic;
        addr            : in     vl_logic_vector(15 downto 0);
        wr_data         : in     vl_logic_vector(15 downto 0);
        wr_done         : in     vl_logic;
        tx_fault_lh     : in     vl_logic;
        rx_fault_lh     : in     vl_logic;
        align_status    : in     vl_logic;
        align_statll    : in     vl_logic;
        sync_status     : in     vl_logic_vector(3 downto 0);
        mmd_devid       : in     vl_logic_vector(4 downto 0);
        rd_data         : out    vl_logic_vector(15 downto 0);
        xs_reset        : out    vl_logic;
        loopback_out    : out    vl_logic;
        lowpower        : out    vl_logic;
        txtp_en         : out    vl_logic;
        txtp_mode       : out    vl_logic_vector(1 downto 0);
        rd_reg_1        : out    vl_logic;
        rd_reg_8        : out    vl_logic;
        vndrreslo       : out    vl_logic_vector(31 downto 0);
        vndrreshi       : out    vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of REV_DEV : constant is 1;
    attribute mti_svvh_generic_type of MOD_DEV : constant is 1;
    attribute mti_svvh_generic_type of OUI_DEV : constant is 1;
    attribute mti_svvh_generic_type of VEN_DEV2_PR : constant is 1;
    attribute mti_svvh_generic_type of VEN_DEV1_PR : constant is 1;
    attribute mti_svvh_generic_type of DXS_PR : constant is 1;
    attribute mti_svvh_generic_type of PXS_PR : constant is 1;
    attribute mti_svvh_generic_type of PCS_PR : constant is 1;
    attribute mti_svvh_generic_type of WIS_PR : constant is 1;
    attribute mti_svvh_generic_type of PMD_PMA_PR : constant is 1;
    attribute mti_svvh_generic_type of LOW_PWR_AB : constant is 1;
    attribute mti_svvh_generic_type of CL22_PR : constant is 1;
    attribute mti_svvh_generic_type of REV_PAK : constant is 1;
    attribute mti_svvh_generic_type of MOD_PAK : constant is 1;
    attribute mti_svvh_generic_type of OUI_PAK : constant is 1;
end mxgxs_mmd_regs;
