library verilog;
use verilog.vl_types.all;
entity mxgxs_mmd_sm_075 is
    generic(
        IDLE            : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        SOF             : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        OPCODE          : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        PORTAD          : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        DEVAD           : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        TA              : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        \ADDR\          : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        WRITE           : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        READ            : vl_logic_vector(0 to 9) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        READ_INC        : vl_logic_vector(0 to 9) := (Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        mmd_mdc         : in     vl_logic;
        mmd_mdi         : in     vl_logic;
        mmd_mdi_ext     : in     vl_logic;
        mmd_mdoe_in     : in     vl_logic;
        mmd_prtad       : in     vl_logic_vector(4 downto 0);
        mmd_devid       : in     vl_logic_vector(4 downto 0);
        mdc_reset       : in     vl_logic;
        rd_data         : in     vl_logic_vector(15 downto 0);
        addr            : out    vl_logic_vector(15 downto 0);
        dev_sel         : out    vl_logic;
        mmd_mdo         : out    vl_logic;
        mmd_mdoe        : out    vl_logic;
        wr_data         : out    vl_logic_vector(15 downto 0);
        wr_done         : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of SOF : constant is 1;
    attribute mti_svvh_generic_type of OPCODE : constant is 1;
    attribute mti_svvh_generic_type of PORTAD : constant is 1;
    attribute mti_svvh_generic_type of DEVAD : constant is 1;
    attribute mti_svvh_generic_type of TA : constant is 1;
    attribute mti_svvh_generic_type of \ADDR\ : constant is 1;
    attribute mti_svvh_generic_type of WRITE : constant is 1;
    attribute mti_svvh_generic_type of READ : constant is 1;
    attribute mti_svvh_generic_type of READ_INC : constant is 1;
end mxgxs_mmd_sm_075;
