library verilog;
use verilog.vl_types.all;
entity mxgxs_rxalign is
    generic(
        RIDLE           : vl_logic_vector(0 to 9) := (Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        LOSS_OF_ALIGNMENT: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        ALIGN_DETECT_1  : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        ALIGN_DETECT_2  : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        ALIGN_DETECT_3  : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        ALIGN_ACQUIRED_1: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        ALIGN_ACQUIRED_2: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        ALIGN_ACQUIRED_3: vl_logic_vector(0 to 7) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        ALIGN_ACQUIRED_4: vl_logic_vector(0 to 7) := (Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        rx_reset        : in     vl_logic;
        rx_clk          : in     vl_logic;
        rxdsr0          : in     vl_logic_vector(39 downto 0);
        rxdsr1          : in     vl_logic_vector(39 downto 0);
        sync_status     : in     vl_logic_vector(3 downto 0);
        rxdar0          : out    vl_logic_vector(39 downto 0);
        rxdar1          : out    vl_logic_vector(39 downto 0);
        align_status    : out    vl_logic;
        fifo_ovrn       : out    vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RIDLE : constant is 1;
    attribute mti_svvh_generic_type of LOSS_OF_ALIGNMENT : constant is 1;
    attribute mti_svvh_generic_type of ALIGN_DETECT_1 : constant is 1;
    attribute mti_svvh_generic_type of ALIGN_DETECT_2 : constant is 1;
    attribute mti_svvh_generic_type of ALIGN_DETECT_3 : constant is 1;
    attribute mti_svvh_generic_type of ALIGN_ACQUIRED_1 : constant is 1;
    attribute mti_svvh_generic_type of ALIGN_ACQUIRED_2 : constant is 1;
    attribute mti_svvh_generic_type of ALIGN_ACQUIRED_3 : constant is 1;
    attribute mti_svvh_generic_type of ALIGN_ACQUIRED_4 : constant is 1;
end mxgxs_rxalign;
