library verilog;
use verilog.vl_types.all;
entity mxgxs_txsymsel_075 is
    generic(
        SEND_DATA       : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        SEND_A          : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        SEND_K          : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        SEND_Q          : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        SEND_RANDA      : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        SEND_RANDK      : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        SEND_RANDQ      : vl_logic_vector(0 to 7) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SEND_RANDR      : vl_logic_vector(0 to 7) := (Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SS_R            : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        SS_A            : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        SS_Q            : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        SS_K            : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        SS_S            : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        SS_T            : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        SS_E            : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi0);
        SS_D            : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi1);
        TERM            : vl_logic_vector(0 to 7) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1);
        START           : vl_logic_vector(0 to 7) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1);
        ERROR           : vl_logic_vector(0 to 7) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0);
        IDLE            : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1);
        QMSG            : vl_logic_vector(0 to 7) := (Hi1, Hi0, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0)
    );
    port(
        tx_reset        : in     vl_logic;
        tx_clk          : in     vl_logic;
        txd             : in     vl_logic_vector(31 downto 0);
        txc             : in     vl_logic_vector(3 downto 0);
        fsm_state       : in     vl_logic_vector(7 downto 0);
        q_det           : in     vl_logic;
        next_ifg        : in     vl_logic;
        code_sel        : in     vl_logic;
        txss            : out    vl_logic_vector(11 downto 0);
        fsm_nxtst_p2    : out    vl_logic_vector(7 downto 0);
        fsm_nxtst_p3    : out    vl_logic_vector(7 downto 0);
        aidle_pend      : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SEND_DATA : constant is 1;
    attribute mti_svvh_generic_type of SEND_A : constant is 1;
    attribute mti_svvh_generic_type of SEND_K : constant is 1;
    attribute mti_svvh_generic_type of SEND_Q : constant is 1;
    attribute mti_svvh_generic_type of SEND_RANDA : constant is 1;
    attribute mti_svvh_generic_type of SEND_RANDK : constant is 1;
    attribute mti_svvh_generic_type of SEND_RANDQ : constant is 1;
    attribute mti_svvh_generic_type of SEND_RANDR : constant is 1;
    attribute mti_svvh_generic_type of SS_R : constant is 1;
    attribute mti_svvh_generic_type of SS_A : constant is 1;
    attribute mti_svvh_generic_type of SS_Q : constant is 1;
    attribute mti_svvh_generic_type of SS_K : constant is 1;
    attribute mti_svvh_generic_type of SS_S : constant is 1;
    attribute mti_svvh_generic_type of SS_T : constant is 1;
    attribute mti_svvh_generic_type of SS_E : constant is 1;
    attribute mti_svvh_generic_type of SS_D : constant is 1;
    attribute mti_svvh_generic_type of TERM : constant is 1;
    attribute mti_svvh_generic_type of START : constant is 1;
    attribute mti_svvh_generic_type of ERROR : constant is 1;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of QMSG : constant is 1;
end mxgxs_txsymsel_075;
