library verilog;
use verilog.vl_types.all;
entity p2a_64_to_128 is
    generic(
        STRB_NORESP     : integer := 1
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        data_64b        : in     vl_logic_vector(63 downto 0);
        strb_resp_64b   : in     vl_logic_vector;
        last_64b        : in     vl_logic;
        valid_64b       : in     vl_logic;
        ready_64b       : out    vl_logic;
        data_128b       : out    vl_logic_vector(127 downto 0);
        strb_resp_128b  : out    vl_logic_vector;
        last_128b       : out    vl_logic;
        valid_128b      : out    vl_logic;
        ready_128b      : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of STRB_NORESP : constant is 1;
end p2a_64_to_128;
