library verilog;
use verilog.vl_types.all;
entity p2a_axi_cdc_adbus is
    generic(
        AXI_CDC_ENABLE  : integer := 1;
        ADDR_WIDTH      : integer := 32;
        ID_BITS         : integer := 8;
        DATA_WIDTH      : integer := 128
    );
    port(
        d0_clk          : in     vl_logic;
        d0_rstn         : in     vl_logic;
        d0_srst         : in     vl_logic;
        d0_id           : out    vl_logic_vector;
        d0_addr         : out    vl_logic_vector;
        d0_param        : out    vl_logic_vector(3 downto 0);
        d0_len          : out    vl_logic_vector(3 downto 0);
        d0_size         : out    vl_logic_vector(2 downto 0);
        d0_burst        : out    vl_logic_vector(1 downto 0);
        d0_lock         : out    vl_logic_vector(1 downto 0);
        d0_cache        : out    vl_logic_vector(3 downto 0);
        d0_prot         : out    vl_logic_vector(2 downto 0);
        d0_valid        : out    vl_logic;
        d0_ready        : in     vl_logic;
        d1_clk          : in     vl_logic;
        d1_rstn         : in     vl_logic;
        d1_srst         : in     vl_logic;
        d1_id           : in     vl_logic_vector;
        d1_addr         : in     vl_logic_vector;
        d1_param        : in     vl_logic_vector(3 downto 0);
        d1_len          : in     vl_logic_vector(3 downto 0);
        d1_size         : in     vl_logic_vector(2 downto 0);
        d1_burst        : in     vl_logic_vector(1 downto 0);
        d1_lock         : in     vl_logic_vector(1 downto 0);
        d1_cache        : in     vl_logic_vector(3 downto 0);
        d1_prot         : in     vl_logic_vector(2 downto 0);
        d1_valid        : in     vl_logic;
        d1_ready        : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of AXI_CDC_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ID_BITS : constant is 1;
    attribute mti_svvh_generic_type of DATA_WIDTH : constant is 1;
end p2a_axi_cdc_adbus;
