library verilog;
use verilog.vl_types.all;
entity p2a_cfgsm_075 is
    generic(
        ST_STATE_SEND_CFG_IDLE: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        ST_STATE_SEND_CFG_START_TRANSFER_CFG: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        ST_STATE_SEND_CFG_START_TRANSFER_IO: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        ST_STATE_SEND_CFG_IDLE_TX_REQ: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        ST_STATE_SEND_CFG_WAIT_TX_ACK: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        ST_STATE_SEND_CFG_WAIT_COMPLETION: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1);
        ST_STATE_SEND_CFG_GENERATION_INT_CFG: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi0);
        ST_STATE_SEND_CFG_GENERATION_INT_IO: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        k_rootport      : in     vl_logic;
        tx_req          : in     vl_logic;
        tx_dfr          : in     vl_logic;
        tx_ws           : in     vl_logic;
        max_request     : in     vl_logic;
        s_arvalid       : in     vl_logic;
        s_arready       : in     vl_logic;
        incr_tag        : out    vl_logic;
        tag_cfg         : out    vl_logic_vector(7 downto 0);
        tag_io          : out    vl_logic_vector(7 downto 0);
        tag_select      : in     vl_logic_vector(7 downto 0);
        tx_req0         : out    vl_logic;
        tx_ack0         : in     vl_logic;
        tx_desc0        : out    vl_logic_vector(127 downto 0);
        tx_ws0          : in     vl_logic;
        tx_data0        : out    vl_logic_vector(63 downto 0);
        tx_dv0          : out    vl_logic;
        tx_dfr0         : out    vl_logic;
        mux_tx_channel  : out    vl_logic;
        mux_tx_channel_ws: out    vl_logic;
        receive_cfg_cpl : in     vl_logic;
        err_cfg_cpl     : in     vl_logic;
        receive_io_cpl  : in     vl_logic;
        err_io_cpl      : in     vl_logic;
        reg_cfgaddr     : in     vl_logic_vector(25 downto 0);
        reg_cfg_wr      : in     vl_logic;
        reg_cfg_writedata: in     vl_logic_vector(31 downto 0);
        reg_cfg_fbe     : in     vl_logic_vector(3 downto 0);
        stop_cfg        : in     vl_logic;
        start_cfg       : in     vl_logic;
        reg_io_addr     : in     vl_logic_vector(31 downto 0);
        reg_io_first_be : in     vl_logic_vector(3 downto 0);
        reg_io_wr       : in     vl_logic;
        reg_io_write_data: in     vl_logic_vector(31 downto 0);
        stop_io         : in     vl_logic;
        start_io        : in     vl_logic;
        irq_io          : out    vl_logic;
        irq_io_err      : out    vl_logic;
        int_cfg_err     : out    vl_logic;
        int_cfg         : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ST_STATE_SEND_CFG_IDLE : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_SEND_CFG_START_TRANSFER_CFG : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_SEND_CFG_START_TRANSFER_IO : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_SEND_CFG_IDLE_TX_REQ : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_SEND_CFG_WAIT_TX_ACK : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_SEND_CFG_WAIT_COMPLETION : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_SEND_CFG_GENERATION_INT_CFG : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_SEND_CFG_GENERATION_INT_IO : constant is 2;
end p2a_cfgsm_075;
