library verilog;
use verilog.vl_types.all;
entity pcie_axitoahb_075 is
    port(
        AXI_AHB_CLK     : in     vl_logic;
        ARESETn         : in     vl_logic;
        F_AXI_AHB_SLAVE : in     vl_logic;
        BURST_TYPE      : in     vl_logic;
        M_RLFBE         : in     vl_logic_vector(7 downto 0);
        PCIE_AWID       : in     vl_logic_vector(3 downto 0);
        PCIE_AWADDR     : in     vl_logic_vector(31 downto 0);
        PCIE_AWLEN      : in     vl_logic_vector(3 downto 0);
        PCIE_AWSIZE     : in     vl_logic_vector(1 downto 0);
        PCIE_AWBURST    : in     vl_logic_vector(1 downto 0);
        PCIE_AWVALID    : in     vl_logic;
        PCIE_AWREADY    : out    vl_logic;
        PCIE_WID        : in     vl_logic_vector(3 downto 0);
        PCIE_WSTRB      : in     vl_logic_vector(7 downto 0);
        PCIE_WLAST      : in     vl_logic;
        PCIE_WVALID     : in     vl_logic;
        PCIE_WDATA      : in     vl_logic_vector(63 downto 0);
        PCIE_WREADY     : out    vl_logic;
        PCIE_BID        : out    vl_logic_vector(3 downto 0);
        PCIE_BRESP      : out    vl_logic_vector(1 downto 0);
        PCIE_BVALID     : out    vl_logic;
        PCIE_BREADY     : in     vl_logic;
        PCIE_ARID       : in     vl_logic_vector(3 downto 0);
        PCIE_ARADDR     : in     vl_logic_vector(31 downto 0);
        PCIE_ARLEN      : in     vl_logic_vector(3 downto 0);
        PCIE_ARSIZE     : in     vl_logic_vector(1 downto 0);
        PCIE_ARBURST    : in     vl_logic_vector(1 downto 0);
        PCIE_ARVALID    : in     vl_logic;
        PCIE_ARREADY    : out    vl_logic;
        PCIE_RID        : out    vl_logic_vector(3 downto 0);
        PCIE_RDATA      : out    vl_logic_vector(63 downto 0);
        PCIE_RRESP      : out    vl_logic_vector(1 downto 0);
        PCIE_RLAST      : out    vl_logic;
        PCIE_RVALID     : out    vl_logic;
        PCIE_RREADY     : in     vl_logic;
        F_AWID_HSEL     : out    vl_logic_vector(3 downto 0);
        F_AWADDR_HADDR  : out    vl_logic_vector(31 downto 0);
        F_AWLEN_HBURST  : out    vl_logic_vector(3 downto 0);
        F_AWSIZE_HSIZE  : out    vl_logic_vector(1 downto 0);
        F_AWBURST_HTRANS: out    vl_logic_vector(1 downto 0);
        F_AWVALID_HWRITE: out    vl_logic;
        F_AWREADY       : in     vl_logic;
        F_WID           : out    vl_logic_vector(3 downto 0);
        F_WSTRB         : out    vl_logic_vector(7 downto 0);
        F_WLAST         : out    vl_logic;
        F_WVALID        : out    vl_logic;
        F_WDATA_HWDATA  : out    vl_logic_vector(63 downto 0);
        F_WREADY_HREADYOUT: in     vl_logic;
        F_BID           : in     vl_logic_vector(3 downto 0);
        F_BRESP_HRESP   : in     vl_logic_vector(1 downto 0);
        F_BVALID        : in     vl_logic;
        F_BREADY        : out    vl_logic;
        F_ARID          : out    vl_logic_vector(3 downto 0);
        F_ARADDR        : out    vl_logic_vector(31 downto 0);
        F_ARLEN         : out    vl_logic_vector(3 downto 0);
        F_ARSIZE        : out    vl_logic_vector(1 downto 0);
        F_ARBURST       : out    vl_logic_vector(1 downto 0);
        F_ARVALID       : out    vl_logic;
        F_ARREADY       : in     vl_logic;
        F_RID           : in     vl_logic_vector(3 downto 0);
        F_RDATA_HRDATA  : in     vl_logic_vector(63 downto 0);
        F_RRESP         : in     vl_logic_vector(1 downto 0);
        F_RLAST         : in     vl_logic;
        F_RVALID        : in     vl_logic;
        F_RREADY        : out    vl_logic
    );
end pcie_axitoahb_075;
