library verilog;
use verilog.vl_types.all;
entity pciexp125_deskew_120 is
    generic(
        G_NB_LANE       : integer := 4;
        K_COM           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K_SKP           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        K_PAD           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1);
        K_IDL           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K_FTS           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K_STP           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1);
        K_SDP           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        K_EDB           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0);
        K_END           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1);
        K_EIE           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        LOGIC_ZERO      : vl_logic_vector;
        LOGIC_ONE       : vl_logic_vector;
        ALL_ZERO        : vl_logic_vector(31 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        ALL_ONE         : vl_logic_vector(31 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        ZERO            : vl_logic_vector(7 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        ZERO64          : vl_logic_vector(63 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SHFT_STATE_DISAB: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        SHFT_STATE_NORM : vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        SHFT_STATE_SHFT : vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        SHFT_STATE_IDLOS: vl_logic_vector(1 downto 0) := (Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        err_deskew      : out    vl_logic_vector;
        test_deskew     : out    vl_logic_vector(31 downto 0);
        lane_act        : in     vl_logic_vector(2 downto 0);
        lane_rev        : in     vl_logic_vector(3 downto 0);
        rx_idl          : in     vl_logic_vector;
        en_lane         : in     vl_logic_vector;
        en_deskew       : in     vl_logic;
        clr_rxpath      : out    vl_logic;
        stp_sdp         : out    vl_logic;
        rxvalid         : in     vl_logic_vector;
        rx_datak_dl0    : in     vl_logic_vector(1 downto 0);
        rx_datak_dl1    : in     vl_logic_vector(1 downto 0);
        rx_datak_dl2    : in     vl_logic_vector(1 downto 0);
        rx_datak_dl3    : in     vl_logic_vector(1 downto 0);
        rx_data_dl0     : in     vl_logic_vector(15 downto 0);
        rx_data_dl1     : in     vl_logic_vector(15 downto 0);
        rx_data_dl2     : in     vl_logic_vector(15 downto 0);
        rx_data_dl3     : in     vl_logic_vector(15 downto 0);
        rx_data_dl      : out    vl_logic_vector(63 downto 0);
        rx_datak_dl     : out    vl_logic_vector(7 downto 0);
        rx_val          : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of K_COM : constant is 2;
    attribute mti_svvh_generic_type of K_SKP : constant is 2;
    attribute mti_svvh_generic_type of K_PAD : constant is 2;
    attribute mti_svvh_generic_type of K_IDL : constant is 2;
    attribute mti_svvh_generic_type of K_FTS : constant is 2;
    attribute mti_svvh_generic_type of K_STP : constant is 2;
    attribute mti_svvh_generic_type of K_SDP : constant is 2;
    attribute mti_svvh_generic_type of K_EDB : constant is 2;
    attribute mti_svvh_generic_type of K_END : constant is 2;
    attribute mti_svvh_generic_type of K_EIE : constant is 2;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 4;
    attribute mti_svvh_generic_type of LOGIC_ONE : constant is 4;
    attribute mti_svvh_generic_type of ALL_ZERO : constant is 2;
    attribute mti_svvh_generic_type of ALL_ONE : constant is 2;
    attribute mti_svvh_generic_type of ZERO : constant is 2;
    attribute mti_svvh_generic_type of ZERO64 : constant is 2;
    attribute mti_svvh_generic_type of SHFT_STATE_DISAB : constant is 2;
    attribute mti_svvh_generic_type of SHFT_STATE_NORM : constant is 2;
    attribute mti_svvh_generic_type of SHFT_STATE_SHFT : constant is 2;
    attribute mti_svvh_generic_type of SHFT_STATE_IDLOS : constant is 2;
end pciexp125_deskew_120;
