library verilog;
use verilog.vl_types.all;
entity pciexp125_pipe_120 is
    generic(
        G_RX_BUF        : integer := 10;
        G_RH_NUM        : integer := 7;
        G_RTRY_BUF      : integer := 10;
        G_RTRY_NUM      : integer := 7;
        G_TAG_NUM0      : integer := 256;
        G_TAG_NUM1      : integer := 256;
        G_TAG_NUM2      : integer := 256;
        G_TAG_NUM3      : integer := 256;
        G_TAG_NUM4      : integer := 256;
        G_TAG_NUM5      : integer := 256;
        G_TAG_NUM6      : integer := 256;
        G_TAG_NUM7      : integer := 256;
        G_PH_FUNC       : integer := 0;
        G_IMPL_FN1      : integer := 1;
        G_IMPL_FN2      : integer := 1;
        G_IMPL_FN3      : integer := 1;
        G_IMPL_FN4      : integer := 1;
        G_IMPL_FN5      : integer := 1;
        G_IMPL_FN6      : integer := 1;
        G_IMPL_FN7      : integer := 1;
        G_IMPL_VC1      : integer := 1;
        G_IMPL_VC2      : integer := 1;
        G_IMPL_VC3      : integer := 1;
        G_IMPL_VC4      : integer := 1;
        G_IMPL_VC5      : integer := 1;
        G_IMPL_VC6      : integer := 1;
        G_IMPL_VC7      : integer := 1;
        G_NB_LANE       : integer := 4;
        G_CDC_PRESENT   : integer := 1;
        LOGIC_ZERO      : vl_logic_vector(127 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        pclk            : in     vl_logic;
        prstn           : in     vl_logic;
        psrst           : in     vl_logic;
        uclk            : in     vl_logic;
        uclk_vc0        : in     vl_logic;
        uclk_vc1        : in     vl_logic;
        uclk_vc2        : in     vl_logic;
        uclk_vc3        : in     vl_logic;
        uclk_vc4        : in     vl_logic;
        uclk_vc5        : in     vl_logic;
        uclk_vc6        : in     vl_logic;
        uclk_vc7        : in     vl_logic;
        urstn           : in     vl_logic;
        unpor           : in     vl_logic;
        ucrst           : in     vl_logic;
        usrst           : in     vl_logic;
        rate            : out    vl_logic;
        lane_reversal_enable: out    vl_logic;
        tx_deemph       : out    vl_logic;
        tx_margin       : out    vl_logic_vector(2 downto 0);
        txdata0         : out    vl_logic_vector(15 downto 0);
        txdatak0        : out    vl_logic_vector(1 downto 0);
        txdetectrx0     : out    vl_logic;
        txelecidle0     : out    vl_logic;
        txcompl0        : out    vl_logic;
        rxpolarity0     : out    vl_logic;
        powerdown0      : out    vl_logic_vector(1 downto 0);
        rxdata0         : in     vl_logic_vector(15 downto 0);
        rxdatak0        : in     vl_logic_vector(1 downto 0);
        rxvalid0        : in     vl_logic;
        phystatus0      : in     vl_logic;
        rxelecidle0     : in     vl_logic;
        rxstatus0       : in     vl_logic_vector(2 downto 0);
        txdata1         : out    vl_logic_vector(15 downto 0);
        txdatak1        : out    vl_logic_vector(1 downto 0);
        txdetectrx1     : out    vl_logic;
        txelecidle1     : out    vl_logic;
        txcompl1        : out    vl_logic;
        rxpolarity1     : out    vl_logic;
        powerdown1      : out    vl_logic_vector(1 downto 0);
        rxdata1         : in     vl_logic_vector(15 downto 0);
        rxdatak1        : in     vl_logic_vector(1 downto 0);
        rxvalid1        : in     vl_logic;
        phystatus1      : in     vl_logic;
        rxelecidle1     : in     vl_logic;
        rxstatus1       : in     vl_logic_vector(2 downto 0);
        txdata2         : out    vl_logic_vector(15 downto 0);
        txdatak2        : out    vl_logic_vector(1 downto 0);
        txdetectrx2     : out    vl_logic;
        txelecidle2     : out    vl_logic;
        txcompl2        : out    vl_logic;
        rxpolarity2     : out    vl_logic;
        powerdown2      : out    vl_logic_vector(1 downto 0);
        rxdata2         : in     vl_logic_vector(15 downto 0);
        rxdatak2        : in     vl_logic_vector(1 downto 0);
        rxvalid2        : in     vl_logic;
        phystatus2      : in     vl_logic;
        rxelecidle2     : in     vl_logic;
        rxstatus2       : in     vl_logic_vector(2 downto 0);
        txdata3         : out    vl_logic_vector(15 downto 0);
        txdatak3        : out    vl_logic_vector(1 downto 0);
        txdetectrx3     : out    vl_logic;
        txelecidle3     : out    vl_logic;
        txcompl3        : out    vl_logic;
        rxpolarity3     : out    vl_logic;
        powerdown3      : out    vl_logic_vector(1 downto 0);
        rxdata3         : in     vl_logic_vector(15 downto 0);
        rxdatak3        : in     vl_logic_vector(1 downto 0);
        rxvalid3        : in     vl_logic;
        phystatus3      : in     vl_logic;
        rxelecidle3     : in     vl_logic;
        rxstatus3       : in     vl_logic_vector(2 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_dev           : in     vl_logic_vector(4 downto 0);
        k_port          : in     vl_logic_vector(7 downto 0);
        k_conf_func0    : in     vl_logic_vector(383 downto 0);
        k_conf_func1    : in     vl_logic_vector(383 downto 0);
        k_conf_func2    : in     vl_logic_vector(383 downto 0);
        k_conf_func3    : in     vl_logic_vector(383 downto 0);
        k_conf_func4    : in     vl_logic_vector(383 downto 0);
        k_conf_func5    : in     vl_logic_vector(383 downto 0);
        k_conf_func6    : in     vl_logic_vector(383 downto 0);
        k_conf_func7    : in     vl_logic_vector(383 downto 0);
        k_bar_func0     : in     vl_logic_vector(227 downto 0);
        k_bar_func1     : in     vl_logic_vector(227 downto 0);
        k_bar_func2     : in     vl_logic_vector(227 downto 0);
        k_bar_func3     : in     vl_logic_vector(227 downto 0);
        k_bar_func4     : in     vl_logic_vector(227 downto 0);
        k_bar_func5     : in     vl_logic_vector(227 downto 0);
        k_bar_func6     : in     vl_logic_vector(227 downto 0);
        k_bar_func7     : in     vl_logic_vector(227 downto 0);
        k_cnt           : in     vl_logic_vector(191 downto 0);
        k_vc0           : in     vl_logic_vector(55 downto 0);
        k_vc1           : in     vl_logic_vector(55 downto 0);
        k_vc2           : in     vl_logic_vector(55 downto 0);
        k_vc3           : in     vl_logic_vector(55 downto 0);
        k_vc4           : in     vl_logic_vector(55 downto 0);
        k_vc5           : in     vl_logic_vector(55 downto 0);
        k_vc6           : in     vl_logic_vector(55 downto 0);
        k_vc7           : in     vl_logic_vector(55 downto 0);
        k_rtry          : in     vl_logic_vector;
        k_ptr0          : in     vl_logic_vector;
        k_ptr1          : in     vl_logic_vector;
        k_ptr2          : in     vl_logic_vector;
        k_ptr3          : in     vl_logic_vector;
        k_ptr4          : in     vl_logic_vector;
        k_ptr5          : in     vl_logic_vector;
        k_ptr6          : in     vl_logic_vector;
        k_ptr7          : in     vl_logic_vector;
        cfg_rden        : in     vl_logic;
        cfg_wren        : in     vl_logic;
        cfg_addr        : in     vl_logic_vector(14 downto 0);
        cfg_din         : in     vl_logic_vector(31 downto 0);
        cfg_dout        : out    vl_logic_vector(31 downto 0);
        cfg_ack         : out    vl_logic;
        flr_req_func0   : out    vl_logic;
        flr_ack_func0   : in     vl_logic;
        flr_req_func1   : out    vl_logic;
        flr_ack_func1   : in     vl_logic;
        flr_req_func2   : out    vl_logic;
        flr_ack_func2   : in     vl_logic;
        flr_req_func3   : out    vl_logic;
        flr_ack_func3   : in     vl_logic;
        flr_req_func4   : out    vl_logic;
        flr_ack_func4   : in     vl_logic;
        flr_req_func5   : out    vl_logic;
        flr_ack_func5   : in     vl_logic;
        flr_req_func6   : out    vl_logic;
        flr_ack_func6   : in     vl_logic;
        flr_req_func7   : out    vl_logic;
        flr_ack_func7   : in     vl_logic;
        clkreqn_l1_en_n : in     vl_logic;
        clkreqout       : in     vl_logic;
        clkreq_n        : out    vl_logic;
        ev_1us          : out    vl_logic;
        ev_256ns        : out    vl_logic;
        wake_oen        : out    vl_logic;
        mode            : in     vl_logic_vector(1 downto 0);
        slotclk_cfg     : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_out        : out    vl_logic_vector(639 downto 0);
        l2_exit         : out    vl_logic;
        hotrst_exit     : out    vl_logic;
        dlup_exit       : out    vl_logic;
        cpl_pending_func0: in     vl_logic;
        cpl_pending_func1: in     vl_logic;
        cpl_pending_func2: in     vl_logic;
        cpl_pending_func3: in     vl_logic;
        cpl_pending_func4: in     vl_logic;
        cpl_pending_func5: in     vl_logic;
        cpl_pending_func6: in     vl_logic;
        cpl_pending_func7: in     vl_logic;
        cpl_err_func0   : in     vl_logic_vector(6 downto 0);
        cpl_err_func1   : in     vl_logic_vector(6 downto 0);
        cpl_err_func2   : in     vl_logic_vector(6 downto 0);
        cpl_err_func3   : in     vl_logic_vector(6 downto 0);
        cpl_err_func4   : in     vl_logic_vector(6 downto 0);
        cpl_err_func5   : in     vl_logic_vector(6 downto 0);
        cpl_err_func6   : in     vl_logic_vector(6 downto 0);
        cpl_err_func7   : in     vl_logic_vector(6 downto 0);
        err_desc_func0  : in     vl_logic_vector(127 downto 0);
        err_desc_func1  : in     vl_logic_vector(127 downto 0);
        err_desc_func2  : in     vl_logic_vector(127 downto 0);
        err_desc_func3  : in     vl_logic_vector(127 downto 0);
        err_desc_func4  : in     vl_logic_vector(127 downto 0);
        err_desc_func5  : in     vl_logic_vector(127 downto 0);
        err_desc_func6  : in     vl_logic_vector(127 downto 0);
        err_desc_func7  : in     vl_logic_vector(127 downto 0);
        pm_auxpwr       : in     vl_logic;
        serr_out        : out    vl_logic;
        cfg_busdev      : out    vl_logic_vector(12 downto 0);
        cfg_prmcsr_func0: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func1: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func2: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func3: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func4: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func5: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func6: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func7: out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func0 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func1 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func2 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func3 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func4 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func5 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func6 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func7 : out    vl_logic_vector(31 downto 0);
        cfg_msicsr_func0: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func1: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func2: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func3: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func4: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func5: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func6: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func7: out    vl_logic_vector(15 downto 0);
        cfg_devcsr_func0: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func1: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func2: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func3: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func4: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func5: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func6: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func7: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func0: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func1: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func2: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func3: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func4: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func5: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func6: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func7: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func0: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func1: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func2: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func3: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func4: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func5: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func6: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func7: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func0: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func1: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func2: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func3: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func4: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func5: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func6: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func7: out    vl_logic_vector(31 downto 0);
        cfg_slotcsr     : out    vl_logic_vector(31 downto 0);
        cfg_rootcsr     : out    vl_logic_vector(31 downto 0);
        cfg_seccsr      : out    vl_logic_vector(31 downto 0);
        cfg_prmbus      : out    vl_logic_vector(7 downto 0);
        cfg_secbus      : out    vl_logic_vector(7 downto 0);
        cfg_subbus      : out    vl_logic_vector(7 downto 0);
        cfg_io_bas      : out    vl_logic_vector(19 downto 0);
        cfg_io_lim      : out    vl_logic_vector(19 downto 0);
        cfg_np_bas      : out    vl_logic_vector(11 downto 0);
        cfg_np_lim      : out    vl_logic_vector(11 downto 0);
        cfg_pr_bas      : out    vl_logic_vector(43 downto 0);
        cfg_pr_lim      : out    vl_logic_vector(43 downto 0);
        cfg_tcvcmap     : out    vl_logic_vector(23 downto 0);
        cfg_seclatency  : out    vl_logic_vector(7 downto 0);
        cfg_bar0        : out    vl_logic_vector(31 downto 0);
        cfg_bar1        : out    vl_logic_vector(31 downto 0);
        cfg_msixcsr_func0: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func1: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func2: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func3: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func4: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func5: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func6: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func7: out    vl_logic_vector(15 downto 0);
        pme_to_cr       : in     vl_logic;
        pme_to_sr       : out    vl_logic;
        pm_event        : in     vl_logic;
        pm_event_sec    : in     vl_logic;
        pm_event_func   : in     vl_logic_vector(2 downto 0);
        pm_data         : in     vl_logic_vector(9 downto 0);
        app_intx_sts_func0: in     vl_logic;
        app_intx_sts_func1: in     vl_logic;
        app_intx_sts_func2: in     vl_logic;
        app_intx_sts_func3: in     vl_logic;
        app_intx_sts_func4: in     vl_logic;
        app_intx_sts_func5: in     vl_logic;
        app_intx_sts_func6: in     vl_logic;
        app_intx_sts_func7: in     vl_logic;
        app_msi_req_func0: in     vl_logic;
        app_msi_req_func1: in     vl_logic;
        app_msi_req_func2: in     vl_logic;
        app_msi_req_func3: in     vl_logic;
        app_msi_req_func4: in     vl_logic;
        app_msi_req_func5: in     vl_logic;
        app_msi_req_func6: in     vl_logic;
        app_msi_req_func7: in     vl_logic;
        app_msi_ack_func0: out    vl_logic;
        app_msi_ack_func1: out    vl_logic;
        app_msi_ack_func2: out    vl_logic;
        app_msi_ack_func3: out    vl_logic;
        app_msi_ack_func4: out    vl_logic;
        app_msi_ack_func5: out    vl_logic;
        app_msi_ack_func6: out    vl_logic;
        app_msi_ack_func7: out    vl_logic;
        app_msi_tc_func0: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func1: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func2: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func3: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func4: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func5: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func6: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func7: in     vl_logic_vector(2 downto 0);
        app_msi_num_func0: in     vl_logic_vector(4 downto 0);
        app_msi_num_func1: in     vl_logic_vector(4 downto 0);
        app_msi_num_func2: in     vl_logic_vector(4 downto 0);
        app_msi_num_func3: in     vl_logic_vector(4 downto 0);
        app_msi_num_func4: in     vl_logic_vector(4 downto 0);
        app_msi_num_func5: in     vl_logic_vector(4 downto 0);
        app_msi_num_func6: in     vl_logic_vector(4 downto 0);
        app_msi_num_func7: in     vl_logic_vector(4 downto 0);
        aer_msi_num     : in     vl_logic_vector(4 downto 0);
        pex_msi_num     : in     vl_logic_vector(4 downto 0);
        hpg_ctrler      : in     vl_logic_vector(4 downto 0);
        swdn_in         : in     vl_logic_vector(2 downto 0);
        swdn_out        : out    vl_logic_vector(6 downto 0);
        swup_in         : in     vl_logic_vector(6 downto 0);
        swup_out        : out    vl_logic_vector(2 downto 0);
        sw_ctmod        : in     vl_logic_vector(1 downto 0);
        wren_rcv        : out    vl_logic;
        rden_rcv        : out    vl_logic;
        adwr_rcv        : out    vl_logic_vector;
        din_rcv         : out    vl_logic_vector(63 downto 0);
        adrd_rcv        : out    vl_logic_vector;
        dout_rcv        : in     vl_logic_vector(63 downto 0);
        derr_rcv        : in     vl_logic;
        wren_rcv0       : out    vl_logic;
        rden_rcv0       : out    vl_logic;
        adwr_rcv0       : out    vl_logic_vector;
        din_rcv0        : out    vl_logic_vector(63 downto 0);
        adrd_rcv0       : out    vl_logic_vector;
        dout_rcv0       : in     vl_logic_vector(63 downto 0);
        derr_rcv0       : in     vl_logic;
        wren_rcv1       : out    vl_logic;
        rden_rcv1       : out    vl_logic;
        adwr_rcv1       : out    vl_logic_vector;
        din_rcv1        : out    vl_logic_vector(63 downto 0);
        adrd_rcv1       : out    vl_logic_vector;
        dout_rcv1       : in     vl_logic_vector(63 downto 0);
        derr_rcv1       : in     vl_logic;
        wren_rcv2       : out    vl_logic;
        rden_rcv2       : out    vl_logic;
        adwr_rcv2       : out    vl_logic_vector;
        din_rcv2        : out    vl_logic_vector(63 downto 0);
        adrd_rcv2       : out    vl_logic_vector;
        dout_rcv2       : in     vl_logic_vector(63 downto 0);
        derr_rcv2       : in     vl_logic;
        wren_rcv3       : out    vl_logic;
        rden_rcv3       : out    vl_logic;
        adwr_rcv3       : out    vl_logic_vector;
        din_rcv3        : out    vl_logic_vector(63 downto 0);
        adrd_rcv3       : out    vl_logic_vector;
        dout_rcv3       : in     vl_logic_vector(63 downto 0);
        derr_rcv3       : in     vl_logic;
        wren_rcv4       : out    vl_logic;
        rden_rcv4       : out    vl_logic;
        adwr_rcv4       : out    vl_logic_vector;
        din_rcv4        : out    vl_logic_vector(63 downto 0);
        adrd_rcv4       : out    vl_logic_vector;
        dout_rcv4       : in     vl_logic_vector(63 downto 0);
        derr_rcv4       : in     vl_logic;
        wren_rcv5       : out    vl_logic;
        rden_rcv5       : out    vl_logic;
        adwr_rcv5       : out    vl_logic_vector;
        din_rcv5        : out    vl_logic_vector(63 downto 0);
        adrd_rcv5       : out    vl_logic_vector;
        dout_rcv5       : in     vl_logic_vector(63 downto 0);
        derr_rcv5       : in     vl_logic;
        wren_rcv6       : out    vl_logic;
        rden_rcv6       : out    vl_logic;
        adwr_rcv6       : out    vl_logic_vector;
        din_rcv6        : out    vl_logic_vector(63 downto 0);
        adrd_rcv6       : out    vl_logic_vector;
        dout_rcv6       : in     vl_logic_vector(63 downto 0);
        derr_rcv6       : in     vl_logic;
        wren_rcv7       : out    vl_logic;
        rden_rcv7       : out    vl_logic;
        adwr_rcv7       : out    vl_logic_vector;
        din_rcv7        : out    vl_logic_vector(63 downto 0);
        adrd_rcv7       : out    vl_logic_vector;
        dout_rcv7       : in     vl_logic_vector(63 downto 0);
        derr_rcv7       : in     vl_logic;
        wren_rpl        : out    vl_logic;
        rden_rpl        : out    vl_logic;
        adwr_rpl        : out    vl_logic_vector;
        din_rpl         : out    vl_logic_vector(63 downto 0);
        adrd_rpl        : out    vl_logic_vector;
        dout_rpl        : in     vl_logic_vector(63 downto 0);
        tx_cred0        : out    vl_logic_vector(35 downto 0);
        tx_cred1        : out    vl_logic_vector(35 downto 0);
        tx_cred2        : out    vl_logic_vector(35 downto 0);
        tx_cred3        : out    vl_logic_vector(35 downto 0);
        tx_cred4        : out    vl_logic_vector(35 downto 0);
        tx_cred5        : out    vl_logic_vector(35 downto 0);
        tx_cred6        : out    vl_logic_vector(35 downto 0);
        tx_cred7        : out    vl_logic_vector(35 downto 0);
        rx_func0        : out    vl_logic_vector(2 downto 0);
        rx_vcsel0       : in     vl_logic;
        rx_status0      : out    vl_logic;
        rx_req0         : out    vl_logic;
        rx_ack0         : in     vl_logic;
        rx_abort0       : in     vl_logic;
        rx_retry0       : in     vl_logic;
        rx_mask0        : in     vl_logic;
        rx_desc0        : out    vl_logic_vector(135 downto 0);
        rx_ws0          : in     vl_logic;
        rx_data0        : out    vl_logic_vector(63 downto 0);
        rx_be0          : out    vl_logic_vector(7 downto 0);
        rx_err0         : out    vl_logic;
        rx_dv0          : out    vl_logic;
        rx_dfr0         : out    vl_logic;
        rx_ct_null0     : out    vl_logic;
        tx_req0         : in     vl_logic;
        tx_desc0        : in     vl_logic_vector(127 downto 0);
        tx_ack0         : out    vl_logic;
        tx_dfr0         : in     vl_logic;
        tx_data0        : in     vl_logic_vector(63 downto 0);
        tx_err0         : in     vl_logic;
        tx_ws0          : out    vl_logic;
        rx_vcsel1       : in     vl_logic;
        rx_status1      : out    vl_logic;
        rx_req1         : out    vl_logic;
        rx_ack1         : in     vl_logic;
        rx_abort1       : in     vl_logic;
        rx_retry1       : in     vl_logic;
        rx_mask1        : in     vl_logic;
        rx_desc1        : out    vl_logic_vector(135 downto 0);
        rx_ws1          : in     vl_logic;
        rx_data1        : out    vl_logic_vector(63 downto 0);
        rx_be1          : out    vl_logic_vector(7 downto 0);
        rx_err1         : out    vl_logic;
        rx_dv1          : out    vl_logic;
        rx_dfr1         : out    vl_logic;
        rx_ct_null1     : out    vl_logic;
        tx_req1         : in     vl_logic;
        tx_desc1        : in     vl_logic_vector(127 downto 0);
        tx_ack1         : out    vl_logic;
        tx_dfr1         : in     vl_logic;
        tx_data1        : in     vl_logic_vector(63 downto 0);
        tx_err1         : in     vl_logic;
        tx_ws1          : out    vl_logic;
        rx_func1        : out    vl_logic_vector(2 downto 0);
        rx_vcsel2       : in     vl_logic;
        rx_status2      : out    vl_logic;
        rx_req2         : out    vl_logic;
        rx_ack2         : in     vl_logic;
        rx_abort2       : in     vl_logic;
        rx_retry2       : in     vl_logic;
        rx_mask2        : in     vl_logic;
        rx_desc2        : out    vl_logic_vector(135 downto 0);
        rx_ws2          : in     vl_logic;
        rx_data2        : out    vl_logic_vector(63 downto 0);
        rx_be2          : out    vl_logic_vector(7 downto 0);
        rx_err2         : out    vl_logic;
        rx_dv2          : out    vl_logic;
        rx_dfr2         : out    vl_logic;
        rx_ct_null2     : out    vl_logic;
        tx_req2         : in     vl_logic;
        tx_desc2        : in     vl_logic_vector(127 downto 0);
        tx_ack2         : out    vl_logic;
        tx_dfr2         : in     vl_logic;
        tx_data2        : in     vl_logic_vector(63 downto 0);
        tx_err2         : in     vl_logic;
        tx_ws2          : out    vl_logic;
        rx_func2        : out    vl_logic_vector(2 downto 0);
        rx_vcsel3       : in     vl_logic;
        rx_status3      : out    vl_logic;
        rx_req3         : out    vl_logic;
        rx_ack3         : in     vl_logic;
        rx_abort3       : in     vl_logic;
        rx_retry3       : in     vl_logic;
        rx_mask3        : in     vl_logic;
        rx_desc3        : out    vl_logic_vector(135 downto 0);
        rx_ws3          : in     vl_logic;
        rx_data3        : out    vl_logic_vector(63 downto 0);
        rx_be3          : out    vl_logic_vector(7 downto 0);
        rx_err3         : out    vl_logic;
        rx_dv3          : out    vl_logic;
        rx_dfr3         : out    vl_logic;
        rx_ct_null3     : out    vl_logic;
        tx_req3         : in     vl_logic;
        tx_desc3        : in     vl_logic_vector(127 downto 0);
        tx_ack3         : out    vl_logic;
        tx_dfr3         : in     vl_logic;
        tx_data3        : in     vl_logic_vector(63 downto 0);
        tx_err3         : in     vl_logic;
        tx_ws3          : out    vl_logic;
        rx_func3        : out    vl_logic_vector(2 downto 0);
        rx_vcsel4       : in     vl_logic;
        rx_status4      : out    vl_logic;
        rx_req4         : out    vl_logic;
        rx_ack4         : in     vl_logic;
        rx_abort4       : in     vl_logic;
        rx_retry4       : in     vl_logic;
        rx_mask4        : in     vl_logic;
        rx_desc4        : out    vl_logic_vector(135 downto 0);
        rx_ws4          : in     vl_logic;
        rx_data4        : out    vl_logic_vector(63 downto 0);
        rx_be4          : out    vl_logic_vector(7 downto 0);
        rx_err4         : out    vl_logic;
        rx_dv4          : out    vl_logic;
        rx_dfr4         : out    vl_logic;
        rx_ct_null4     : out    vl_logic;
        tx_req4         : in     vl_logic;
        tx_desc4        : in     vl_logic_vector(127 downto 0);
        tx_ack4         : out    vl_logic;
        tx_dfr4         : in     vl_logic;
        tx_data4        : in     vl_logic_vector(63 downto 0);
        tx_err4         : in     vl_logic;
        tx_ws4          : out    vl_logic;
        rx_func4        : out    vl_logic_vector(2 downto 0);
        rx_vcsel5       : in     vl_logic;
        rx_status5      : out    vl_logic;
        rx_req5         : out    vl_logic;
        rx_ack5         : in     vl_logic;
        rx_abort5       : in     vl_logic;
        rx_retry5       : in     vl_logic;
        rx_mask5        : in     vl_logic;
        rx_desc5        : out    vl_logic_vector(135 downto 0);
        rx_ws5          : in     vl_logic;
        rx_data5        : out    vl_logic_vector(63 downto 0);
        rx_be5          : out    vl_logic_vector(7 downto 0);
        rx_err5         : out    vl_logic;
        rx_dv5          : out    vl_logic;
        rx_dfr5         : out    vl_logic;
        rx_ct_null5     : out    vl_logic;
        tx_req5         : in     vl_logic;
        tx_desc5        : in     vl_logic_vector(127 downto 0);
        tx_ack5         : out    vl_logic;
        tx_dfr5         : in     vl_logic;
        tx_data5        : in     vl_logic_vector(63 downto 0);
        tx_err5         : in     vl_logic;
        tx_ws5          : out    vl_logic;
        rx_func5        : out    vl_logic_vector(2 downto 0);
        rx_vcsel6       : in     vl_logic;
        rx_status6      : out    vl_logic;
        rx_req6         : out    vl_logic;
        rx_ack6         : in     vl_logic;
        rx_abort6       : in     vl_logic;
        rx_retry6       : in     vl_logic;
        rx_mask6        : in     vl_logic;
        rx_desc6        : out    vl_logic_vector(135 downto 0);
        rx_ws6          : in     vl_logic;
        rx_data6        : out    vl_logic_vector(63 downto 0);
        rx_be6          : out    vl_logic_vector(7 downto 0);
        rx_err6         : out    vl_logic;
        rx_dv6          : out    vl_logic;
        rx_dfr6         : out    vl_logic;
        rx_ct_null6     : out    vl_logic;
        tx_req6         : in     vl_logic;
        tx_desc6        : in     vl_logic_vector(127 downto 0);
        tx_ack6         : out    vl_logic;
        tx_dfr6         : in     vl_logic;
        tx_data6        : in     vl_logic_vector(63 downto 0);
        tx_err6         : in     vl_logic;
        tx_ws6          : out    vl_logic;
        rx_func6        : out    vl_logic_vector(2 downto 0);
        rx_vcsel7       : in     vl_logic;
        rx_status7      : out    vl_logic;
        rx_req7         : out    vl_logic;
        rx_ack7         : in     vl_logic;
        rx_abort7       : in     vl_logic;
        rx_retry7       : in     vl_logic;
        rx_mask7        : in     vl_logic;
        rx_desc7        : out    vl_logic_vector(135 downto 0);
        rx_ws7          : in     vl_logic;
        rx_data7        : out    vl_logic_vector(63 downto 0);
        rx_be7          : out    vl_logic_vector(7 downto 0);
        rx_err7         : out    vl_logic;
        rx_dv7          : out    vl_logic;
        rx_dfr7         : out    vl_logic;
        rx_ct_null7     : out    vl_logic;
        tx_req7         : in     vl_logic;
        tx_desc7        : in     vl_logic_vector(127 downto 0);
        tx_ack7         : out    vl_logic;
        tx_dfr7         : in     vl_logic;
        tx_data7        : in     vl_logic_vector(63 downto 0);
        tx_err7         : in     vl_logic;
        tx_ws7          : out    vl_logic;
        rx_func7        : out    vl_logic_vector(2 downto 0);
        aspm_cr0_pld    : in     vl_logic;
        comclk_reg_pld  : in     vl_logic;
        rx_ecrcchk_pld  : in     vl_logic;
        dl_up_pld       : out    vl_logic;
        vc_ctrl_pld     : in     vl_logic_vector(7 downto 0);
        vc_status_pld   : out    vl_logic_vector(7 downto 0);
        vcid_map_pld    : in     vl_logic_vector(23 downto 0);
        err_dll_pld     : out    vl_logic_vector(4 downto 0);
        err_phy_pld     : out    vl_logic_vector(1 downto 0);
        rpbuf_emp_pld   : out    vl_logic;
        dll_req_pld     : out    vl_logic;
        inh_dllp_pld    : in     vl_logic;
        rx_val_pm_pld   : out    vl_logic;
        rx_typ_pm_pld   : out    vl_logic_vector(2 downto 0);
        tx_req_pm_pld   : in     vl_logic;
        tx_ack_pm_pld   : out    vl_logic;
        tx_typ_pm_pld   : in     vl_logic_vector(2 downto 0);
        lane_act_pld    : out    vl_logic_vector(3 downto 0);
        link_up_pld     : out    vl_logic;
        ltssm_pld       : out    vl_logic_vector(4 downto 0);
        clr_rxpath_pld  : out    vl_logic;
        txok_pld        : out    vl_logic;
        req_wake_pld    : in     vl_logic;
        txcfg_extsy_pld : in     vl_logic;
        req_phypm_pld   : in     vl_logic_vector(3 downto 0);
        ack_phypm_pld   : out    vl_logic_vector(1 downto 0);
        req_phycfg_pld  : in     vl_logic_vector(3 downto 0);
        clkreqn_en_pld  : in     vl_logic;
        req_upfc_pld    : in     vl_logic;
        snd_upfc_pld    : in     vl_logic;
        ack_snd_upfc_pld: out    vl_logic;
        ack_req_upfc_pld: out    vl_logic;
        typ_upfc_pld    : in     vl_logic_vector(1 downto 0);
        vcid_upfc_pld   : in     vl_logic_vector(2 downto 0);
        hdr_upfc_pld    : in     vl_logic_vector(7 downto 0);
        data_upfc_pld   : in     vl_logic_vector(11 downto 0);
        maxpload_dcr_pld: in     vl_logic_vector(2 downto 0);
        rx_val_fc_pld   : out    vl_logic;
        rx_ini_fc_pld   : out    vl_logic;
        rx_typ_fc_pld   : out    vl_logic_vector(1 downto 0);
        rx_vcid_fc_pld  : out    vl_logic_vector(2 downto 0);
        rx_hdr_fc_pld   : out    vl_logic_vector(7 downto 0);
        rx_data_fc_pld  : out    vl_logic_vector(11 downto 0);
        rx_val_tlp_pld  : in     vl_logic;
        rx_vcid_tlp_pld : in     vl_logic_vector(2 downto 0);
        rx_data_tlp_pld : out    vl_logic_vector(63 downto 0);
        rx_dval_tlp_pld : out    vl_logic;
        rx_fval_tlp_pld : out    vl_logic;
        rx_hval_tlp_pld : out    vl_logic;
        rx_mlf_tlp_pld  : out    vl_logic;
        rx_ecrcerr_tlp_pld: out    vl_logic;
        rx_discard_tlp_pld: out    vl_logic;
        rx_check_tlp_pld: out    vl_logic;
        rx_ok_tlp_pld   : out    vl_logic;
        rx_err_tlp_pld  : out    vl_logic;
        max_credit_replay_buffer_pld: out    vl_logic_vector(11 downto 0);
        max_credit_replay_fifo_pld: out    vl_logic_vector;
        tx_req_tlp_pld  : in     vl_logic;
        tx_ack_tlp_pld  : out    vl_logic;
        tx_dreq_tlp_pld : out    vl_logic;
        tx_err_tlp_pld  : in     vl_logic;
        tx_data_tlp_pld : in     vl_logic_vector(63 downto 0);
        rst_enter_comp_bit_pld: out    vl_logic;
        rst_tx_margin_field_pld: out    vl_logic;
        current_speed_pld: out    vl_logic_vector(1 downto 0);
        current_deemp_pld: out    vl_logic;
        ctrl_link2_pld  : in     vl_logic_vector(12 downto 0);
        link_auto_bdw_status_pld: out    vl_logic;
        link_bdw_mng_status_pld: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_RX_BUF : constant is 1;
    attribute mti_svvh_generic_type of G_RH_NUM : constant is 1;
    attribute mti_svvh_generic_type of G_RTRY_BUF : constant is 1;
    attribute mti_svvh_generic_type of G_RTRY_NUM : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM0 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM1 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM2 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM3 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM4 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM5 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM6 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM7 : constant is 1;
    attribute mti_svvh_generic_type of G_PH_FUNC : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN1 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN2 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN3 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN4 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN5 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN6 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN7 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC1 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC2 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC3 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC4 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC5 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC6 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC7 : constant is 1;
    attribute mti_svvh_generic_type of G_NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of G_CDC_PRESENT : constant is 1;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 2;
end pciexp125_pipe_120;
