library verilog;
use verilog.vl_types.all;
entity pciexp125_txalign_075 is
    generic(
        G_NB_LANE       : integer := 4;
        TSEQ_STATE_IDLE : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        TSEQ_STATE_WT_SOP: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        TSEQ_STATE_TRSF : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        TSEQ_STATE_WT_SKPOS: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        TSEQ_STATE_SKPOS0: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        TSEQ_STATE_SKPOS1: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        txok            : out    vl_logic;
        sop             : in     vl_logic;
        eop             : in     vl_logic;
        eot             : in     vl_logic;
        tdata           : in     vl_logic_vector(63 downto 0);
        tdatak          : in     vl_logic_vector(7 downto 0);
        lane_act        : in     vl_logic_vector(2 downto 0);
        lane_rev        : in     vl_logic_vector(3 downto 0);
        req_skpos       : in     vl_logic;
        ack_skpos       : out    vl_logic;
        link_up         : in     vl_logic;
        tx_val_dl       : out    vl_logic;
        tx_data_dl      : out    vl_logic_vector;
        tx_datak_dl     : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of TSEQ_STATE_IDLE : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_WT_SOP : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_TRSF : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_WT_SKPOS : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_SKPOS0 : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_SKPOS1 : constant is 2;
end pciexp125_txalign_075;
