library verilog;
use verilog.vl_types.all;
entity pciexp250_fifo is
    generic(
        G_FIFO_SIZE_BIT : integer := 3;
        G_DATA_WIDTH    : integer := 9;
        FIFO_DEPTH      : vl_notype;
        FIFO_MAX        : vl_notype;
        FIFO_MIN        : integer := 1
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        test_fifo       : out    vl_logic_vector;
        err_fifo        : out    vl_logic;
        data            : in     vl_logic_vector;
        wrreq           : in     vl_logic;
        rdreq           : in     vl_logic;
        sclr            : in     vl_logic;
        data_out        : out    vl_logic_vector;
        empty           : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_FIFO_SIZE_BIT : constant is 1;
    attribute mti_svvh_generic_type of G_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of FIFO_DEPTH : constant is 3;
    attribute mti_svvh_generic_type of FIFO_MAX : constant is 3;
    attribute mti_svvh_generic_type of FIFO_MIN : constant is 1;
end pciexp250_fifo;
