library verilog;
use verilog.vl_types.all;
entity pciexp64_cfgrwn is
    generic(
        RX_CFG0         : integer := 0;
        RX_MSI          : integer := 1;
        RX_MSG_FAT      : integer := 2;
        RX_MSG_NON      : integer := 3;
        RX_MSG_COR      : integer := 4;
        ZERO_LOGIC      : vl_logic_vector(31 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        npor            : in     vl_logic;
        srst            : in     vl_logic;
        k_func          : in     vl_logic;
        function_num    : in     vl_logic_vector(2 downto 0);
        k_aer           : in     vl_logic;
        dl_up           : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_dev           : in     vl_logic_vector(4 downto 0);
        k_conf          : in     vl_logic_vector(383 downto 0);
        swdn_int        : out    vl_logic_vector(3 downto 0);
        swup_int        : in     vl_logic_vector(3 downto 0);
        t2c_req         : in     vl_logic;
        t2c_ack         : out    vl_logic;
        t2c_desc        : in     vl_logic_vector(127 downto 0);
        t2c_data        : in     vl_logic_vector(31 downto 0);
        r2c_req         : in     vl_logic;
        r2c_ack         : out    vl_logic;
        r2c_desc        : in     vl_logic_vector(127 downto 0);
        r2c_data        : in     vl_logic_vector(31 downto 0);
        r2c_sts         : in     vl_logic_vector(2 downto 0);
        c2t_req         : out    vl_logic;
        c2t_ack         : in     vl_logic;
        c2t_desc        : out    vl_logic_vector(127 downto 0);
        c2t_data        : out    vl_logic_vector(31 downto 0);
        c2r_req         : out    vl_logic;
        c2r_ack         : in     vl_logic;
        c2r_desc        : out    vl_logic_vector(127 downto 0);
        c2r_data        : out    vl_logic_vector(31 downto 0);
        txgen_cpl_func71: in     vl_logic_vector(6 downto 0);
        txgen_cpl_funcn : out    vl_logic;
        rx_msg_attbut   : out    vl_logic;
        rx_msg_spls     : out    vl_logic;
        rx_data_spls    : out    vl_logic_vector(9 downto 0);
        rx_pm_pme       : out    vl_logic;
        rx_msg_errfat   : out    vl_logic;
        rx_msg_errnon   : out    vl_logic;
        rx_msg_errcor   : out    vl_logic;
        rx_msg_pme_to   : out    vl_logic;
        rx_msg_pmetoack : out    vl_logic;
        rx_msg_as_nak   : out    vl_logic;
        cfg_rden        : in     vl_logic;
        cfg_wren        : in     vl_logic;
        cfg_addr        : in     vl_logic_vector(14 downto 0);
        cfg_din         : in     vl_logic_vector(31 downto 0);
        cfg_dout        : out    vl_logic_vector(31 downto 0);
        cfg_ack         : out    vl_logic;
        bkg_ok          : in     vl_logic;
        cfg_sel         : out    vl_logic_vector(31 downto 0);
        cfg_data        : out    vl_logic_vector(31 downto 0);
        cfg_be          : out    vl_logic_vector(3 downto 0);
        cfg_muxall      : in     vl_logic_vector(31 downto 0);
        cfg_wr          : out    vl_logic;
        cfg_base        : out    vl_logic;
        cfg_pex         : out    vl_logic;
        cfg_wre         : out    vl_logic;
        cfg_vcreg       : out    vl_logic;
        cfg_aer         : out    vl_logic;
        cfg_busdev      : out    vl_logic_vector(12 downto 0);
        cfg_prmbus      : in     vl_logic_vector(7 downto 0);
        cfg_secbus      : in     vl_logic_vector(7 downto 0);
        tx_ecrcgen      : in     vl_logic;
        msi_req         : in     vl_logic;
        msi_req_rc_fromapp: in     vl_logic;
        msi_ack         : out    vl_logic;
        msi_tc          : in     vl_logic_vector(2 downto 0);
        msi_addr        : in     vl_logic_vector(63 downto 0);
        msi_data        : in     vl_logic_vector(15 downto 0);
        int_dn          : in     vl_logic_vector(3 downto 0);
        app_inta_ack    : out    vl_logic;
        app_intb_ack    : out    vl_logic;
        app_intc_ack    : out    vl_logic;
        app_intd_ack    : out    vl_logic;
        req_msg_hp      : in     vl_logic;
        typ_msg_hp      : in     vl_logic_vector(2 downto 0);
        ack_msg_hp      : out    vl_logic;
        req_msg_spls    : in     vl_logic;
        data_msg_spls   : in     vl_logic_vector(9 downto 0);
        ack_msg_spls    : out    vl_logic;
        req_msg_fat     : in     vl_logic;
        ack_msg_fat     : out    vl_logic;
        req_msg_non     : in     vl_logic;
        ack_msg_non     : out    vl_logic;
        req_msg_cor     : in     vl_logic;
        ack_msg_cor     : out    vl_logic;
        req_msg_pm      : in     vl_logic;
        rec_msg_sec_sec : in     vl_logic;
        ack_msg_pm      : out    vl_logic;
        typ_msg_pm      : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RX_CFG0 : constant is 1;
    attribute mti_svvh_generic_type of RX_MSI : constant is 1;
    attribute mti_svvh_generic_type of RX_MSG_FAT : constant is 1;
    attribute mti_svvh_generic_type of RX_MSG_NON : constant is 1;
    attribute mti_svvh_generic_type of RX_MSG_COR : constant is 1;
    attribute mti_svvh_generic_type of ZERO_LOGIC : constant is 2;
end pciexp64_cfgrwn;
