library verilog;
use verilog.vl_types.all;
entity pciexp64_txtl_075 is
    generic(
        G_RTRY_NUM      : integer := 8;
        G_IMPL_VC7      : integer := 1;
        G_IMPL_VC6      : integer := 1;
        G_IMPL_VC5      : integer := 1;
        G_IMPL_VC4      : integer := 1;
        G_IMPL_VC3      : integer := 1;
        G_IMPL_VC2      : integer := 1;
        G_IMPL_VC1      : integer := 1
    );
    port(
        uclk_vc0        : in     vl_logic;
        uclk_vc1        : in     vl_logic;
        uclk_vc2        : in     vl_logic;
        uclk_vc3        : in     vl_logic;
        uclk_vc4        : in     vl_logic;
        uclk_vc5        : in     vl_logic;
        uclk_vc6        : in     vl_logic;
        uclk_vc7        : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        ev1us           : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_txfc       : out    vl_logic_vector(55 downto 0);
        test_txsm       : out    vl_logic_vector(3 downto 0);
        test_txtl       : out    vl_logic_vector(12 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_cnt           : in     vl_logic_vector(127 downto 0);
        err_msg_tx      : out    vl_logic_vector(2 downto 0);
        err_msg_en      : in     vl_logic_vector(2 downto 0);
        l0sstate        : in     vl_logic;
        link_up         : in     vl_logic;
        vc_status       : in     vl_logic_vector(7 downto 0);
        tcvc_map        : in     vl_logic_vector(23 downto 0);
        vc_en           : in     vl_logic_vector(7 downto 0);
        err_fc          : out    vl_logic;
        max_payload_size: in     vl_logic_vector(12 downto 0);
        txbuf_emp       : out    vl_logic;
        cfgbuf_emp      : out    vl_logic;
        txfc_max        : out    vl_logic;
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        t2c_req         : out    vl_logic;
        t2c_ack         : in     vl_logic;
        t2c_desc        : out    vl_logic_vector(127 downto 0);
        t2c_data        : out    vl_logic_vector(31 downto 0);
        c2t_req         : in     vl_logic;
        c2t_ack         : out    vl_logic;
        c2t_desc        : in     vl_logic_vector(127 downto 0);
        c2t_data        : in     vl_logic_vector(31 downto 0);
        sec_bus         : in     vl_logic_vector(7 downto 0);
        lpvc            : in     vl_logic_vector(2 downto 0);
        tx_ecrcgen      : in     vl_logic;
        inh_tx_tlp      : in     vl_logic;
        tx_cred0        : out    vl_logic_vector(35 downto 0);
        tx_cred1        : out    vl_logic_vector(35 downto 0);
        tx_cred2        : out    vl_logic_vector(35 downto 0);
        tx_cred3        : out    vl_logic_vector(35 downto 0);
        tx_cred4        : out    vl_logic_vector(35 downto 0);
        tx_cred5        : out    vl_logic_vector(35 downto 0);
        tx_cred6        : out    vl_logic_vector(35 downto 0);
        tx_cred7        : out    vl_logic_vector(35 downto 0);
        tx_req0         : in     vl_logic;
        tx_desc0        : in     vl_logic_vector(127 downto 0);
        tx_ack0         : out    vl_logic;
        tx_dfr0         : in     vl_logic;
        tx_data0        : in     vl_logic_vector(63 downto 0);
        tx_err0         : in     vl_logic;
        tx_ws0          : out    vl_logic;
        tx_req1         : in     vl_logic;
        tx_desc1        : in     vl_logic_vector(127 downto 0);
        tx_ack1         : out    vl_logic;
        tx_dfr1         : in     vl_logic;
        tx_data1        : in     vl_logic_vector(63 downto 0);
        tx_err1         : in     vl_logic;
        tx_ws1          : out    vl_logic;
        tx_req2         : in     vl_logic;
        tx_desc2        : in     vl_logic_vector(127 downto 0);
        tx_ack2         : out    vl_logic;
        tx_dfr2         : in     vl_logic;
        tx_data2        : in     vl_logic_vector(63 downto 0);
        tx_err2         : in     vl_logic;
        tx_ws2          : out    vl_logic;
        tx_req3         : in     vl_logic;
        tx_desc3        : in     vl_logic_vector(127 downto 0);
        tx_ack3         : out    vl_logic;
        tx_dfr3         : in     vl_logic;
        tx_data3        : in     vl_logic_vector(63 downto 0);
        tx_err3         : in     vl_logic;
        tx_ws3          : out    vl_logic;
        tx_req4         : in     vl_logic;
        tx_desc4        : in     vl_logic_vector(127 downto 0);
        tx_ack4         : out    vl_logic;
        tx_dfr4         : in     vl_logic;
        tx_data4        : in     vl_logic_vector(63 downto 0);
        tx_err4         : in     vl_logic;
        tx_ws4          : out    vl_logic;
        tx_req5         : in     vl_logic;
        tx_desc5        : in     vl_logic_vector(127 downto 0);
        tx_ack5         : out    vl_logic;
        tx_dfr5         : in     vl_logic;
        tx_data5        : in     vl_logic_vector(63 downto 0);
        tx_err5         : in     vl_logic;
        tx_ws5          : out    vl_logic;
        tx_req6         : in     vl_logic;
        tx_desc6        : in     vl_logic_vector(127 downto 0);
        tx_ack6         : out    vl_logic;
        tx_dfr6         : in     vl_logic;
        tx_data6        : in     vl_logic_vector(63 downto 0);
        tx_err6         : in     vl_logic;
        tx_ws6          : out    vl_logic;
        tx_req7         : in     vl_logic;
        tx_desc7        : in     vl_logic_vector(127 downto 0);
        tx_ack7         : out    vl_logic;
        tx_dfr7         : in     vl_logic;
        tx_data7        : in     vl_logic_vector(63 downto 0);
        tx_err7         : in     vl_logic;
        tx_ws7          : out    vl_logic;
        rx_val_fc       : in     vl_logic;
        rx_ini_fc       : in     vl_logic;
        rx_typ_fc       : in     vl_logic_vector(1 downto 0);
        rx_vcid_fc      : in     vl_logic_vector(2 downto 0);
        rx_hdr_fc       : in     vl_logic_vector(7 downto 0);
        rx_data_fc      : in     vl_logic_vector(11 downto 0);
        max_credit_replay_buffer: in     vl_logic_vector(11 downto 0);
        max_credit_replay_fifo: in     vl_logic_vector;
        tx_ok_tlp       : in     vl_logic;
        tx_req_tlp      : out    vl_logic;
        tx_ack_tlp      : in     vl_logic;
        tx_dreq_tlp     : in     vl_logic;
        tx_err_tlp      : out    vl_logic;
        tx_data_tlp     : out    vl_logic_vector(63 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_RTRY_NUM : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC7 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC6 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC5 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC4 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC3 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC2 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC1 : constant is 1;
end pciexp64_txtl_075;
