library verilog;
use verilog.vl_types.all;
entity pciexp_macdll_075 is
    generic(
        G_CDC_PRESENT   : integer := 1;
        ZERO_LOGIC      : vl_logic_vector(63 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_dummy_limit   : in     vl_logic_vector(3 downto 0);
        test_cdc        : out    vl_logic_vector(15 downto 0);
        k_cdc_tx_lim    : in     vl_logic_vector(3 downto 0);
        k_cdc_rx_lim    : in     vl_logic_vector(3 downto 0);
        dll_clk         : in     vl_logic;
        dll_rstn        : in     vl_logic;
        dll_srst        : in     vl_logic;
        dll_inh_ltssm   : out    vl_logic;
        dll_swdn_hotrst : in     vl_logic;
        dll_swdn_wake   : out    vl_logic;
        dll_swup_hotrst : out    vl_logic;
        dll_swup_wake   : in     vl_logic;
        dll_out_l1rec   : out    vl_logic;
        dll_out_l0s_req : out    vl_logic;
        dll_req_phypm   : in     vl_logic_vector(3 downto 0);
        dll_ack_phypm   : out    vl_logic_vector(3 downto 0);
        dll_req_phycfg  : in     vl_logic_vector(3 downto 0);
        dll_comclk_reg  : in     vl_logic;
        dll_txcfg_extsy : in     vl_logic;
        dll_link_up     : out    vl_logic;
        dll_link_train  : out    vl_logic;
        dll_l0state     : out    vl_logic;
        dll_l0sstate    : out    vl_logic;
        dll_err_phy     : out    vl_logic_vector(2 downto 0);
        dll_nfts2tx     : out    vl_logic_vector(7 downto 0);
        dll_lane_act    : out    vl_logic_vector(3 downto 0);
        dll_txok        : out    vl_logic;
        dll_sop         : in     vl_logic;
        dll_eop         : in     vl_logic;
        dll_eot         : in     vl_logic;
        dll_tdata       : in     vl_logic_vector(63 downto 0);
        dll_tdatak      : in     vl_logic_vector(7 downto 0);
        dll_rx_val_dl   : out    vl_logic;
        dll_rx_data_dl  : out    vl_logic_vector(63 downto 0);
        dll_rx_datak_dl : out    vl_logic_vector(7 downto 0);
        dll_clr_rxpath  : out    vl_logic;
        dll_current_speed: out    vl_logic_vector(1 downto 0);
        dll_current_deemp: out    vl_logic;
        dll_ctrl_link2  : in     vl_logic_vector(12 downto 0);
        dll_dlcm_sm_act : in     vl_logic;
        dll_link_auto_bdw_status: out    vl_logic;
        dll_link_bdw_mng_status: out    vl_logic;
        dll_rst_tx_margin_field: out    vl_logic;
        dll_rst_enter_comp_bit: out    vl_logic;
        dll_retrain_link: in     vl_logic;
        dll_ltssm       : out    vl_logic_vector(4 downto 0);
        dll_clkreqn_en  : in     vl_logic;
        mac_clk         : in     vl_logic;
        mac_rstn        : in     vl_logic;
        mac_srst        : in     vl_logic;
        mac_inh_ltssm   : in     vl_logic;
        mac_swdn_hotrst : out    vl_logic;
        mac_swdn_wake   : in     vl_logic;
        mac_swup_hotrst : in     vl_logic;
        mac_swup_wake   : out    vl_logic;
        mac_out_l1rec   : in     vl_logic;
        mac_out_l0s_req : in     vl_logic;
        mac_req_phypm   : out    vl_logic_vector(3 downto 0);
        mac_ack_phypm   : in     vl_logic_vector(3 downto 0);
        mac_req_phycfg  : out    vl_logic_vector(3 downto 0);
        mac_comclk_reg  : out    vl_logic;
        mac_txcfg_extsy : out    vl_logic;
        mac_link_up     : in     vl_logic;
        mac_link_train  : in     vl_logic;
        mac_l0state     : in     vl_logic;
        mac_l0sstate    : in     vl_logic;
        mac_err_phy     : in     vl_logic_vector(2 downto 0);
        mac_nfts2tx     : in     vl_logic_vector(7 downto 0);
        mac_lane_act    : in     vl_logic_vector(3 downto 0);
        mac_txok        : in     vl_logic;
        mac_sop         : out    vl_logic;
        mac_eop         : out    vl_logic;
        mac_eot         : out    vl_logic;
        mac_tdata       : out    vl_logic_vector(63 downto 0);
        mac_tdatak      : out    vl_logic_vector(7 downto 0);
        mac_rx_val_dl   : in     vl_logic;
        mac_rx_data_dl  : in     vl_logic_vector(63 downto 0);
        mac_rx_datak_dl : in     vl_logic_vector(7 downto 0);
        mac_clr_rxpath  : in     vl_logic;
        mac_current_speed: in     vl_logic_vector(1 downto 0);
        mac_current_deemp: in     vl_logic;
        mac_ctrl_link2  : out    vl_logic_vector(12 downto 0);
        mac_dlcm_sm_act : out    vl_logic;
        mac_link_auto_bdw_status: in     vl_logic;
        mac_link_bdw_mng_status: in     vl_logic;
        mac_rst_tx_margin_field: in     vl_logic;
        mac_rst_enter_comp_bit: in     vl_logic;
        mac_retrain_link: out    vl_logic;
        mac_ltssm       : in     vl_logic_vector(4 downto 0);
        mac_clkreqn_en  : out    vl_logic;
        dll_tx_eop_timer: out    vl_logic;
        dll_tx_eop_ok   : in     vl_logic;
        dll_ev256ns     : out    vl_logic;
        dll_ev1us       : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_CDC_PRESENT : constant is 1;
    attribute mti_svvh_generic_type of ZERO_LOGIC : constant is 2;
end pciexp_macdll_075;
