library verilog;
use verilog.vl_types.all;
entity pciexp_powermgt_075 is
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        npor            : in     vl_logic;
        crst            : in     vl_logic;
        srst            : in     vl_logic;
        flrst           : in     vl_logic;
        ev1us           : in     vl_logic;
        k_func          : in     vl_logic;
        function_num    : in     vl_logic_vector(2 downto 0);
        dis_low_pow_nego: in     vl_logic;
        cfg_be          : in     vl_logic_vector(3 downto 0);
        cfg_data        : in     vl_logic_vector(31 downto 0);
        cfg_wr          : in     vl_logic;
        cfg_sel         : in     vl_logic_vector(31 downto 0);
        k_pm            : in     vl_logic_vector(15 downto 0);
        k_cnt           : in     vl_logic_vector(127 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        pm_event        : in     vl_logic;
        pm_event_sec    : in     vl_logic;
        pm_event_func   : in     vl_logic_vector(2 downto 0);
        pm_data         : in     vl_logic_vector(9 downto 0);
        req_wake        : out    vl_logic;
        pme_req         : out    vl_logic;
        pme_req_sec     : out    vl_logic;
        pme_l1tol0      : out    vl_logic;
        req_l1          : out    vl_logic;
        lpm_state       : in     vl_logic_vector(3 downto 0);
        pmc             : out    vl_logic_vector(31 downto 0);
        pmcsr           : out    vl_logic_vector(31 downto 0)
    );
end pciexp_powermgt_075;
