library verilog;
use verilog.vl_types.all;
entity pciexp_txfc is
    port(
        k_gbl           : in     vl_logic;
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        vc_en           : in     vl_logic;
        test_txfc       : out    vl_logic_vector(55 downto 0);
        tx_cred         : out    vl_logic_vector(35 downto 0);
        dl_up           : in     vl_logic;
        max_payload_size: in     vl_logic_vector(12 downto 0);
        txfc_max        : out    vl_logic;
        fc_inf          : out    vl_logic;
        req_fc          : in     vl_logic;
        ini_fc          : in     vl_logic;
        typ_fc          : in     vl_logic_vector(1 downto 0);
        hdr_fc          : in     vl_logic_vector(7 downto 0);
        data_fc         : in     vl_logic_vector(11 downto 0);
        txack           : in     vl_logic;
        txerr           : in     vl_logic;
        txtyp           : in     vl_logic_vector(1 downto 0);
        txdsiz          : in     vl_logic_vector(8 downto 0);
        typ_in          : in     vl_logic_vector(1 downto 0);
        dsiz_in         : in     vl_logic_vector(8 downto 0);
        rslt_in         : out    vl_logic;
        typ_cfg         : in     vl_logic_vector(1 downto 0);
        dsiz_cfg        : in     vl_logic;
        rslt_cfg        : out    vl_logic;
        dsiz_ro         : in     vl_logic;
        rslt_ro         : out    vl_logic
    );
end pciexp_txfc;
