library verilog;
use verilog.vl_types.all;
entity pciexp_window_120 is
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        crst            : in     vl_logic;
        k_func          : in     vl_logic;
        k_ep            : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_vga           : in     vl_logic;
        k_window        : in     vl_logic_vector(3 downto 0);
        k_bridge        : in     vl_logic_vector(3 downto 0);
        swdn_hotrst     : in     vl_logic;
        en_mem          : in     vl_logic;
        en_io           : in     vl_logic;
        cfg_wr          : in     vl_logic;
        cfg_sel         : in     vl_logic_vector(31 downto 0);
        cfg_be          : in     vl_logic_vector(3 downto 0);
        cfg_data        : in     vl_logic_vector(31 downto 0);
        win18           : out    vl_logic_vector(31 downto 0);
        win1c           : out    vl_logic_vector(31 downto 0);
        win20           : out    vl_logic_vector(31 downto 0);
        win24           : out    vl_logic_vector(31 downto 0);
        win28           : out    vl_logic_vector(31 downto 0);
        win2c           : out    vl_logic_vector(31 downto 0);
        win30           : out    vl_logic_vector(31 downto 0);
        win3c           : out    vl_logic_vector(15 downto 0);
        hot_rst         : out    vl_logic;
        sec_err         : in     vl_logic_vector(6 downto 0);
        sec_discard_timer: in     vl_logic;
        is_mem32        : in     vl_logic;
        is_mem64        : in     vl_logic;
        is_io           : in     vl_logic;
        rx_bus          : in     vl_logic_vector(7 downto 0);
        rx_addr         : in     vl_logic_vector(63 downto 0);
        rx_chk          : out    vl_logic_vector(5 downto 0)
    );
end pciexp_window_120;
