library verilog;
use verilog.vl_types.all;
entity pclk_mux is
    port(
        PIPE_PCLKIN_LANE01_SEL: in     vl_logic_vector(1 downto 0);
        PIPE_PCLKIN_LANE23_SEL: in     vl_logic_vector(1 downto 0);
        PCIE_CORE_CLK_SEL: in     vl_logic_vector(1 downto 0);
        LANE0_PCLK      : in     vl_logic;
        LANE1_PCLK      : in     vl_logic;
        LANE2_PCLK      : in     vl_logic;
        LANE3_PCLK      : in     vl_logic;
        PCIE_CORE_CLK   : out    vl_logic;
        SERDES_LANE0_CLK: out    vl_logic;
        SERDES_LANE1_CLK: out    vl_logic;
        SERDES_LANE2_CLK: out    vl_logic;
        SERDES_LANE3_CLK: out    vl_logic;
        ccc_ref_clk     : in     vl_logic;
        fab_ref_clk     : in     vl_logic;
        MBIST_CLK_SEL   : in     vl_logic;
        PCIE_mode       : in     vl_logic
    );
end pclk_mux;
