library verilog;
use verilog.vl_types.all;
entity pclk_mux_075 is
    port(
        enable_dual_pci : in     vl_logic;
        pipe_pclkin_lane01_sel: in     vl_logic_vector(1 downto 0);
        pipe_pclkin_lane23_sel: in     vl_logic_vector(1 downto 0);
        pipe_pclkin_lane1_sel: in     vl_logic_vector(1 downto 0);
        pipe_pclkin_lane3_sel: in     vl_logic_vector(1 downto 0);
        pcie0_core_clk_sel: in     vl_logic_vector(1 downto 0);
        pcie1_core_clk_sel: in     vl_logic_vector(1 downto 0);
        lane0_pclk      : in     vl_logic;
        lane1_pclk      : in     vl_logic;
        lane2_pclk      : in     vl_logic;
        lane3_pclk      : in     vl_logic;
        ccc_ref_clk     : in     vl_logic;
        mbist_clk_sel   : in     vl_logic;
        atpg_testmode   : in     vl_logic;
        atpg_high_sck1  : in     vl_logic;
        pcie0_mode      : in     vl_logic;
        pcie1_mode      : in     vl_logic;
        pcie0_core_clk  : out    vl_logic;
        pcie1_core_clk  : out    vl_logic;
        serdes_lane0_clk: out    vl_logic;
        serdes_lane1_clk: out    vl_logic;
        serdes_lane2_clk: out    vl_logic;
        serdes_lane3_clk: out    vl_logic
    );
end pclk_mux_075;
