library verilog;
use verilog.vl_types.all;
entity pcs_sm_075 is
    port(
        pclk            : in     vl_logic;
        rstn            : in     vl_logic;
        slv_lpbk        : out    vl_logic;
        pma_rdy         : in     vl_logic;
        new_rate_sync   : in     vl_logic;
        det_done_all    : in     vl_logic;
        pwrdn_done_lane : out    vl_logic;
        pwrdn_done_all  : in     vl_logic;
        pma_rdy_lane    : out    vl_logic;
        pma_rdy_all     : in     vl_logic;
        new_rate_lane   : out    vl_logic;
        new_rate_all    : in     vl_logic;
        lane_disable    : out    vl_logic;
        udf_r           : in     vl_logic;
        ovf_r           : in     vl_logic;
        add_r           : in     vl_logic;
        rem_r           : in     vl_logic;
        code_err        : in     vl_logic;
        disp_err        : in     vl_logic;
        txrxdet_req     : out    vl_logic;
        txrxdet_done    : in     vl_logic;
        txrxdet_rslt    : in     vl_logic;
        pcs_calc_req    : out    vl_logic;
        pcs_calc_done   : in     vl_logic;
        pcs_pwrdn_req   : out    vl_logic;
        pcs_pwrdn_typ   : out    vl_logic_vector(1 downto 0);
        pcs_pwrdn_done  : in     vl_logic;
        pcs_rxerr       : out    vl_logic;
        pcs_deemp       : out    vl_logic;
        pcs_swing       : out    vl_logic;
        pcs_margin      : out    vl_logic_vector(2 downto 0);
        pcs_rate        : out    vl_logic;
        pipe_rxstatus   : out    vl_logic_vector(2 downto 0);
        pipe_phystatus  : out    vl_logic;
        pipe_rate       : in     vl_logic;
        pipe_txswing    : in     vl_logic;
        pipe_txdeemp    : in     vl_logic;
        pipe_txmargin   : in     vl_logic_vector(2 downto 0);
        pipe_powerdown  : in     vl_logic_vector(1 downto 0);
        pipe_txdetectrx : in     vl_logic;
        pipe_txcompl    : in     vl_logic;
        pipe_txelecidle : in     vl_logic
    );
end pcs_sm_075;
