library verilog;
use verilog.vl_types.all;
entity phy_axi_dyn_reg_sync is
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        apb_paddr_q     : in     vl_logic_vector(7 downto 0);
        apb_penable_ctrl_q: in     vl_logic;
        update_apb_phy_dyn_q: in     vl_logic;
        apb_phy_dyn_bist_test_config_q: in     vl_logic_vector(4 downto 0);
        apb_phy_dyn_bist_test_err_clr_q: in     vl_logic_vector(44 downto 0);
        apb_phy_dyn_bist_test_shift_pattern_q: in     vl_logic_vector(44 downto 0);
        apb_phy_dyn_rd_wr_gate_lvl_q: in     vl_logic_vector(14 downto 0);
        apb_phy_dyn_loopback_q: in     vl_logic;
        apb_phy_dyn_board_loopback_tx_rx_q: in     vl_logic_vector(9 downto 0);
        apb_phy_dyn_dis_calib_rst_q: in     vl_logic;
        apb_phy_dyn_rdc_fifo_rst_err_cnt_clr_q: in     vl_logic;
        apb_phy_dyn_rst_q: in     vl_logic;
        axi_sync_penable_ctrl_pulse: out    vl_logic;
        axi_sync_phy_dyn_bist_test_config_q: out    vl_logic_vector(4 downto 0);
        axi_sync_phy_dyn_bist_test_err_clr_q: out    vl_logic_vector(44 downto 0);
        axi_sync_phy_dyn_bist_test_shift_pattern_q: out    vl_logic_vector(44 downto 0);
        axi_sync_phy_dyn_loopback_q: out    vl_logic;
        axi_sync_phy_dyn_board_loopback_tx_rx_q: out    vl_logic_vector(9 downto 0);
        axi_sync_phy_dyn_dis_calib_rst_q: out    vl_logic;
        axi_sync_phy_dyn_rdc_fifo_rst_err_cnt_clr_q: out    vl_logic;
        axi_sync_phy_dyn_rd_wr_gate_lvl_q: out    vl_logic_vector(14 downto 0);
        axi_sync_phy_dyn_rst_q: out    vl_logic
    );
end phy_axi_dyn_reg_sync;
