library verilog;
use verilog.vl_types.all;
entity phy_ctrl_slice_010 is
    generic(
        RANKS           : integer := 1;
        CMDSIZE         : integer := 26;
        CLKSIZE         : integer := 1
    );
    port(
        core_clk        : in     vl_logic;
        rstn_p          : in     vl_logic;
        rstn_n          : in     vl_logic;
        dis_phy_ctrl_rstn: in     vl_logic;
        test_enable     : in     vl_logic;
        scan_enable     : in     vl_logic;
        reg_phy_at_spd_atpg: in     vl_logic;
        ddrc_dfi_dram_clk_disable: in     vl_logic_vector;
        reg_phy_invert_clkout: in     vl_logic;
        reg_phy_ctrl_slave_ratio: in     vl_logic_vector(9 downto 0);
        reg_phy_ctrl_slave_force: in     vl_logic;
        reg_phy_ctrl_slave_delay: in     vl_logic_vector(8 downto 0);
        slave_dll_delay_value: out    vl_logic_vector(8 downto 0);
        sr_c_master     : in     vl_logic_vector(6 downto 0);
        sr_f_master     : in     vl_logic_vector(1 downto 0);
        dll_calib       : in     vl_logic;
        bs_ctl_dram_clk : in     vl_logic_vector;
        bs_ctl_dram_clk_sel: in     vl_logic_vector;
        bs_ctl_dram_clk_n: in     vl_logic_vector;
        bs_ctl_dram_clk_n_sel: in     vl_logic_vector;
        bs_cmd_out      : in     vl_logic_vector;
        bs_cmd_out_sel  : in     vl_logic_vector;
        bs_obs_dram_clk : out    vl_logic_vector;
        bs_obs_dram_clk_n: out    vl_logic_vector;
        bs_cmd_out_obs  : out    vl_logic_vector;
        dram_clk        : out    vl_logic_vector;
        dram_clk_n      : out    vl_logic_vector;
        cmd_in          : in     vl_logic_vector;
        cmd_out         : out    vl_logic_vector;
        scan_in         : in     vl_logic;
        scan_in1        : in     vl_logic;
        scan_out        : out    vl_logic;
        scan_out1       : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANKS : constant is 1;
    attribute mti_svvh_generic_type of CMDSIZE : constant is 1;
    attribute mti_svvh_generic_type of CLKSIZE : constant is 1;
end phy_ctrl_slice_010;
