library verilog;
use verilog.vl_types.all;
entity phy_ln2lk_075 is
    port(
        scan_mode       : in     vl_logic;
        pipe_ln2lk      : in     vl_logic_vector(7 downto 0);
        pipe_rstn       : in     vl_logic_vector(1 downto 0);
        pipe_powerdown  : in     vl_logic_vector(3 downto 0);
        pipe_txdetectrx : in     vl_logic_vector(1 downto 0);
        pipe_phystatus  : out    vl_logic_vector(1 downto 0);
        pipe_rate       : in     vl_logic_vector(1 downto 0);
        pipe_txmargin   : in     vl_logic_vector(5 downto 0);
        pipe_txdeemp    : in     vl_logic_vector(1 downto 0);
        pipe_txswing    : in     vl_logic_vector(1 downto 0);
        pipe_rstn_lane  : out    vl_logic_vector(3 downto 0);
        pipe_powerdown_lane: out    vl_logic_vector(7 downto 0);
        pipe_txdetectrx_lane: out    vl_logic_vector(3 downto 0);
        pipe_phystatus_lane: in     vl_logic_vector(3 downto 0);
        pipe_rate_lane  : out    vl_logic_vector(3 downto 0);
        pipe_txmargin_lane: out    vl_logic_vector(11 downto 0);
        pipe_txdeemp_lane: out    vl_logic_vector(3 downto 0);
        pipe_txswing_lane: out    vl_logic_vector(3 downto 0);
        txpmff_val      : in     vl_logic_vector(3 downto 0);
        txpmff_all      : out    vl_logic_vector(3 downto 0);
        det_done_lane   : in     vl_logic_vector(3 downto 0);
        det_done_all    : out    vl_logic_vector(3 downto 0);
        pwrdn_done_lane : in     vl_logic_vector(3 downto 0);
        pwrdn_done_all  : out    vl_logic_vector(3 downto 0);
        pma_rdy_lane    : in     vl_logic_vector(3 downto 0);
        pma_rdy_all     : out    vl_logic_vector(3 downto 0);
        new_rate_lane   : in     vl_logic_vector(3 downto 0);
        new_rate_all    : out    vl_logic_vector(3 downto 0);
        lane_disable    : in     vl_logic_vector(3 downto 0)
    );
end phy_ln2lk_075;
