library verilog;
use verilog.vl_types.all;
entity phy_op_registers_120 is
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        phy_reg_rdlvl_inc_fail: in     vl_logic_vector(4 downto 0);
        phy_reg_wrlvl_inc_fail: in     vl_logic_vector(4 downto 0);
        phy_reg_gatelvl_inc_fail: in     vl_logic_vector(4 downto 0);
        phy_reg_bist_err: in     vl_logic_vector(44 downto 0);
        phy_reg_wrlvl_dqs_ratio: in     vl_logic_vector(49 downto 0);
        phy_reg_wrlvl_dq_ratio: in     vl_logic_vector(49 downto 0);
        phy_reg_rdlvl_dqs_ratio: in     vl_logic_vector(49 downto 0);
        phy_reg_rdlvl_fifowein_ratio: in     vl_logic_vector(54 downto 0);
        phy_reg_rdc_fifo_rst_err_cnt: in     vl_logic_vector(3 downto 0);
        phy_reg_status_dll_lock: in     vl_logic_vector(2 downto 0);
        phy_reg_status_dll_slave_value: in     vl_logic_vector(26 downto 0);
        phy_reg_status_of_in_lock_state: in     vl_logic_vector(5 downto 0);
        phy_reg_status_of_in_delay_value: in     vl_logic_vector(26 downto 0);
        phy_reg_status_of_out_delay_value: in     vl_logic_vector(26 downto 0);
        phy_reg_status_phy_ctrl_dll_lock: in     vl_logic;
        phy_reg_status_phy_ctrl_dll_slave_value: in     vl_logic_vector(8 downto 0);
        phy_reg_status_phy_ctrl_of_in_lock_state: in     vl_logic_vector(1 downto 0);
        phy_reg_status_phy_ctrl_of_in_delay_value: in     vl_logic_vector(8 downto 0);
        phy_reg_status_phy_ctrl_of_out_delay_value: in     vl_logic_vector(8 downto 0);
        phy_reg_status_rd_dqs_slave_dll_value: in     vl_logic_vector(44 downto 0);
        phy_reg_status_wr_data_slave_dll_value: in     vl_logic_vector(44 downto 0);
        phy_reg_status_fifo_we_slave_dll_value: in     vl_logic_vector(44 downto 0);
        phy_reg_status_wr_dqs_slave_dll_value: in     vl_logic_vector(44 downto 0);
        phy_reg_status_phy_ctrl_slave_dll_value: in     vl_logic_vector(8 downto 0);
        axi_sync_penable_ctrl: in     vl_logic;
        apb_paddr_q     : in     vl_logic_vector(7 downto 0);
        pready_ctrl_q   : out    vl_logic;
        axi_rd_data_ctrl_0_q: out    vl_logic_vector(15 downto 0);
        axi_rd_data_ctrl_1_q: out    vl_logic_vector(15 downto 0);
        axi_rd_data_ctrl_2_q: out    vl_logic_vector(15 downto 0)
    );
end phy_op_registers_120;
