library verilog;
use verilog.vl_types.all;
entity prbs_chk is
    port(
        scan_mode       : in     vl_logic;
        arxclk          : in     vl_logic;
        arxrstn         : in     vl_logic;
        atxclk          : in     vl_logic;
        cdrpll_fine     : in     vl_logic;
        meso_lpbk       : in     vl_logic;
        meso_sync       : out    vl_logic;
        custom_sel      : in     vl_logic;
        custom_auto     : in     vl_logic;
        custom_skip     : in     vl_logic;
        custom_pattern  : in     vl_logic_vector(79 downto 0);
        custom_sync     : out    vl_logic;
        custom_chk      : in     vl_logic;
        custom_err      : out    vl_logic_vector(3 downto 0);
        custom_state    : out    vl_logic_vector(2 downto 0);
        rxskip          : out    vl_logic;
        prbs_en         : in     vl_logic;
        prbs_typ        : in     vl_logic_vector(1 downto 0);
        prbs_rxn        : in     vl_logic_vector(4 downto 0);
        prbs_in         : in     vl_logic_vector(19 downto 0);
        reg_clk         : in     vl_logic;
        reg_rstn        : in     vl_logic;
        prbs_cur        : out    vl_logic;
        prbs_err_cyc_first: out    vl_logic_vector(49 downto 0);
        prbs_err_cyc_last: out    vl_logic_vector(49 downto 0);
        prbs_err        : out    vl_logic_vector(7 downto 0)
    );
end prbs_chk;
