library verilog;
use verilog.vl_types.all;
entity ra_ecc64 is
    generic(
        CORE_DATA_WIDTH : integer := 288;
        CORE_DATA_WIDTH_NO_ECC: integer := 64;
        CORE_TAG_WIDTH  : integer := 8;
        BASIC_ECC_WIDTH : integer := 64;
        CORE_INT_ECC_WIDTH: integer := 8;
        CORE_INT_ECC_MASK_WIDTH: vl_notype
    );
    port(
        rd_ra_rd_valid  : in     vl_logic;
        rd_ra_rd_tag    : in     vl_logic_vector;
        rd_ra_eod       : in     vl_logic;
        rd_ra_rdata     : in     vl_logic_vector;
        ra_wu_rdata_end : out    vl_logic;
        dh_ra_test_mode : in     vl_logic;
        dh_ra_ecc_mode  : in     vl_logic_vector(2 downto 0);
        rd_ra_ecc_uncorrected_err: in     vl_logic;
        rd_ra_ecc_rdata : in     vl_logic_vector;
        ra_co_resp_ecc_data: out    vl_logic_vector;
        ra_wu_rdata_int_ecc: out    vl_logic_vector;
        ra_co_resp_valid: out    vl_logic;
        ra_co_resp_end  : out    vl_logic;
        ra_co_resp_token: out    vl_logic_vector;
        ra_co_resp_uncorr_ecc_err: out    vl_logic;
        ra_co_resp_data : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH_NO_ECC : constant is 1;
    attribute mti_svvh_generic_type of CORE_TAG_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of BASIC_ECC_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_INT_ECC_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_INT_ECC_MASK_WIDTH : constant is 3;
end ra_ecc64;
