library verilog;
use verilog.vl_types.all;
entity rx_block_120 is
    port(
        cdrDiagOut      : out    vl_logic;
        rxClkStable     : out    vl_logic;
        schmittOut      : out    vl_logic;
        tranDet         : out    vl_logic;
        rxClkB          : out    vl_logic;
        rxClk           : out    vl_logic;
        altTxRefClk     : out    vl_logic;
        rxDivBaudClk    : out    vl_logic;
        acjtagN         : out    vl_logic;
        acjtagP         : out    vl_logic;
        hsTxClk         : in     vl_logic;
        cdrDiagIn       : in     vl_logic;
        refClk          : in     vl_logic;
        rxFDIp0         : in     vl_logic;
        rxFDIp1         : in     vl_logic;
        cdrRstB         : in     vl_logic;
        rxHFDnB         : in     vl_logic;
        tranDetClrB     : in     vl_logic;
        hiThresh        : in     vl_logic;
        iddq            : in     vl_logic;
        txClk           : in     vl_logic;
        serDatR         : in     vl_logic;
        serRxCtrl0      : in     vl_logic;
        serRxCtrl1      : in     vl_logic;
        loopback        : in     vl_logic;
        loopIn          : in     vl_logic;
        loopInB         : in     vl_logic;
        rxPwrDnB        : in     vl_logic;
        forceRxHiZ      : in     vl_logic;
        killedVmain     : in     vl_logic;
        rxTest          : in     vl_logic;
        rxDNullDat      : out    vl_logic;
        rxDNullCal      : in     vl_logic;
        rxDNullDir      : in     vl_logic;
        rxDNull3        : in     vl_logic;
        rxDNull2        : in     vl_logic;
        rxDNull1        : in     vl_logic;
        rxDNull0        : in     vl_logic;
        rxTNullDat      : out    vl_logic;
        rxTNullCal      : in     vl_logic;
        rxTNullDir      : in     vl_logic;
        rxTNull3        : in     vl_logic;
        rxTNull2        : in     vl_logic;
        rxTNull1        : in     vl_logic;
        rxTNull0        : in     vl_logic;
        schNullCal      : in     vl_logic;
        schNullDir      : in     vl_logic;
        schNull3        : in     vl_logic;
        schNull2        : in     vl_logic;
        schNull1        : in     vl_logic;
        schNull0        : in     vl_logic;
        aRxDo0          : out    vl_logic;
        aRxDo1          : out    vl_logic;
        aRxDo2          : out    vl_logic;
        aRxDo3          : out    vl_logic;
        aRxDo4          : out    vl_logic;
        aRxDo5          : out    vl_logic;
        aRxDo6          : out    vl_logic;
        aRxDo7          : out    vl_logic;
        aRxDo8          : out    vl_logic;
        aRxDo9          : out    vl_logic;
        aRxDo10         : out    vl_logic;
        aRxDo11         : out    vl_logic;
        aRxDo12         : out    vl_logic;
        aRxDo13         : out    vl_logic;
        aRxDo14         : out    vl_logic;
        aRxDo15         : out    vl_logic;
        aRxDo16         : out    vl_logic;
        aRxDo17         : out    vl_logic;
        aRxDo18         : out    vl_logic;
        aRxDo19         : out    vl_logic;
        rxSkipBit       : in     vl_logic;
        bias_vt         : out    vl_logic;
        rxPlus          : in     vl_logic;
        rxMinus         : in     vl_logic;
        rxF0            : in     vl_logic;
        rxF1            : in     vl_logic;
        rxF2            : in     vl_logic;
        rxF3            : in     vl_logic;
        rxM0            : in     vl_logic;
        rxM1            : in     vl_logic;
        rxN0            : in     vl_logic;
        rxN1            : in     vl_logic;
        rxN2            : in     vl_logic;
        rxN3            : in     vl_logic;
        rxN4            : in     vl_logic;
        txF0            : in     vl_logic;
        txF1            : in     vl_logic;
        txF2            : in     vl_logic;
        txF3            : in     vl_logic;
        txM0            : in     vl_logic;
        txM1            : in     vl_logic;
        txN0            : in     vl_logic;
        txN1            : in     vl_logic;
        txN2            : in     vl_logic;
        txN3            : in     vl_logic;
        txN4            : in     vl_logic;
        rxPLLDivInit    : in     vl_logic;
        Vaux            : in     vl_logic;
        Vmain           : in     vl_logic;
        Von12           : in     vl_logic;
        Vaux33          : in     vl_logic;
        Vmain33         : in     vl_logic;
        VDDC            : in     vl_logic
    );
end rx_block_120;
