library verilog;
use verilog.vl_types.all;
entity rxoff_calib is
    port(
        fast_init       : in     vl_logic;
        pclk            : in     vl_logic;
        rstn            : in     vl_logic;
        calib_req       : in     vl_logic;
        calib_done      : out    vl_logic;
        calib_rslt      : out    vl_logic_vector(4 downto 0);
        calib_setting   : in     vl_logic_vector(4 downto 0);
        calib_err       : out    vl_logic_vector(1 downto 0);
        rxoff_max       : in     vl_logic_vector(7 downto 0);
        arxnull         : out    vl_logic_vector(3 downto 0);
        arxnullcal      : out    vl_logic;
        arxnulldir      : out    vl_logic;
        arxnulldat      : in     vl_logic
    );
end rxoff_calib;
