library verilog;
use verilog.vl_types.all;
entity serdesif_apb_control_075 is
    generic(
        mimic5000       : integer := 0
    );
    port(
        apb_psel        : in     vl_logic;
        apb_penable     : in     vl_logic;
        apb_pwrite      : in     vl_logic;
        apb_paddr       : in     vl_logic_vector(11 downto 0);
        apb_pwdata      : in     vl_logic_vector(31 downto 0);
        apb_pready      : out    vl_logic;
        apb_prdata      : out    vl_logic_vector(31 downto 0);
        apb_pslverr     : out    vl_logic;
        cfgr_reg_lane_sel: in     vl_logic_vector(3 downto 0);
        gen_reg_lane    : out    vl_logic_vector(3 downto 0);
        gen_reg_req     : out    vl_logic;
        gen_reg_ack     : in     vl_logic;
        gen_reg_rwn     : out    vl_logic;
        gen_reg_addr    : out    vl_logic_vector(7 downto 0);
        gen_reg_wdata   : out    vl_logic_vector(7 downto 0);
        gen_reg_rdata   : in     vl_logic_vector(7 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of mimic5000 : constant is 1;
end serdesif_apb_control_075;
