library verilog;
use verilog.vl_types.all;
entity serdesif_apb_decoder_075 is
    generic(
        PCIE_LINKS      : integer := 2
    );
    port(
        s_apb_pclk      : in     vl_logic;
        s_apb_presetn   : in     vl_logic;
        s_apb_psel      : in     vl_logic;
        s_apb_penable   : in     vl_logic;
        s_apb_pwrite    : in     vl_logic;
        s_apb_paddr     : in     vl_logic_vector(14 downto 0);
        s_apb_pwdata    : in     vl_logic_vector(31 downto 0);
        s_apb_pready    : out    vl_logic;
        s_apb_prdata    : out    vl_logic_vector(31 downto 0);
        s_apb_pslverr   : out    vl_logic;
        m_apb_psel_sysreg: out    vl_logic;
        m_apb_psel_pcie0_core: out    vl_logic;
        m_apb_psel_pcie1_core: out    vl_logic;
        m_apb_psel_serdes: out    vl_logic;
        m_apb_penable   : out    vl_logic;
        m_apb_pwrite    : out    vl_logic;
        m_apb_paddr     : out    vl_logic_vector(11 downto 0);
        m_apb_pwdata    : out    vl_logic_vector(31 downto 0);
        m_apb_pready_sysreg: in     vl_logic;
        m_apb_pready_pcie0_core: in     vl_logic;
        m_apb_pready_pcie1_core: in     vl_logic;
        m_apb_pready_serdes: in     vl_logic;
        m_apb_prdata_sysreg: in     vl_logic_vector(31 downto 0);
        m_apb_prdata_pcie0_core: in     vl_logic_vector(31 downto 0);
        m_apb_prdata_pcie1_core: in     vl_logic_vector(31 downto 0);
        m_apb_prdata_serdes: in     vl_logic_vector(31 downto 0);
        m_apb_pslverr_sysreg: in     vl_logic;
        m_apb_pslverr_pcie0_core: in     vl_logic;
        m_apb_pslverr_pcie1_core: in     vl_logic;
        m_apb_pslverr_serdes: in     vl_logic;
        pcie0_config_nostall: in     vl_logic;
        pcie1_config_nostall: in     vl_logic;
        pcie0_enabled   : in     vl_logic;
        pcie1_enabled   : in     vl_logic;
        atpg_testmode   : in     vl_logic;
        debug_on        : in     vl_logic;
        debug_data      : in     vl_logic_vector(31 downto 0);
        pcie0_rst_phase : in     vl_logic_vector(1 downto 0);
        pcie1_rst_phase : in     vl_logic_vector(1 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of PCIE_LINKS : constant is 1;
end serdesif_apb_decoder_075;
