library verilog;
use verilog.vl_types.all;
entity te_misc_120 is
    generic(
        RD_CAM_ADDR_BITS: integer := 3;
        WR_CAM_ADDR_BITS: integer := 3;
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3;
        ROW_BITS        : integer := 16
    );
    port(
        dh_te_resetb    : in     vl_logic;
        co_te_clk       : in     vl_logic;
        dh_te_dis_autopre_collide_opt: in     vl_logic;
        dh_te_dis_wc    : in     vl_logic;
        te_pi_wr_autopre: in     vl_logic;
        te_pi_rd_autopre: in     vl_logic;
        ih_te_bank_num  : in     vl_logic_vector;
        ih_te_wr_valid  : in     vl_logic;
        ts_te_op_is_rd  : in     vl_logic;
        ts_te_op_is_wr  : in     vl_logic;
        ts_te_op_is_activate: in     vl_logic;
        ts_te_wr_mode   : in     vl_logic;
        ts_te_bank_num4rdwr: in     vl_logic_vector;
        te_te_rdwr_autopre: out    vl_logic;
        te_be_autopre   : out    vl_logic;
        te_ts_autopre   : out    vl_logic;
        te_pi_autopre   : out    vl_logic;
        te_gs_rd_retry  : out    vl_logic;
        te_bs_rd_retry  : out    vl_logic;
        te_be_rd_retry  : out    vl_logic;
        te_ts_rd_flush  : out    vl_logic;
        te_ts_wr_flush  : out    vl_logic;
        te_te_rd_flush  : in     vl_logic;
        te_te_wr_flush  : in     vl_logic;
        te_te_rd_flush_started: in     vl_logic;
        te_te_wr_flush_started: in     vl_logic;
        te_te_rd_entry  : in     vl_logic_vector;
        te_be_page_addr : out    vl_logic_vector;
        te_wu_wr_retry  : out    vl_logic;
        te_pi_rd_retry  : out    vl_logic;
        te_te_rd_addr_row: in     vl_logic_vector;
        te_te_wr_addr_row: in     vl_logic_vector;
        te_ih_retry     : out    vl_logic;
        te_ih_free_rd_entry_valid: out    vl_logic;
        te_ih_free_rd_entry: out    vl_logic_vector;
        i_open_wr_page  : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RD_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of WR_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
end te_misc_120;
