library verilog;
use verilog.vl_types.all;
entity te_wr_entry is
    generic(
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3;
        ROW_BITS        : integer := 16;
        BLK_BITS        : integer := 13;
        OTHER_ENTRY_BITS: integer := 1
    );
    port(
        dh_te_resetb    : in     vl_logic;
        co_te_clk       : in     vl_logic;
        dh_te_dis_wc    : in     vl_logic;
        ih_te_bank_num  : in     vl_logic_vector;
        ih_te_page_num  : in     vl_logic_vector;
        ih_te_block_num : in     vl_logic_vector;
        ih_te_wr_other_fields: in     vl_logic_vector;
        ih_te_autopre   : in     vl_logic;
        ts_te_bank_num  : in     vl_logic_vector;
        i_combine_ok    : in     vl_logic;
        be_te_page_num  : in     vl_logic_vector;
        ih_te_wr_valid  : in     vl_logic;
        i_load          : in     vl_logic;
        i_entry_del     : in     vl_logic;
        i_wr_data_rdy_wr_en: in     vl_logic;
        i_rd_data_rdy_wr_en: in     vl_logic;
        i_entry_out     : out    vl_logic_vector;
        i_ts_wr_replace_bank_match: out    vl_logic;
        i_ts_wr_replace_page_match: out    vl_logic;
        be_te_wr_combine_replace_page_num: in     vl_logic_vector;
        i_wr_combine_replace_bank_match: out    vl_logic;
        i_wr_combine_replace_page_match: out    vl_logic;
        i_same_addr     : out    vl_logic;
        i_combine_match : out    vl_logic;
        i_load_ntt      : out    vl_logic;
        i_entry_valid   : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
    attribute mti_svvh_generic_type of BLK_BITS : constant is 1;
    attribute mti_svvh_generic_type of OTHER_ENTRY_BITS : constant is 1;
end te_wr_entry;
