library verilog;
use verilog.vl_types.all;
entity A2A_Masterstage is
    generic(
        M_AHBSLOT0ENABLE: integer := 1;
        M_AHBSLOT1ENABLE: integer := 1;
        M_AHBSLOT2ENABLE: integer := 1;
        M_AHBSLOT3ENABLE: integer := 1;
        M_AHBSLOT4ENABLE: integer := 1;
        M_AHBSLOT5ENABLE: integer := 1;
        M_AHBSLOT6ENABLE: integer := 1;
        M_AHBSLOT7ENABLE: integer := 1;
        M_AHBSLOT8ENABLE: integer := 1;
        M_AHBSLOT9ENABLE: integer := 1;
        M_AHBSLOT10ENABLE: integer := 1;
        M_AHBSLOT11ENABLE: integer := 1;
        M_AHBSLOT12ENABLE: integer := 1;
        M_AHBSLOT13ENABLE: integer := 1;
        M_AHBSLOT14ENABLE: integer := 1;
        M_AHBSLOT15ENABLE: integer := 1
    );
    port(
        HCLK            : in     vl_logic;
        HRESETN         : in     vl_logic;
        FIC32_1_DISABLE : in     vl_logic;
        FIC_SLAVE1Sel   : in     vl_logic;
        HADDR           : in     vl_logic_vector(31 downto 0);
        HMASTLOCK       : in     vl_logic;
        HMASTER         : in     vl_logic_vector(1 downto 0);
        HSIZE           : in     vl_logic_vector(2 downto 0);
        HTRANS          : in     vl_logic;
        HWRITE          : in     vl_logic;
        HRESP           : out    vl_logic;
        HRDATA          : out    vl_logic_vector(31 downto 0);
        HREADY_M        : out    vl_logic;
        REMAP           : in     vl_logic;
        SADDRREADY      : in     vl_logic_vector(15 downto 0);
        SDATAREADY      : in     vl_logic_vector(15 downto 0);
        SHRESP          : in     vl_logic_vector(15 downto 0);
        GATEDHADDR      : out    vl_logic_vector(31 downto 0);
        GATEDHMASTLOCK  : out    vl_logic;
        GATEDHMASTER    : out    vl_logic_vector(1 downto 0);
        GATEDHSIZE      : out    vl_logic_vector(2 downto 0);
        GATEDHTRANS     : out    vl_logic;
        GATEDHWRITE     : out    vl_logic;
        SADDRSEL        : out    vl_logic_vector(15 downto 0);
        SDATASEL        : out    vl_logic_vector(15 downto 0);
        PREVDATASLAVEREADY: out    vl_logic;
        HRDATA_S0       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S0    : in     vl_logic;
        HRDATA_S1       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S1    : in     vl_logic;
        HRDATA_S2       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S2    : in     vl_logic;
        HRDATA_S3       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S3    : in     vl_logic;
        HRDATA_S4       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S4    : in     vl_logic;
        HRDATA_S5       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S5    : in     vl_logic;
        HRDATA_S6       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S6    : in     vl_logic;
        HRDATA_S7       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S7    : in     vl_logic;
        HRDATA_S8       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S8    : in     vl_logic;
        HRDATA_S9       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S9    : in     vl_logic;
        HRDATA_S10      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S10   : in     vl_logic;
        HRDATA_S11      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S11   : in     vl_logic;
        HRDATA_S12      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S12   : in     vl_logic;
        HRDATA_S13      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S13   : in     vl_logic;
        HRDATA_S14      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S14   : in     vl_logic;
        HRDATA_S15      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S15   : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of M_AHBSLOT0ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT1ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT2ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT3ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT4ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT5ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT6ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT7ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT8ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT9ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT10ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT11ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT12ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT13ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT14ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M_AHBSLOT15ENABLE : constant is 1;
end A2A_Masterstage;
