library verilog;
use verilog.vl_types.all;
entity A2A_addrdec is
    generic(
        A2AB_SLAVE_0    : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        A2AB_SLAVE_1    : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        A2AB_SLAVE_2    : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        A2AB_SLAVE_3    : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        A2AB_SLAVE_4    : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        A2AB_SLAVE_5    : vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        A2AB_SLAVE_6    : vl_logic_vector(0 to 7) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        A2AB_SLAVE_DEFAULT: vl_logic_vector(0 to 7) := (Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        ADDR            : in     vl_logic_vector(31 downto 0);
        FIC32_1_DISABLE : in     vl_logic;
        FIC_SLAVE1Sel   : in     vl_logic;
        ADDRDEC         : out    vl_logic_vector(15 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of A2AB_SLAVE_0 : constant is 1;
    attribute mti_svvh_generic_type of A2AB_SLAVE_1 : constant is 1;
    attribute mti_svvh_generic_type of A2AB_SLAVE_2 : constant is 1;
    attribute mti_svvh_generic_type of A2AB_SLAVE_3 : constant is 1;
    attribute mti_svvh_generic_type of A2AB_SLAVE_4 : constant is 1;
    attribute mti_svvh_generic_type of A2AB_SLAVE_5 : constant is 1;
    attribute mti_svvh_generic_type of A2AB_SLAVE_6 : constant is 1;
    attribute mti_svvh_generic_type of A2AB_SLAVE_DEFAULT : constant is 1;
end A2A_addrdec;
