library verilog;
use verilog.vl_types.all;
entity ApbAddrData is
    generic(
        SLOT0_ONLY      : integer := 0;
        NUM_SLOTS       : integer := 16
    );
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        psel            : in     vl_logic;
        pready          : out    vl_logic;
        pslverr         : out    vl_logic;
        latchAddr       : in     vl_logic;
        latchWrData     : in     vl_logic;
        latchRdData     : in     vl_logic;
        latchNextAddr   : in     vl_logic;
        selNextAddr     : in     vl_logic;
        HADDR           : in     vl_logic_vector(15 downto 0);
        HWDATA          : in     vl_logic_vector(31 downto 0);
        HRDATA          : out    vl_logic_vector(31 downto 0);
        PADDR           : out    vl_logic_vector(15 downto 0);
        PWDATA          : out    vl_logic_vector(31 downto 0);
        PSEL0           : out    vl_logic;
        PSEL1           : out    vl_logic;
        PSEL2           : out    vl_logic;
        PSEL3           : out    vl_logic;
        PSEL4           : out    vl_logic;
        PSEL5           : out    vl_logic;
        PSEL6           : out    vl_logic;
        PSEL7           : out    vl_logic;
        PSEL8           : out    vl_logic;
        PSEL9           : out    vl_logic;
        PSEL10          : out    vl_logic;
        PSEL11          : out    vl_logic;
        PSEL12          : out    vl_logic;
        PSEL13          : out    vl_logic;
        PSEL14          : out    vl_logic;
        PSEL15          : out    vl_logic;
        PREADY0         : in     vl_logic;
        PREADY1         : in     vl_logic;
        PREADY2         : in     vl_logic;
        PREADY3         : in     vl_logic;
        PREADY4         : in     vl_logic;
        PREADY5         : in     vl_logic;
        PREADY6         : in     vl_logic;
        PREADY7         : in     vl_logic;
        PREADY8         : in     vl_logic;
        PREADY9         : in     vl_logic;
        PREADY10        : in     vl_logic;
        PREADY11        : in     vl_logic;
        PREADY12        : in     vl_logic;
        PREADY13        : in     vl_logic;
        PREADY14        : in     vl_logic;
        PREADY15        : in     vl_logic;
        PSLVERR0        : in     vl_logic;
        PSLVERR1        : in     vl_logic;
        PSLVERR2        : in     vl_logic;
        PSLVERR3        : in     vl_logic;
        PSLVERR4        : in     vl_logic;
        PSLVERR5        : in     vl_logic;
        PSLVERR6        : in     vl_logic;
        PSLVERR7        : in     vl_logic;
        PSLVERR8        : in     vl_logic;
        PSLVERR9        : in     vl_logic;
        PSLVERR10       : in     vl_logic;
        PSLVERR11       : in     vl_logic;
        PSLVERR12       : in     vl_logic;
        PSLVERR13       : in     vl_logic;
        PSLVERR14       : in     vl_logic;
        PSLVERR15       : in     vl_logic;
        PRDATA0         : in     vl_logic_vector(31 downto 0);
        PRDATA1         : in     vl_logic_vector(31 downto 0);
        PRDATA2         : in     vl_logic_vector(31 downto 0);
        PRDATA3         : in     vl_logic_vector(31 downto 0);
        PRDATA4         : in     vl_logic_vector(31 downto 0);
        PRDATA5         : in     vl_logic_vector(31 downto 0);
        PRDATA6         : in     vl_logic_vector(31 downto 0);
        PRDATA7         : in     vl_logic_vector(31 downto 0);
        PRDATA8         : in     vl_logic_vector(31 downto 0);
        PRDATA9         : in     vl_logic_vector(31 downto 0);
        PRDATA10        : in     vl_logic_vector(31 downto 0);
        PRDATA11        : in     vl_logic_vector(31 downto 0);
        PRDATA12        : in     vl_logic_vector(31 downto 0);
        PRDATA13        : in     vl_logic_vector(31 downto 0);
        PRDATA14        : in     vl_logic_vector(31 downto 0);
        PRDATA15        : in     vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SLOT0_ONLY : constant is 1;
    attribute mti_svvh_generic_type of NUM_SLOTS : constant is 1;
end ApbAddrData;
