library verilog;
use verilog.vl_types.all;
entity DMAExec is
    port(
        FCLK            : in     vl_logic;
        SYSRESETn       : in     vl_logic;
        HRDATA          : in     vl_logic_vector(31 downto 0);
        HREADY          : in     vl_logic;
        HRESP           : in     vl_logic;
        dmaReq          : in     vl_logic;
        chanNum         : in     vl_logic_vector(2 downto 0);
        sourceAddr      : in     vl_logic_vector(31 downto 0);
        destAddr        : in     vl_logic_vector(31 downto 0);
        transferSize    : in     vl_logic_vector(1 downto 0);
        HADDR           : out    vl_logic_vector(31 downto 0);
        HSIZE           : out    vl_logic_vector(1 downto 0);
        HTRANS          : out    vl_logic_vector(1 downto 0);
        HWDATA          : out    vl_logic_vector(31 downto 0);
        HWRITE          : out    vl_logic;
        dmaAck          : out    vl_logic;
        readDone        : out    vl_logic;
        dmaDone         : out    vl_logic;
        dmaDoneChanNum  : out    vl_logic_vector(2 downto 0);
        globalChanReset : out    vl_logic
    );
end DMAExec;
