library verilog;
use verilog.vl_types.all;
entity DW_arb_2t is
    generic(
        n               : integer := 4;
        p_width         : integer := 2;
        park_mode       : integer := 1;
        park_index      : integer := 0;
        output_mode     : integer := 1;
        index_width     : vl_notype
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        init_n          : in     vl_logic;
        enable          : in     vl_logic;
        request         : in     vl_logic_vector;
        prior           : in     vl_logic_vector;
        lock            : in     vl_logic_vector;
        mask            : in     vl_logic_vector;
        parked          : out    vl_logic;
        granted         : out    vl_logic;
        locked          : out    vl_logic;
        grant           : out    vl_logic_vector;
        grant_index     : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of n : constant is 1;
    attribute mti_svvh_generic_type of p_width : constant is 1;
    attribute mti_svvh_generic_type of park_mode : constant is 1;
    attribute mti_svvh_generic_type of park_index : constant is 1;
    attribute mti_svvh_generic_type of output_mode : constant is 1;
    attribute mti_svvh_generic_type of index_width : constant is 3;
end DW_arb_2t;
