library verilog;
use verilog.vl_types.all;
entity DW_crc_s is
    generic(
        data_width      : integer := 16;
        poly_size       : integer := 16;
        crc_cfg         : integer := 7;
        bit_order       : integer := 3;
        poly_coef0      : integer := 4129;
        poly_coef1      : integer := 0;
        poly_coef2      : integer := 0;
        poly_coef3      : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        init_n          : in     vl_logic;
        enable          : in     vl_logic;
        data_in         : in     vl_logic_vector;
        ld_crc_n        : in     vl_logic;
        crc_in          : in     vl_logic_vector;
        drain           : in     vl_logic;
        data_out        : out    vl_logic_vector;
        draining        : out    vl_logic;
        drain_done      : out    vl_logic;
        crc_ok          : out    vl_logic;
        crc_out         : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of data_width : constant is 1;
    attribute mti_svvh_generic_type of poly_size : constant is 1;
    attribute mti_svvh_generic_type of crc_cfg : constant is 1;
    attribute mti_svvh_generic_type of bit_order : constant is 1;
    attribute mti_svvh_generic_type of poly_coef0 : constant is 1;
    attribute mti_svvh_generic_type of poly_coef1 : constant is 1;
    attribute mti_svvh_generic_type of poly_coef2 : constant is 1;
    attribute mti_svvh_generic_type of poly_coef3 : constant is 1;
end DW_crc_s;
