library verilog;
use verilog.vl_types.all;
entity DW_fifo_s1_sf is
    generic(
        width           : integer := 8;
        depth           : integer := 4;
        ae_level        : integer := 1;
        af_level        : integer := 1;
        err_mode        : integer := 0;
        rst_mode        : integer := 0
    );
    port(
        rst_n           : in     vl_logic;
        clk             : in     vl_logic;
        push_req_n      : in     vl_logic;
        pop_req_n       : in     vl_logic;
        diag_n          : in     vl_logic;
        data_in         : in     vl_logic_vector;
        data_out        : out    vl_logic_vector;
        empty           : out    vl_logic;
        almost_empty    : out    vl_logic;
        half_full       : out    vl_logic;
        almost_full     : out    vl_logic;
        full            : out    vl_logic;
        error           : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of width : constant is 1;
    attribute mti_svvh_generic_type of depth : constant is 1;
    attribute mti_svvh_generic_type of ae_level : constant is 1;
    attribute mti_svvh_generic_type of af_level : constant is 1;
    attribute mti_svvh_generic_type of err_mode : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
end DW_fifo_s1_sf;
