library verilog;
use verilog.vl_types.all;
entity DW_fifoctl_s1_df is
    generic(
        depth           : integer := 8;
        err_mode        : integer := 0;
        rst_mode        : integer := 0
    );
    port(
        rst_n           : in     vl_logic;
        clk             : in     vl_logic;
        push_req_n      : in     vl_logic;
        pop_req_n       : in     vl_logic;
        ae_level        : in     vl_logic_vector;
        af_thresh       : in     vl_logic_vector;
        diag_n          : in     vl_logic;
        wr_addr         : out    vl_logic_vector;
        we_n            : out    vl_logic;
        rd_addr         : out    vl_logic_vector;
        empty           : out    vl_logic;
        almost_empty    : out    vl_logic;
        half_full       : out    vl_logic;
        almost_full     : out    vl_logic;
        full            : out    vl_logic;
        error           : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of depth : constant is 1;
    attribute mti_svvh_generic_type of err_mode : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
end DW_fifoctl_s1_df;
