library verilog;
use verilog.vl_types.all;
entity DW_fifoctl_s2_sf is
    generic(
        depth           : integer := 8;
        push_ae_lvl     : integer := 2;
        push_af_lvl     : integer := 2;
        pop_ae_lvl      : integer := 2;
        pop_af_lvl      : integer := 2;
        err_mode        : integer := 0;
        push_sync       : integer := 2;
        pop_sync        : integer := 2;
        rst_mode        : integer := 0;
        tst_mode        : integer := 0
    );
    port(
        rst_n           : in     vl_logic;
        clk_push        : in     vl_logic;
        push_req_n      : in     vl_logic;
        we_n            : out    vl_logic;
        wr_addr         : out    vl_logic_vector;
        push_word_count : out    vl_logic_vector;
        push_empty      : out    vl_logic;
        push_ae         : out    vl_logic;
        push_hf         : out    vl_logic;
        push_af         : out    vl_logic;
        push_full       : out    vl_logic;
        push_error      : out    vl_logic;
        clk_pop         : in     vl_logic;
        pop_req_n       : in     vl_logic;
        rd_addr         : out    vl_logic_vector;
        pop_word_count  : out    vl_logic_vector;
        pop_empty       : out    vl_logic;
        pop_ae          : out    vl_logic;
        pop_hf          : out    vl_logic;
        pop_af          : out    vl_logic;
        pop_full        : out    vl_logic;
        pop_error       : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of depth : constant is 1;
    attribute mti_svvh_generic_type of push_ae_lvl : constant is 1;
    attribute mti_svvh_generic_type of push_af_lvl : constant is 1;
    attribute mti_svvh_generic_type of pop_ae_lvl : constant is 1;
    attribute mti_svvh_generic_type of pop_af_lvl : constant is 1;
    attribute mti_svvh_generic_type of err_mode : constant is 1;
    attribute mti_svvh_generic_type of push_sync : constant is 1;
    attribute mti_svvh_generic_type of pop_sync : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
    attribute mti_svvh_generic_type of tst_mode : constant is 1;
end DW_fifoctl_s2_sf;
