library verilog;
use verilog.vl_types.all;
entity DW_mult_pipe is
    generic(
        a_width         : integer := 8;
        b_width         : integer := 8;
        num_stages      : integer := 2;
        stall_mode      : integer := 1;
        rst_mode        : integer := 1;
        P_width         : vl_notype
    );
    port(
        a               : in     vl_logic_vector;
        b               : in     vl_logic_vector;
        tc              : in     vl_logic;
        clk             : in     vl_logic;
        product         : out    vl_logic_vector;
        en              : in     vl_logic;
        rst_n           : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of a_width : constant is 1;
    attribute mti_svvh_generic_type of b_width : constant is 1;
    attribute mti_svvh_generic_type of num_stages : constant is 1;
    attribute mti_svvh_generic_type of stall_mode : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
    attribute mti_svvh_generic_type of P_width : constant is 3;
end DW_mult_pipe;
