library verilog;
use verilog.vl_types.all;
entity DW_ram_r_w_s_dff is
    generic(
        data_width      : integer := 8;
        depth           : integer := 8;
        rst_mode        : integer := 0;
        addr_width      : vl_notype
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        cs_n            : in     vl_logic;
        wr_n            : in     vl_logic;
        rd_addr         : in     vl_logic_vector;
        wr_addr         : in     vl_logic_vector;
        data_in         : in     vl_logic_vector;
        data_out        : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of data_width : constant is 1;
    attribute mti_svvh_generic_type of depth : constant is 1;
    attribute mti_svvh_generic_type of rst_mode : constant is 1;
    attribute mti_svvh_generic_type of addr_width : constant is 3;
end DW_ram_r_w_s_dff;
