library verilog;
use verilog.vl_types.all;
entity DW_shifter is
    generic(
        data_width      : integer := 4;
        sh_width        : integer := 3;
        inv_mode        : integer := 0
    );
    port(
        data_in         : in     vl_logic_vector;
        data_tc         : in     vl_logic;
        sh              : in     vl_logic_vector;
        sh_tc           : in     vl_logic;
        sh_mode         : in     vl_logic;
        data_out        : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of data_width : constant is 1;
    attribute mti_svvh_generic_type of sh_width : constant is 1;
    attribute mti_svvh_generic_type of inv_mode : constant is 1;
end DW_shifter;
