library verilog;
use verilog.vl_types.all;
entity DW_tap is
    generic(
        width           : integer := 8;
        id              : integer := 0;
        version         : integer := 0;
        part            : integer := 0;
        man_num         : integer := 0;
        sync_mode       : integer := 0
    );
    port(
        trst_n          : in     vl_logic;
        tck             : in     vl_logic;
        tms             : in     vl_logic;
        tdi             : in     vl_logic;
        so              : in     vl_logic;
        bypass_sel      : in     vl_logic;
        sentinel_val    : in     vl_logic_vector;
        test            : in     vl_logic;
        clock_dr        : out    vl_logic;
        shift_dr        : out    vl_logic;
        update_dr       : out    vl_logic;
        sync_update_dr  : out    vl_logic;
        tdo             : out    vl_logic;
        tdo_en          : out    vl_logic;
        sync_capture_en : out    vl_logic;
        tap_state       : out    vl_logic_vector(15 downto 0);
        extest          : out    vl_logic;
        samp_load       : out    vl_logic;
        instructions    : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of width : constant is 1;
    attribute mti_svvh_generic_type of id : constant is 1;
    attribute mti_svvh_generic_type of version : constant is 1;
    attribute mti_svvh_generic_type of part : constant is 1;
    attribute mti_svvh_generic_type of man_num : constant is 1;
    attribute mti_svvh_generic_type of sync_mode : constant is 1;
end DW_tap;
