library verilog;
use verilog.vl_types.all;
entity ECCBLK_120 is
    generic(
        useecc          : integer := 1;
        width           : integer := 32;
        chkbits         : integer := 7;
        synd_sel        : integer := 0
    );
    port(
        gen             : in     vl_logic;
        correct_n       : in     vl_logic;
        datain          : in     vl_logic_vector;
        chkin           : in     vl_logic_vector;
        err_detect      : out    vl_logic;
        err_multpl      : out    vl_logic;
        dataout         : out    vl_logic_vector;
        chkout          : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of useecc : constant is 1;
    attribute mti_svvh_generic_type of width : constant is 1;
    attribute mti_svvh_generic_type of chkbits : constant is 1;
    attribute mti_svvh_generic_type of synd_sel : constant is 1;
end ECCBLK_120;
