library verilog;
use verilog.vl_types.all;
entity G4MAIN_AXITOAHB_120 is
    port(
        AXI_AHB_CLK     : in     vl_logic;
        ARESETn         : in     vl_logic;
        BURST_TYPE      : in     vl_logic;
        M_RLFBE         : in     vl_logic_vector(7 downto 0);
        AWID            : in     vl_logic_vector(3 downto 0);
        AWADDR          : in     vl_logic_vector(31 downto 0);
        AWLEN           : in     vl_logic_vector(3 downto 0);
        AWSIZE          : in     vl_logic_vector(1 downto 0);
        AWBURST         : in     vl_logic_vector(1 downto 0);
        AWVALID         : in     vl_logic;
        AWREADY         : out    vl_logic;
        WID             : in     vl_logic_vector(3 downto 0);
        WSTRB           : in     vl_logic_vector(7 downto 0);
        WLAST           : in     vl_logic;
        WVALID          : in     vl_logic;
        WDATA           : in     vl_logic_vector(63 downto 0);
        WREADY          : out    vl_logic;
        BID             : out    vl_logic_vector(3 downto 0);
        BRESP           : out    vl_logic_vector(1 downto 0);
        BVALID          : out    vl_logic;
        BREADY          : in     vl_logic;
        ARID            : in     vl_logic_vector(3 downto 0);
        ARADDR          : in     vl_logic_vector(31 downto 0);
        ARLEN           : in     vl_logic_vector(3 downto 0);
        ARSIZE          : in     vl_logic_vector(1 downto 0);
        ARBURST         : in     vl_logic_vector(1 downto 0);
        ARVALID         : in     vl_logic;
        ARREADY         : out    vl_logic;
        RID             : out    vl_logic_vector(3 downto 0);
        RDATA           : out    vl_logic_vector(63 downto 0);
        RRESP           : out    vl_logic_vector(1 downto 0);
        RLAST           : out    vl_logic;
        RVALID          : out    vl_logic;
        RREADY          : in     vl_logic;
        HSEL            : out    vl_logic;
        HADDR           : out    vl_logic_vector(31 downto 0);
        HWRITE          : out    vl_logic;
        HSIZE           : out    vl_logic_vector(1 downto 0);
        HBURST          : out    vl_logic_vector(2 downto 0);
        HTRANS          : out    vl_logic_vector(1 downto 0);
        HWDATA          : out    vl_logic_vector(31 downto 0);
        HRDATA          : in     vl_logic_vector(31 downto 0);
        HREADYOUT       : in     vl_logic;
        HRESP           : in     vl_logic
    );
end G4MAIN_AXITOAHB_120;
