library verilog;
use verilog.vl_types.all;
entity G4M_AHBTOAPB_CONFIG is
    port(
        fclk            : in     vl_logic;
        reset_n         : in     vl_logic;
        last_cycle_apb  : in     vl_logic;
        core_up_sync    : in     vl_logic;
        mddr_config_local: in     vl_logic;
        HADDR           : in     vl_logic_vector(15 downto 0);
        HSIZE           : in     vl_logic_vector(1 downto 0);
        HTRANS1         : in     vl_logic;
        HSEL            : in     vl_logic;
        HWRITE          : in     vl_logic;
        HWDATA          : in     vl_logic_vector(31 downto 0);
        HREADY          : in     vl_logic;
        HREADYOUT       : out    vl_logic;
        HRESP           : out    vl_logic;
        HRDATA          : out    vl_logic_vector(31 downto 0);
        PADDR           : out    vl_logic_vector(15 downto 0);
        PWDATA          : out    vl_logic_vector(31 downto 0);
        PRDATA          : in     vl_logic_vector(31 downto 0);
        PSEL            : out    vl_logic;
        PENABLE         : out    vl_logic;
        PWRITE          : out    vl_logic;
        PREADY          : in     vl_logic;
        PSLVERR         : in     vl_logic
    );
end G4M_AHBTOAPB_CONFIG;
