library verilog;
use verilog.vl_types.all;
entity G4M_FDDR_CLOCK_CTRL_120 is
    port(
        clk_25_50mhz    : in     vl_logic;
        atpg_sck_slow   : in     vl_logic;
        fddr_pll_fb_clk : out    vl_logic;
        fddr_pll_lock   : in     vl_logic;
        fddr_pll_ref_clk: out    vl_logic;
        fddr_pll_out_clk: in     vl_logic;
        fddr_pll_divr   : out    vl_logic_vector(5 downto 0);
        fddr_pll_fse    : out    vl_logic;
        fddr_pll_divf   : out    vl_logic_vector(9 downto 0);
        fddr_pll_mode_3v3: out    vl_logic;
        fddr_pll_mode_1v2: out    vl_logic;
        fddr_pll_lockwin: out    vl_logic_vector(2 downto 0);
        fddr_pll_lockcnt: out    vl_logic_vector(3 downto 0);
        fddr_pll_pd     : out    vl_logic;
        fddr_pll_divq   : out    vl_logic_vector(2 downto 0);
        fddr_pll_range  : out    vl_logic_vector(3 downto 0);
        fddr_pll_bypass : out    vl_logic;
        fddr_pll_sse    : out    vl_logic;
        fddr_pll_ssmd   : out    vl_logic_vector(1 downto 0);
        fddr_pll_ssmf   : out    vl_logic_vector(4 downto 0);
        fddr_pll_reset  : out    vl_logic;
        fpll_lock       : out    vl_logic;
        cc_reset_n      : in     vl_logic;
        fddr_sysreg_pll_reset: in     vl_logic;
        fatc_reset_n    : in     vl_logic;
        facc_pll_divr   : in     vl_logic_vector(5 downto 0);
        facc_pll_fse    : in     vl_logic;
        facc_pll_divf   : in     vl_logic_vector(9 downto 0);
        facc_pll_mode_3v3: in     vl_logic;
        facc_pll_mode_1v2: in     vl_logic;
        facc_pll_lockwin: in     vl_logic_vector(2 downto 0);
        facc_pll_lockcnt: in     vl_logic_vector(3 downto 0);
        facc_pll_pd     : in     vl_logic;
        facc_pll_divq   : in     vl_logic_vector(2 downto 0);
        facc_pll_range  : in     vl_logic_vector(3 downto 0);
        facc_pll_bypass : in     vl_logic;
        facc_pll_sse    : in     vl_logic;
        facc_pll_ssmd   : in     vl_logic_vector(1 downto 0);
        facc_pll_ssmf   : in     vl_logic_vector(4 downto 0);
        clk_apb         : out    vl_logic;
        clk_ddr         : out    vl_logic;
        clk_fic64       : out    vl_logic;
        ddr_clk_en      : in     vl_logic;
        divisor_a       : in     vl_logic_vector(1 downto 0);
        clk_rcosc       : out    vl_logic;
        facc_standby_sel: in     vl_logic_vector(2 downto 0);
        facc_src_sel    : in     vl_logic_vector(2 downto 0);
        facc_pre_src_sel: in     vl_logic;
        facc_glmux_sel  : in     vl_logic;
        facc_fab_ref_sel: in     vl_logic;
        fic64_divisor   : in     vl_logic_vector(2 downto 0);
        base_divisor    : in     vl_logic_vector(2 downto 0);
        fddr_calib_fail : out    vl_logic;
        fddr_calib_start: in     vl_logic;
        fab_pll_lock    : in     vl_logic;
        clk_base        : in     vl_logic;
        clk_calib       : out    vl_logic;
        pclk            : in     vl_logic;
        h2fcalib        : out    vl_logic;
        f2hcalib        : in     vl_logic;
        atpg_tm         : in     vl_logic;
        ltap_control    : in     vl_logic_vector(52 downto 0);
        ccc2asic        : in     vl_logic;
        bg_por_b        : in     vl_logic;
        atpg_rst_b      : in     vl_logic;
        lt_srst_b       : in     vl_logic;
        atpg_fab_sck    : out    vl_logic;
        edt_sck         : out    vl_logic;
        start_tpg       : in     vl_logic;
        fast_tpg_mode   : in     vl_logic;
        tpg_mode_a      : in     vl_logic;
        fab_sck_enable  : in     vl_logic;
        edt_sck_enable  : in     vl_logic;
        fab_atpg_clkins : out    vl_logic;
        pll_ref_delay_sel: in     vl_logic_vector(1 downto 0);
        pll_fb_delay_sel: in     vl_logic_vector(1 downto 0);
        gated_sck_slow  : in     vl_logic;
        gated_sck_slow_i: out    vl_logic;
        div_reset       : in     vl_logic
    );
end G4M_FDDR_CLOCK_CTRL_120;
