library verilog;
use verilog.vl_types.all;
entity IP_PLL is
    port(
        CLKIN           : in     vl_logic;
        FBIN            : in     vl_logic;
        BYPASS          : in     vl_logic;
        RESET           : in     vl_logic;
        POWERDOWN       : in     vl_logic;
        CLKDIV          : in     vl_logic_vector(5 downto 0);
        FBDIV           : in     vl_logic_vector(9 downto 0);
        VCODIV          : in     vl_logic_vector(2 downto 0);
        LOCKWIN         : in     vl_logic_vector(2 downto 0);
        LOCKCNT         : in     vl_logic_vector(3 downto 0);
        divisor_a       : in     vl_logic_vector(1 downto 0);
        base_divisor    : in     vl_logic_vector(2 downto 0);
        LOCK            : out    vl_logic;
        VCO0            : out    vl_logic;
        reset_n         : out    vl_logic
    );
end IP_PLL;
