library verilog;
use verilog.vl_types.all;
entity MG_8b10bDec is
    generic(
        BYTES           : integer := 8;
        K28_5_ONLY      : integer := 0;
        EN_MODE         : integer := 0;
        INIT_MODE       : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        enable          : in     vl_logic;
        init_rd_n       : in     vl_logic;
        init_rd_val     : in     vl_logic;
        data_in         : in     vl_logic_vector;
        data_out        : out    vl_logic_vector;
        k_char          : out    vl_logic_vector;
        rd              : out    vl_logic;
        error           : out    vl_logic;
        rd_error        : out    vl_logic;
        code_error      : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BYTES : constant is 1;
    attribute mti_svvh_generic_type of K28_5_ONLY : constant is 1;
    attribute mti_svvh_generic_type of EN_MODE : constant is 1;
    attribute mti_svvh_generic_type of INIT_MODE : constant is 1;
end MG_8b10bDec;
