library verilog;
use verilog.vl_types.all;
entity MG_RFSync is
    generic(
        READ_PORT_COUNT : integer := 1;
        WRITE_PORT_COUNT: integer := 1;
        DATA_WIDTH      : integer := 8;
        ADDRESS_WIDTH   : integer := 8;
        WORD_COUNT      : integer := 256;
        RESET_MODE      : integer := 0
    );
    port(
        d               : in     vl_logic_vector;
        wa              : in     vl_logic_vector;
        we              : in     vl_logic_vector;
        ra              : in     vl_logic_vector;
        clk             : in     vl_logic;
        reset_N         : in     vl_logic;
        cs_N            : in     vl_logic;
        q               : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of READ_PORT_COUNT : constant is 1;
    attribute mti_svvh_generic_type of WRITE_PORT_COUNT : constant is 1;
    attribute mti_svvh_generic_type of DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ADDRESS_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of WORD_COUNT : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
end MG_RFSync;
