library verilog;
use verilog.vl_types.all;
entity MG_Stack is
    generic(
        WIDTH           : integer := 8;
        DEPTH           : integer := 8;
        ERROR_MODE      : integer := 0;
        RESET_MODE      : integer := 0;
        RST_MODE        : vl_notype;
        ADDRWIDTH       : vl_notype
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        push_req_n      : in     vl_logic;
        pop_req_n       : in     vl_logic;
        data_in         : in     vl_logic_vector;
        data_out        : out    vl_logic_vector;
        full            : out    vl_logic;
        empty           : out    vl_logic;
        error           : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WIDTH : constant is 1;
    attribute mti_svvh_generic_type of DEPTH : constant is 1;
    attribute mti_svvh_generic_type of ERROR_MODE : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
    attribute mti_svvh_generic_type of RST_MODE : constant is 3;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 3;
end MG_Stack;
