library verilog;
use verilog.vl_types.all;
entity MG_SymFifoctlPop is
    generic(
        ADDRWIDTH       : integer := 3;
        WRDCNTWIDTH     : integer := 3;
        DEPTH           : integer := 8;
        POP_AE_LEVEL    : integer := 2;
        POP_AF_LEVEL    : integer := 2;
        ERROR_MODE      : integer := 0;
        RESET_MODE      : integer := 1
    );
    port(
        pop_req_n       : in     vl_logic;
        clk_pop         : in     vl_logic;
        rst_n           : in     vl_logic;
        pop_error       : out    vl_logic;
        pop_empty       : out    vl_logic;
        pop_ae          : out    vl_logic;
        pop_hf          : out    vl_logic;
        pop_af          : out    vl_logic;
        pop_full        : out    vl_logic;
        rd_addr         : out    vl_logic_vector;
        waddrNxtGSync   : in     vl_logic_vector;
        raddNxtG        : out    vl_logic_vector;
        pop_word_count  : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 1;
    attribute mti_svvh_generic_type of WRDCNTWIDTH : constant is 1;
    attribute mti_svvh_generic_type of DEPTH : constant is 1;
    attribute mti_svvh_generic_type of POP_AE_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of POP_AF_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of ERROR_MODE : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
end MG_SymFifoctlPop;
