library verilog;
use verilog.vl_types.all;
entity MG_fifoctl_s1_df is
    generic(
        DEPTH           : integer := 8;
        ERROR_MODE      : integer := 0;
        RESET_MODE      : integer := 0;
        ADDRWIDTH       : vl_notype
    );
    port(
        rst_n           : in     vl_logic;
        clk             : in     vl_logic;
        push_req_n      : in     vl_logic;
        pop_req_n       : in     vl_logic;
        ae_level        : in     vl_logic_vector;
        af_thresh       : in     vl_logic_vector;
        diag_n          : in     vl_logic;
        wr_addr         : out    vl_logic_vector;
        we_n            : out    vl_logic;
        rd_addr         : out    vl_logic_vector;
        empty           : out    vl_logic;
        almost_empty    : out    vl_logic;
        half_full       : out    vl_logic;
        almost_full     : out    vl_logic;
        full            : out    vl_logic;
        error           : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DEPTH : constant is 1;
    attribute mti_svvh_generic_type of ERROR_MODE : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 3;
end MG_fifoctl_s1_df;
