library verilog;
use verilog.vl_types.all;
entity MSS_AHBTOAPB_120 is
    port(
        PCLK0_DIVISOR   : in     vl_logic_vector(2 downto 0);
        PCLK1_DIVISOR   : in     vl_logic_vector(2 downto 0);
        FCLK            : in     vl_logic;
        SYS_RESET_N     : in     vl_logic;
        PER0_HSEL       : in     vl_logic;
        PER1_HSEL       : in     vl_logic;
        PER0_HADDR      : in     vl_logic_vector(15 downto 0);
        PER1_HADDR      : in     vl_logic_vector(15 downto 0);
        PER0_HWRITE     : in     vl_logic;
        PER1_HWRITE     : in     vl_logic;
        PER0_HREADY     : in     vl_logic;
        PER1_HREADY     : in     vl_logic;
        PER0_HTRANS1    : in     vl_logic;
        PER1_HTRANS1    : in     vl_logic;
        PER0_HSIZE      : in     vl_logic_vector(1 downto 0);
        PER1_HSIZE      : in     vl_logic_vector(1 downto 0);
        PER0_HWDATA     : in     vl_logic_vector(31 downto 0);
        PER1_HWDATA     : in     vl_logic_vector(31 downto 0);
        RTC_PREADY      : in     vl_logic;
        MMUART0_PREADY  : in     vl_logic;
        MMUART1_PREADY  : in     vl_logic;
        SPI0_PREADY     : in     vl_logic;
        SPI1_PREADY     : in     vl_logic;
        I2C0_PREADY     : in     vl_logic;
        I2C1_PREADY     : in     vl_logic;
        PER0_HREADYOUT  : out    vl_logic;
        PER1_HREADYOUT  : out    vl_logic;
        PER0_HRESP      : out    vl_logic;
        PER1_HRESP      : out    vl_logic;
        PER0_HRDATA     : out    vl_logic_vector(31 downto 0);
        PER1_HRDATA     : out    vl_logic_vector(31 downto 0);
        PER0_PADDR      : out    vl_logic_vector(15 downto 0);
        PER0_PWRITE     : out    vl_logic;
        PER0_PENABLE    : out    vl_logic;
        PER0_PWDATA     : out    vl_logic_vector(31 downto 0);
        PER1_PADDR      : out    vl_logic_vector(15 downto 0);
        PER1_PWRITE     : out    vl_logic;
        PER1_PENABLE    : out    vl_logic;
        PER1_PWDATA     : out    vl_logic_vector(31 downto 0);
        MMUART0_PSEL    : out    vl_logic;
        H2FINT_PSEL     : out    vl_logic;
        I2C0_PSEL       : out    vl_logic;
        SPI0_PSEL       : out    vl_logic;
        PDMA_PSEL       : out    vl_logic;
        MMUART1_PSEL    : out    vl_logic;
        I2C1_PSEL       : out    vl_logic;
        SPI1_PSEL       : out    vl_logic;
        RTC_PSEL        : out    vl_logic;
        GPIO_PSEL       : out    vl_logic;
        CMBLK_PSEL      : out    vl_logic;
        MMUART0_PRDATA  : out    vl_logic_vector(7 downto 0);
        SPI0_PRDATA     : out    vl_logic_vector(31 downto 0);
        I2C0_PRDATA     : out    vl_logic_vector(7 downto 0);
        PDMA_PRDATA     : out    vl_logic_vector(31 downto 0);
        H2FINT_PRDATA   : out    vl_logic_vector(31 downto 0);
        MMUART1_PRDATA  : out    vl_logic_vector(7 downto 0);
        SPI1_PRDATA     : out    vl_logic_vector(31 downto 0);
        I2C1_PRDATA     : out    vl_logic_vector(7 downto 0);
        GPIO_PRDATA     : out    vl_logic_vector(31 downto 0);
        RTC_PRDATA      : out    vl_logic_vector(31 downto 0);
        CMBLK_PRDATA    : out    vl_logic_vector(31 downto 0);
        HPD_PREADY      : in     vl_logic;
        HPD_PSLVERR     : in     vl_logic;
        HPD_PRDATA      : in     vl_logic_vector(31 downto 0);
        HPD_PSEL        : out    vl_logic
    );
end MSS_AHBTOAPB_120;
