library verilog;
use verilog.vl_types.all;
entity MSS_AHB_NVM is
    generic(
        MEMORYFILE      : string  := "";
        NAME            : string  := "";
        NVM_INDEX       : integer := 0;
        ADDR_WIDTH      : integer := 15;
        RESERVED_PAGES  : integer := 16
    );
    port(
        HADDR           : in     vl_logic_vector(18 downto 0);
        HBURST          : in     vl_logic_vector(2 downto 0);
        HCLK            : in     vl_logic;
        HMASTLOCK       : in     vl_logic_vector(1 downto 0);
        HREADYIN        : in     vl_logic;
        HRESETN         : in     vl_logic;
        HSEL            : in     vl_logic;
        HSIZE           : in     vl_logic_vector(1 downto 0);
        HTRANS          : in     vl_logic_vector(1 downto 0);
        HWDATA          : in     vl_logic_vector(31 downto 0);
        HWRITE          : in     vl_logic;
        HINT            : out    vl_logic;
        HRDATA          : out    vl_logic_vector(31 downto 0);
        HREADYOUT       : out    vl_logic;
        HRESP           : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of MEMORYFILE : constant is 1;
    attribute mti_svvh_generic_type of NAME : constant is 1;
    attribute mti_svvh_generic_type of NVM_INDEX : constant is 1;
    attribute mti_svvh_generic_type of ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of RESERVED_PAGES : constant is 1;
end MSS_AHB_NVM;
