library verilog;
use verilog.vl_types.all;
entity MSS_IOMUX is
    port(
        SCP_OUT         : in     vl_logic_vector(56 downto 0);
        SCP_OE          : in     vl_logic_vector(56 downto 0);
        USB_OUT         : in     vl_logic_vector(56 downto 0);
        USB_OE          : in     vl_logic_vector(56 downto 0);
        MSS_GPIO_OUT    : in     vl_logic_vector(56 downto 0);
        MSS_GPIO_OE     : in     vl_logic_vector(56 downto 0);
        F2H_GPIN        : in     vl_logic_vector(56 downto 0);
        F2H_SCP         : in     vl_logic_vector(56 downto 0);
        MSS_FAB_IO_IN   : in     vl_logic_vector(56 downto 0);
        USB_IN          : out    vl_logic_vector(56 downto 0);
        SCP_IN          : out    vl_logic_vector(56 downto 0);
        MSS_GPIO_IN_A   : out    vl_logic_vector(56 downto 0);
        H2F_A           : out    vl_logic_vector(56 downto 0);
        H2F_B           : out    vl_logic_vector(56 downto 0);
        MSS_IO_OUT      : out    vl_logic_vector(56 downto 0);
        MSS_IO_OE       : out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL0   : in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL1   : in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL2   : in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL3   : in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL4UPPER: in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL4MID: in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL4LOWER: in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL5UPPER: in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL5MID: in     vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL5LOWER: in     vl_logic_vector(56 downto 0)
    );
end MSS_IOMUX;
