library verilog;
use verilog.vl_types.all;
entity MSS_ResetController is
    port(
        FCLK            : in     vl_logic;
        CLK_MDDR_APB    : in     vl_logic;
        CLK_25_50MHZ    : in     vl_logic;
        M3_ALLOWED      : in     vl_logic;
        M3_DISABLE      : in     vl_logic;
        CAN_ALLOWED     : in     vl_logic;
        MSS_GPIO_31_24_SYSRESET_SEL: in     vl_logic;
        MSS_GPOUT_31_24_SOFT_RESET: in     vl_logic;
        MSS_GPIO_23_16_SYSRESET_SEL: in     vl_logic;
        MSS_GPOUT_23_16_SOFT_RESET: in     vl_logic;
        MSS_GPIO_15_8_SYSRESET_SEL: in     vl_logic;
        MSS_GPOUT_15_8_SOFT_RESET: in     vl_logic;
        MSS_GPIO_7_0_SYSRESET_SEL: in     vl_logic;
        MSS_GPOUT_7_0_SOFT_RESET: in     vl_logic;
        MDDR_CONFIG_LOCAL: in     vl_logic;
        ENVM0_SOFTRESET : in     vl_logic;
        ENVM1_SOFTRESET : in     vl_logic;
        ESRAM0_SOFTRESET: in     vl_logic;
        ESRAM1_SOFTRESET: in     vl_logic;
        FPGA_SOFTRESET  : in     vl_logic;
        FIC32_0_SOFTRESET: in     vl_logic;
        FIC32_1_SOFTRESET: in     vl_logic;
        MDDR_SOFTRESET  : in     vl_logic;
        USER_MSS_RESET_N: in     vl_logic;
        USER_MSS_GPIO_RESET_N: in     vl_logic;
        PRESET_N        : in     vl_logic;
        FPGA_MDDR_ARESET_N: in     vl_logic;
        FAB_M3_RESET_N  : in     vl_logic;
        CLK_CONFIG_APB  : in     vl_logic;
        M3_SYS_RESET_N  : out    vl_logic;
        ENVM0_RESET_N   : out    vl_logic;
        ENVM1_RESET_N   : out    vl_logic;
        ESRAM0_RESET_N  : out    vl_logic;
        ESRAM1_RESET_N  : out    vl_logic;
        FIC32_0_RESET_N : out    vl_logic;
        FIC32_1_RESET_N : out    vl_logic;
        FPGA_RESET_N    : out    vl_logic;
        CONFIG_PRESET_N : out    vl_logic;
        MDDR_PRESET_N   : out    vl_logic;
        MDDR_ARESET_N   : out    vl_logic;
        IOCALIBRST_B    : out    vl_logic;
        PO_RESET_FCLK_N : out    vl_logic;
        SYS_RESET_N     : out    vl_logic;
        MSS_GPIO_31_24_SYS_RESET_N: out    vl_logic;
        MSS_GPIO_23_16_SYS_RESET_N: out    vl_logic;
        MSS_GPIO_15_8_SYS_RESET_N: out    vl_logic;
        MSS_GPIO_7_0_SYS_RESET_N: out    vl_logic
    );
end MSS_ResetController;
