library verilog;
use verilog.vl_types.all;
entity SERDES_AHBLTOAXI is
    generic(
        k_addrbits      : integer := 32;
        k_databits      : integer := 64;
        k_wstrbbits     : integer := 8
    );
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        HSEL            : in     vl_logic;
        HADDR           : in     vl_logic_vector;
        HWRITE          : in     vl_logic;
        HREADY          : in     vl_logic;
        HTRANS          : in     vl_logic_vector(1 downto 0);
        HSIZE           : in     vl_logic_vector(1 downto 0);
        HWDATA          : in     vl_logic_vector;
        HBURST          : in     vl_logic_vector(2 downto 0);
        HREADYOUT       : out    vl_logic;
        HRESP           : out    vl_logic;
        HRDATA          : out    vl_logic_vector;
        HMASTLOCK       : in     vl_logic;
        AWREADY         : in     vl_logic;
        WREADY          : in     vl_logic;
        BRESP           : in     vl_logic;
        BVALID          : in     vl_logic;
        ARREADY         : in     vl_logic;
        RRESP           : in     vl_logic;
        RLAST           : in     vl_logic;
        RVALID          : in     vl_logic;
        RDATA           : in     vl_logic_vector;
        AWADDR          : out    vl_logic_vector;
        AWLEN           : out    vl_logic_vector(3 downto 0);
        AWSIZE          : out    vl_logic_vector(1 downto 0);
        AWBURST         : out    vl_logic_vector(1 downto 0);
        AWVALID         : out    vl_logic;
        WSTRB           : out    vl_logic_vector;
        WLAST           : out    vl_logic;
        WVALID          : out    vl_logic;
        BREADY          : out    vl_logic;
        ARADDR          : out    vl_logic_vector;
        ARLEN           : out    vl_logic_vector(3 downto 0);
        ARSIZE          : out    vl_logic_vector(1 downto 0);
        ARBURST         : out    vl_logic_vector(1 downto 0);
        ARVALID         : out    vl_logic;
        RREADY          : out    vl_logic;
        WDATA           : out    vl_logic_vector;
        AWLOCK          : out    vl_logic;
        ARLOCK          : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of k_addrbits : constant is 1;
    attribute mti_svvh_generic_type of k_databits : constant is 1;
    attribute mti_svvh_generic_type of k_wstrbbits : constant is 1;
end SERDES_AHBLTOAXI;
