library verilog;
use verilog.vl_types.all;
entity SERDES_AxiCmdGen is
    generic(
        k_addrbits      : integer := 32;
        k_wstrbbits     : integer := 8
    );
    port(
        HADDRREG        : in     vl_logic_vector;
        HBURSTREG       : in     vl_logic_vector(2 downto 0);
        HWRITEREG       : in     vl_logic;
        HSIZEREG        : in     vl_logic_vector(1 downto 0);
        ARADDR          : out    vl_logic_vector;
        ARBURST         : out    vl_logic_vector(1 downto 0);
        ARLEN           : out    vl_logic_vector(3 downto 0);
        ARSIZE          : out    vl_logic_vector(1 downto 0);
        AWADDR          : out    vl_logic_vector;
        AWBURST         : out    vl_logic_vector(1 downto 0);
        AWLEN           : out    vl_logic_vector(3 downto 0);
        AWSIZE          : out    vl_logic_vector(1 downto 0);
        HMASTLOCKREG    : in     vl_logic;
        AWLOCK          : out    vl_logic;
        ARLOCK          : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of k_addrbits : constant is 1;
    attribute mti_svvh_generic_type of k_wstrbbits : constant is 1;
end SERDES_AxiCmdGen;
