library verilog;
use verilog.vl_types.all;
entity SERDES_RDCHANNELFIFO is
    generic(
        AHB_DWIDTH      : integer := 32;
        AXI_DWIDTH      : integer := 64;
        AWIDTH          : integer := 8
    );
    port(
        wrrst_n         : in     vl_logic;
        wrclk           : in     vl_logic;
        wrinr           : in     vl_logic;
        wrdata          : in     vl_logic_vector;
        wrresp          : in     vl_logic_vector(1 downto 0);
        rdrst_n         : in     vl_logic;
        rdclk           : in     vl_logic;
        rdinr           : in     vl_logic;
        valid_axicmd    : in     vl_logic;
        axi2xhsync_arlatch_syn: in     vl_logic;
        rddata          : out    vl_logic_vector;
        rdresp          : out    vl_logic_vector(1 downto 0);
        fifo_full       : out    vl_logic;
        fifo_empty      : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of AHB_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AWIDTH : constant is 1;
end SERDES_RDCHANNELFIFO;
