library verilog;
use verilog.vl_types.all;
entity SERDES_axi2ahb_axi2ahb_0_COREAXITOAHBL is
    generic(
        FAMILY          : integer := 19;
        AHB_AWIDTH      : integer := 32;
        AHB_DWIDTH      : integer := 32;
        AXI_AWIDTH      : integer := 32;
        AXI_DWIDTH      : integer := 64;
        CLOCKS_ASYNC    : integer := 1
    );
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        HSEL            : out    vl_logic;
        HADDR           : out    vl_logic_vector;
        HWRITE          : out    vl_logic;
        HREADYIN        : in     vl_logic;
        HTRANS          : out    vl_logic_vector(1 downto 0);
        HSIZE           : out    vl_logic_vector(2 downto 0);
        HWDATA          : out    vl_logic_vector;
        HBURST          : out    vl_logic_vector(2 downto 0);
        HMASTLOCK       : out    vl_logic;
        HREADYOUT       : out    vl_logic;
        HRESP           : in     vl_logic_vector(1 downto 0);
        HRDATA          : in     vl_logic_vector;
        ACLK            : in     vl_logic;
        ARESETn         : in     vl_logic;
        AWID            : in     vl_logic_vector(3 downto 0);
        AWADDR          : in     vl_logic_vector;
        AWLEN           : in     vl_logic_vector(3 downto 0);
        AWSIZE          : in     vl_logic_vector(2 downto 0);
        AWBURST         : in     vl_logic_vector(1 downto 0);
        AWLOCK          : in     vl_logic_vector(1 downto 0);
        AWVALID         : in     vl_logic;
        AWREADY         : out    vl_logic;
        WID             : in     vl_logic_vector(3 downto 0);
        WDATA           : in     vl_logic_vector;
        WSTRB           : in     vl_logic_vector;
        WLAST           : in     vl_logic;
        WVALID          : in     vl_logic;
        WREADY          : out    vl_logic;
        BREADY          : in     vl_logic;
        BID             : out    vl_logic_vector(3 downto 0);
        BRESP           : out    vl_logic_vector(1 downto 0);
        BVALID          : out    vl_logic;
        ARID            : in     vl_logic_vector(3 downto 0);
        ARADDR          : in     vl_logic_vector;
        ARLEN           : in     vl_logic_vector(3 downto 0);
        ARSIZE          : in     vl_logic_vector(2 downto 0);
        ARBURST         : in     vl_logic_vector(1 downto 0);
        ARLOCK          : in     vl_logic_vector(1 downto 0);
        ARVALID         : in     vl_logic;
        ARREADY         : out    vl_logic;
        RREADY          : in     vl_logic;
        RID             : out    vl_logic_vector(3 downto 0);
        RDATA           : out    vl_logic_vector;
        RRESP           : out    vl_logic_vector(1 downto 0);
        RLAST           : out    vl_logic;
        RVALID          : out    vl_logic;
        UNALIGNED_ADDR_OUT: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of FAMILY : constant is 1;
    attribute mti_svvh_generic_type of AHB_AWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AHB_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_AWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of CLOCKS_ASYNC : constant is 1;
end SERDES_axi2ahb_axi2ahb_0_COREAXITOAHBL;
