library verilog;
use verilog.vl_types.all;
entity SERDES_rdch_ram is
    generic(
        ADDR_BIT        : integer := 32;
        WR_DATA_BIT     : integer := 32;
        RD_DATA_BIT     : integer := 32;
        RAM_AWIDTH      : integer := 5
    );
    port(
        WCLK            : in     vl_logic;
        RCLK            : in     vl_logic;
        WAddr           : in     vl_logic_vector;
        RAddr           : in     vl_logic_vector;
        We1             : in     vl_logic;
        Re1             : in     vl_logic;
        Wfull           : in     vl_logic;
        Rempty          : in     vl_logic;
        Wdata           : in     vl_logic_vector;
        Wresp           : in     vl_logic_vector(1 downto 0);
        Rdata           : out    vl_logic_vector;
        Rresp           : out    vl_logic_vector(1 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ADDR_BIT : constant is 1;
    attribute mti_svvh_generic_type of WR_DATA_BIT : constant is 1;
    attribute mti_svvh_generic_type of RD_DATA_BIT : constant is 1;
    attribute mti_svvh_generic_type of RAM_AWIDTH : constant is 1;
end SERDES_rdch_ram;
