library verilog;
use verilog.vl_types.all;
entity SREDES_WRCHANNELFIFO is
    generic(
        AHB_DWIDTH      : integer := 32;
        AXI_DWIDTH      : integer := 64;
        AXI_WRSTB       : integer := 8;
        CUST_WR_DWIDTH  : integer := 72;
        AWIDTH          : integer := 32
    );
    port(
        wrrst_n         : in     vl_logic;
        wrclk           : in     vl_logic;
        wrinr           : in     vl_logic;
        wrdata          : in     vl_logic_vector;
        rdrst_n         : in     vl_logic;
        rdclk           : in     vl_logic;
        rdinr           : in     vl_logic;
        valid_axicmd    : in     vl_logic;
        wrch_fifo_rd_clear: in     vl_logic;
        rddata          : out    vl_logic_vector;
        fifo_full       : out    vl_logic;
        fifo_empty      : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of AHB_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_WRSTB : constant is 1;
    attribute mti_svvh_generic_type of CUST_WR_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AWIDTH : constant is 1;
end SREDES_WRCHANNELFIFO;
