library verilog;
use verilog.vl_types.all;
entity SWMaster6Stage_120 is
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        G4_FIC_REG_SEL  : in     vl_logic_vector(5 downto 0);
        SW_MASTERENABLE : in     vl_logic;
        eSRAM0_EDAC_EN  : in     vl_logic;
        eSRAM1_EDAC_EN  : in     vl_logic;
        SW_CLEARSTATUS  : in     vl_logic;
        SW_ERRORSTATUS  : out    vl_logic;
        MM3_6_7_8_MS0_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS0_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS1_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS1_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS2_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS2_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS3_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS3_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS6_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS6_ALLOWED_W: in     vl_logic;
        HADDR           : in     vl_logic_vector(31 downto 0);
        HMASTLOCK       : in     vl_logic;
        HSIZE           : in     vl_logic_vector(2 downto 0);
        HTRANS1         : in     vl_logic;
        HWRITE          : in     vl_logic;
        HRESP           : out    vl_logic;
        HRDATA          : out    vl_logic_vector(31 downto 0);
        HREADY_M        : out    vl_logic;
        sAddrReady      : in     vl_logic_vector(6 downto 0);
        sDataReady      : in     vl_logic_vector(6 downto 0);
        sHResp          : in     vl_logic_vector(6 downto 0);
        gatedHADDR      : out    vl_logic_vector(31 downto 0);
        gatedHMASTLOCK  : out    vl_logic;
        gatedHSIZE      : out    vl_logic_vector(2 downto 0);
        gatedHTRANS1    : out    vl_logic;
        gatedHWRITE     : out    vl_logic;
        sAddrSel        : out    vl_logic_vector(6 downto 0);
        sDataSel        : out    vl_logic_vector(6 downto 0);
        prevDataSlaveReady: out    vl_logic;
        m6FIC_SLAVE1Sel : out    vl_logic;
        HRDATA_S0       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S0    : in     vl_logic;
        HRDATA_S1       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S1    : in     vl_logic;
        HRDATA_S4       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S4    : in     vl_logic;
        HRDATA_S5       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S5    : in     vl_logic;
        HRDATA_S6       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S6    : in     vl_logic
    );
end SWMaster6Stage_120;
