library verilog;
use verilog.vl_types.all;
entity SW_A2Aaddrdec is
    generic(
        FAMILY          : integer := 17;
        M0_AHBSLOT0ENABLE: integer := 1;
        M0_AHBSLOT1ENABLE: integer := 1;
        M0_AHBSLOT2ENABLE: integer := 1;
        M0_AHBSLOT3ENABLE: integer := 1;
        M0_AHBSLOT4ENABLE: integer := 1;
        M0_AHBSLOT5ENABLE: integer := 1;
        M0_AHBSLOT6ENABLE: integer := 1;
        M0_AHBSLOT7ENABLE: integer := 0;
        M0_AHBSLOT8ENABLE: integer := 0;
        M0_AHBSLOT9ENABLE: integer := 0;
        M0_AHBSLOT10ENABLE: integer := 0;
        M0_AHBSLOT11ENABLE: integer := 0;
        M0_AHBSLOT12ENABLE: integer := 0;
        M0_AHBSLOT13ENABLE: integer := 0;
        M0_AHBSLOT14ENABLE: integer := 0;
        M0_AHBSLOT15ENABLE: integer := 0;
        M1_AHBSLOT0ENABLE: integer := 0;
        M1_AHBSLOT1ENABLE: integer := 0;
        M1_AHBSLOT2ENABLE: integer := 0;
        M1_AHBSLOT3ENABLE: integer := 0;
        M1_AHBSLOT4ENABLE: integer := 0;
        M1_AHBSLOT5ENABLE: integer := 0;
        M1_AHBSLOT6ENABLE: integer := 0;
        M1_AHBSLOT7ENABLE: integer := 0;
        M1_AHBSLOT8ENABLE: integer := 0;
        M1_AHBSLOT9ENABLE: integer := 0;
        M1_AHBSLOT10ENABLE: integer := 0;
        M1_AHBSLOT11ENABLE: integer := 0;
        M1_AHBSLOT12ENABLE: integer := 0;
        M1_AHBSLOT13ENABLE: integer := 0;
        M1_AHBSLOT14ENABLE: integer := 0;
        M1_AHBSLOT15ENABLE: integer := 0
    );
    port(
        HCLK            : in     vl_logic;
        HRESETN         : in     vl_logic;
        FIC32_1_DISABLE : in     vl_logic;
        FIC_SLAVE1Sel   : in     vl_logic;
        HADDR_M0        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M0    : in     vl_logic;
        HMASTER_M0      : in     vl_logic_vector(1 downto 0);
        HSIZE_M0        : in     vl_logic_vector(2 downto 0);
        HTRANS_M0       : in     vl_logic_vector(1 downto 0);
        HWRITE_M0       : in     vl_logic;
        HWDATA_M0       : in     vl_logic_vector(31 downto 0);
        HBURST_M0       : in     vl_logic_vector(2 downto 0);
        HPROT_M0        : in     vl_logic_vector(3 downto 0);
        HRESP_M0        : out    vl_logic_vector(1 downto 0);
        HRDATA_M0       : out    vl_logic_vector(31 downto 0);
        HREADY_M0       : out    vl_logic;
        REMAP_M0        : in     vl_logic;
        HRDATA_S0       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S0    : in     vl_logic;
        HRESP_S0        : in     vl_logic_vector(1 downto 0);
        HSEL_S0         : out    vl_logic;
        HADDR_S0        : out    vl_logic_vector(31 downto 0);
        HSIZE_S0        : out    vl_logic_vector(2 downto 0);
        HTRANS_S0       : out    vl_logic_vector(1 downto 0);
        HWRITE_S0       : out    vl_logic;
        HWDATA_S0       : out    vl_logic_vector(31 downto 0);
        HREADY_S0       : out    vl_logic;
        HBURST_S0       : out    vl_logic_vector(2 downto 0);
        HPROT_S0        : out    vl_logic_vector(3 downto 0);
        HRDATA_S1       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S1    : in     vl_logic;
        HRESP_S1        : in     vl_logic_vector(1 downto 0);
        HSEL_S1         : out    vl_logic;
        HADDR_S1        : out    vl_logic_vector(31 downto 0);
        HSIZE_S1        : out    vl_logic_vector(2 downto 0);
        HTRANS_S1       : out    vl_logic_vector(1 downto 0);
        HWRITE_S1       : out    vl_logic;
        HWDATA_S1       : out    vl_logic_vector(31 downto 0);
        HREADY_S1       : out    vl_logic;
        HBURST_S1       : out    vl_logic_vector(2 downto 0);
        HPROT_S1        : out    vl_logic_vector(3 downto 0);
        HMASTLOCK_S1    : out    vl_logic;
        HMASTER_S1      : out    vl_logic_vector(1 downto 0);
        HRDATA_S2       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S2    : in     vl_logic;
        HRESP_S2        : in     vl_logic_vector(1 downto 0);
        HSEL_S2         : out    vl_logic;
        HADDR_S2        : out    vl_logic_vector(31 downto 0);
        HSIZE_S2        : out    vl_logic_vector(2 downto 0);
        HTRANS_S2       : out    vl_logic_vector(1 downto 0);
        HWRITE_S2       : out    vl_logic;
        HWDATA_S2       : out    vl_logic_vector(31 downto 0);
        HREADY_S2       : out    vl_logic;
        HBURST_S2       : out    vl_logic_vector(2 downto 0);
        HPROT_S2        : out    vl_logic_vector(3 downto 0);
        HRDATA_S3       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S3    : in     vl_logic;
        HRESP_S3        : in     vl_logic_vector(1 downto 0);
        HSEL_S3         : out    vl_logic;
        HADDR_S3        : out    vl_logic_vector(31 downto 0);
        HSIZE_S3        : out    vl_logic_vector(2 downto 0);
        HTRANS_S3       : out    vl_logic_vector(1 downto 0);
        HWRITE_S3       : out    vl_logic;
        HWDATA_S3       : out    vl_logic_vector(31 downto 0);
        HREADY_S3       : out    vl_logic;
        HBURST_S3       : out    vl_logic_vector(2 downto 0);
        HPROT_S3        : out    vl_logic_vector(3 downto 0);
        HRDATA_S4       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S4    : in     vl_logic;
        HRESP_S4        : in     vl_logic_vector(1 downto 0);
        HSEL_S4         : out    vl_logic;
        HADDR_S4        : out    vl_logic_vector(31 downto 0);
        HSIZE_S4        : out    vl_logic_vector(2 downto 0);
        HTRANS_S4       : out    vl_logic_vector(1 downto 0);
        HWRITE_S4       : out    vl_logic;
        HWDATA_S4       : out    vl_logic_vector(31 downto 0);
        HREADY_S4       : out    vl_logic;
        HBURST_S4       : out    vl_logic_vector(2 downto 0);
        HPROT_S4        : out    vl_logic_vector(3 downto 0);
        HRDATA_S5       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S5    : in     vl_logic;
        HRESP_S5        : in     vl_logic_vector(1 downto 0);
        HSEL_S5         : out    vl_logic;
        HADDR_S5        : out    vl_logic_vector(31 downto 0);
        HSIZE_S5        : out    vl_logic_vector(2 downto 0);
        HTRANS_S5       : out    vl_logic_vector(1 downto 0);
        HWRITE_S5       : out    vl_logic;
        HWDATA_S5       : out    vl_logic_vector(31 downto 0);
        HREADY_S5       : out    vl_logic;
        HBURST_S5       : out    vl_logic_vector(2 downto 0);
        HPROT_S5        : out    vl_logic_vector(3 downto 0);
        HRDATA_S6       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S6    : in     vl_logic;
        HRESP_S6        : in     vl_logic_vector(1 downto 0);
        HSEL_S6         : out    vl_logic;
        HADDR_S6        : out    vl_logic_vector(31 downto 0);
        HSIZE_S6        : out    vl_logic_vector(2 downto 0);
        HTRANS_S6       : out    vl_logic_vector(1 downto 0);
        HWRITE_S6       : out    vl_logic;
        HWDATA_S6       : out    vl_logic_vector(31 downto 0);
        HREADY_S6       : out    vl_logic;
        HBURST_S6       : out    vl_logic_vector(2 downto 0);
        HPROT_S6        : out    vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of FAMILY : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT0ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT1ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT2ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT3ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT4ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT5ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT6ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT7ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT8ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT9ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT10ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT11ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT12ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT13ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT14ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M0_AHBSLOT15ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT0ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT1ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT2ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT3ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT4ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT5ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT6ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT7ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT8ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT9ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT10ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT11ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT12ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT13ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT14ENABLE : constant is 1;
    attribute mti_svvh_generic_type of M1_AHBSLOT15ENABLE : constant is 1;
end SW_A2Aaddrdec;
