library verilog;
use verilog.vl_types.all;
entity ahb_nvm_bfm is
    generic(
        NAME            : string  := "eNVM"
    );
    port(
        HCLK            : in     vl_logic;
        HRESETN         : in     vl_logic;
        HADDR           : in     vl_logic_vector(18 downto 0);
        HBURST          : in     vl_logic_vector(2 downto 0);
        HREADY          : in     vl_logic;
        HSEL            : in     vl_logic;
        HSIZE           : in     vl_logic_vector(1 downto 0);
        HTRANS          : in     vl_logic_vector(1 downto 0);
        HWDATA          : in     vl_logic_vector(31 downto 0);
        HWRITE          : in     vl_logic;
        HRDATA          : out    vl_logic_vector(31 downto 0);
        HREADYOUT       : out    vl_logic;
        HRESP           : out    vl_logic;
        HINT            : out    vl_logic;
        HMAST           : in     vl_logic_vector(1 downto 0);
        nv_a            : out    vl_logic_vector(14 downto 0);
        nv_read         : out    vl_logic;
        nv_prog         : out    vl_logic;
        nv_dout         : out    vl_logic_vector(73 downto 0);
        nv_din          : in     vl_logic_vector(73 downto 0);
        nv_pg_erase     : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of NAME : constant is 1;
end ahb_nvm_bfm;
