library verilog;
use verilog.vl_types.all;
entity apb_decoder_120 is
    port(
        S_APB_PSEL      : in     vl_logic;
        S_APB_PENABLE   : in     vl_logic;
        S_APB_PWRITE    : in     vl_logic;
        S_APB_PADDR     : in     vl_logic_vector(13 downto 0);
        S_APB_PWDATA    : in     vl_logic_vector(31 downto 0);
        S_APB_PREADY    : out    vl_logic;
        S_APB_PRDATA    : out    vl_logic_vector(31 downto 0);
        S_APB_PSLVERR   : out    vl_logic;
        M_APB_PSEL_PCIE_SYS: out    vl_logic;
        M_APB_PSEL_PCIE_CORE: out    vl_logic;
        M_APB_PSEL_SERDES: out    vl_logic;
        M_APB_PENABLE   : out    vl_logic;
        M_APB_PWRITE    : out    vl_logic;
        M_APB_PADDR     : out    vl_logic_vector(11 downto 0);
        M_APB_PWDATA    : out    vl_logic_vector(31 downto 0);
        M_APB_PREADY_PCIE_SYS: in     vl_logic;
        M_APB_PREADY_PCIE_CORE: in     vl_logic;
        M_APB_PREADY_PCIE_SERDES: in     vl_logic;
        M_APB_PRDATA_PCIE_SYS: in     vl_logic_vector(31 downto 0);
        M_APB_PRDATA_PCIE_CORE: in     vl_logic_vector(31 downto 0);
        M_APB_PRDATA_PCIE_SERDES: in     vl_logic_vector(31 downto 0);
        M_APB_PSLVERR_PCIE_SYS: in     vl_logic;
        M_APB_PSLVERR_PCIE_CORE: in     vl_logic;
        M_APB_PSLVERR_SERDES: in     vl_logic
    );
end apb_decoder_120;
