library verilog;
use verilog.vl_types.all;
entity apb_decoder_fddr120 is
    port(
        PSEL            : in     vl_logic;
        PENABLE         : in     vl_logic;
        PADDR           : in     vl_logic_vector(10 downto 0);
        PRDATA          : out    vl_logic_vector(15 downto 0);
        PSLVERR         : out    vl_logic;
        PREADY          : out    vl_logic;
        fic_apb_psel    : out    vl_logic;
        ddr_apb_psel    : out    vl_logic;
        fic_apb_penable : out    vl_logic;
        ddr_apb_penable : out    vl_logic;
        fic_apb_prdata  : in     vl_logic_vector(15 downto 0);
        ddr_apb_prdata  : in     vl_logic_vector(15 downto 0);
        fic_apb_pslverr : in     vl_logic;
        ddr_apb_pslverr : in     vl_logic;
        fic_apb_pready  : in     vl_logic;
        ddr_apb_pready  : in     vl_logic
    );
end apb_decoder_fddr120;
