library verilog;
use verilog.vl_types.all;
entity bypass_010 is
    generic(
        RANKBANK_BITS   : integer := 3;
        PAGE_BITS       : integer := 16
    );
    port(
        co_be_clk       : in     vl_logic;
        dh_be_resetb    : in     vl_logic;
        bs_be_bank_rd_bypass_ok: in     vl_logic_vector;
        be_ih_rd_bymatch: out    vl_logic;
        be_te_rd_bypass_match: out    vl_logic;
        be_gs_rd_bypass_match: out    vl_logic;
        be_bs_rd_bypass_match: out    vl_logic;
        be_pi_rd_bypass_match: out    vl_logic;
        te_be_rd_retry  : in     vl_logic;
        gs_be_act_bypass_disable: in     vl_logic;
        bs_be_bank_act_bypass_ok: in     vl_logic_vector;
        be_te_act_bypass_match: out    vl_logic;
        be_gs_act_bypass_match: out    vl_logic;
        be_bs_act_bypass_match: out    vl_logic;
        be_pi_act_bypass_match: out    vl_logic;
        ih_be_hi_pri_rd_xact: in     vl_logic;
        ih_be_rankbank_num: in     vl_logic_vector;
        ih_be_page_num  : in     vl_logic_vector;
        te_be_page_addr : in     vl_logic_vector;
        te_be_rankbank_num: in     vl_logic_vector;
        te_be_page_num  : in     vl_logic_vector;
        be_te_page_hit  : out    vl_logic;
        be_te_page_open : out    vl_logic;
        be_te_wr_page_hit: out    vl_logic;
        be_te_wr_combine_replace_page_num: out    vl_logic_vector;
        be_os_page_table: out    vl_logic_vector;
        gs_be_rdwr_bank_num: in     vl_logic_vector;
        gs_be_actpre_bank_num: in     vl_logic_vector;
        gs_be_op_is_activate: in     vl_logic;
        gs_be_op_is_precharge: in     vl_logic;
        gs_be_op_is_rdwr: in     vl_logic;
        te_be_autopre   : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANKBANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of PAGE_BITS : constant is 1;
end bypass_010;
