library verilog;
use verilog.vl_types.all;
entity calib_algo is
    port(
        fast_init       : in     vl_logic;
        pclk            : in     vl_logic;
        rstn            : in     vl_logic;
        calib_req       : in     vl_logic;
        calib_typ       : in     vl_logic_vector(1 downto 0);
        calib_ack       : out    vl_logic;
        settle_max      : in     vl_logic_vector(7 downto 0);
        stable_max      : in     vl_logic_vector(7 downto 0);
        azcalib         : out    vl_logic_vector(6 downto 0);
        azcalibtype     : out    vl_logic_vector(1 downto 0);
        azcalibmir      : out    vl_logic;
        azcompout       : in     vl_logic;
        sweep_center    : out    vl_logic_vector(6 downto 0)
    );
end calib_algo;
