library verilog;
use verilog.vl_types.all;
entity cc_ahbmstr is
    generic(
        BWDTH           : integer := 128
    );
    port(
        CACHE_RESETN    : in     vl_logic;
        FCLK            : in     vl_logic;
        cc_ahbm_txstaddr: in     vl_logic_vector(31 downto 0);
        cc_ahbm_lbufval : in     vl_logic;
        cc_ahbm_cmiss   : in     vl_logic;
        cc_ahbm_bypsc   : in     vl_logic;
        cc_bypsc_trg    : in     vl_logic;
        cc_bypsc_ext    : in     vl_logic;
        cc_ahbm_rddvlid : out    vl_logic;
        cc_ahbm_rddata  : out    vl_logic_vector;
        cc_ahbm_hready128: out    vl_logic;
        cc_ahbm_errResp : out    vl_logic;
        cc_ahbm_errAddr : out    vl_logic_vector(31 downto 0);
        cc_ahbm_lastTxDn: out    vl_logic;
        cc_ahbm_Ccword  : out    vl_logic;
        cc_cwxferinprgs : out    vl_logic;
        AHBM_HREADY     : in     vl_logic;
        AHBM_HRESP      : in     vl_logic;
        AHBM_HRDATA     : in     vl_logic_vector;
        AHBM_HADDR      : out    vl_logic_vector(31 downto 0);
        AHBM_HTRANS1    : out    vl_logic_vector(1 downto 0);
        AHBM_HWRITE     : out    vl_logic;
        AHBM_HSIZE      : out    vl_logic_vector(2 downto 0);
        AHBM_HBURST     : out    vl_logic_vector(2 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BWDTH : constant is 1;
end cc_ahbmstr;
