library verilog;
use verilog.vl_types.all;
entity cc_cm_master2stg_120 is
    port(
        FCLK            : in     vl_logic;
        CACHE_RESETN    : in     vl_logic;
        cache_sBErrRespClr: in     vl_logic;
        cm3_mddr_allowed_r: in     vl_logic;
        cm3_mddr_allowed_w: in     vl_logic;
        cacheConErrResp : out    vl_logic;
        sBusErrRespAddr : out    vl_logic_vector(31 downto 0);
        sbusexaccerr_intr: out    vl_logic;
        HADDR           : in     vl_logic_vector(31 downto 0);
        HMASTLOCK       : in     vl_logic;
        HSIZE           : in     vl_logic_vector(2 downto 0);
        HTRANS1         : in     vl_logic;
        HWRITE          : in     vl_logic;
        EXREQ           : in     vl_logic;
        HRESP           : out    vl_logic;
        HRDATA          : out    vl_logic_vector(31 downto 0);
        HREADY_M        : out    vl_logic;
        sAddrReady      : in     vl_logic_vector(2 downto 0);
        sDataReady      : in     vl_logic_vector(2 downto 0);
        sHResp          : in     vl_logic_vector(2 downto 0);
        gatedHADDR      : out    vl_logic_vector(31 downto 0);
        gatedHMASTLOCK  : out    vl_logic;
        gatedHSIZE      : out    vl_logic_vector(2 downto 0);
        gatedHTRANS1    : out    vl_logic;
        gatedHWRITE     : out    vl_logic;
        sAddrSel        : out    vl_logic_vector(2 downto 0);
        sDataSel        : out    vl_logic_vector(2 downto 0);
        prevDataSlaveReady: out    vl_logic;
        HRDATA_S1       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S1    : in     vl_logic;
        HRDATA_S5       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S5    : in     vl_logic;
        HRDATA_S6       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S6    : in     vl_logic
    );
end cc_cm_master2stg_120;
