library verilog;
use verilog.vl_types.all;
entity cc_cm_slave3stg is
    port(
        FCLK            : in     vl_logic;
        CACHE_RESETN    : in     vl_logic;
        HREADYOUT       : in     vl_logic;
        HRESP           : in     vl_logic;
        HSEL            : out    vl_logic;
        HADDR           : out    vl_logic_vector(31 downto 0);
        HSIZE           : out    vl_logic_vector(2 downto 0);
        HTRANS1         : out    vl_logic;
        HWRITE          : out    vl_logic;
        HWDATA          : out    vl_logic_vector(31 downto 0);
        HREADY_S        : out    vl_logic;
        HMASTLOCK       : out    vl_logic;
        mAddrSel        : in     vl_logic;
        mDataSel        : in     vl_logic;
        mPrevDataSlaveReady: in     vl_logic;
        mAddrReady      : out    vl_logic;
        mDataReady      : out    vl_logic;
        mHResp          : out    vl_logic;
        m0GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m0GatedHMASTLOCK: in     vl_logic;
        m0GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m0GatedHTRANS1  : in     vl_logic;
        m0GatedHWRITE   : in     vl_logic
    );
end cc_cm_slave3stg;
