library verilog;
use verilog.vl_types.all;
entity cc_cm_slave6stg_120 is
    port(
        FCLK            : in     vl_logic;
        CACHE_RESETN    : in     vl_logic;
        HREADYOUT       : in     vl_logic;
        HRESP           : in     vl_logic;
        HSEL            : out    vl_logic;
        HADDR           : out    vl_logic_vector(31 downto 0);
        HSIZE           : out    vl_logic_vector(2 downto 0);
        HTRANS1         : out    vl_logic;
        HWRITE          : out    vl_logic;
        HWDATA          : out    vl_logic_vector(31 downto 0);
        HREADY_S        : out    vl_logic;
        HMASTLOCK       : out    vl_logic;
        mAddrSel        : in     vl_logic;
        mDataSel        : in     vl_logic;
        mPrevDataSlaveReady: in     vl_logic;
        mAddrReady      : out    vl_logic;
        mDataReady      : out    vl_logic;
        mHResp          : out    vl_logic;
        m2GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m2GatedHMASTLOCK: in     vl_logic;
        m2GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m2GatedHTRANS1  : in     vl_logic;
        m2GatedHWRITE   : in     vl_logic;
        HWDATA_M0       : in     vl_logic_vector(31 downto 0)
    );
end cc_cm_slave6stg_120;
