library verilog;
use verilog.vl_types.all;
entity cc_sbus2mem_010 is
    generic(
        CACHE_USEECC    : integer := 1
    );
    port(
        FCLK            : in     vl_logic;
        CACHE_RESETN    : in     vl_logic;
        HADDRS          : in     vl_logic_vector(31 downto 0);
        HTRANSS         : in     vl_logic_vector(1 downto 0);
        HWRITES         : in     vl_logic;
        HSIZES          : in     vl_logic_vector(2 downto 0);
        HBURSTS         : in     vl_logic_vector(2 downto 0);
        HWDATAS         : in     vl_logic_vector(31 downto 0);
        HMASTLOCKS      : in     vl_logic;
        DATAOUT_S0      : in     vl_logic_vector(71 downto 0);
        DATAOUT_S1      : in     vl_logic_vector(71 downto 0);
        DATAOUT_S2      : in     vl_logic_vector(71 downto 0);
        DATAOUT_S3      : in     vl_logic_vector(71 downto 0);
        CSB_S           : out    vl_logic_vector(3 downto 0);
        WEB_S           : out    vl_logic;
        ADDR_S          : out    vl_logic_vector(7 downto 0);
        DATAIN_S        : out    vl_logic_vector(71 downto 0);
        HREADY_TST_S    : out    vl_logic;
        HRESP_TST_S     : out    vl_logic_vector(1 downto 0);
        HRDATA_TST_S    : out    vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of CACHE_USEECC : constant is 1;
end cc_sbus2mem_010;
