library verilog;
use verilog.vl_types.all;
entity chanArb is
    port(
        FCLK            : in     vl_logic;
        SYSRESETn       : in     vl_logic;
        readyAdjust     : in     vl_logic_vector(7 downto 0);
        ratioHiLo       : in     vl_logic_vector(7 downto 0);
        dmaLowPriReq    : in     vl_logic_vector(7 downto 0);
        dmaHiPriReq     : in     vl_logic_vector(7 downto 0);
        srcIsPeriph     : in     vl_logic;
        destIsPeriph    : in     vl_logic;
        dmaAck          : in     vl_logic;
        readDone        : in     vl_logic;
        dmaDone         : in     vl_logic;
        dmaDoneChanNum  : in     vl_logic_vector(2 downto 0);
        globalChanReset : in     vl_logic;
        dmaReq          : out    vl_logic;
        updateCntrs     : out    vl_logic;
        chanNum         : out    vl_logic_vector(2 downto 0)
    );
end chanArb;
