library verilog;
use verilog.vl_types.all;
entity ddrb_rdata_chctrl is
    port(
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_idcdata_pcken: in     vl_logic;
        ddrs_axi_rid    : in     vl_logic_vector(3 downto 0);
        ddrs_axi_rdata  : in     vl_logic_vector(63 downto 0);
        ddrs_axi_rresp  : in     vl_logic_vector(1 downto 0);
        ddrs_axi_rlast  : in     vl_logic;
        ddrs_axi_rvalid : in     vl_logic;
        ddrb_axi_rready : out    vl_logic;
        db_mst1_rddone  : out    vl_logic;
        db_mst2_rddone  : out    vl_logic;
        db_mst3_rddone  : out    vl_logic;
        db_mst4_rddone  : out    vl_logic;
        db_mst1_rddata  : out    vl_logic_vector(127 downto 0);
        db_mst2_rddata  : out    vl_logic_vector(63 downto 0);
        db_mst3_rddata  : out    vl_logic_vector(63 downto 0);
        db_mst4_rddata  : out    vl_logic_vector(63 downto 0);
        db_mst1_rdvalid : out    vl_logic;
        db_mst2_rdvalid : out    vl_logic;
        db_mst3_rdvalid : out    vl_logic;
        db_mst4_rdvalid : out    vl_logic;
        db_mst1_rderr   : out    vl_logic_vector(1 downto 0);
        db_mst2_rderr   : out    vl_logic;
        db_mst3_rderr   : out    vl_logic;
        db_mst4_rderr   : out    vl_logic
    );
end ddrb_rdata_chctrl;
