library verilog;
use verilog.vl_types.all;
entity ddrb_waddr_chctrl_120 is
    port(
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_burst_type_m2: in     vl_logic;
        db_burst_type_m3: in     vl_logic;
        db_burst_type_m4: in     vl_logic;
        db_m2_wraddr_ack: in     vl_logic;
        db_m3_wraddr_ack: in     vl_logic;
        db_m4_wraddr_ack: in     vl_logic;
        db_mst2_wraddr  : in     vl_logic_vector(31 downto 0);
        db_mst3_wraddr  : in     vl_logic_vector(31 downto 0);
        db_mst4_wraddr  : in     vl_logic_vector(31 downto 0);
        db_mst2_dwvalid : in     vl_logic_vector(3 downto 0);
        db_mst3_dwvalid : in     vl_logic_vector(3 downto 0);
        db_mst4_dwvalid : in     vl_logic_vector(3 downto 0);
        db_mst2_partval : in     vl_logic_vector(3 downto 0);
        db_mst3_partval : in     vl_logic_vector(3 downto 0);
        db_mst4_partval : in     vl_logic_vector(3 downto 0);
        db_arb_wrlk_xfer: in     vl_logic;
        db_arb_dmy_xfer : in     vl_logic;
        ddrs_axi_awready: in     vl_logic;
        db_wacc_wrburst : out    vl_logic_vector(3 downto 0);
        db_wacc_data_swp: out    vl_logic;
        db_wacc_xfer_prg: out    vl_logic;
        ddrb_rmw_req    : out    vl_logic;
        ddrb_burst_type : out    vl_logic;
        ddrb_axi_awid   : out    vl_logic_vector(3 downto 0);
        ddrb_axi_awaddr : out    vl_logic_vector(31 downto 0);
        ddrb_axi_awsize : out    vl_logic_vector(2 downto 0);
        ddrb_axi_awlen  : out    vl_logic_vector(3 downto 0);
        ddrb_axi_awburst: out    vl_logic_vector(1 downto 0);
        ddrb_axi_awlock : out    vl_logic_vector(1 downto 0);
        ddrb_axi_awvalid: out    vl_logic
    );
end ddrb_waddr_chctrl_120;
