library verilog;
use verilog.vl_types.all;
entity ddrc_axi_dyn_reg_sync_120 is
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        apb_paddr_q     : in     vl_logic_vector(7 downto 0);
        apb_penable_ctrl_q: in     vl_logic;
        update_apb_ddrc_dyn_q: in     vl_logic;
        apb_ddrc_dyn_soft_reset_q: in     vl_logic;
        apb_ddrc_dyn_refresh_1_q: in     vl_logic_vector(14 downto 0);
        apb_ddrc_dyn_refresh_2_q: in     vl_logic_vector(14 downto 0);
        apb_ddrc_dyn_powerdown_q: in     vl_logic_vector(1 downto 0);
        apb_ddrc_dyn_debug_q: in     vl_logic;
        apb_ddrc_dyn_axi_fabric_pri_id_q: in     vl_logic_vector(9 downto 0);
        apb_ddrc_ecc_data_mask_q: in     vl_logic_vector(8 downto 0);
        apb_ddrc_ecc_err_read_done_q: in     vl_logic;
        apb_ddrc_mode_reg_rd_wr_q_bit3: in     vl_logic;
        axi_sync_penable_ctrl_pulse: out    vl_logic;
        axi_sync_ddrc_dyn_soft_reset_q: out    vl_logic;
        axi_sync_ddrc_dyn_refresh_1_q: out    vl_logic_vector(14 downto 0);
        axi_sync_ddrc_dyn_refresh_2_q: out    vl_logic_vector(14 downto 0);
        axi_sync_ddrc_dyn_powerdown_q: out    vl_logic_vector(1 downto 0);
        axi_sync_ddrc_dyn_debug_q: out    vl_logic;
        axi_sync_ddrc_dyn_axi_fabric_pri_id_q: out    vl_logic_vector(9 downto 0);
        axi_sync_ddrc_ecc_err_read_done: out    vl_logic;
        axi_sync_ddrc_ecc_data_mask_q: out    vl_logic_vector(8 downto 0);
        axi_sync_ddrc_mode_reg_rd_wr_q_bit3: out    vl_logic
    );
end ddrc_axi_dyn_reg_sync_120;
