library verilog;
use verilog.vl_types.all;
entity ddrc_monitor_010 is
    generic(
        enabled         : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        ih_co_stall     : in     vl_logic;
        co_ih_rxcmd_valid: in     vl_logic;
        co_ih_rxcmd_type: in     vl_logic_vector(1 downto 0);
        co_ih_rxcmd_addr: in     vl_logic_vector(34 downto 0);
        co_ih_rxcmd_pri : in     vl_logic;
        co_ih_rxcmd_token: in     vl_logic_vector(3 downto 0);
        co_ih_rxcmd_length: in     vl_logic;
        ra_co_resp_valid: in     vl_logic;
        ra_co_resp_end  : in     vl_logic;
        ra_co_resp_token: in     vl_logic_vector(3 downto 0);
        ra_co_resp_data : in     vl_logic_vector(63 downto 0);
        resp_data_in    : in     vl_logic_vector(63 downto 0);
        resp_data_out   : out    vl_logic_vector(63 downto 0);
        co_wu_rxdata    : in     vl_logic_vector(63 downto 0);
        co_wu_rxdata_mask: in     vl_logic_vector(7 downto 0);
        co_wu_rxdata_valid: in     vl_logic;
        co_wu_rxdata_stall: in     vl_logic;
        co_wu_rxdata_end: in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of enabled : constant is 1;
end ddrc_monitor_010;
