library verilog;
use verilog.vl_types.all;
entity ddrc_op_registers is
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        ddrc_reg_operating_mode: in     vl_logic_vector(2 downto 0);
        ddrc_reg_ra_co_resp_ecc_data: in     vl_logic_vector(7 downto 0);
        ddrc_reg_trdlvl_max_error: in     vl_logic;
        ddrc_reg_twrlvl_max_error: in     vl_logic;
        ddrc_reg_mr_wr_busy: in     vl_logic;
        ddrc_reg_ecc_corrected_err: in     vl_logic;
        ddrc_reg_ecc_uncorrected_err: in     vl_logic;
        ddrc_reg_ecc_syndromes: in     vl_logic_vector(71 downto 0);
        ddrc_reg_ecc_bank: in     vl_logic_vector(2 downto 0);
        ddrc_reg_ecc_row: in     vl_logic_vector(15 downto 0);
        ddrc_reg_ecc_col: in     vl_logic_vector(11 downto 0);
        ddrc_reg_ecc_corrected_bit_num: in     vl_logic_vector(6 downto 0);
        ddrc_reg_ecc_corr_bit_mask: in     vl_logic_vector(63 downto 0);
        ecc_read_done   : in     vl_logic;
        ecc_status_q    : out    vl_logic_vector(2 downto 0);
        ddrc_resp_identifer: in     vl_logic_vector(1 downto 0);
        axi_sync_penable_ctrl: in     vl_logic;
        apb_paddr_q     : in     vl_logic_vector(7 downto 0);
        pready_ctrl_q   : out    vl_logic;
        axi_rd_data_ctrl_0_q: out    vl_logic_vector(15 downto 0);
        axi_rd_data_ctrl_1_q: out    vl_logic_vector(15 downto 0)
    );
end ddrc_op_registers;
