library verilog;
use verilog.vl_types.all;
entity dfi_rank_tracker_120 is
    generic(
        NUM_DATA_SLICES : integer := 5
    );
    port(
        core_clk        : in     vl_logic;
        ddrc_phy_rstn   : in     vl_logic;
        leveling_on     : in     vl_logic;
        reg_phy_wr_rl_delay: in     vl_logic_vector(4 downto 0);
        reg_phy_rd_rl_delay: in     vl_logic_vector(4 downto 0);
        reg_phy_use_rank0_delays: in     vl_logic;
        rasn            : in     vl_logic;
        casn            : in     vl_logic;
        wen             : in     vl_logic;
        csn             : in     vl_logic_vector(0 downto 0);
        write_in_pipe   : out    vl_logic;
        select_all_1_wr : out    vl_logic_vector;
        select_all_1_rd : out    vl_logic_vector;
        active_read_rank: out    vl_logic_vector;
        active_write_rank: out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of NUM_DATA_SLICES : constant is 1;
end dfi_rank_tracker_120;
