library verilog;
use verilog.vl_types.all;
entity dll_dc_fsm is
    generic(
        DELAY           : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi0);
        IDLE            : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        COARSE_PD_SETTLE: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        WAIT_FOR_COARSE_LOCK: vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        FINE_PD_SETTLE  : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        SET_FINE_DLY_VALUE: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0)
    );
    port(
        clk_ref         : in     vl_logic;
        rstn            : in     vl_logic;
        clocked         : out    vl_logic;
        flocked         : out    vl_logic;
        crossed         : in     vl_logic;
        sr_c            : out    vl_logic_vector(6 downto 0);
        sr_f            : out    vl_logic_vector(1 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DELAY : constant is 1;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of COARSE_PD_SETTLE : constant is 1;
    attribute mti_svvh_generic_type of WAIT_FOR_COARSE_LOCK : constant is 1;
    attribute mti_svvh_generic_type of FINE_PD_SETTLE : constant is 1;
    attribute mti_svvh_generic_type of SET_FINE_DLY_VALUE : constant is 1;
end dll_dc_fsm;
