library verilog;
use verilog.vl_types.all;
entity f_reorder_block_010 is
    generic(
        K_F_RD_CMD_FIFO_DP: integer := 4;
        K_F_TKN_DP      : integer := 10
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        resp_count      : in     vl_logic_vector(1 downto 0);
        ddrc_resp_tkn   : in     vl_logic_vector;
        ddrc_resp_vld   : in     vl_logic;
        ddrc_resp_end   : in     vl_logic;
        ddrc_resp_data  : in     vl_logic_vector(63 downto 0);
        ddrc_resp_ecc   : in     vl_logic;
        full_tkn_avl    : out    vl_logic;
        full_tkn_val    : out    vl_logic_vector(3 downto 0);
        prtl_tkn_avl    : out    vl_logic;
        prtl_tkn_val    : out    vl_logic_vector(3 downto 0);
        trans_schd_tkn_tab_wr_ptr: in     vl_logic_vector;
        trans_schd_update: in     vl_logic;
        trans_schd_cmd_type: in     vl_logic;
        f_rd_cmds_addr3_bit: in     vl_logic_vector;
        f_rd_cmds_wrap10: in     vl_logic_vector;
        f_rd_buff_ptr   : in     vl_logic_vector;
        f_rd_cmd0_tkn_tab_ptr: in     vl_logic_vector;
        f_rd_cmd1_tkn_tab_ptr: in     vl_logic_vector;
        f_rd_cmd2_tkn_tab_ptr: in     vl_logic_vector;
        f_rd_cmd3_tkn_tab_ptr: in     vl_logic_vector;
        f_rd_tkn_tab_ptr: in     vl_logic_vector;
        f_rd_tkn_tab_update: in     vl_logic;
        f_rd_tkn_tab_update_succ: in     vl_logic;
        f_rd_cmd0_crt_seq_tkn: in     vl_logic_vector;
        f_rd_cmd1_crt_seq_tkn: in     vl_logic_vector;
        f_rd_cmd2_crt_seq_tkn: in     vl_logic_vector;
        f_rd_cmd3_crt_seq_tkn: in     vl_logic_vector;
        f_tkn_ddrc_done : out    vl_logic_vector(9 downto 0);
        f_rd_tkn_tab_ptr_status: out    vl_logic_vector(1 downto 0);
        f_rd_cmd0_tkn_tab_ptr_status: out    vl_logic_vector(1 downto 0);
        f_rd_cmd1_tkn_tab_ptr_status: out    vl_logic_vector(1 downto 0);
        f_rd_cmd2_tkn_tab_ptr_status: out    vl_logic_vector(1 downto 0);
        f_rd_cmd3_tkn_tab_ptr_status: out    vl_logic_vector(1 downto 0);
        f_rd_data       : out    vl_logic_vector(64 downto 0);
        ddrc_lpseq_mode : in     vl_logic;
        ddrc_qbw_mode   : in     vl_logic;
        tokens_inuse    : out    vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K_F_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_F_TKN_DP : constant is 1;
end f_reorder_block_010;
