library verilog;
use verilog.vl_types.all;
entity gs_glue_010 is
    generic(
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_refresh_to_x32: in     vl_logic_vector(4 downto 0);
        ih_gs_xact_valid: in     vl_logic;
        te_gs_rd_vld    : in     vl_logic;
        te_gs_wr_vld    : in     vl_logic;
        wr              : in     vl_logic;
        wu_gs_enable_wr : in     vl_logic_vector(1 downto 0);
        pi_gs_xtra_wr   : in     vl_logic;
        wr_mode_early   : in     vl_logic;
        global_block_wr_early: in     vl_logic;
        rank_block_act_nxt: in     vl_logic_vector;
        rank_nop_after_zqcs: in     vl_logic_vector;
        zqcs            : in     vl_logic;
        refresh         : in     vl_logic;
        init_refresh    : in     vl_logic;
        gs_pi_op_is_refresh: out    vl_logic;
        rank_nop_after_load_mr_norm: in     vl_logic_vector;
        gs_pi_mrs_a_init: in     vl_logic_vector(15 downto 0);
        gs_pi_mrs_ba_init: in     vl_logic_vector;
        gs_pi_op_is_load_mode_init: in     vl_logic;
        gs_pi_mrs_a_norm: in     vl_logic_vector(15 downto 0);
        gs_pi_mrs_ba_norm: in     vl_logic_vector;
        gs_pi_op_is_load_mr_norm: in     vl_logic;
        gs_pi_mrs_a     : out    vl_logic_vector(15 downto 0);
        gs_pi_mrs_ba    : out    vl_logic_vector;
        gs_pi_op_is_load_mode: out    vl_logic;
        init_operating_mode: in     vl_logic;
        timer_pulse_x32 : out    vl_logic;
        timer_pulse_x1024: out    vl_logic;
        refresh_idle_timeout: out    vl_logic;
        gs_te_wr_possible: out    vl_logic;
        gs_bs_rank_block_act_nxt: out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
end gs_glue_010;
