library verilog;
use verilog.vl_types.all;
entity gs_odt is
    generic(
        NUM_RANKS       : integer := 1
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_ddr1_mode : in     vl_logic;
        dh_gs_rd_odt_delay: in     vl_logic_vector(3 downto 0);
        dh_gs_wr_odt_delay: in     vl_logic_vector(3 downto 0);
        dh_gs_rd_odt_hold: in     vl_logic_vector(3 downto 0);
        dh_gs_wr_odt_hold: in     vl_logic_vector(3 downto 0);
        dh_gs_use_wr_mode_odt: in     vl_logic;
        dh_gs_rank0_rd_odt: in     vl_logic_vector;
        dh_gs_rank0_wr_odt: in     vl_logic_vector;
        dti_gs_wrlvl_odt: in     vl_logic;
        wr_leveling_on  : in     vl_logic;
        rd              : in     vl_logic;
        wr              : in     vl_logic;
        wr_mode         : in     vl_logic;
        pi_gs_xtra_rd   : in     vl_logic;
        pi_gs_xtra_wr   : in     vl_logic;
        gs_bs_rank_block_wr_odt_nxt: out    vl_logic_vector;
        gs_pi_local_odt : out    vl_logic;
        gs_pi_ddr2_odt  : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of NUM_RANKS : constant is 1;
end gs_odt;
