library verilog;
use verilog.vl_types.all;
entity gs_q_fsm_120 is
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        xact_run_length : in     vl_logic_vector(7 downto 0);
        use_cycle_run_length: in     vl_logic;
        max_starve      : in     vl_logic_vector(10 downto 0);
        min_non_critical: in     vl_logic_vector(10 downto 0);
        go2critical     : in     vl_logic;
        go2critical_hysteresis: in     vl_logic_vector(7 downto 0);
        empty           : in     vl_logic;
        xact_this_q     : in     vl_logic;
        use_x32         : in     vl_logic;
        timer_pulse_x32 : in     vl_logic;
        q_critical      : out    vl_logic;
        q_state         : out    vl_logic_vector(1 downto 0)
    );
end gs_q_fsm_120;
