library verilog;
use verilog.vl_types.all;
entity gs_zq_calib is
    generic(
        RANK_BITS       : integer := 0;
        IDLE            : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        WAIT_FOR_ZQCS   : vl_logic_vector(0 to 1) := (Hi0, Hi1);
        WAIT_FOR_ZQCS_NOP: vl_logic_vector(0 to 1) := (Hi1, Hi0)
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_ddr3      : in     vl_logic;
        timer_pulse_x1024: in     vl_logic;
        co_gs_zq_calib_short: in     vl_logic;
        dh_gs_dis_auto_zq: in     vl_logic;
        dh_gs_t_zq_short_nop: in     vl_logic_vector(9 downto 0);
        dh_gs_t_zq_short_interval_x1024: in     vl_logic_vector(19 downto 0);
        zqcs            : in     vl_logic;
        start_zqcs_timer: in     vl_logic;
        rank_nop_after_zqcs: out    vl_logic_vector;
        zq_calib_short_required: out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of WAIT_FOR_ZQCS : constant is 1;
    attribute mti_svvh_generic_type of WAIT_FOR_ZQCS_NOP : constant is 1;
end gs_zq_calib;
