library verilog;
use verilog.vl_types.all;
entity hpd_ahb_master is
    port(
        FCLK            : in     vl_logic;
        HPDMA_RESET_n   : in     vl_logic;
        hd_dma_xfr_rst  : in     vl_logic;
        hd_ahm_iready   : in     vl_logic;
        hd_ahm_iwrite   : in     vl_logic;
        hd_ahm_iaddrs   : in     vl_logic_vector(31 downto 0);
        hd_ahm_iwdata   : in     vl_logic_vector(31 downto 0);
        hd_ahm_hrdata   : in     vl_logic_vector(31 downto 0);
        hd_ahm_hresp    : in     vl_logic;
        hd_ahm_hready   : in     vl_logic;
        hd_ahm_irdata   : out    vl_logic_vector(31 downto 0);
        hd_ahm_ixfr_ok  : out    vl_logic;
        hd_ahm_ixfr_err : out    vl_logic;
        hpd_ahm_cst_dbg : out    vl_logic_vector(3 downto 0);
        hd_ahm_haddr    : out    vl_logic_vector(31 downto 0);
        hd_ahm_hwdata   : out    vl_logic_vector(31 downto 0);
        hd_ahm_hwrite   : out    vl_logic;
        hd_ahm_hlock    : out    vl_logic;
        hd_ahm_hsize    : out    vl_logic_vector(2 downto 0);
        hd_ahm_htrans   : out    vl_logic_vector(1 downto 0);
        hd_ahm_hburst   : out    vl_logic_vector(2 downto 0)
    );
end hpd_ahb_master;
