library verilog;
use verilog.vl_types.all;
entity hpd_glu_logic_mux is
    port(
        hd_dma_xfr_dir  : in     vl_logic;
        hd_wbc_ready    : in     vl_logic;
        hd_wbc_addrs    : in     vl_logic_vector(31 downto 0);
        hd_rbc_ready    : in     vl_logic;
        hd_rbc_addrs    : in     vl_logic_vector(31 downto 0);
        hd_rbc_wdata    : in     vl_logic_vector(31 downto 0);
        hd_ahm1_rdata   : in     vl_logic_vector(31 downto 0);
        hd_ahm1_xfr_ok  : in     vl_logic;
        hd_ahm1_xfr_err : in     vl_logic;
        hd_ahm1_hready  : in     vl_logic;
        hd_ahm2_rdata   : in     vl_logic_vector(31 downto 0);
        hd_ahm2_xfr_ok  : in     vl_logic;
        hd_ahm2_xfr_err : in     vl_logic;
        hd_ahm2_hready  : in     vl_logic;
        hd_wbc_xfr_err  : out    vl_logic;
        hd_wbc_rdata    : out    vl_logic_vector(31 downto 0);
        hd_wbc_xfr_ok   : out    vl_logic;
        hd_wbc_data_val : out    vl_logic;
        hd_rbc_xfr_err  : out    vl_logic;
        hd_rbc_xfr_ok   : out    vl_logic;
        hd_ahm1_ready   : out    vl_logic;
        hd_ahm1_write   : out    vl_logic;
        hd_ahm1_addrs   : out    vl_logic_vector(31 downto 0);
        hd_ahm1_wdata   : out    vl_logic_vector(31 downto 0);
        hd_ahm2_ready   : out    vl_logic;
        hd_ahm2_write   : out    vl_logic;
        hd_ahm2_addrs   : out    vl_logic_vector(31 downto 0);
        hd_ahm2_wdata   : out    vl_logic_vector(31 downto 0)
    );
end hpd_glu_logic_mux;
