library verilog;
use verilog.vl_types.all;
entity hpd_read_bfrc is
    port(
        FCLK            : in     vl_logic;
        HPDMA_RESET_n   : in     vl_logic;
        hd_dma_start_p  : in     vl_logic;
        hd_dma_xfr_pause: in     vl_logic;
        hd_dma_xfr_rst  : in     vl_logic;
        hd_dma_xfr_size : in     vl_logic_vector(16 downto 0);
        hd_dma_dst_adrs : in     vl_logic_vector(29 downto 0);
        hd_wbc_xfr_err  : in     vl_logic;
        hd_rbc_xfr_err  : in     vl_logic;
        hd_rbc_xfr_ok   : in     vl_logic;
        hd_bfr_empty    : in     vl_logic;
        hd_bfr_rdata    : in     vl_logic_vector(31 downto 0);
        hd_set_rbc_err  : in     vl_logic;
        hd_rbc_xfr_done : out    vl_logic;
        hd_rbc_xfr_pndng: out    vl_logic_vector(15 downto 0);
        hd_rbc_ready    : out    vl_logic;
        hd_rbc_addrs    : out    vl_logic_vector(31 downto 0);
        hd_rbc_wdata    : out    vl_logic_vector(31 downto 0);
        hd_bfr_rden     : out    vl_logic;
        hd_set_wbc_err  : out    vl_logic;
        hpd_rbc_cst_dbg : out    vl_logic_vector(2 downto 0)
    );
end hpd_read_bfrc;
