library verilog;
use verilog.vl_types.all;
entity ih_core_in_if_120 is
    generic(
        RDCMD_ENTRY_BITS: integer := 3;
        WRCMD_ENTRY_BITS: integer := 3;
        CORE_ADDR_WIDTH : integer := 35;
        IH_TAG_WIDTH    : integer := 4;
        CMD_LEN_BITS    : integer := 1;
        RMW_TYPE_BITS   : integer := 2;
        WDATA_PTR_BITS  : integer := 3;
        CMD_TYPE_BITS   : integer := 2;
        CMD_RMW_BITS    : integer := 19
    );
    port(
        co_ih_clk       : in     vl_logic;
        co_ih_rstb      : in     vl_logic;
        co_ih_rxcmd_valid: in     vl_logic;
        co_ih_rxcmd_type: in     vl_logic_vector;
        co_ih_rxcmd_addr: in     vl_logic_vector;
        co_ih_rxcmd_token: in     vl_logic_vector;
        co_ih_rxcmd_pri : in     vl_logic;
        co_ih_rxcmd_length: in     vl_logic_vector;
        co_ih_rxcmd_wdata_ptr: in     vl_logic_vector;
        co_ih_rxcmd_autopre: in     vl_logic;
        input_fifo_full : out    vl_logic;
        te_ih_retry     : in     vl_logic;
        wu_ih_flow_cntrl_req: in     vl_logic;
        rxcmd_valid     : out    vl_logic;
        rxcmd_addr      : out    vl_logic_vector;
        rxcmd_type      : out    vl_logic_vector;
        rxcmd_token     : out    vl_logic_vector;
        rxcmd_pri       : out    vl_logic;
        rxcmd_length    : out    vl_logic_vector;
        rxcmd_autopre   : out    vl_logic;
        rxcmd_wdata_ptr : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RDCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of WRCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of CORE_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of IH_TAG_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CMD_LEN_BITS : constant is 1;
    attribute mti_svvh_generic_type of RMW_TYPE_BITS : constant is 1;
    attribute mti_svvh_generic_type of WDATA_PTR_BITS : constant is 1;
    attribute mti_svvh_generic_type of CMD_TYPE_BITS : constant is 1;
    attribute mti_svvh_generic_type of CMD_RMW_BITS : constant is 1;
end ih_core_in_if_120;
