library verilog;
use verilog.vl_types.all;
entity ltap2_120 is
    generic(
        N               : integer := 2
    );
    port(
        id              : in     vl_logic_vector(2 downto 0);
        g4c_tck         : in     vl_logic;
        g4c_srst_b      : in     vl_logic;
        g4c_shift       : in     vl_logic;
        g4c_update      : in     vl_logic;
        g4c_capture     : in     vl_logic;
        g4c_atpg_reset  : in     vl_logic;
        g4c_blk_sel     : in     vl_logic;
        g4c_sel_wir     : in     vl_logic;
        g4c_ext_tm      : in     vl_logic;
        g4c_sin         : in     vl_logic;
        g4c_sout        : out    vl_logic;
        atpg_channels_in: out    vl_logic;
        atpg_channels_out: in     vl_logic;
        atpg_testmode   : out    vl_logic;
        atpg_tpg_mode   : out    vl_logic;
        atpg_rst_b      : out    vl_logic;
        atpg_fab_enable : out    vl_logic;
        atpg_hardmacro_enable: out    vl_logic;
        atpg_scan_enable: out    vl_logic;
        atpg_sck_slow   : out    vl_logic;
        edt_low_power_shift_en: out    vl_logic;
        edt_bypass      : out    vl_logic;
        edt_update      : out    vl_logic;
        edt_clock       : out    vl_logic;
        start_tpg       : out    vl_logic;
        fast_tpg_mode   : out    vl_logic;
        tpg_mode_a      : out    vl_logic;
        fab_sck_enable  : out    vl_logic;
        edt_sck_enable  : out    vl_logic;
        bist_select     : out    vl_logic_vector(3 downto 0);
        bist_clock      : out    vl_logic;
        bist_update     : out    vl_logic;
        bist_shift      : out    vl_logic;
        bist_capture    : out    vl_logic;
        bist_resetn     : out    vl_logic;
        bist_diag_sel   : out    vl_logic;
        bist_din        : out    vl_logic;
        bist_dout       : in     vl_logic_vector(3 downto 0);
        clock_test      : out    vl_logic;
        clock_control   : out    vl_logic_vector;
        clock_status    : in     vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of N : constant is 1;
end ltap2_120;
