library verilog;
use verilog.vl_types.all;
entity mr_ram_rd_pipeline_120 is
    generic(
        WRCAM_ADDR_WIDTH: integer := 4;
        WRDATA_RAM_ADDR_WIDTH: vl_notype
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_mr_resetb    : in     vl_logic;
        dh_mr_data_bus_width: in     vl_logic_vector(1 downto 0);
        dh_mr_write_latency: in     vl_logic_vector(4 downto 0);
        dh_mr_en_2t_timing_mode: in     vl_logic;
        dh_mr_mobile    : in     vl_logic;
        gs_mr_write     : in     vl_logic;
        te_mr_wr_ram_addr: in     vl_logic_vector;
        mr_me_raddr     : out    vl_logic_vector;
        mr_me_re        : out    vl_logic;
        mr_wu_cerr_addr : out    vl_logic_vector;
        ram_data_vld    : out    vl_logic;
        mr_yy_free_wr_entry: out    vl_logic_vector;
        mr_yy_free_wr_entry_valid: out    vl_logic;
        mr_gs_empty     : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WRCAM_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of WRDATA_RAM_ADDR_WIDTH : constant is 3;
end mr_ram_rd_pipeline_120;
