library verilog;
use verilog.vl_types.all;
entity mxgxs_rxsyncfsm is
    generic(
        LOSS_OF_SYNC    : vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        COMMA_DETECT_1  : vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        COMMA_DETECT_2  : vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        COMMA_DETECT_3  : vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        SYNC_ACQUIRED_1 : vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        SYNC_ACQUIRED_2 : vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        SYNC_ACQUIRED_2A: vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SYNC_ACQUIRED_3 : vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SYNC_ACQUIRED_3A: vl_logic_vector(0 to 10) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SYNC_ACQUIRED_4 : vl_logic_vector(0 to 10) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SYNC_ACQUIRED_4A: vl_logic_vector(0 to 10) := (Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        rx_reset_rxc    : in     vl_logic;
        rx_clk          : in     vl_logic;
        decode_error    : in     vl_logic_vector(1 downto 0);
        pudi_comma      : in     vl_logic_vector(1 downto 0);
        rx_sig_det_rxci : in     vl_logic;
        sync_status     : out    vl_logic;
        en_cgalign      : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of LOSS_OF_SYNC : constant is 1;
    attribute mti_svvh_generic_type of COMMA_DETECT_1 : constant is 1;
    attribute mti_svvh_generic_type of COMMA_DETECT_2 : constant is 1;
    attribute mti_svvh_generic_type of COMMA_DETECT_3 : constant is 1;
    attribute mti_svvh_generic_type of SYNC_ACQUIRED_1 : constant is 1;
    attribute mti_svvh_generic_type of SYNC_ACQUIRED_2 : constant is 1;
    attribute mti_svvh_generic_type of SYNC_ACQUIRED_2A : constant is 1;
    attribute mti_svvh_generic_type of SYNC_ACQUIRED_3 : constant is 1;
    attribute mti_svvh_generic_type of SYNC_ACQUIRED_3A : constant is 1;
    attribute mti_svvh_generic_type of SYNC_ACQUIRED_4 : constant is 1;
    attribute mti_svvh_generic_type of SYNC_ACQUIRED_4A : constant is 1;
end mxgxs_rxsyncfsm;
