library verilog;
use verilog.vl_types.all;
entity mxgxs_tx8b10b is
    generic(
        SS_R            : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        SS_A            : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        SS_Q            : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        SS_K            : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        SS_S            : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        SS_T            : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        SS_E            : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi0);
        SS_D            : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi1);
        HIGHF_PTRN      : vl_logic_vector(0 to 7) := (Hi1, Hi0, Hi1, Hi1, Hi0, Hi1, Hi0, Hi1)
    );
    port(
        tx_reset        : in     vl_logic;
        tx_clk          : in     vl_logic;
        txd             : in     vl_logic_vector(7 downto 0);
        txc             : in     vl_logic;
        txss            : in     vl_logic_vector(2 downto 0);
        txrdi           : in     vl_logic;
        q_msg6p         : in     vl_logic_vector(5 downto 0);
        q_msg6n         : in     vl_logic_vector(5 downto 0);
        q_msg4p         : in     vl_logic_vector(3 downto 0);
        q_msg4n         : in     vl_logic_vector(3 downto 0);
        q_msggdis       : in     vl_logic;
        txtp_en         : in     vl_logic;
        txtp_mode       : in     vl_logic_vector(1 downto 0);
        q_msgen_p4      : out    vl_logic;
        txd6p_p4        : out    vl_logic_vector(5 downto 0);
        txd6n_p4        : out    vl_logic_vector(5 downto 0);
        txd4p_p4        : out    vl_logic_vector(3 downto 0);
        txd4n_p4        : out    vl_logic_vector(3 downto 0);
        gdis_p4         : out    vl_logic;
        tx_code_grp     : out    vl_logic_vector(9 downto 0);
        txrdo_p4        : out    vl_logic;
        txrdo_p5        : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SS_R : constant is 1;
    attribute mti_svvh_generic_type of SS_A : constant is 1;
    attribute mti_svvh_generic_type of SS_Q : constant is 1;
    attribute mti_svvh_generic_type of SS_K : constant is 1;
    attribute mti_svvh_generic_type of SS_S : constant is 1;
    attribute mti_svvh_generic_type of SS_T : constant is 1;
    attribute mti_svvh_generic_type of SS_E : constant is 1;
    attribute mti_svvh_generic_type of SS_D : constant is 1;
    attribute mti_svvh_generic_type of HIGHF_PTRN : constant is 1;
end mxgxs_tx8b10b;
