library verilog;
use verilog.vl_types.all;
entity mxgxs_txcore_075 is
    generic(
        SS_Q            : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        k24_4g6p        : vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi0, Hi0, Hi0);
        k24_4g6n        : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi1, Hi1, Hi1);
        k24_4g4p        : vl_logic_vector(0 to 3) := (Hi1, Hi1, Hi0, Hi1);
        k24_4g4n        : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi1, Hi0);
        tie0            : vl_logic := Hi0
    );
    port(
        tx_reset        : in     vl_logic;
        tx_clk          : in     vl_logic;
        txdr0           : in     vl_logic_vector(31 downto 0);
        txcr0           : in     vl_logic_vector(3 downto 0);
        txdr1           : in     vl_logic_vector(31 downto 0);
        txcr1           : in     vl_logic_vector(3 downto 0);
        tx_sig_det      : in     vl_logic_vector(3 downto 0);
        txtp_en         : in     vl_logic;
        txtp_mode       : in     vl_logic_vector(1 downto 0);
        rd_reg_8        : in     vl_logic;
        tx_code_grpr0   : out    vl_logic_vector(39 downto 0);
        tx_code_grpr1   : out    vl_logic_vector(39 downto 0);
        tx_fault_lh     : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SS_Q : constant is 1;
    attribute mti_svvh_generic_type of k24_4g6p : constant is 1;
    attribute mti_svvh_generic_type of k24_4g6n : constant is 1;
    attribute mti_svvh_generic_type of k24_4g4p : constant is 1;
    attribute mti_svvh_generic_type of k24_4g4n : constant is 1;
    attribute mti_svvh_generic_type of tie0 : constant is 1;
end mxgxs_txcore_075;
