library verilog;
use verilog.vl_types.all;
entity nvm_ram is
    generic(
        MEMORYFILE      : string  := "";
        NVM_INDEX       : integer := 0;
        DATA_WIDTH      : integer := 74;
        ADDR_WIDTH      : integer := 15;
        NAME            : string  := "NVM";
        RAM_DEPTH       : vl_notype;
        RESERVED_PAGES  : integer := 16
    );
    port(
        clk             : in     vl_logic;
        address         : in     vl_logic_vector;
        data_in         : in     vl_logic_vector;
        data_out        : out    vl_logic_vector;
        we              : in     vl_logic;
        rde             : in     vl_logic;
        erase           : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of MEMORYFILE : constant is 1;
    attribute mti_svvh_generic_type of NVM_INDEX : constant is 1;
    attribute mti_svvh_generic_type of DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of NAME : constant is 1;
    attribute mti_svvh_generic_type of RAM_DEPTH : constant is 3;
    attribute mti_svvh_generic_type of RESERVED_PAGES : constant is 1;
end nvm_ram;
