library verilog;
use verilog.vl_types.all;
entity p2a_axi_cdc_databus is
    generic(
        AXI_CDC_ENABLE  : integer := 1;
        ID_BITS         : integer := 4;
        DATA_WIDTH      : integer := 128;
        STRB_NORESP     : integer := 1
    );
    port(
        d0_clk          : in     vl_logic;
        d0_rstn         : in     vl_logic;
        d0_srst         : in     vl_logic;
        d0_id           : out    vl_logic_vector;
        d0_data         : out    vl_logic_vector;
        d0_strb_resp    : out    vl_logic_vector;
        d0_crs          : out    vl_logic;
        d0_last         : out    vl_logic;
        d0_valid        : out    vl_logic;
        d0_ready        : in     vl_logic;
        d1_clk          : in     vl_logic;
        d1_rstn         : in     vl_logic;
        d1_srst         : in     vl_logic;
        d1_id           : in     vl_logic_vector;
        d1_data         : in     vl_logic_vector;
        d1_strb_resp    : in     vl_logic_vector;
        d1_crs          : in     vl_logic;
        d1_last         : in     vl_logic;
        d1_valid        : in     vl_logic;
        d1_ready        : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of AXI_CDC_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of ID_BITS : constant is 1;
    attribute mti_svvh_generic_type of DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of STRB_NORESP : constant is 1;
end p2a_axi_cdc_databus;
