library verilog;
use verilog.vl_types.all;
entity p2a_txsm_075 is
    generic(
        SRAM_MODE       : integer := 1;
        TX_BUF          : integer := 7;
        CFG_IO_AXI_ENABLE: integer := 0;
        wrcut_state_idle: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        wrcut_state_cutmod: vl_logic_vector(1 downto 0) := (Hi0, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        cfg_prmcsr      : in     vl_logic_vector(31 downto 0);
        cfg_tcvcmap     : in     vl_logic_vector(23 downto 0);
        s2t_wreq        : in     vl_logic;
        s2t_wcut        : in     vl_logic;
        s2t_wack        : out    vl_logic;
        s2t_wdesc       : in     vl_logic_vector(127 downto 0);
        s2t_wdph        : in     vl_logic_vector(3 downto 0);
        s2t_wbuf        : in     vl_logic_vector;
        clr_cut         : in     vl_logic;
        s2t_wval        : in     vl_logic;
        s2t_wrdy        : out    vl_logic;
        s2t_wadwr       : in     vl_logic_vector;
        s2t_wdata       : in     vl_logic_vector(63 downto 0);
        s2t_rreq        : in     vl_logic;
        s2t_rack        : out    vl_logic;
        s2t_rdesc       : in     vl_logic_vector(127 downto 0);
        m2t_rdy         : out    vl_logic;
        m2t_wren        : in     vl_logic;
        m2t_adwr        : in     vl_logic_vector;
        m2t_data        : in     vl_logic_vector(63 downto 0);
        m2t_req         : in     vl_logic;
        m2t_vc          : in     vl_logic;
        m2t_ack         : out    vl_logic;
        m2t_desc        : in     vl_logic_vector(127 downto 0);
        m2t_dph         : in     vl_logic_vector(3 downto 0);
        m2t_buf         : in     vl_logic_vector;
        wren_tx         : out    vl_logic;
        rden_tx         : out    vl_logic;
        adwr_tx         : out    vl_logic_vector;
        din_tx          : out    vl_logic_vector(63 downto 0);
        dout_tx         : in     vl_logic_vector(63 downto 0);
        adrd_tx         : out    vl_logic_vector;
        tx_cred0        : in     vl_logic_vector(35 downto 0);
        tx_req0         : out    vl_logic;
        tx_ack0         : in     vl_logic;
        tx_desc0        : out    vl_logic_vector(127 downto 0);
        tx_ws0          : in     vl_logic;
        tx_data0        : out    vl_logic_vector(63 downto 0);
        tx_dv0          : out    vl_logic;
        tx_dfr0         : out    vl_logic;
        tx_cred1        : in     vl_logic_vector(35 downto 0);
        tx_req1         : out    vl_logic;
        tx_ack1         : in     vl_logic;
        tx_desc1        : out    vl_logic_vector(127 downto 0);
        tx_ws1          : in     vl_logic;
        tx_data1        : out    vl_logic_vector(63 downto 0);
        tx_dv1          : out    vl_logic;
        tx_dfr1         : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SRAM_MODE : constant is 1;
    attribute mti_svvh_generic_type of TX_BUF : constant is 1;
    attribute mti_svvh_generic_type of CFG_IO_AXI_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of wrcut_state_idle : constant is 2;
    attribute mti_svvh_generic_type of wrcut_state_cutmod : constant is 2;
end p2a_txsm_075;
