library verilog;
use verilog.vl_types.all;
entity p2a_vp2p_cplur is
    generic(
        ST_STATE_CPLUR_IDLE: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        ST_STATE_CPLUR_REQ: vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        ST_STATE_CPLUR_ACK: vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        ST_STATE_NEW_CPLUR: vl_logic_vector(1 downto 0) := (Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        cplur_req       : in     vl_logic;
        tx_req          : in     vl_logic;
        tx_dfr          : in     vl_logic;
        tx_ws           : in     vl_logic;
        r2m_param       : in     vl_logic_vector(4 downto 0);
        r2m_arlen       : in     vl_logic_vector(9 downto 0);
        m_raddr         : in     vl_logic_vector(6 downto 0);
        r2m_rid         : in     vl_logic_vector(23 downto 0);
        vp2p_req        : out    vl_logic;
        vp2p_ack        : in     vl_logic;
        vp2p_desc       : out    vl_logic_vector(127 downto 0);
        mux_vp2p        : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ST_STATE_CPLUR_IDLE : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_CPLUR_REQ : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_CPLUR_ACK : constant is 2;
    attribute mti_svvh_generic_type of ST_STATE_NEW_CPLUR : constant is 2;
end p2a_vp2p_cplur;
