library verilog;
use verilog.vl_types.all;
entity pci_ram_075 is
    generic(
        N               : integer := 8
    );
    port(
        clk             : in     vl_logic;
        npor            : in     vl_logic;
        pcie_wren       : in     vl_logic;
        pcie_rden       : in     vl_logic;
        pcie_wraddr     : in     vl_logic_vector;
        pcie_wrdata     : in     vl_logic_vector(63 downto 0);
        pcie_rdaddr     : in     vl_logic_vector;
        pcie_rddata     : out    vl_logic_vector(63 downto 0);
        ecc_enable      : in     vl_logic;
        ecc_inject1     : in     vl_logic;
        ecc_inject2     : in     vl_logic;
        ecc_error1      : out    vl_logic;
        ecc_error2      : out    vl_logic;
        mbist_enable    : in     vl_logic;
        mbist_wren      : in     vl_logic;
        mbist_wraddr    : in     vl_logic_vector;
        mbist_wrdata    : in     vl_logic_vector(71 downto 0);
        mbist_rdaddr    : in     vl_logic_vector;
        mbist_rddata    : out    vl_logic_vector(71 downto 0);
        atpg_testmode   : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of N : constant is 1;
end pci_ram_075;
