library verilog;
use verilog.vl_types.all;
entity pcie_bar_config is
    port(
        CONFIG_BAR_CONTROL_0: in     vl_logic_vector(3 downto 0);
        CONFIG_BAR_SIZE_0: in     vl_logic_vector(4 downto 0);
        CONFIG_BAR_CONTROL_1: in     vl_logic_vector(3 downto 0);
        CONFIG_BAR_SIZE_1: in     vl_logic_vector(4 downto 0);
        CONFIG_BAR_CONTROL_2: in     vl_logic_vector(3 downto 0);
        CONFIG_BAR_SIZE_2: in     vl_logic_vector(4 downto 0);
        CONFIG_BAR_CONTROL_3: in     vl_logic_vector(3 downto 0);
        CONFIG_BAR_SIZE_3: in     vl_logic_vector(4 downto 0);
        CONFIG_BAR_CONTROL_4: in     vl_logic_vector(3 downto 0);
        CONFIG_BAR_SIZE_4: in     vl_logic_vector(4 downto 0);
        CONFIG_BAR_CONTROL_5: in     vl_logic_vector(3 downto 0);
        CONFIG_BAR_SIZE_5: in     vl_logic_vector(4 downto 0);
        PCIE_BAR0       : out    vl_logic_vector(31 downto 0);
        PCIE_BAR1       : out    vl_logic_vector(31 downto 0);
        PCIE_BAR2       : out    vl_logic_vector(31 downto 0);
        PCIE_BAR3       : out    vl_logic_vector(31 downto 0);
        PCIE_BAR4       : out    vl_logic_vector(31 downto 0);
        PCIE_BAR5       : out    vl_logic_vector(31 downto 0)
    );
end pcie_bar_config;
