library verilog;
use verilog.vl_types.all;
entity pcie_ctrl_stat_reg_120 is
    generic(
        SHREG_LEN       : integer := 14;
        INSTREG_LEN     : integer := 6
    );
    port(
        HCLK            : in     vl_logic;
        RST_N           : in     vl_logic;
        SCAN_TESTMODE   : in     vl_logic;
        LT_SDI          : in     vl_logic;
        LT_SCK          : in     vl_logic;
        LT_BIST_SEL     : in     vl_logic;
        LT_SHIFT        : in     vl_logic;
        LT_CAPTURE      : in     vl_logic;
        LT_UPDATE       : in     vl_logic;
        LT_DIAG_SEL     : in     vl_logic;
        LT_SDO          : out    vl_logic;
        MB_start_ret_h  : in     vl_logic;
        MB_tst_done     : in     vl_logic;
        MB_fail_h       : in     vl_logic_vector(2 downto 0);
        MB_diag_scan_out: in     vl_logic;
        MB_diag_clk     : out    vl_logic;
        MB_rst_l        : out    vl_logic;
        MB_test_h       : out    vl_logic;
        MB_test_resume_h: out    vl_logic;
        MB_hold_l       : out    vl_logic;
        MB_debugz       : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SHREG_LEN : constant is 1;
    attribute mti_svvh_generic_type of INSTREG_LEN : constant is 1;
end pcie_ctrl_stat_reg_120;
