library verilog;
use verilog.vl_types.all;
entity pcie_mbist is
    generic(
        start_state     : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        comp_test_write0: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        comp_test_read_fail0: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi1);
        comp_test_read_pass0: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        comp_test_write1: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi1, Hi1, Hi0);
        comp_test_read_fail1: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi1, Hi1, Hi1);
        comp_test_read_pass1: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi1);
        comp_test_write2: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        comp_test_read_fail2: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi1, Hi0, Hi0);
        comp_test_read_pass2: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi1, Hi0, Hi1);
        mem_loop_init   : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi1, Hi1, Hi1);
        mem_loop        : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi1, Hi1, Hi0);
        s_march2_march2_wBackgroundUp_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi0, Hi1, Hi0);
        s_march2_march2_rwrInvBackgroundUp_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi0, Hi1, Hi1);
        s_march2_march2_rwrBackgroundUp_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi1);
        s_march2_march2_rwrInvBackgroundDown_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        s_march2_march2_rwrBackgroundDown_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi1, Hi0, Hi0, Hi0);
        s_march2_march2_rBackgroundDown_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi1, Hi0, Hi0, Hi1);
        s_March_LR_March_LR_row_W0_up_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi1, Hi0, Hi1, Hi1);
        s_March_LR_March_LR_row_R0W1_down_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi1, Hi0, Hi1, Hi0);
        s_March_LR_March_LR_row_R1W0R0R0W1_up_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi1, Hi1, Hi1, Hi0);
        s_March_LR_March_LR_row_R1W0_down_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi1, Hi1, Hi1, Hi1);
        s_March_LR_March_LR_row_R0W1R1R1W0_up_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi1, Hi1, Hi0, Hi1);
        s_March_LR_March_LR_row_R0_down_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        s_March_LR_March_LR_col_W0_col_up_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi1, Hi0, Hi0);
        s_March_LR_March_LR_col_R0W1_col_down_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi1, Hi0, Hi1);
        s_March_LR_March_LR_col_R1W0R0R0W1_col_up_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi1, Hi1, Hi1);
        s_March_LR_March_LR_col_R1W0_col_down_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi1, Hi1, Hi0);
        s_March_LR_March_LR_col_R0W1R1R1W0_col_up_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi0, Hi1, Hi0);
        s_March_LR_March_LR_col_R0_col_down_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi0, Hi1, Hi1);
        s_retentionCB_retentionCB_wCheckerBoardUpSynchronize_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi1);
        s_retentionCB_retentionCB_rCheckerBoardUp_0_0: vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        s_retentionCB_retentionCB_wInvCheckerBoardUpSynchronize_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi0, Hi0, Hi0);
        s_retentionCB_retentionCB_rInvCheckerBoardUp_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi0, Hi0, Hi1);
        s_port_isolate_row_test_dual_port_init_mem_w_up_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi0, Hi1, Hi1);
        s_port_isolate_row_test_dual_port_p_i_up_row_test_port_isolate_up_row_test_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi0, Hi1, Hi0);
        s_port_isolate_row_test_dual_port_p_i_down_row_test_port_isolate_down_row_test_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi1, Hi1, Hi0);
        s_port_isolate_row_test_dual_port_review_mem_r_up_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi1, Hi1, Hi1);
        s_port_isolate_column_test_dual_port_init_mem_w_up_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi1, Hi0, Hi1);
        s_port_isolate_column_test_dual_port_p_i_up_column_test_port_isolate_up_column_test_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi0, Hi1, Hi0, Hi0);
        s_port_isolate_column_test_dual_port_p_i_down_column_test_port_isolate_down_column_test_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        s_port_isolate_column_test_dual_port_review_mem_r_up_0_0: vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi1, Hi1, Hi0, Hi1);
        mem_loop_end    : vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        complete_state  : vl_logic_vector(0 to 5) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi0);
        md_none         : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        md_r            : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        md_rw           : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        md_rwr          : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        md_rwrrw        : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        md_w            : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        md_w_r          : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi0);
        p_background1   : vl_logic_vector(0 to 71) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        p_background2   : vl_logic_vector(0 to 71) := (Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1, Hi0, Hi1);
        AddrNoOp        : vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi0, Hi0);
        AddrOp_Unary_0_127_up_7_127_row: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi0, Hi1);
        AddrOp_Unary_0_127_up_7_127: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi1, Hi0);
        AddrOp_Unary_0_127_up_7_127_ro1: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi1, Hi1);
        AddrOp_Complex_0_127_up_7_2_127: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi0, Hi0);
        AddrOp_Unary_0_255_up_8_255_row: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi0, Hi1);
        AddrOp_Unary_0_255_up_8_255: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi1, Hi0);
        AddrOp_Unary_0_255_up_8_255_ro1: vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi1, Hi1);
        AddrOp_Complex_0_255_up_8_2_255: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi0, Hi0);
        AddrOp_Unary_127_0_down_7_127_row: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi0, Hi1);
        AddrOp_Unary_127_0_down_7_127: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi1, Hi0);
        AddrOp_Unary_127_0_down_7_127_ro1: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi1, Hi1);
        AddrOp_Complex_127_0_down_7_2_127: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi1, Hi0, Hi0);
        AddrOp_Unary_255_0_down_8_255_row: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi1, Hi0, Hi1);
        AddrOp_Unary_255_0_down_8_255: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi1, Hi1, Hi0);
        AddrOp_Unary_255_0_down_8_255_ro1: vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi1, Hi1, Hi1);
        AddrOp_Complex_255_0_down_8_2_255: vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi0, Hi0, Hi0);
        mem_var_last    : vl_logic_vector(0 to 1) := (Hi1, Hi0);
        spec_op_no_op   : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        spec_op_mem_var_init: vl_logic_vector(0 to 1) := (Hi0, Hi1);
        spec_op_mem_loop_end: vl_logic_vector(0 to 1) := (Hi1, Hi0)
    );
    port(
        DI71_0          : out    vl_logic;
        DI70_0          : out    vl_logic;
        DI69_0          : out    vl_logic;
        DI68_0          : out    vl_logic;
        DI67_0          : out    vl_logic;
        DI66_0          : out    vl_logic;
        DI65_0          : out    vl_logic;
        DI64_0          : out    vl_logic;
        DI63_0          : out    vl_logic;
        DI62_0          : out    vl_logic;
        DI61_0          : out    vl_logic;
        DI60_0          : out    vl_logic;
        DI59_0          : out    vl_logic;
        DI58_0          : out    vl_logic;
        DI57_0          : out    vl_logic;
        DI56_0          : out    vl_logic;
        DI55_0          : out    vl_logic;
        DI54_0          : out    vl_logic;
        DI53_0          : out    vl_logic;
        DI52_0          : out    vl_logic;
        DI51_0          : out    vl_logic;
        DI50_0          : out    vl_logic;
        DI49_0          : out    vl_logic;
        DI48_0          : out    vl_logic;
        DI47_0          : out    vl_logic;
        DI46_0          : out    vl_logic;
        DI45_0          : out    vl_logic;
        DI44_0          : out    vl_logic;
        DI43_0          : out    vl_logic;
        DI42_0          : out    vl_logic;
        DI41_0          : out    vl_logic;
        DI40_0          : out    vl_logic;
        DI39_0          : out    vl_logic;
        DI38_0          : out    vl_logic;
        DI37_0          : out    vl_logic;
        DI36_0          : out    vl_logic;
        DI35_0          : out    vl_logic;
        DI34_0          : out    vl_logic;
        DI33_0          : out    vl_logic;
        DI32_0          : out    vl_logic;
        DI31_0          : out    vl_logic;
        DI30_0          : out    vl_logic;
        DI29_0          : out    vl_logic;
        DI28_0          : out    vl_logic;
        DI27_0          : out    vl_logic;
        DI26_0          : out    vl_logic;
        DI25_0          : out    vl_logic;
        DI24_0          : out    vl_logic;
        DI23_0          : out    vl_logic;
        DI22_0          : out    vl_logic;
        DI21_0          : out    vl_logic;
        DI20_0          : out    vl_logic;
        DI19_0          : out    vl_logic;
        DI18_0          : out    vl_logic;
        DI17_0          : out    vl_logic;
        DI16_0          : out    vl_logic;
        DI15_0          : out    vl_logic;
        DI14_0          : out    vl_logic;
        DI13_0          : out    vl_logic;
        DI12_0          : out    vl_logic;
        DI11_0          : out    vl_logic;
        DI10_0          : out    vl_logic;
        DI9_0           : out    vl_logic;
        DI8_0           : out    vl_logic;
        DI7_0           : out    vl_logic;
        DI6_0           : out    vl_logic;
        DI5_0           : out    vl_logic;
        DI4_0           : out    vl_logic;
        DI3_0           : out    vl_logic;
        DI2_0           : out    vl_logic;
        DI1_0           : out    vl_logic;
        DI0_0           : out    vl_logic;
        A7_0            : out    vl_logic;
        A6_0            : out    vl_logic;
        A5_0            : out    vl_logic;
        A4_0            : out    vl_logic;
        A3_0            : out    vl_logic;
        A2_0            : out    vl_logic;
        A1_0            : out    vl_logic;
        A0_0            : out    vl_logic;
        B7_0            : out    vl_logic;
        B6_0            : out    vl_logic;
        B5_0            : out    vl_logic;
        B4_0            : out    vl_logic;
        B3_0            : out    vl_logic;
        B2_0            : out    vl_logic;
        B1_0            : out    vl_logic;
        B0_0            : out    vl_logic;
        Test_WEB_0      : out    vl_logic;
        Test_CSAN_0     : out    vl_logic;
        Test_CSBN_0     : out    vl_logic;
        DI71_1          : out    vl_logic;
        DI70_1          : out    vl_logic;
        DI69_1          : out    vl_logic;
        DI68_1          : out    vl_logic;
        DI67_1          : out    vl_logic;
        DI66_1          : out    vl_logic;
        DI65_1          : out    vl_logic;
        DI64_1          : out    vl_logic;
        DI63_1          : out    vl_logic;
        DI62_1          : out    vl_logic;
        DI61_1          : out    vl_logic;
        DI60_1          : out    vl_logic;
        DI59_1          : out    vl_logic;
        DI58_1          : out    vl_logic;
        DI57_1          : out    vl_logic;
        DI56_1          : out    vl_logic;
        DI55_1          : out    vl_logic;
        DI54_1          : out    vl_logic;
        DI53_1          : out    vl_logic;
        DI52_1          : out    vl_logic;
        DI51_1          : out    vl_logic;
        DI50_1          : out    vl_logic;
        DI49_1          : out    vl_logic;
        DI48_1          : out    vl_logic;
        DI47_1          : out    vl_logic;
        DI46_1          : out    vl_logic;
        DI45_1          : out    vl_logic;
        DI44_1          : out    vl_logic;
        DI43_1          : out    vl_logic;
        DI42_1          : out    vl_logic;
        DI41_1          : out    vl_logic;
        DI40_1          : out    vl_logic;
        DI39_1          : out    vl_logic;
        DI38_1          : out    vl_logic;
        DI37_1          : out    vl_logic;
        DI36_1          : out    vl_logic;
        DI35_1          : out    vl_logic;
        DI34_1          : out    vl_logic;
        DI33_1          : out    vl_logic;
        DI32_1          : out    vl_logic;
        DI31_1          : out    vl_logic;
        DI30_1          : out    vl_logic;
        DI29_1          : out    vl_logic;
        DI28_1          : out    vl_logic;
        DI27_1          : out    vl_logic;
        DI26_1          : out    vl_logic;
        DI25_1          : out    vl_logic;
        DI24_1          : out    vl_logic;
        DI23_1          : out    vl_logic;
        DI22_1          : out    vl_logic;
        DI21_1          : out    vl_logic;
        DI20_1          : out    vl_logic;
        DI19_1          : out    vl_logic;
        DI18_1          : out    vl_logic;
        DI17_1          : out    vl_logic;
        DI16_1          : out    vl_logic;
        DI15_1          : out    vl_logic;
        DI14_1          : out    vl_logic;
        DI13_1          : out    vl_logic;
        DI12_1          : out    vl_logic;
        DI11_1          : out    vl_logic;
        DI10_1          : out    vl_logic;
        DI9_1           : out    vl_logic;
        DI8_1           : out    vl_logic;
        DI7_1           : out    vl_logic;
        DI6_1           : out    vl_logic;
        DI5_1           : out    vl_logic;
        DI4_1           : out    vl_logic;
        DI3_1           : out    vl_logic;
        DI2_1           : out    vl_logic;
        DI1_1           : out    vl_logic;
        DI0_1           : out    vl_logic;
        A6_1            : out    vl_logic;
        A5_1            : out    vl_logic;
        A4_1            : out    vl_logic;
        A3_1            : out    vl_logic;
        A2_1            : out    vl_logic;
        A1_1            : out    vl_logic;
        A0_1            : out    vl_logic;
        B6_1            : out    vl_logic;
        B5_1            : out    vl_logic;
        B4_1            : out    vl_logic;
        B3_1            : out    vl_logic;
        B2_1            : out    vl_logic;
        B1_1            : out    vl_logic;
        B0_1            : out    vl_logic;
        Test_WEB_1      : out    vl_logic;
        Test_CSAN_1     : out    vl_logic;
        Test_CSBN_1     : out    vl_logic;
        DI71_2          : out    vl_logic;
        DI70_2          : out    vl_logic;
        DI69_2          : out    vl_logic;
        DI68_2          : out    vl_logic;
        DI67_2          : out    vl_logic;
        DI66_2          : out    vl_logic;
        DI65_2          : out    vl_logic;
        DI64_2          : out    vl_logic;
        DI63_2          : out    vl_logic;
        DI62_2          : out    vl_logic;
        DI61_2          : out    vl_logic;
        DI60_2          : out    vl_logic;
        DI59_2          : out    vl_logic;
        DI58_2          : out    vl_logic;
        DI57_2          : out    vl_logic;
        DI56_2          : out    vl_logic;
        DI55_2          : out    vl_logic;
        DI54_2          : out    vl_logic;
        DI53_2          : out    vl_logic;
        DI52_2          : out    vl_logic;
        DI51_2          : out    vl_logic;
        DI50_2          : out    vl_logic;
        DI49_2          : out    vl_logic;
        DI48_2          : out    vl_logic;
        DI47_2          : out    vl_logic;
        DI46_2          : out    vl_logic;
        DI45_2          : out    vl_logic;
        DI44_2          : out    vl_logic;
        DI43_2          : out    vl_logic;
        DI42_2          : out    vl_logic;
        DI41_2          : out    vl_logic;
        DI40_2          : out    vl_logic;
        DI39_2          : out    vl_logic;
        DI38_2          : out    vl_logic;
        DI37_2          : out    vl_logic;
        DI36_2          : out    vl_logic;
        DI35_2          : out    vl_logic;
        DI34_2          : out    vl_logic;
        DI33_2          : out    vl_logic;
        DI32_2          : out    vl_logic;
        DI31_2          : out    vl_logic;
        DI30_2          : out    vl_logic;
        DI29_2          : out    vl_logic;
        DI28_2          : out    vl_logic;
        DI27_2          : out    vl_logic;
        DI26_2          : out    vl_logic;
        DI25_2          : out    vl_logic;
        DI24_2          : out    vl_logic;
        DI23_2          : out    vl_logic;
        DI22_2          : out    vl_logic;
        DI21_2          : out    vl_logic;
        DI20_2          : out    vl_logic;
        DI19_2          : out    vl_logic;
        DI18_2          : out    vl_logic;
        DI17_2          : out    vl_logic;
        DI16_2          : out    vl_logic;
        DI15_2          : out    vl_logic;
        DI14_2          : out    vl_logic;
        DI13_2          : out    vl_logic;
        DI12_2          : out    vl_logic;
        DI11_2          : out    vl_logic;
        DI10_2          : out    vl_logic;
        DI9_2           : out    vl_logic;
        DI8_2           : out    vl_logic;
        DI7_2           : out    vl_logic;
        DI6_2           : out    vl_logic;
        DI5_2           : out    vl_logic;
        DI4_2           : out    vl_logic;
        DI3_2           : out    vl_logic;
        DI2_2           : out    vl_logic;
        DI1_2           : out    vl_logic;
        DI0_2           : out    vl_logic;
        A6_2            : out    vl_logic;
        A5_2            : out    vl_logic;
        A4_2            : out    vl_logic;
        A3_2            : out    vl_logic;
        A2_2            : out    vl_logic;
        A1_2            : out    vl_logic;
        A0_2            : out    vl_logic;
        B6_2            : out    vl_logic;
        B5_2            : out    vl_logic;
        B4_2            : out    vl_logic;
        B3_2            : out    vl_logic;
        B2_2            : out    vl_logic;
        B1_2            : out    vl_logic;
        B0_2            : out    vl_logic;
        Test_WEB_2      : out    vl_logic;
        Test_CSAN_2     : out    vl_logic;
        Test_CSBN_2     : out    vl_logic;
        tst_done        : out    vl_logic;
        diag_clk        : in     vl_logic;
        fail_h_0        : out    vl_logic;
        fail_h_1        : out    vl_logic;
        fail_h_2        : out    vl_logic;
        DO71_0          : in     vl_logic;
        DO70_0          : in     vl_logic;
        DO69_0          : in     vl_logic;
        DO68_0          : in     vl_logic;
        DO67_0          : in     vl_logic;
        DO66_0          : in     vl_logic;
        DO65_0          : in     vl_logic;
        DO64_0          : in     vl_logic;
        DO63_0          : in     vl_logic;
        DO62_0          : in     vl_logic;
        DO61_0          : in     vl_logic;
        DO60_0          : in     vl_logic;
        DO59_0          : in     vl_logic;
        DO58_0          : in     vl_logic;
        DO57_0          : in     vl_logic;
        DO56_0          : in     vl_logic;
        DO55_0          : in     vl_logic;
        DO54_0          : in     vl_logic;
        DO53_0          : in     vl_logic;
        DO52_0          : in     vl_logic;
        DO51_0          : in     vl_logic;
        DO50_0          : in     vl_logic;
        DO49_0          : in     vl_logic;
        DO48_0          : in     vl_logic;
        DO47_0          : in     vl_logic;
        DO46_0          : in     vl_logic;
        DO45_0          : in     vl_logic;
        DO44_0          : in     vl_logic;
        DO43_0          : in     vl_logic;
        DO42_0          : in     vl_logic;
        DO41_0          : in     vl_logic;
        DO40_0          : in     vl_logic;
        DO39_0          : in     vl_logic;
        DO38_0          : in     vl_logic;
        DO37_0          : in     vl_logic;
        DO36_0          : in     vl_logic;
        DO35_0          : in     vl_logic;
        DO34_0          : in     vl_logic;
        DO33_0          : in     vl_logic;
        DO32_0          : in     vl_logic;
        DO31_0          : in     vl_logic;
        DO30_0          : in     vl_logic;
        DO29_0          : in     vl_logic;
        DO28_0          : in     vl_logic;
        DO27_0          : in     vl_logic;
        DO26_0          : in     vl_logic;
        DO25_0          : in     vl_logic;
        DO24_0          : in     vl_logic;
        DO23_0          : in     vl_logic;
        DO22_0          : in     vl_logic;
        DO21_0          : in     vl_logic;
        DO20_0          : in     vl_logic;
        DO19_0          : in     vl_logic;
        DO18_0          : in     vl_logic;
        DO17_0          : in     vl_logic;
        DO16_0          : in     vl_logic;
        DO15_0          : in     vl_logic;
        DO14_0          : in     vl_logic;
        DO13_0          : in     vl_logic;
        DO12_0          : in     vl_logic;
        DO11_0          : in     vl_logic;
        DO10_0          : in     vl_logic;
        DO9_0           : in     vl_logic;
        DO8_0           : in     vl_logic;
        DO7_0           : in     vl_logic;
        DO6_0           : in     vl_logic;
        DO5_0           : in     vl_logic;
        DO4_0           : in     vl_logic;
        DO3_0           : in     vl_logic;
        DO2_0           : in     vl_logic;
        DO1_0           : in     vl_logic;
        DO0_0           : in     vl_logic;
        DO71_1          : in     vl_logic;
        DO70_1          : in     vl_logic;
        DO69_1          : in     vl_logic;
        DO68_1          : in     vl_logic;
        DO67_1          : in     vl_logic;
        DO66_1          : in     vl_logic;
        DO65_1          : in     vl_logic;
        DO64_1          : in     vl_logic;
        DO63_1          : in     vl_logic;
        DO62_1          : in     vl_logic;
        DO61_1          : in     vl_logic;
        DO60_1          : in     vl_logic;
        DO59_1          : in     vl_logic;
        DO58_1          : in     vl_logic;
        DO57_1          : in     vl_logic;
        DO56_1          : in     vl_logic;
        DO55_1          : in     vl_logic;
        DO54_1          : in     vl_logic;
        DO53_1          : in     vl_logic;
        DO52_1          : in     vl_logic;
        DO51_1          : in     vl_logic;
        DO50_1          : in     vl_logic;
        DO49_1          : in     vl_logic;
        DO48_1          : in     vl_logic;
        DO47_1          : in     vl_logic;
        DO46_1          : in     vl_logic;
        DO45_1          : in     vl_logic;
        DO44_1          : in     vl_logic;
        DO43_1          : in     vl_logic;
        DO42_1          : in     vl_logic;
        DO41_1          : in     vl_logic;
        DO40_1          : in     vl_logic;
        DO39_1          : in     vl_logic;
        DO38_1          : in     vl_logic;
        DO37_1          : in     vl_logic;
        DO36_1          : in     vl_logic;
        DO35_1          : in     vl_logic;
        DO34_1          : in     vl_logic;
        DO33_1          : in     vl_logic;
        DO32_1          : in     vl_logic;
        DO31_1          : in     vl_logic;
        DO30_1          : in     vl_logic;
        DO29_1          : in     vl_logic;
        DO28_1          : in     vl_logic;
        DO27_1          : in     vl_logic;
        DO26_1          : in     vl_logic;
        DO25_1          : in     vl_logic;
        DO24_1          : in     vl_logic;
        DO23_1          : in     vl_logic;
        DO22_1          : in     vl_logic;
        DO21_1          : in     vl_logic;
        DO20_1          : in     vl_logic;
        DO19_1          : in     vl_logic;
        DO18_1          : in     vl_logic;
        DO17_1          : in     vl_logic;
        DO16_1          : in     vl_logic;
        DO15_1          : in     vl_logic;
        DO14_1          : in     vl_logic;
        DO13_1          : in     vl_logic;
        DO12_1          : in     vl_logic;
        DO11_1          : in     vl_logic;
        DO10_1          : in     vl_logic;
        DO9_1           : in     vl_logic;
        DO8_1           : in     vl_logic;
        DO7_1           : in     vl_logic;
        DO6_1           : in     vl_logic;
        DO5_1           : in     vl_logic;
        DO4_1           : in     vl_logic;
        DO3_1           : in     vl_logic;
        DO2_1           : in     vl_logic;
        DO1_1           : in     vl_logic;
        DO0_1           : in     vl_logic;
        DO71_2          : in     vl_logic;
        DO70_2          : in     vl_logic;
        DO69_2          : in     vl_logic;
        DO68_2          : in     vl_logic;
        DO67_2          : in     vl_logic;
        DO66_2          : in     vl_logic;
        DO65_2          : in     vl_logic;
        DO64_2          : in     vl_logic;
        DO63_2          : in     vl_logic;
        DO62_2          : in     vl_logic;
        DO61_2          : in     vl_logic;
        DO60_2          : in     vl_logic;
        DO59_2          : in     vl_logic;
        DO58_2          : in     vl_logic;
        DO57_2          : in     vl_logic;
        DO56_2          : in     vl_logic;
        DO55_2          : in     vl_logic;
        DO54_2          : in     vl_logic;
        DO53_2          : in     vl_logic;
        DO52_2          : in     vl_logic;
        DO51_2          : in     vl_logic;
        DO50_2          : in     vl_logic;
        DO49_2          : in     vl_logic;
        DO48_2          : in     vl_logic;
        DO47_2          : in     vl_logic;
        DO46_2          : in     vl_logic;
        DO45_2          : in     vl_logic;
        DO44_2          : in     vl_logic;
        DO43_2          : in     vl_logic;
        DO42_2          : in     vl_logic;
        DO41_2          : in     vl_logic;
        DO40_2          : in     vl_logic;
        DO39_2          : in     vl_logic;
        DO38_2          : in     vl_logic;
        DO37_2          : in     vl_logic;
        DO36_2          : in     vl_logic;
        DO35_2          : in     vl_logic;
        DO34_2          : in     vl_logic;
        DO33_2          : in     vl_logic;
        DO32_2          : in     vl_logic;
        DO31_2          : in     vl_logic;
        DO30_2          : in     vl_logic;
        DO29_2          : in     vl_logic;
        DO28_2          : in     vl_logic;
        DO27_2          : in     vl_logic;
        DO26_2          : in     vl_logic;
        DO25_2          : in     vl_logic;
        DO24_2          : in     vl_logic;
        DO23_2          : in     vl_logic;
        DO22_2          : in     vl_logic;
        DO21_2          : in     vl_logic;
        DO20_2          : in     vl_logic;
        DO19_2          : in     vl_logic;
        DO18_2          : in     vl_logic;
        DO17_2          : in     vl_logic;
        DO16_2          : in     vl_logic;
        DO15_2          : in     vl_logic;
        DO14_2          : in     vl_logic;
        DO13_2          : in     vl_logic;
        DO12_2          : in     vl_logic;
        DO11_2          : in     vl_logic;
        DO10_2          : in     vl_logic;
        DO9_2           : in     vl_logic;
        DO8_2           : in     vl_logic;
        DO7_2           : in     vl_logic;
        DO6_2           : in     vl_logic;
        DO5_2           : in     vl_logic;
        DO4_2           : in     vl_logic;
        DO3_2           : in     vl_logic;
        DO2_2           : in     vl_logic;
        DO1_2           : in     vl_logic;
        DO0_2           : in     vl_logic;
        hold_l          : in     vl_logic;
        debugz          : in     vl_logic;
        scan_out        : out    vl_logic;
        test_h          : in     vl_logic;
        bist_clk        : in     vl_logic;
        rst_l           : in     vl_logic;
        start_retention_h: out    vl_logic;
        test_resume_h   : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of start_state : constant is 1;
    attribute mti_svvh_generic_type of comp_test_write0 : constant is 1;
    attribute mti_svvh_generic_type of comp_test_read_fail0 : constant is 1;
    attribute mti_svvh_generic_type of comp_test_read_pass0 : constant is 1;
    attribute mti_svvh_generic_type of comp_test_write1 : constant is 1;
    attribute mti_svvh_generic_type of comp_test_read_fail1 : constant is 1;
    attribute mti_svvh_generic_type of comp_test_read_pass1 : constant is 1;
    attribute mti_svvh_generic_type of comp_test_write2 : constant is 1;
    attribute mti_svvh_generic_type of comp_test_read_fail2 : constant is 1;
    attribute mti_svvh_generic_type of comp_test_read_pass2 : constant is 1;
    attribute mti_svvh_generic_type of mem_loop_init : constant is 1;
    attribute mti_svvh_generic_type of mem_loop : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_wBackgroundUp_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rwrInvBackgroundUp_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rwrBackgroundUp_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rwrInvBackgroundDown_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rwrBackgroundDown_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_march2_march2_rBackgroundDown_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_W0_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R0W1_down_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R1W0R0R0W1_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R1W0_down_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R0W1R1R1W0_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_row_R0_down_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_W0_col_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R0W1_col_down_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R1W0R0R0W1_col_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R1W0_col_down_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R0W1R1R1W0_col_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_March_LR_March_LR_col_R0_col_down_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_retentionCB_retentionCB_wCheckerBoardUpSynchronize_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_retentionCB_retentionCB_rCheckerBoardUp_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_retentionCB_retentionCB_wInvCheckerBoardUpSynchronize_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_retentionCB_retentionCB_rInvCheckerBoardUp_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_port_isolate_row_test_dual_port_init_mem_w_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_port_isolate_row_test_dual_port_p_i_up_row_test_port_isolate_up_row_test_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_port_isolate_row_test_dual_port_p_i_down_row_test_port_isolate_down_row_test_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_port_isolate_row_test_dual_port_review_mem_r_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_port_isolate_column_test_dual_port_init_mem_w_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_port_isolate_column_test_dual_port_p_i_up_column_test_port_isolate_up_column_test_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_port_isolate_column_test_dual_port_p_i_down_column_test_port_isolate_down_column_test_0_0 : constant is 1;
    attribute mti_svvh_generic_type of s_port_isolate_column_test_dual_port_review_mem_r_up_0_0 : constant is 1;
    attribute mti_svvh_generic_type of mem_loop_end : constant is 1;
    attribute mti_svvh_generic_type of complete_state : constant is 1;
    attribute mti_svvh_generic_type of md_none : constant is 1;
    attribute mti_svvh_generic_type of md_r : constant is 1;
    attribute mti_svvh_generic_type of md_rw : constant is 1;
    attribute mti_svvh_generic_type of md_rwr : constant is 1;
    attribute mti_svvh_generic_type of md_rwrrw : constant is 1;
    attribute mti_svvh_generic_type of md_w : constant is 1;
    attribute mti_svvh_generic_type of md_w_r : constant is 1;
    attribute mti_svvh_generic_type of p_background1 : constant is 1;
    attribute mti_svvh_generic_type of p_background2 : constant is 1;
    attribute mti_svvh_generic_type of AddrNoOp : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_0_127_up_7_127_row : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_0_127_up_7_127 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_0_127_up_7_127_ro1 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Complex_0_127_up_7_2_127 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_0_255_up_8_255_row : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_0_255_up_8_255 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_0_255_up_8_255_ro1 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Complex_0_255_up_8_2_255 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_127_0_down_7_127_row : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_127_0_down_7_127 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_127_0_down_7_127_ro1 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Complex_127_0_down_7_2_127 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_255_0_down_8_255_row : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_255_0_down_8_255 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Unary_255_0_down_8_255_ro1 : constant is 1;
    attribute mti_svvh_generic_type of AddrOp_Complex_255_0_down_8_2_255 : constant is 1;
    attribute mti_svvh_generic_type of mem_var_last : constant is 1;
    attribute mti_svvh_generic_type of spec_op_no_op : constant is 1;
    attribute mti_svvh_generic_type of spec_op_mem_var_init : constant is 1;
    attribute mti_svvh_generic_type of spec_op_mem_loop_end : constant is 1;
end pcie_mbist;
