library verilog;
use verilog.vl_types.all;
entity pcie_mbist_diag_120 is
    generic(
        cs_cidle        : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        cs_failflag2    : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        cs_hold_keep_flag: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        cs_hold_recovery_1: vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi0);
        cs_hold_scan    : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        cs_keep_flag    : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        cs_recovery_1   : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi1);
        cs_scan         : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        ds_end1         : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        ds_end2         : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        ds_final        : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        ds_idle         : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        ds_shift_data   : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        ds_start2       : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        shift_max       : vl_logic_vector(0 to 6) := (Hi1, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1)
    );
    port(
        drst_l          : in     vl_logic;
        failure         : in     vl_logic;
        monitor         : in     vl_logic_vector(88 downto 0);
        enable          : in     vl_logic;
        diag_clk        : in     vl_logic;
        ctrl_clk        : in     vl_logic;
        hold_flag_port  : out    vl_logic;
        recovery_port   : out    vl_logic;
        dout            : out    vl_logic;
        hold            : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of cs_cidle : constant is 1;
    attribute mti_svvh_generic_type of cs_failflag2 : constant is 1;
    attribute mti_svvh_generic_type of cs_hold_keep_flag : constant is 1;
    attribute mti_svvh_generic_type of cs_hold_recovery_1 : constant is 1;
    attribute mti_svvh_generic_type of cs_hold_scan : constant is 1;
    attribute mti_svvh_generic_type of cs_keep_flag : constant is 1;
    attribute mti_svvh_generic_type of cs_recovery_1 : constant is 1;
    attribute mti_svvh_generic_type of cs_scan : constant is 1;
    attribute mti_svvh_generic_type of ds_end1 : constant is 1;
    attribute mti_svvh_generic_type of ds_end2 : constant is 1;
    attribute mti_svvh_generic_type of ds_final : constant is 1;
    attribute mti_svvh_generic_type of ds_idle : constant is 1;
    attribute mti_svvh_generic_type of ds_shift_data : constant is 1;
    attribute mti_svvh_generic_type of ds_start2 : constant is 1;
    attribute mti_svvh_generic_type of shift_max : constant is 1;
end pcie_mbist_diag_120;
