library verilog;
use verilog.vl_types.all;
entity pcie_reset_ctrl is
    port(
        PCIE_RESETN     : in     vl_logic;
        PHY_RESETN      : in     vl_logic;
        PCLK            : in     vl_logic;
        PRSTN           : out    vl_logic;
        PSRST           : out    vl_logic;
        NPOR            : out    vl_logic;
        RSTN            : out    vl_logic;
        SRST            : out    vl_logic;
        CRST            : out    vl_logic;
        AXI_APB_RSTN    : in     vl_logic;
        APB_CLK         : in     vl_logic;
        APB_SRST        : out    vl_logic;
        AXI_CLK         : in     vl_logic;
        AXI_RSTN        : out    vl_logic;
        AXI_SRST        : out    vl_logic;
        PHY_PRSTN       : out    vl_logic;
        HOTRST_EXIT     : in     vl_logic;
        DLUP_EXIT       : in     vl_logic;
        PCIE_L2_EXIT    : in     vl_logic;
        pipe_phystatus  : in     vl_logic
    );
end pcie_reset_ctrl;
