library verilog;
use verilog.vl_types.all;
entity pcie_reset_ctrl_075 is
    port(
        clk_50mhz       : in     vl_logic;
        bg_por_b        : in     vl_logic;
        core_up         : in     vl_logic;
        pcie_resetn     : in     vl_logic;
        phy_resetn      : in     vl_logic;
        axi_apb_rstn    : in     vl_logic;
        pclk            : in     vl_logic;
        apb_clk         : in     vl_logic;
        axi_clk         : in     vl_logic;
        hotrst_exit_n   : in     vl_logic;
        dlup_exit_n     : in     vl_logic;
        perst_n         : in     vl_logic;
        pipe_phystatus  : in     vl_logic;
        testmode        : in     vl_logic;
        rootport        : in     vl_logic;
        cfg_enable_l2p2 : in     vl_logic;
        cfg_pcicfg_reset: in     vl_logic;
        cfg_disable_pcie_reset: in     vl_logic;
        cfg_disable_pipe_reset: in     vl_logic;
        cfg_enable_perstn: in     vl_logic;
        cfg_axi_softreset: in     vl_logic;
        powerdown       : in     vl_logic_vector(1 downto 0);
        wake_req        : in     vl_logic;
        prstn           : out    vl_logic;
        psrst           : out    vl_logic;
        npor            : out    vl_logic;
        rstn            : out    vl_logic;
        srst            : out    vl_logic;
        crst            : out    vl_logic;
        apb_rstn        : out    vl_logic;
        apb_srst        : out    vl_logic;
        axi_rstn        : out    vl_logic;
        axi_srst        : out    vl_logic;
        pipe_prstn      : out    vl_logic;
        rst_phase       : out    vl_logic_vector(1 downto 0);
        l2p2_aiddq      : out    vl_logic;
        l2p2_active     : out    vl_logic;
        pm_event_request: out    vl_logic
    );
end pcie_reset_ctrl_075;
