library verilog;
use verilog.vl_types.all;
entity pciexp125_scramb is
    generic(
        K28_5           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K28_0           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        tx_rxn          : in     vl_logic;
        data_in         : in     vl_logic_vector(15 downto 0);
        datak_in        : in     vl_logic_vector(1 downto 0);
        en_scramb       : in     vl_logic;
        data_out        : out    vl_logic_vector(15 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K28_5 : constant is 2;
    attribute mti_svvh_generic_type of K28_0 : constant is 2;
end pciexp125_scramb;
