library verilog;
use verilog.vl_types.all;
entity pciexp250_txalign_120 is
    generic(
        G_NB_LANE       : integer := 8;
        TSEQ_STATE_idle : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        TSEQ_STATE_wt_sop: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        TSEQ_STATE_trsf : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        TSEQ_STATE_wt_skpos: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        TSEQ_STATE_skpos0: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        TSEQ_STATE_skpos1: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1);
        TSEQ_STATE_skpos2: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi0);
        TSEQ_STATE_skpos3: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        txok            : out    vl_logic;
        sop             : in     vl_logic;
        eop             : in     vl_logic;
        eot             : in     vl_logic;
        tdata           : in     vl_logic_vector(63 downto 0);
        tdatak          : in     vl_logic_vector(7 downto 0);
        lane_act        : in     vl_logic_vector(3 downto 0);
        lane_rev        : in     vl_logic_vector(3 downto 0);
        req_skpos       : in     vl_logic;
        ack_skpos       : out    vl_logic;
        link_up         : in     vl_logic;
        tx_val_dl       : out    vl_logic;
        tx_data_dl      : out    vl_logic_vector;
        tx_datak_dl     : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of TSEQ_STATE_idle : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_wt_sop : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_trsf : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_wt_skpos : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_skpos0 : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_skpos1 : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_skpos2 : constant is 2;
    attribute mti_svvh_generic_type of TSEQ_STATE_skpos3 : constant is 2;
end pciexp250_txalign_120;
