library verilog;
use verilog.vl_types.all;
entity pciexp64_cfgchk_075 is
    generic(
        G_TAG_NUM       : integer := 256;
        G_PH_FUNC       : integer := 0;
        LOGIC_ZERO      : vl_logic_vector(31 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        function_num    : in     vl_logic_vector(2 downto 0);
        k_func          : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        test            : in     vl_logic_vector(31 downto 0);
        test_cfgchk     : out    vl_logic_vector(10 downto 0);
        err_msg_en      : in     vl_logic_vector(2 downto 0);
        rxfc_err        : in     vl_logic;
        tcvc_err        : in     vl_logic;
        rx_bar_cfg      : out    vl_logic_vector(7 downto 0);
        rx_uns_cfg      : out    vl_logic;
        rx_uns_bar      : out    vl_logic;
        rx_sup_cfg      : out    vl_logic;
        rx_mlf_cfg      : out    vl_logic;
        rx_err_tlp      : out    vl_logic;
        rx_fc_ovf       : out    vl_logic;
        non_posted      : out    vl_logic;
        clr_rxpath      : in     vl_logic;
        rx_fval_tlp     : in     vl_logic;
        rx_hval_tlp     : in     vl_logic;
        rx_data_tlp     : in     vl_logic_vector(63 downto 0);
        rx_discard_tlp  : in     vl_logic;
        rx_ecrcerr_tlp  : in     vl_logic;
        rx_mlf_tlp      : in     vl_logic;
        rx_check_tlp    : in     vl_logic;
        rx_ok_tlp       : in     vl_logic;
        tx_ack_tlp      : in     vl_logic;
        tx_data_tlp     : in     vl_logic_vector(63 downto 0);
        tx_msg_pmetoack : out    vl_logic;
        rx_mem32        : out    vl_logic;
        rx_mem64        : out    vl_logic;
        rx_io           : out    vl_logic;
        rx_cpl          : out    vl_logic;
        rx_cfg0         : out    vl_logic;
        rx_cfg1         : out    vl_logic;
        rx_ep           : out    vl_logic;
        rx_td           : out    vl_logic;
        rx_wr           : out    vl_logic;
        rx_addrini      : out    vl_logic_vector(63 downto 0);
        rx_addrend      : out    vl_logic_vector(11 downto 0);
        rx_tid          : out    vl_logic_vector(23 downto 0);
        rx_uns_tlp      : out    vl_logic;
        rx_unexp_cpl    : out    vl_logic;
        max_pload       : in     vl_logic_vector(2 downto 0);
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        cfg_secbus      : in     vl_logic_vector(7 downto 0);
        cfg_subbus      : in     vl_logic_vector(7 downto 0);
        rx_dec          : in     vl_logic_vector(7 downto 0);
        rx_ovf          : in     vl_logic_vector(7 downto 0);
        flr_req         : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_TAG_NUM : constant is 1;
    attribute mti_svvh_generic_type of G_PH_FUNC : constant is 1;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 2;
end pciexp64_cfgchk_075;
