library verilog;
use verilog.vl_types.all;
entity pciexp_megabar is
    generic(
        BAR_OFFSET      : integer := 0;
        LOGIC_ZERO      : vl_logic_vector(31 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        crst            : in     vl_logic;
        flrst           : in     vl_logic;
        k_func          : in     vl_logic;
        k_gen           : in     vl_logic;
        k_bar_mask      : in     vl_logic_vector(63 downto 0);
        cfg_wr          : in     vl_logic;
        cfg_sel         : in     vl_logic_vector(31 downto 0);
        cfg_be          : in     vl_logic_vector(3 downto 0);
        cfg_data        : in     vl_logic_vector(31 downto 0);
        en_io           : in     vl_logic;
        en_mem          : in     vl_logic;
        is_mem32        : in     vl_logic;
        is_mem64        : in     vl_logic;
        is_io           : in     vl_logic;
        addr_ini        : in     vl_logic_vector(63 downto 0);
        addr_end        : in     vl_logic_vector(11 downto 0);
        bar0            : out    vl_logic_vector(31 downto 0);
        bar1            : out    vl_logic_vector(31 downto 0);
        bardec_n        : out    vl_logic_vector(1 downto 0);
        barovf_n        : out    vl_logic_vector(1 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BAR_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 2;
end pciexp_megabar;
