library verilog;
use verilog.vl_types.all;
entity pciexp_miscreg is
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        crst            : in     vl_logic;
        srst            : in     vl_logic;
        flrst           : in     vl_logic;
        k_pwrmgt_cap_struct_bypass: in     vl_logic;
        k_func          : in     vl_logic;
        function_num    : in     vl_logic_vector(2 downto 0);
        mult_func       : in     vl_logic;
        cfg_wr          : in     vl_logic;
        cfg_sel         : in     vl_logic_vector(31 downto 0);
        cfg_be          : in     vl_logic_vector(3 downto 0);
        cfg_data        : in     vl_logic_vector(31 downto 0);
        k_ep            : in     vl_logic;
        k_rc            : in     vl_logic;
        k_msi           : in     vl_logic_vector(4 downto 0);
        k_msix          : in     vl_logic_vector(74 downto 0);
        app_intx_sts    : in     vl_logic;
        app_msi_req     : in     vl_logic;
        app_msi_ack     : out    vl_logic;
        app_msi_tc      : in     vl_logic_vector(2 downto 0);
        app_msi_num     : in     vl_logic_vector(4 downto 0);
        pex_int_sts     : in     vl_logic;
        pex_msi_req     : in     vl_logic;
        pex_msi_ack     : out    vl_logic;
        pex_msi_num     : in     vl_logic_vector(4 downto 0);
        aer_int_sts     : in     vl_logic;
        aer_msi_req     : in     vl_logic;
        aer_msi_ack     : out    vl_logic;
        aer_msi_num     : in     vl_logic_vector(4 downto 0);
        k_msi_en        : in     vl_logic_vector(1 downto 0);
        msi_en          : in     vl_logic;
        msi_ack         : in     vl_logic;
        msi_req         : out    vl_logic;
        msi_req_rc_fromapp: out    vl_logic;
        msi_tc          : out    vl_logic_vector(2 downto 0);
        msi_addr        : out    vl_logic_vector(63 downto 0);
        msi_data        : out    vl_logic_vector(15 downto 0);
        int_dn          : out    vl_logic_vector(3 downto 0);
        lowpwr_req      : in     vl_logic;
        int_disable     : in     vl_logic;
        int_pin         : in     vl_logic_vector(7 downto 0);
        int_status      : out    vl_logic;
        msi_cs          : out    vl_logic_vector(31 downto 0);
        msix_00         : out    vl_logic_vector(31 downto 0);
        msix_04         : out    vl_logic_vector(31 downto 0);
        msix_08         : out    vl_logic_vector(31 downto 0);
        reg0c           : out    vl_logic_vector(31 downto 0);
        reg3c           : out    vl_logic_vector(31 downto 0);
        capptr          : out    vl_logic_vector(31 downto 0)
    );
end pciexp_miscreg;
