library verilog;
use verilog.vl_types.all;
entity pciexp_pexreg is
    generic(
        G_PH_FUNC       : vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        LOGIC_ZERO      : vl_logic_vector(31 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        sticky_rstn     : in     vl_logic;
        crst            : in     vl_logic;
        srst            : in     vl_logic;
        flrst           : in     vl_logic;
        flr_req         : out    vl_logic;
        k_func          : in     vl_logic;
        function_num    : in     vl_logic_vector(2 downto 0);
        test_pex        : out    vl_logic_vector(2 downto 0);
        swdn_hotrst     : in     vl_logic;
        slotclk_cfg     : in     vl_logic;
        cfg_wr          : in     vl_logic;
        cfg_sel         : in     vl_logic_vector(31 downto 0);
        cfg_be          : in     vl_logic_vector(3 downto 0);
        cfg_data        : in     vl_logic_vector(31 downto 0);
        k_pm            : in     vl_logic_vector(15 downto 0);
        k_lk            : in     vl_logic_vector(7 downto 0);
        k_pex           : in     vl_logic_vector(86 downto 0);
        k_ssid          : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_conf          : in     vl_logic_vector(383 downto 0);
        comclk_chg      : out    vl_logic;
        rx_msg_attbut   : in     vl_logic;
        rx_msg_spls     : in     vl_logic;
        rx_data_spls    : in     vl_logic_vector(9 downto 0);
        rx_pm_pme       : in     vl_logic;
        rx_pme_reqid    : in     vl_logic_vector(15 downto 0);
        trans_pending   : in     vl_logic;
        auxpwr_det      : in     vl_logic;
        err_non_dsr     : in     vl_logic;
        err_non_msg     : in     vl_logic;
        err_fat_dsr     : in     vl_logic;
        err_fat_msg     : in     vl_logic;
        err_cor_dsr     : in     vl_logic;
        err_cor_msg     : in     vl_logic;
        err_uns_dsr     : in     vl_logic;
        lane_act        : in     vl_logic_vector(3 downto 0);
        dl_up           : in     vl_logic;
        link_up         : in     vl_logic;
        link_train      : in     vl_logic;
        l0sstate        : in     vl_logic;
        err_tng         : in     vl_logic;
        serr_en         : in     vl_logic;
        msi_en          : in     vl_logic;
        retlink_req     : out    vl_logic;
        req_msg_fat     : out    vl_logic;
        ack_msg_fat     : in     vl_logic;
        req_msg_non     : out    vl_logic;
        ack_msg_non     : in     vl_logic;
        req_msg_cor     : out    vl_logic;
        ack_msg_cor     : in     vl_logic;
        req_msg_hp      : out    vl_logic;
        typ_msg_hp      : out    vl_logic_vector(2 downto 0);
        ack_msg_hp      : in     vl_logic;
        req_msg_spls    : out    vl_logic;
        data_msg_spls   : out    vl_logic_vector(9 downto 0);
        ack_msg_spls    : in     vl_logic;
        hpg_ctrler      : in     vl_logic_vector(4 downto 0);
        pex_int_sts     : out    vl_logic;
        pex_msi_req     : out    vl_logic;
        pex_msi_ack     : in     vl_logic;
        pex_msi_num     : in     vl_logic_vector(4 downto 0);
        pex00           : out    vl_logic_vector(31 downto 0);
        pex04           : out    vl_logic_vector(31 downto 0);
        pex08           : out    vl_logic_vector(31 downto 0);
        pex0C           : out    vl_logic_vector(31 downto 0);
        pex10           : out    vl_logic_vector(31 downto 0);
        pex14           : out    vl_logic_vector(31 downto 0);
        pex18           : out    vl_logic_vector(31 downto 0);
        pex1C           : out    vl_logic_vector(31 downto 0);
        pex20           : out    vl_logic_vector(31 downto 0);
        pex24           : out    vl_logic_vector(31 downto 0);
        pex28           : out    vl_logic_vector(31 downto 0);
        pex2C           : out    vl_logic_vector(31 downto 0);
        pex30           : out    vl_logic_vector(31 downto 0);
        pex34           : out    vl_logic_vector(31 downto 0);
        pex38           : out    vl_logic_vector(31 downto 0);
        current_speed   : in     vl_logic_vector(1 downto 0);
        current_deemp   : in     vl_logic;
        rst_tx_margin_field: in     vl_logic;
        rst_enter_comp_bit: in     vl_logic;
        lnk_bdw_mng_st  : in     vl_logic;
        lnk_auto_bdw_st : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_PH_FUNC : constant is 2;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 2;
end pciexp_pexreg;
