library verilog;
use verilog.vl_types.all;
entity pciexp_rxfc is
    generic(
        LOGIC_ZERO      : vl_logic_vector(31 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_rxfc       : out    vl_logic_vector(55 downto 0);
        k_gen           : in     vl_logic;
        k_cnt           : in     vl_logic_vector(127 downto 0);
        k_vc            : in     vl_logic_vector(55 downto 0);
        vc_status       : in     vl_logic;
        l0sstate        : in     vl_logic;
        ev_1us          : in     vl_logic;
        link_up         : in     vl_logic;
        max_payload_size: in     vl_logic_vector(12 downto 0);
        rxfc_max        : out    vl_logic;
        rxfc_err        : out    vl_logic;
        rxfc_mask       : out    vl_logic;
        req_upfc        : out    vl_logic;
        snd_upfc        : out    vl_logic;
        ack_upfc        : in     vl_logic;
        typ_upfc        : out    vl_logic_vector(1 downto 0);
        hdr_upfc        : out    vl_logic_vector(7 downto 0);
        data_upfc       : out    vl_logic_vector(11 downto 0);
        hdr_upfc_mem    : in     vl_logic_vector(7 downto 0);
        data_upfc_mem   : in     vl_logic_vector(11 downto 0);
        req_in          : in     vl_logic;
        typ_in          : in     vl_logic_vector(1 downto 0);
        typ_in_fc       : in     vl_logic_vector(1 downto 0);
        dsiz_in         : in     vl_logic_vector(8 downto 0);
        dsiz_in_fc      : in     vl_logic_vector(8 downto 0);
        ack_out         : in     vl_logic;
        typ_out         : in     vl_logic_vector(1 downto 0);
        dsiz_out        : in     vl_logic_vector(8 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 2;
end pciexp_rxfc;
