library verilog;
use verilog.vl_types.all;
entity phy_ctrl_120 is
    generic(
        NUM_RANKS       : integer := 1;
        CMDSIZE         : integer := 26
    );
    port(
        core_clk        : in     vl_logic;
        core_clk1       : in     vl_logic;
        rstn_p          : in     vl_logic;
        rstn_n          : in     vl_logic;
        reg_invert_clkout: in     vl_logic;
        test_enable     : in     vl_logic;
        en_clkout       : in     vl_logic_vector;
        clkout          : out    vl_logic_vector;
        bs_clkout       : in     vl_logic_vector;
        bs_clkout_sel   : in     vl_logic_vector;
        bs_clkout_observe: out    vl_logic_vector;
        clkout_n        : out    vl_logic_vector;
        bs_clkout_n     : in     vl_logic_vector;
        bs_clkout_n_sel : in     vl_logic_vector;
        bs_clkout_n_observe: out    vl_logic_vector;
        scan_enable     : in     vl_logic;
        scan_in         : in     vl_logic;
        scan_out        : out    vl_logic;
        scan_in1        : in     vl_logic;
        scan_out1       : out    vl_logic;
        cmd_in          : in     vl_logic_vector;
        cmd_out         : out    vl_logic_vector;
        bs_cmdout       : in     vl_logic_vector;
        bs_cmdout_sel   : in     vl_logic_vector;
        bs_cmdout_observe: out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of NUM_RANKS : constant is 1;
    attribute mti_svvh_generic_type of CMDSIZE : constant is 1;
end phy_ctrl_120;
