library verilog;
use verilog.vl_types.all;
entity phy_data_dqs_out_075 is
    port(
        dqs_clk         : in     vl_logic;
        dqs_clk1        : in     vl_logic;
        rstn            : in     vl_logic;
        oe              : in     vl_logic;
        bs_dqs          : in     vl_logic;
        bs_dqs_sel      : in     vl_logic;
        dqs_out         : out    vl_logic;
        bs_dqs_observe  : out    vl_logic;
        bs_dqs_n        : in     vl_logic;
        bs_dqs_n_sel    : in     vl_logic;
        dqs_out_n       : out    vl_logic;
        bs_dqs_n_observe: out    vl_logic;
        bs_dqsoe        : in     vl_logic;
        bs_dqsoe_sel    : in     vl_logic;
        dqs_oe          : out    vl_logic;
        dqs_oe_observe  : out    vl_logic;
        bs_dqsoeb       : in     vl_logic;
        bs_dqsoeb_sel   : in     vl_logic;
        dqs_oeb         : out    vl_logic;
        dqs_oeb_observe : out    vl_logic;
        reg_phy_rd_local_odt: in     vl_logic_vector(1 downto 0);
        reg_phy_wr_local_odt: in     vl_logic_vector(1 downto 0);
        reg_phy_idle_local_odt: in     vl_logic_vector(1 downto 0);
        local_odt_rd_sel: in     vl_logic;
        local_odt_wr_sel: in     vl_logic;
        local_odt_dqs   : out    vl_logic_vector(1 downto 0)
    );
end phy_data_dqs_out_075;
