library verilog;
use verilog.vl_types.all;
entity phy_data_out_bit_120 is
    port(
        clk             : in     vl_logic;
        rstn_n          : in     vl_logic;
        rstn_p          : in     vl_logic;
        wdata_l         : in     vl_logic;
        wdata_h         : in     vl_logic;
        wdata_sel       : in     vl_logic;
        oe              : in     vl_logic;
        bs_dq           : in     vl_logic;
        bs_dq_sel       : in     vl_logic;
        reg_phy_rd_local_odt: in     vl_logic_vector(1 downto 0);
        reg_phy_wr_local_odt: in     vl_logic_vector(1 downto 0);
        reg_phy_idle_local_odt: in     vl_logic_vector(1 downto 0);
        local_odt_rd_sel: in     vl_logic;
        local_odt_wr_sel: in     vl_logic;
        bs_dqoe         : in     vl_logic;
        bs_dqoe_sel     : in     vl_logic;
        bs_dqoeb        : in     vl_logic;
        bs_dqoeb_sel    : in     vl_logic;
        dq_out          : out    vl_logic;
        dq_out_observe  : out    vl_logic;
        dq_oe           : out    vl_logic;
        dq_oe_observe   : out    vl_logic;
        dq_oeb          : out    vl_logic;
        dq_oeb_observe  : out    vl_logic;
        local_odt       : out    vl_logic_vector(1 downto 0)
    );
end phy_data_out_bit_120;
