library verilog;
use verilog.vl_types.all;
entity phy_rd_level_fsm_075 is
    generic(
        FSM_IDLE        : vl_logic_vector(0 to 3) := (Hi1, Hi0, Hi0, Hi0);
        FSM_START       : vl_logic_vector(0 to 3) := (Hi0, Hi1, Hi0, Hi0);
        FSM_WAIT_FOR_ALL_0: vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi1, Hi0);
        FSM_ALL_0       : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi1);
        FSM_PASSED      : vl_logic_vector(0 to 3) := (Hi0, Hi1, Hi0, Hi1);
        FSM_FAILED      : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        dfi_rdlvl_en    : in     vl_logic;
        dfi_rdlvl_csn   : in     vl_logic_vector(0 downto 0);
        rdlvl_inc       : in     vl_logic;
        rd_level_inc_fail: out    vl_logic;
        dq0_in          : in     vl_logic_vector(1 downto 0);
        dq0_in_valid    : in     vl_logic;
        ratio_in        : in     vl_logic_vector(9 downto 0);
        ratio           : out    vl_logic_vector(9 downto 0);
        load_ratio      : out    vl_logic;
        rl_search       : out    vl_logic;
        rd_level_fsm    : out    vl_logic_vector(3 downto 0);
        dfi_rdlvl_resp  : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of FSM_IDLE : constant is 1;
    attribute mti_svvh_generic_type of FSM_START : constant is 1;
    attribute mti_svvh_generic_type of FSM_WAIT_FOR_ALL_0 : constant is 1;
    attribute mti_svvh_generic_type of FSM_ALL_0 : constant is 1;
    attribute mti_svvh_generic_type of FSM_PASSED : constant is 1;
    attribute mti_svvh_generic_type of FSM_FAILED : constant is 1;
end phy_rd_level_fsm_075;
