library verilog;
use verilog.vl_types.all;
entity priority_block_010 is
    generic(
        K_F_RD_CMD_FIFO_DP: integer := 4;
        K_B_RD_CMD_FIFO_DP: integer := 4
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        f_pri_high      : in     vl_logic;
        b_rd_req        : in     vl_logic;
        b_rd_priority   : in     vl_logic;
        b_rd_cmd        : in     vl_logic_vector(39 downto 0);
        b_rd_cmd_ptr    : in     vl_logic_vector;
        b_rd_lck        : in     vl_logic;
        b_rd_grant      : out    vl_logic;
        b_wr_req        : in     vl_logic;
        b_wr_priority   : in     vl_logic;
        b_wr_cmd        : in     vl_logic_vector(39 downto 0);
        b_wr_lck        : in     vl_logic;
        b_rmw           : in     vl_logic;
        b_wrstrb        : in     vl_logic_vector(7 downto 0);
        b_wrdata        : in     vl_logic_vector(63 downto 0);
        b_wvalid        : in     vl_logic;
        b_wlast         : in     vl_logic;
        b_wr_grant      : out    vl_logic;
        b_wready        : out    vl_logic;
        f_rd_req        : in     vl_logic;
        f_rd_priority   : in     vl_logic;
        f_rd_cmd_ptr    : in     vl_logic_vector;
        f_rd_cmd        : in     vl_logic_vector(39 downto 0);
        f_rd_lck        : in     vl_logic;
        f_rmw           : in     vl_logic;
        f_rd_grant      : out    vl_logic;
        f_wr_req        : in     vl_logic;
        f_wr_priority   : in     vl_logic;
        f_wr_cmd        : in     vl_logic_vector(39 downto 0);
        f_wr_lck        : in     vl_logic;
        f_wrstrb        : in     vl_logic_vector(7 downto 0);
        f_wrdata        : in     vl_logic_vector(63 downto 0);
        f_wvalid        : in     vl_logic;
        f_wlast         : in     vl_logic;
        f_wr_grant      : out    vl_logic;
        f_wready        : out    vl_logic;
        pr_b_rd_req     : out    vl_logic;
        pr_f_rd_req     : out    vl_logic;
        pr_b_rd_priority: out    vl_logic;
        pr_f_rd_priority: out    vl_logic;
        pr_b_rd_cmd_ptr : out    vl_logic_vector;
        pr_f_rd_cmd_ptr : out    vl_logic_vector;
        pr_b_rd_grant   : in     vl_logic;
        pr_f_rd_grant   : in     vl_logic;
        pr_b_wr_req     : out    vl_logic;
        pr_b_rmw        : out    vl_logic;
        pr_f_rmw        : out    vl_logic;
        pr_f_wr_req     : out    vl_logic;
        pr_wr_grant     : in     vl_logic;
        pr_trans_end    : in     vl_logic;
        pr_rd_cmd       : out    vl_logic_vector(39 downto 0);
        pr_wr_cmd       : out    vl_logic_vector(39 downto 0);
        pr_wrstrb       : out    vl_logic_vector(7 downto 0);
        pr_wrdata       : out    vl_logic_vector(63 downto 0);
        pr_wvalid       : out    vl_logic;
        pr_wlast        : out    vl_logic;
        pr_wready       : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K_F_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_B_RD_CMD_FIFO_DP : constant is 1;
end priority_block_010;
