library verilog;
use verilog.vl_types.all;
entity rd_ecc_decoder_120 is
    generic(
        PHY_DATA_WIDTH  : integer := 80;
        CORE_DATA_WIDTH : integer := 64;
        RMW_TYPE_BITS   : integer := 2
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_rd_resetb    : in     vl_logic;
        dh_rd_data_bus_width: in     vl_logic_vector(1 downto 0);
        dh_rd_test_mode : in     vl_logic;
        dh_rd_ecc_mode  : in     vl_logic_vector(2 downto 0);
        data_in         : in     vl_logic_vector(79 downto 0);
        data_in_valid   : in     vl_logic;
        rmwtype         : in     vl_logic_vector;
        data_out        : out    vl_logic_vector(63 downto 0);
        corrected_err   : out    vl_logic;
        uncorrected_err : out    vl_logic;
        ecc_syndrome    : out    vl_logic_vector(71 downto 0);
        corr_bit_num    : out    vl_logic_vector(6 downto 0);
        corr_bit_num_mask: out    vl_logic_vector(63 downto 0);
        parity_err_byte : out    vl_logic_vector(7 downto 0);
        parity_err      : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of PHY_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of RMW_TYPE_BITS : constant is 1;
end rd_ecc_decoder_120;
