library verilog;
use verilog.vl_types.all;
entity rt is
    generic(
        CORE_TAG_WIDTH  : integer := 4;
        RT_TAG_WIDTH    : integer := 13
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_rt_resetb    : in     vl_logic;
        dh_rt_burst_rdwr: in     vl_logic_vector(3 downto 0);
        dh_rt_data_bus_width: in     vl_logic_vector(1 downto 0);
        dh_rt_burstchop : in     vl_logic;
        rt_rd_burst_chop_rd: out    vl_logic;
        pi_rt_rd_vld    : in     vl_logic;
        pi_rt_rd_tag    : in     vl_logic_vector;
        pi_rt_rd_partial: in     vl_logic;
        ph_rt_rdatavld  : in     vl_logic;
        rt_gs_empty     : out    vl_logic;
        rt_rd_rd_valid  : out    vl_logic;
        rt_rd_eod       : out    vl_logic;
        rt_rd_rd_non_blk: out    vl_logic;
        rt_rd_rd_tag    : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of CORE_TAG_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of RT_TAG_WIDTH : constant is 1;
end rt;
