library verilog;
use verilog.vl_types.all;
entity serdesif_output_gate1_120 is
    port(
        SERDES_ON       : in     vl_logic;
        pcie_system_int_igate: in     vl_logic;
        m_awid_igate    : in     vl_logic_vector(3 downto 0);
        m_awaddr_haddr_igate: in     vl_logic_vector(31 downto 0);
        m_awlen_hburst_igate: in     vl_logic_vector(3 downto 0);
        m_awsize_hsize_igate: in     vl_logic_vector(1 downto 0);
        m_awburst_htrans_igate: in     vl_logic_vector(1 downto 0);
        m_awvalid_hwrite_igate: in     vl_logic;
        m_wid_igate     : in     vl_logic_vector(3 downto 0);
        m_wstrb_igate   : in     vl_logic_vector(7 downto 0);
        m_wlast_igate   : in     vl_logic;
        m_wvalid_igate  : in     vl_logic;
        m_wdata_hwdata_igate: in     vl_logic_vector(63 downto 0);
        m_bready_igate  : in     vl_logic;
        m_arid_igate    : in     vl_logic_vector(3 downto 0);
        m_araddr_igate  : in     vl_logic_vector(31 downto 0);
        m_arlen_igate   : in     vl_logic_vector(3 downto 0);
        m_arsize_igate  : in     vl_logic_vector(1 downto 0);
        m_arburst_igate : in     vl_logic_vector(1 downto 0);
        m_arvalid_igate : in     vl_logic;
        m_rready_igate  : in     vl_logic;
        s_awready_igate : in     vl_logic;
        s_wready_hreadyout_igate: in     vl_logic;
        s_bid_igate     : in     vl_logic_vector(3 downto 0);
        s_bresp_hresp_igate: in     vl_logic_vector(1 downto 0);
        s_bvalid_igate  : in     vl_logic;
        s_arready_igate : in     vl_logic;
        s_rid_igate     : in     vl_logic_vector(3 downto 0);
        s_rdata_hrdata_igate: in     vl_logic_vector(63 downto 0);
        s_rresp_igate   : in     vl_logic_vector(1 downto 0);
        s_rlast_igate   : in     vl_logic;
        s_rvalid_igate  : in     vl_logic;
        apb_pready_igate: in     vl_logic;
        apb_prdata_igate: in     vl_logic_vector(31 downto 0);
        apb_pslverr_igate: in     vl_logic;
        epcs_ready_igate: in     vl_logic_vector(1 downto 0);
        epcs_rxclk_igate: in     vl_logic_vector(1 downto 0);
        epcs_txclk_igate: in     vl_logic_vector(1 downto 0);
        epcs_rxdata_igate: in     vl_logic_vector(39 downto 0);
        epcs_rxval_igate: in     vl_logic_vector(1 downto 0);
        epcs_rxidle_igate: in     vl_logic_vector(1 downto 0);
        pcie_system_int_ogate: out    vl_logic;
        m_awid_ogate    : out    vl_logic_vector(3 downto 0);
        m_awaddr_haddr_ogate: out    vl_logic_vector(31 downto 0);
        m_awlen_hburst_ogate: out    vl_logic_vector(3 downto 0);
        m_awsize_hsize_ogate: out    vl_logic_vector(1 downto 0);
        m_awburst_htrans_ogate: out    vl_logic_vector(1 downto 0);
        m_awvalid_hwrite_ogate: out    vl_logic;
        m_wid_ogate     : out    vl_logic_vector(3 downto 0);
        m_wstrb_ogate   : out    vl_logic_vector(7 downto 0);
        m_wlast_ogate   : out    vl_logic;
        m_wvalid_ogate  : out    vl_logic;
        m_wdata_hwdata_ogate: out    vl_logic_vector(63 downto 0);
        m_bready_ogate  : out    vl_logic;
        m_arid_ogate    : out    vl_logic_vector(3 downto 0);
        m_araddr_ogate  : out    vl_logic_vector(31 downto 0);
        m_arlen_ogate   : out    vl_logic_vector(3 downto 0);
        m_arsize_ogate  : out    vl_logic_vector(1 downto 0);
        m_arburst_ogate : out    vl_logic_vector(1 downto 0);
        m_arvalid_ogate : out    vl_logic;
        m_rready_ogate  : out    vl_logic;
        s_awready_ogate : out    vl_logic;
        s_wready_hreadyout_ogate: out    vl_logic;
        s_bid_ogate     : out    vl_logic_vector(3 downto 0);
        s_bresp_hresp_ogate: out    vl_logic_vector(1 downto 0);
        s_bvalid_ogate  : out    vl_logic;
        s_arready_ogate : out    vl_logic;
        s_rid_ogate     : out    vl_logic_vector(3 downto 0);
        s_rdata_hrdata_ogate: out    vl_logic_vector(63 downto 0);
        s_rresp_ogate   : out    vl_logic_vector(1 downto 0);
        s_rlast_ogate   : out    vl_logic;
        s_rvalid_ogate  : out    vl_logic;
        apb_pready_ogate: out    vl_logic;
        apb_prdata_ogate: out    vl_logic_vector(31 downto 0);
        apb_pslverr_ogate: out    vl_logic;
        epcs_ready_ogate: out    vl_logic_vector(1 downto 0);
        epcs_rxclk_ogate: out    vl_logic_vector(1 downto 0);
        epcs_txclk_ogate: out    vl_logic_vector(1 downto 0);
        epcs_rxdata_ogate: out    vl_logic_vector(39 downto 0);
        epcs_rxval_ogate: out    vl_logic_vector(1 downto 0);
        epcs_rxidle_ogate: out    vl_logic_vector(1 downto 0)
    );
end serdesif_output_gate1_120;
