library verilog;
use verilog.vl_types.all;
entity serdesif_output_gate2_120 is
    port(
        SERDES_ON       : in     vl_logic;
        epcs_rxrstn_igate: in     vl_logic_vector(1 downto 0);
        epcs_txrstn_igate: in     vl_logic_vector(1 downto 0);
        atxclkstable_igate: in     vl_logic_vector(1 downto 0);
        wake_n_igate    : in     vl_logic;
        lt_sout_igate   : in     vl_logic;
        atpg_fab_enable_igate: in     vl_logic;
        atpg_fab_sck_igate: in     vl_logic_vector(1 downto 0);
        atpg_fab_se_igate: in     vl_logic_vector(1 downto 0);
        atpg_fab_sdi_igate: in     vl_logic_vector(1 downto 0);
        h2fcalib0_igate : in     vl_logic;
        h2fcalib1_igate : in     vl_logic;
        epcs_txclk_1_igate: in     vl_logic;
        epcs_txclk_0_igate: in     vl_logic;
        epcs_rxclk_1_igate: in     vl_logic;
        epcs_rxclk_0_igate: in     vl_logic;
        spll_lock_igate : in     vl_logic;
        pll_lock_int_igate: in     vl_logic;
        pll_locklost_int_igate: in     vl_logic;
        pll_serdesif_ref_igate: in     vl_logic;
        pll_serdesif_fb_igate: in     vl_logic;
        pll_serdesif_lockwin_igate: in     vl_logic_vector(2 downto 0);
        pll_serdesif_lockcnt_igate: in     vl_logic_vector(3 downto 0);
        pll_serdesif_divr_igate: in     vl_logic_vector(5 downto 0);
        pll_serdesif_divf_igate: in     vl_logic_vector(9 downto 0);
        pll_serdesif_divq_igate: in     vl_logic_vector(2 downto 0);
        pll_serdesif_range_igate: in     vl_logic_vector(3 downto 0);
        pll_serdesif_mode_1v2_igate: in     vl_logic;
        pll_serdesif_mode_3v3_igate: in     vl_logic;
        pll_serdesif_fse_igate: in     vl_logic;
        pll_serdesif_reset_igate: in     vl_logic;
        pll_serdesif_bypass_igate: in     vl_logic;
        pll_serdesif_pd_igate: in     vl_logic;
        serdesif_clk_div16_igate: in     vl_logic;
        xaui_out_clk_igate: in     vl_logic;
        fatc_reset_n_igate: in     vl_logic;
        pll_serdesif_sse_igate: in     vl_logic;
        pll_serdesif_ssmd_igate: in     vl_logic_vector(1 downto 0);
        pll_serdesif_ssmf_igate: in     vl_logic_vector(4 downto 0);
        lt_fab_tm_serdesif_igate: in     vl_logic;
        epcs_rxrstn_ogate: out    vl_logic_vector(1 downto 0);
        epcs_txrstn_ogate: out    vl_logic_vector(1 downto 0);
        atxclkstable_ogate: out    vl_logic_vector(1 downto 0);
        wake_n_ogate    : out    vl_logic;
        lt_sout_ogate   : out    vl_logic;
        atpg_fab_enable_ogate: out    vl_logic;
        atpg_fab_sck_ogate: out    vl_logic_vector(1 downto 0);
        atpg_fab_se_ogate: out    vl_logic_vector(1 downto 0);
        atpg_fab_sdi_ogate: out    vl_logic_vector(1 downto 0);
        h2fcalib0_ogate : out    vl_logic;
        h2fcalib1_ogate : out    vl_logic;
        epcs_txclk_1_ogate: out    vl_logic;
        epcs_txclk_0_ogate: out    vl_logic;
        epcs_rxclk_1_ogate: out    vl_logic;
        epcs_rxclk_0_ogate: out    vl_logic;
        spll_lock_ogate : out    vl_logic;
        pll_lock_int_ogate: out    vl_logic;
        pll_locklost_int_ogate: out    vl_logic;
        pll_serdesif_ref_ogate: out    vl_logic;
        pll_serdesif_fb_ogate: out    vl_logic;
        pll_serdesif_lockwin_ogate: out    vl_logic_vector(2 downto 0);
        pll_serdesif_lockcnt_ogate: out    vl_logic_vector(3 downto 0);
        pll_serdesif_divr_ogate: out    vl_logic_vector(5 downto 0);
        pll_serdesif_divf_ogate: out    vl_logic_vector(9 downto 0);
        pll_serdesif_divq_ogate: out    vl_logic_vector(2 downto 0);
        pll_serdesif_range_ogate: out    vl_logic_vector(3 downto 0);
        pll_serdesif_mode_1v2_ogate: out    vl_logic;
        pll_serdesif_mode_3v3_ogate: out    vl_logic;
        pll_serdesif_fse_ogate: out    vl_logic;
        pll_serdesif_reset_ogate: out    vl_logic;
        pll_serdesif_bypass_ogate: out    vl_logic;
        pll_serdesif_pd_ogate: out    vl_logic;
        serdesif_clk_div16_ogate: out    vl_logic;
        xaui_out_clk_ogate: out    vl_logic;
        fatc_reset_n_ogate: out    vl_logic;
        pll_serdesif_sse_ogate: out    vl_logic;
        pll_serdesif_ssmd_ogate: out    vl_logic_vector(1 downto 0);
        pll_serdesif_ssmf_ogate: out    vl_logic_vector(4 downto 0);
        lt_fab_tm_serdesif_ogate: out    vl_logic
    );
end serdesif_output_gate2_120;
