library verilog;
use verilog.vl_types.all;
entity spmbist_mux_bypass is
    generic(
        ADDR_WIDTH      : integer := 13;
        WEB_WIDTH       : integer := 5;
        DATA_WIDTH      : integer := 40
    );
    port(
        CLK             : in     vl_logic;
        RESETN          : in     vl_logic;
        MBIST_TESTMODE  : in     vl_logic;
        SCAN_TESTMODE   : in     vl_logic;
        DI              : in     vl_logic_vector;
        A               : in     vl_logic_vector;
        WEB             : in     vl_logic_vector;
        CSB             : in     vl_logic;
        DO              : out    vl_logic_vector;
        DO_MEM          : in     vl_logic_vector;
        DI_MEM          : out    vl_logic_vector;
        A_MEM           : out    vl_logic_vector;
        WEB_MEM         : out    vl_logic_vector;
        CSB_MEM         : out    vl_logic;
        DI_MB           : in     vl_logic_vector;
        A_MB            : in     vl_logic_vector;
        WEB_MB          : in     vl_logic_vector;
        CSB_MB          : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of WEB_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of DATA_WIDTH : constant is 1;
end spmbist_mux_bypass;
