library verilog;
use verilog.vl_types.all;
entity te_rd_nxt_120 is
    generic(
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3;
        CMD_ENTRY_BITS  : integer := 3
    );
    port(
        dh_te_resetb    : in     vl_logic;
        co_te_clk       : in     vl_logic;
        ih_te_rd_valid  : in     vl_logic;
        te_te_sel_entry : in     vl_logic_vector;
        te_te_sel_valid : in     vl_logic;
        te_te_page_hit  : in     vl_logic_vector;
        te_te_entry_pri : in     vl_logic_vector;
        ih_te_hi_pri    : in     vl_logic;
        ih_te_rankbank_num: in     vl_logic_vector;
        ih_te_entry_num : in     vl_logic_vector;
        te_ih_retry     : in     vl_logic;
        be_te_rd_bypass_match: in     vl_logic;
        ts_te_rd_bypass_disable: in     vl_logic;
        be_te_act_bypass_match: in     vl_logic;
        ts_te_act_bypass_disable: in     vl_logic;
        be_te_page_hit  : in     vl_logic;
        ts_te_bank_num  : in     vl_logic_vector;
        ts_te_bank_num4act: in     vl_logic_vector;
        ts_te_bank_num4rdwr: in     vl_logic_vector;
        te_te_rdwr_autopre: in     vl_logic;
        ts_te_op_is_rdwr: in     vl_logic;
        ts_te_op_is_precharge: in     vl_logic;
        ts_te_op_is_activate: in     vl_logic;
        ts_te_wr_mode   : in     vl_logic;
        ts_te_pri_level : in     vl_logic;
        te_ts_page_hit  : out    vl_logic_vector;
        te_ts_hi_xact   : out    vl_logic_vector;
        te_ts_valid     : out    vl_logic_vector;
        te_dh_valid     : out    vl_logic_vector;
        te_dh_page_hit  : out    vl_logic_vector;
        te_os_rd_entry_table: out    vl_logic_vector;
        te_gs_hi_xact_page_hit_vld: out    vl_logic;
        te_te_pghit_vld : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of CMD_ENTRY_BITS : constant is 1;
end te_rd_nxt_120;
